# ************************************************************
# Sequel Pro SQL dump
# Version 4499
#
# http://www.sequelpro.com/
# https://github.com/sequelpro/sequelpro
#
# Host: 127.0.0.1 (MySQL 5.7.17-0ubuntu0.16.04.1)
# Database: corcel_acf
# Generation Time: 2017-02-10 06:27:20 +0000
# ************************************************************


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


# Dump of table wp_commentmeta
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_commentmeta`;

CREATE TABLE `wp_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;



# Dump of table wp_comments
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_comments`;

CREATE TABLE `wp_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT '0',
  `comment_author` tinytext COLLATE utf8mb4_unicode_ci NOT NULL,
  `comment_author_email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT '0',
  `comment_approved` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

LOCK TABLES `wp_comments` WRITE;
/*!40000 ALTER TABLE `wp_comments` DISABLE KEYS */;

INSERT INTO `wp_comments` (`comment_ID`, `comment_post_ID`, `comment_author`, `comment_author_email`, `comment_author_url`, `comment_author_IP`, `comment_date`, `comment_date_gmt`, `comment_content`, `comment_karma`, `comment_approved`, `comment_agent`, `comment_type`, `comment_parent`, `user_id`)
VALUES
	(1,1,'A WordPress Commenter','wapuu@wordpress.example','https://wordpress.org/','','2016-10-04 21:37:39','2016-10-04 21:37:39','Hi, this is a comment.\nTo get started with moderating, editing, and deleting comments, please visit the Comments screen in the dashboard.\nCommenter avatars come from <a href=\"https://gravatar.com\">Gravatar</a>.',0,'1','','',0,0);

/*!40000 ALTER TABLE `wp_comments` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wp_links
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_links`;

CREATE TABLE `wp_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_name` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_image` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_target` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_description` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_visible` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT '1',
  `link_rating` int(11) NOT NULL DEFAULT '0',
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `link_notes` mediumtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `link_rss` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;



# Dump of table wp_options
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_options`;

CREATE TABLE `wp_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `option_value` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `autoload` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

LOCK TABLES `wp_options` WRITE;
/*!40000 ALTER TABLE `wp_options` DISABLE KEYS */;

INSERT INTO `wp_options` (`option_id`, `option_name`, `option_value`, `autoload`)
VALUES
	(1,'siteurl','http://wordpress.corcel.dev','yes'),
	(2,'home','http://wordpress.corcel.dev','yes'),
	(3,'blogname','Corcel WordPress Install','yes'),
	(4,'blogdescription','Just another WordPress site','yes'),
	(5,'users_can_register','0','yes'),
	(6,'admin_email','juniorgro@gmail.com','yes'),
	(7,'start_of_week','1','yes'),
	(8,'use_balanceTags','0','yes'),
	(9,'use_smilies','1','yes'),
	(10,'require_name_email','1','yes'),
	(11,'comments_notify','1','yes'),
	(12,'posts_per_rss','10','yes'),
	(13,'rss_use_excerpt','0','yes'),
	(14,'mailserver_url','mail.example.com','yes'),
	(15,'mailserver_login','login@example.com','yes'),
	(16,'mailserver_pass','password','yes'),
	(17,'mailserver_port','110','yes'),
	(18,'default_category','1','yes'),
	(19,'default_comment_status','open','yes'),
	(20,'default_ping_status','open','yes'),
	(21,'default_pingback_flag','0','yes'),
	(22,'posts_per_page','10','yes'),
	(23,'date_format','F j, Y','yes'),
	(24,'time_format','g:i a','yes'),
	(25,'links_updated_date_format','F j, Y g:i a','yes'),
	(26,'comment_moderation','0','yes'),
	(27,'moderation_notify','1','yes'),
	(28,'permalink_structure','/%year%/%monthnum%/%day%/%postname%/','yes'),
	(29,'rewrite_rules','a:90:{s:11:\"^wp-json/?$\";s:22:\"index.php?rest_route=/\";s:14:\"^wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:21:\"^index.php/wp-json/?$\";s:22:\"index.php?rest_route=/\";s:24:\"^index.php/wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:47:\"category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:42:\"category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:23:\"category/(.+?)/embed/?$\";s:46:\"index.php?category_name=$matches[1]&embed=true\";s:35:\"category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:17:\"category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:44:\"tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:39:\"tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:20:\"tag/([^/]+)/embed/?$\";s:36:\"index.php?tag=$matches[1]&embed=true\";s:32:\"tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:14:\"tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:45:\"type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:40:\"type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:21:\"type/([^/]+)/embed/?$\";s:44:\"index.php?post_format=$matches[1]&embed=true\";s:33:\"type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:15:\"type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:12:\"robots\\.txt$\";s:18:\"index.php?robots=1\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:8:\"embed/?$\";s:21:\"index.php?&embed=true\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:17:\"comments/embed/?$\";s:21:\"index.php?&embed=true\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:20:\"search/(.+)/embed/?$\";s:34:\"index.php?s=$matches[1]&embed=true\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:23:\"author/([^/]+)/embed/?$\";s:44:\"index.php?author_name=$matches[1]&embed=true\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:45:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/embed/?$\";s:74:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:32:\"([0-9]{4})/([0-9]{1,2})/embed/?$\";s:58:\"index.php?year=$matches[1]&monthnum=$matches[2]&embed=true\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:19:\"([0-9]{4})/embed/?$\";s:37:\"index.php?year=$matches[1]&embed=true\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:58:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:68:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:88:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:83:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:64:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:53:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/embed/?$\";s:91:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/trackback/?$\";s:85:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&tb=1\";s:77:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&feed=$matches[5]\";s:65:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/page/?([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&paged=$matches[5]\";s:72:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)/comment-page-([0-9]{1,})/?$\";s:98:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&cpage=$matches[5]\";s:61:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/([^/]+)(?:/([0-9]+))?/?$\";s:97:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&name=$matches[4]&page=$matches[5]\";s:47:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:57:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:77:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:72:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:53:\"[0-9]{4}/[0-9]{1,2}/[0-9]{1,2}/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&cpage=$matches[4]\";s:51:\"([0-9]{4})/([0-9]{1,2})/comment-page-([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&cpage=$matches[3]\";s:38:\"([0-9]{4})/comment-page-([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&cpage=$matches[2]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\".?.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"(.?.+?)/embed/?$\";s:41:\"index.php?pagename=$matches[1]&embed=true\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:24:\"(.?.+?)(?:/([0-9]+))?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";}','yes'),
	(30,'hack_file','0','yes'),
	(31,'blog_charset','UTF-8','yes'),
	(32,'moderation_keys','','no'),
	(33,'active_plugins','a:1:{i:0;s:34:\"advanced-custom-fields-pro/acf.php\";}','yes'),
	(34,'category_base','','yes'),
	(35,'ping_sites','http://rpc.pingomatic.com/','yes'),
	(36,'comment_max_links','2','yes'),
	(37,'gmt_offset','0','yes'),
	(38,'default_email_category','1','yes'),
	(39,'recently_edited','','no'),
	(40,'template','twentysixteen','yes'),
	(41,'stylesheet','twentysixteen','yes'),
	(42,'comment_whitelist','1','yes'),
	(43,'blacklist_keys','','no'),
	(44,'comment_registration','0','yes'),
	(45,'html_type','text/html','yes'),
	(46,'use_trackback','0','yes'),
	(47,'default_role','subscriber','yes'),
	(48,'db_version','38590','yes'),
	(49,'uploads_use_yearmonth_folders','1','yes'),
	(50,'upload_path','','yes'),
	(51,'blog_public','0','yes'),
	(52,'default_link_category','2','yes'),
	(53,'show_on_front','posts','yes'),
	(54,'tag_base','','yes'),
	(55,'show_avatars','1','yes'),
	(56,'avatar_rating','G','yes'),
	(57,'upload_url_path','','yes'),
	(58,'thumbnail_size_w','150','yes'),
	(59,'thumbnail_size_h','150','yes'),
	(60,'thumbnail_crop','1','yes'),
	(61,'medium_size_w','300','yes'),
	(62,'medium_size_h','300','yes'),
	(63,'avatar_default','mystery','yes'),
	(64,'large_size_w','1024','yes'),
	(65,'large_size_h','1024','yes'),
	(66,'image_default_link_type','none','yes'),
	(67,'image_default_size','','yes'),
	(68,'image_default_align','','yes'),
	(69,'close_comments_for_old_posts','0','yes'),
	(70,'close_comments_days_old','14','yes'),
	(71,'thread_comments','1','yes'),
	(72,'thread_comments_depth','5','yes'),
	(73,'page_comments','0','yes'),
	(74,'comments_per_page','50','yes'),
	(75,'default_comments_page','newest','yes'),
	(76,'comment_order','asc','yes'),
	(77,'sticky_posts','a:0:{}','yes'),
	(78,'widget_categories','a:2:{i:2;a:4:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:12:\"hierarchical\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}','yes'),
	(79,'widget_text','a:0:{}','yes'),
	(80,'widget_rss','a:0:{}','yes'),
	(81,'uninstall_plugins','a:0:{}','no'),
	(82,'timezone_string','','yes'),
	(83,'page_for_posts','0','yes'),
	(84,'page_on_front','0','yes'),
	(85,'default_post_format','0','yes'),
	(86,'link_manager_enabled','0','yes'),
	(87,'finished_splitting_shared_terms','1','yes'),
	(88,'site_icon','0','yes'),
	(89,'medium_large_size_w','768','yes'),
	(90,'medium_large_size_h','0','yes'),
	(91,'initial_db_version','37965','yes'),
	(92,'wp_user_roles','a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:61:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:34:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}','yes'),
	(93,'widget_search','a:2:{i:2;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}','yes'),
	(94,'widget_recent-posts','a:2:{i:2;a:2:{s:5:\"title\";s:0:\"\";s:6:\"number\";i:5;}s:12:\"_multiwidget\";i:1;}','yes'),
	(95,'widget_recent-comments','a:2:{i:2;a:2:{s:5:\"title\";s:0:\"\";s:6:\"number\";i:5;}s:12:\"_multiwidget\";i:1;}','yes'),
	(96,'widget_archives','a:2:{i:2;a:3:{s:5:\"title\";s:0:\"\";s:5:\"count\";i:0;s:8:\"dropdown\";i:0;}s:12:\"_multiwidget\";i:1;}','yes'),
	(97,'widget_meta','a:2:{i:2;a:1:{s:5:\"title\";s:0:\"\";}s:12:\"_multiwidget\";i:1;}','yes'),
	(98,'sidebars_widgets','a:3:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:6:{i:0;s:8:\"search-2\";i:1;s:14:\"recent-posts-2\";i:2;s:17:\"recent-comments-2\";i:3;s:10:\"archives-2\";i:4;s:12:\"categories-2\";i:5;s:6:\"meta-2\";}s:13:\"array_version\";i:3;}','yes'),
	(99,'widget_pages','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),
	(100,'widget_calendar','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),
	(101,'widget_tag_cloud','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),
	(102,'widget_nav_menu','a:1:{s:12:\"_multiwidget\";i:1;}','yes'),
	(103,'cron','a:4:{i:1486719460;a:3:{s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1486762675;a:1:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1486762728;a:1:{s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}s:7:\"version\";i:2;}','yes'),
	(106,'nonce_key','1(z~A~&GX,$lptZdQ;*m8)]#,`g|v],Vb]rz:>/{9;g^f+$1A.w=k[pFQV!.KgYs','no'),
	(107,'nonce_salt','2eAh<Lio9:HA/&^a|f!?j8G/<yG&ZrDv<lN/|4#yI!cKHO| !5z[]7tCde`Vh^~&','no'),
	(111,'_site_transient_update_plugins','O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1486706623;s:7:\"checked\";a:1:{s:34:\"advanced-custom-fields-pro/acf.php\";s:5:\"5.5.5\";}s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}s:9:\"no_update\";a:0:{}}','no'),
	(114,'_site_transient_update_themes','O:8:\"stdClass\":4:{s:12:\"last_checked\";i:1486706611;s:7:\"checked\";a:2:{s:15:\"twentyseventeen\";s:3:\"1.1\";s:13:\"twentysixteen\";s:3:\"1.3\";}s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}}','no'),
	(115,'auth_key','{>Wwr]{[>sTvo^8_Ju@=KqD^a2?tXo)tL7234#o*(8Asb]ySDdQu90psdwFbnw].','no'),
	(116,'auth_salt','Eklq$cX4r!K6OW,;yxDgyKs&qMXSsqJ<Ece|kl/D8VmrtlX#->D}s)p[eUE*47=I','no'),
	(117,'logged_in_key','N/^<z,lP;=o Z&,YC>);0tnOa%y|_D:ITAVPh]rFm7<K}AO`0>!U,#+s*DMws8%3','no'),
	(118,'logged_in_salt','wmaJaVJ7qTz7v@%(h^Z@53`vD=e:_;3<|kck><4Q.cuzNa+-jVn(~wvX$|BO4 vp','no'),
	(139,'recently_activated','a:0:{}','yes'),
	(140,'acf_version','5.5.6','yes'),
	(162,'category_children','a:0:{}','yes'),
	(177,'acf_pro_license','','yes'),
	(208,'db_upgraded','','yes'),
	(209,'_site_transient_update_core','O:8:\"stdClass\":4:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:59:\"https://downloads.wordpress.org/release/wordpress-4.7.2.zip\";s:6:\"locale\";s:5:\"en_US\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:59:\"https://downloads.wordpress.org/release/wordpress-4.7.2.zip\";s:10:\"no_content\";s:70:\"https://downloads.wordpress.org/release/wordpress-4.7.2-no-content.zip\";s:11:\"new_bundled\";s:71:\"https://downloads.wordpress.org/release/wordpress-4.7.2-new-bundled.zip\";s:7:\"partial\";b:0;s:8:\"rollback\";b:0;}s:7:\"current\";s:5:\"4.7.2\";s:7:\"version\";s:5:\"4.7.2\";s:11:\"php_version\";s:5:\"5.2.4\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"4.7\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1486706608;s:15:\"version_checked\";s:5:\"4.7.2\";s:12:\"translations\";a:0:{}}','no'),
	(210,'_site_transient_timeout_browser_dff177876e22ddc43470e135e8edbe87','1487229570','no'),
	(211,'_site_transient_browser_dff177876e22ddc43470e135e8edbe87','a:9:{s:8:\"platform\";s:9:\"Macintosh\";s:4:\"name\";s:6:\"Chrome\";s:7:\"version\";s:12:\"55.0.2883.95\";s:10:\"update_url\";s:28:\"http://www.google.com/chrome\";s:7:\"img_src\";s:49:\"http://s.wordpress.org/images/browsers/chrome.png\";s:11:\"img_src_ssl\";s:48:\"https://wordpress.org/images/browsers/chrome.png\";s:15:\"current_version\";s:2:\"18\";s:7:\"upgrade\";b:0;s:8:\"insecure\";b:0;}','no'),
	(212,'can_compress_scripts','1','no'),
	(213,'_transient_timeout_feed_ac0b00fe65abe10e0c5b588f3ed8c7ca','1486667973','no'),
	(214,'_transient_feed_ac0b00fe65abe10e0c5b588f3ed8c7ca','a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:49:\"\n	\n	\n	\n	\n	\n	\n	\n	\n	\n	\n		\n		\n		\n		\n		\n		\n		\n		\n		\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"https://wordpress.org/news\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WordPress News\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:13:\"lastBuildDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 01 Feb 2017 15:58:56 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"https://wordpress.org/?v=4.8-alpha-40051\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:10:{i:0;a:6:{s:4:\"data\";s:39:\"\n		\n		\n		\n		\n				\n		\n		\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"WordPress 4.7.2 Security Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"https://wordpress.org/news/2017/01/wordpress-4-7-2-security-release/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 26 Jan 2017 19:34:02 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Security\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"4.7\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=4676\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:357:\"WordPress 4.7.2 is now available. This is a security release for all previous versions and we strongly encourage you to update your sites immediately. WordPress versions 4.7.1 and earlier are affected by three security issues: The user interface for assigning taxonomy terms in Press This is shown to users who do not have permissions to use it. [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Aaron D. Campbell\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2142:\"<p>WordPress 4.7.2 is now available. This is a <strong>security release</strong> for all previous versions and we strongly encourage you to update your sites immediately.</p>\n<p>WordPress versions 4.7.1 and earlier are affected by three security issues:</p>\n<ol>\n<li>The user interface for assigning taxonomy terms in Press This is shown to users who do not have permissions to use it. Reported by David Herrera of <a href=\"https://www.alleyinteractive.com/\">Alley Interactive</a>.</li>\n<li><code>WP_Query</code> is vulnerable to a SQL injection (SQLi) when passing unsafe data. WordPress core is not directly vulnerable to this issue, but we&#8217;ve added hardening to prevent plugins and themes from accidentally causing a vulnerability. Reported by <a href=\"https://github.com/mjangda\">Mo Jangda</a> (batmoo).</li>\n<li>A cross-site scripting (XSS) vulnerability was discovered in the posts list table. Reported by <a href=\"https://iandunn.name/\">Ian Dunn</a> of the WordPress Security Team.</li>\n<li>An unauthenticated privilege escalation vulnerability was discovered in a REST API endpoint. Reported by <a href=\"https://twitter.com/MarcS0h\">Marc-Alexandre Montpas</a> of Sucuri Security. *</li>\n</ol>\n<p>Thank you to the reporters of these issues for practicing <a href=\"https://make.wordpress.org/core/handbook/testing/reporting-security-vulnerabilities/\">responsible disclosure</a>.</p>\n<p><a href=\"https://wordpress.org/download/\">Download WordPress 4.7.2</a> or venture over to Dashboard → Updates and simply click “Update Now.” Sites that support automatic background updates are already beginning to update to WordPress 4.7.2.</p>\n<p>Thanks to everyone who contributed to 4.7.2.</p>\n<p>* Update: An additional serious vulnerability was fixed in this release and public disclosure was delayed. For more information on this vulnerability, additional mitigation steps taken, and an explanation for why disclosure was delayed, please read <a href=\"https://make.wordpress.org/core/2017/02/01/disclosure-of-additional-security-fix-in-wordpress-4-7-2/\">Disclosure of Additional Security Fix in WordPress 4.7.2</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"4676\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:39:\"\n		\n		\n		\n		\n				\n		\n		\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"WordPress 4.7.1 Security and Maintenance Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"https://wordpress.org/news/2017/01/wordpress-4-7-1-security-and-maintenance-release/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 11 Jan 2017 03:53:57 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Security\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"4.7\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=4650\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:375:\"WordPress 4.7 has been downloaded over 10 million times since its release on December 6, 2016 and we are pleased to announce the immediate availability of WordPress 4.7.1. This is a security release for all previous versions and we strongly encourage you to update your sites immediately. WordPress versions 4.7 and earlier are affected by eight security issues: [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Aaron D. Campbell\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:6520:\"<p>WordPress 4.7 has been <a href=\"https://wordpress.org/download/counter/\">downloaded over 10 million times</a> since its release on December 6, 2016 and we are pleased to announce the immediate availability of WordPress 4.7.1. This is a <strong>security release</strong> for all previous versions and we strongly encourage you to update your sites immediately.</p>\n<p>WordPress versions 4.7 and earlier are affected by eight security issues:</p>\n<ol>\n<li>Remote code execution (RCE) in PHPMailer &#8211; <em>No specific issue appears to affect WordPress</em> or any of the major plugins we investigated but, out of an abundance of caution, we updated PHPMailer in this release. This issue was fixed in PHPMailer thanks to <a href=\"https://legalhackers.com/\">Dawid Golunski</a> and <a href=\"https://twitter.com/Zenexer\">Paul Buonopane</a>.</li>\n<li>The REST API exposed user data for all users who had authored a post of a public post type. WordPress 4.7.1 limits this to only post types which have specified that they should be shown within the REST API. Reported by <a href=\"https://poststatus.com/\">Krogsgard</a> and <a href=\"https://ithemes.com/\">Chris Jean</a>.</li>\n<li>Cross-site scripting (XSS) via the plugin name or version header on <code>update-core.php</code>. Reported by <a href=\"https://dominikschilling.de/\">Dominik Schilling</a> of the WordPress Security Team.</li>\n<li>Cross-site request forgery (CSRF) bypass via uploading a Flash file. Reported by <a href=\"https://twitter.com/Abdulahhusam\">Abdullah Hussam</a>.</li>\n<li>Cross-site scripting (XSS) via theme name fallback. Reported by <a href=\"https://pentest.blog/\">Mehmet Ince</a>.</li>\n<li>Post via email checks <code>mail.example.com</code> if default settings aren&#8217;t changed. Reported by John Blackbourn of the WordPress Security Team.</li>\n<li>A cross-site request forgery (CSRF) was discovered in the accessibility mode of widget editing. Reported by <a href=\"https://dk.linkedin.com/in/ronni-skansing-36143b65\">Ronnie Skansing</a>.</li>\n<li>Weak cryptographic security for multisite activation key. Reported by <a href=\"https://itsjack.cc/\">Jack</a>.</li>\n</ol>\n<p>Thank you to the reporters for practicing <a href=\"https://make.wordpress.org/core/handbook/testing/reporting-security-vulnerabilities/\">responsible disclosure</a>.</p>\n<p>In addition to the security issues above, WordPress 4.7.1 fixes 62 bugs from 4.7. For more information, see the <a href=\"https://codex.wordpress.org/Version_4.7.1\">release notes</a> or consult the <a href=\"https://core.trac.wordpress.org/query?milestone=4.7.1\">list of changes</a>.</p>\n<p><a href=\"https://wordpress.org/download/\">Download WordPress 4.7.1</a> or venture over to Dashboard → Updates and simply click “Update Now.” Sites that support automatic background updates are already beginning to update to WordPress 4.7.1.</p>\n<p>Thanks to everyone who contributed to 4.7.1: <a href=\"https://profiles.wordpress.org/aaroncampbell/\">Aaron D. Campbell</a>, <a href=\"https://profiles.wordpress.org/jorbin/\">Aaron Jorbin</a>, <a href=\"https://profiles.wordpress.org/adamsilverstein/\">Adam Silverstein</a>, <a href=\"https://profiles.wordpress.org/afercia/\">Andrea Fercia</a>, <a href=\"https://profiles.wordpress.org/azaozz/\">Andrew Ozz</a>, <a href=\"https://profiles.wordpress.org/gitlost/\">bonger</a>, <a href=\"https://profiles.wordpress.org/boonebgorges/\">Boone Gorges</a>, <a href=\"https://profiles.wordpress.org/chandrapatel/\">Chandra Patel</a>, <a href=\"https://profiles.wordpress.org/christian1012/\">Christian Chung</a>, <a href=\"https://profiles.wordpress.org/dlh/\">David Herrera</a>, <a href=\"https://profiles.wordpress.org/dshanske/\">David Shanske</a>, <a href=\"https://profiles.wordpress.org/dd32/\">Dion Hulse</a>, <a href=\"https://profiles.wordpress.org/ocean90/\">Dominik Schilling (ocean90)</a>, <a href=\"https://profiles.wordpress.org/dreamon11/\">DreamOn11</a>, <a href=\"https://profiles.wordpress.org/chopinbach/\">Edwin Cromley</a>, <a href=\"https://profiles.wordpress.org/iseulde/\">Ella van Dorpe</a>, <a href=\"https://profiles.wordpress.org/pento/\">Gary Pendergast</a>, <a href=\"https://profiles.wordpress.org/hristo-sg/\">Hristo Pandjarov</a>, <a href=\"https://profiles.wordpress.org/jnylen0/\">James Nylen</a>, <a href=\"https://profiles.wordpress.org/jblz/\">Jeff Bowen</a>, <a href=\"https://profiles.wordpress.org/jeremyfelt/\">Jeremy Felt</a>, <a href=\"https://profiles.wordpress.org/jpry/\">Jeremy Pry</a>, <a href=\"https://profiles.wordpress.org/joehoyle/\">Joe Hoyle</a>, <a href=\"https://profiles.wordpress.org/joemcgill/\">Joe McGill</a>, <a href=\"https://profiles.wordpress.org/johnbillion/\">John Blackbourn</a>, <a href=\"https://profiles.wordpress.org/kkoppenhaver/\">Keanan Koppenhaver</a>, <a href=\"https://profiles.wordpress.org/obenland/\">Konstantin Obenland</a>, <a href=\"https://profiles.wordpress.org/laurelfulford/\">laurelfulford</a>, <a href=\"https://profiles.wordpress.org/tyxla/\">Marin Atanasov</a>, <a href=\"https://profiles.wordpress.org/mattyrob/\">mattyrob</a>, <a href=\"https://profiles.wordpress.org/monikarao/\">monikarao</a>, <a href=\"https://profiles.wordpress.org/natereist/\">Nate Reist</a>, <a href=\"https://profiles.wordpress.org/celloexpressions/\">Nick Halsey</a>, <a href=\"https://profiles.wordpress.org/nikschavan/\">Nikhil Chavan</a>, <a href=\"https://profiles.wordpress.org/nullvariable/\">nullvariable</a>, <a href=\"https://profiles.wordpress.org/sirbrillig/\">Payton Swick</a>, <a href=\"https://profiles.wordpress.org/peterwilsoncc/\">Peter Wilson</a>, <a href=\"https://profiles.wordpress.org/presskopp/\">Presskopp</a>, <a href=\"https://profiles.wordpress.org/rachelbaker/\">Rachel Baker</a>, <a href=\"https://profiles.wordpress.org/rmccue/\">Ryan McCue</a>, <a href=\"https://profiles.wordpress.org/sanketparmar/\">Sanket Parmar</a>, <a href=\"https://profiles.wordpress.org/sebastianpisula/\">Sebastian Pisula</a>, <a href=\"https://profiles.wordpress.org/sfpt/\">sfpt</a>, <a href=\"https://profiles.wordpress.org/shazahm1hotmailcom/\">shazahm1</a>, <a href=\"https://profiles.wordpress.org/sstoqnov/\">Stanimir Stoyanov</a>, <a href=\"https://profiles.wordpress.org/stevenkword/\">Steven Word</a>, <a href=\"https://profiles.wordpress.org/szaqal21/\">szaqal21</a>, <a href=\"https://profiles.wordpress.org/timph/\">timph</a>, <a href=\"https://profiles.wordpress.org/voldemortensen/\">voldemortensen</a>, <a href=\"https://profiles.wordpress.org/vortfu/\">vortfu</a>, and <a href=\"https://profiles.wordpress.org/westonruter/\">Weston Ruter</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"4650\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:36:\"\n		\n		\n		\n		\n				\n\n		\n		\n				\n	\n\n\n		\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"WordPress 4.7 “Vaughan”\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:43:\"https://wordpress.org/news/2016/12/vaughan/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 06 Dec 2016 19:27:41 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=4596\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:240:\"Version 4.7 of WordPress, named “Vaughan” in honor of legendary jazz vocalist Sarah \"Sassy\" Vaughan, is available for download or update in your WordPress dashboard. New features in 4.7 help you get your site set up the way you want it.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"enclosure\";a:3:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:60:\"https://wordpress.org/news/files/2016/12/starter-content.mp4\";s:6:\"length\";s:7:\"3736020\";s:4:\"type\";s:9:\"video/mp4\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:59:\"https://wordpress.org/news/files/2016/12/edit-shortcuts.mp4\";s:6:\"length\";s:7:\"1127483\";s:4:\"type\";s:9:\"video/mp4\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:3:\"url\";s:58:\"https://wordpress.org/news/files/2016/12/video-headers.mp4\";s:6:\"length\";s:7:\"1549803\";s:4:\"type\";s:9:\"video/mp4\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Helen Hou-Sandi\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:45498:\"<p>Version 4.7 of WordPress, named “Vaughan” in honor of legendary jazz vocalist Sarah &#8220;Sassy&#8221; Vaughan, is available for download or update in your WordPress dashboard. New features in 4.7 help you get your site set up the way you want it.</p>\n<div id=\"v-AHz0Ca46-1\" class=\"video-player\"><video id=\"v-AHz0Ca46-1-video\" width=\"632\" height=\"354\" poster=\"https://videos.files.wordpress.com/AHz0Ca46/wp4-7-vaughan-r8-mastered_scruberthumbnail_0.jpg\" controls=\"true\" preload=\"metadata\" dir=\"ltr\" lang=\"en\"><source src=\"https://videos.files.wordpress.com/AHz0Ca46/wp4-7-vaughan-r8-mastered_dvd.mp4\" type=\"video/mp4; codecs=&quot;avc1.64001E, mp4a.40.2&quot;\" /><source src=\"https://videos.files.wordpress.com/AHz0Ca46/wp4-7-vaughan-r8-mastered_fmt1.ogv\" type=\"video/ogg; codecs=&quot;theora, vorbis&quot;\" /><div><img alt=\"Introducing WordPress 4.7\" src=\"https://i1.wp.com/videos.files.wordpress.com/AHz0Ca46/wp4-7-vaughan-r8-mastered_scruberthumbnail_0.jpg?resize=632%2C354&#038;ssl=1\" data-recalc-dims=\"1\" /></div><p>Introducing WordPress 4.7</p></video></div>\n<hr />\n<h2 style=\"text-align:center\">Presenting Twenty Seventeen</h2>\n<p>A brand new default theme brings your site to life with immersive featured images and video headers.</p>\n<p><img class=\"alignnone wp-image-4618 size-large\" src=\"https://i2.wp.com/wordpress.org/news/files/2016/12/4.7-—-Twenty-Seventeen-1.jpg?resize=632%2C356&#038;ssl=1\" srcset=\"https://i2.wp.com/wordpress.org/news/files/2016/12/4.7-—-Twenty-Seventeen-1.jpg?resize=1024%2C576&amp;ssl=1 1024w, https://i2.wp.com/wordpress.org/news/files/2016/12/4.7-—-Twenty-Seventeen-1.jpg?resize=300%2C169&amp;ssl=1 300w, https://i2.wp.com/wordpress.org/news/files/2016/12/4.7-—-Twenty-Seventeen-1.jpg?resize=768%2C432&amp;ssl=1 768w, https://i2.wp.com/wordpress.org/news/files/2016/12/4.7-—-Twenty-Seventeen-1.jpg?w=1600&amp;ssl=1 1600w, https://i2.wp.com/wordpress.org/news/files/2016/12/4.7-—-Twenty-Seventeen-1.jpg?w=1264&amp;ssl=1 1264w\" sizes=\"(max-width: 632px) 100vw, 632px\" data-recalc-dims=\"1\" /></p>\n<p>Twenty Seventeen focuses on business sites and features a customizable front page with multiple sections. Personalize it with widgets, navigation, social menus, a logo, custom colors, and more. Our default theme for 2017 works great in many languages, on any device, and for a wide range of users.</p>\n<hr />\n<h2 style=\"text-align:center\">Your Site, Your Way</h2>\n<p>WordPress 4.7 adds new features to the customizer to help take you through the initial setup of a theme, with non-destructive live previews of all your changes in one uninterrupted workflow.</p>\n<h3>Theme Starter Content</h3>\n<div style=\"width: 632px;\" class=\"wp-video\"><!--[if lt IE 9]><script>document.createElement(\'video\');</script><![endif]-->\n<video class=\"wp-video-shortcode\" id=\"video-4596-1\" width=\"632\" height=\"346\" loop=\"1\" autoplay=\"1\" preload=\"metadata\" controls=\"controls\"><source type=\"video/mp4\" src=\"https://wordpress.org/news/files/2016/12/starter-content.mp4?_=1\" /><a href=\"https://wordpress.org/news/files/2016/12/starter-content.mp4\">https://wordpress.org/news/files/2016/12/starter-content.mp4</a></video></div>\n<p>To help give you a solid base to build from, individual themes can provide starter content that appears when you go to customize your brand new site. This can range from placing a business information widget in the best location to providing a sample menu with social icon links to a static front page complete with beautiful images. Don’t worry &#8211; nothing new will appear on the live site until you’re ready to save and publish your initial theme setup.</p>\n<div style=\"float: left;width: 48%;margin: 0\">\n<h3>Edit Shortcuts</h3>\n<div style=\"width: 300px;\" class=\"wp-video\"><video class=\"wp-video-shortcode\" id=\"video-4596-2\" width=\"300\" height=\"173\" poster=\"https://wordpress.org/news/files/2016/12/4.7-—-Edit-Shortcuts.jpg\" loop=\"1\" autoplay=\"1\" preload=\"metadata\" controls=\"controls\"><source type=\"video/mp4\" src=\"https://wordpress.org/news/files/2016/12/edit-shortcuts.mp4?_=2\" /><a href=\"https://wordpress.org/news/files/2016/12/edit-shortcuts.mp4\">https://wordpress.org/news/files/2016/12/edit-shortcuts.mp4</a></video></div>\n<p>Visible icons appear to show you which parts of your site can be customized while live previewing. Click on a shortcut and get straight to editing. Paired with starter content, getting started with customizing your site is faster than ever.</p>\n</div>\n<div style=\"float: right;width: 48%;margin: 0\">\n<h3>Video Headers</h3>\n<div style=\"width: 300px;\" class=\"wp-video\"><video class=\"wp-video-shortcode\" id=\"video-4596-3\" width=\"300\" height=\"173\" poster=\"https://wordpress.org/news/files/2016/12/4.7-—-Header-Video.jpg\" loop=\"1\" autoplay=\"1\" preload=\"metadata\" controls=\"controls\"><source type=\"video/mp4\" src=\"https://wordpress.org/news/files/2016/12/video-headers.mp4?_=3\" /><a href=\"https://wordpress.org/news/files/2016/12/video-headers.mp4\">https://wordpress.org/news/files/2016/12/video-headers.mp4</a></video></div>\n<p>Sometimes a big atmospheric video as a moving header image is just what you need to showcase your wares; go ahead and try it out with Twenty Seventeen. Need some video inspiration? Try searching for sites with video headers available for download and use.</p>\n</div>\n<div style=\"clear: both\"></div>\n<div style=\"float: left;width: 48%;margin: 0\">\n<h3>Smoother Menu Building</h3>\n<p><img class=\"wp-image-4606 size-medium alignright\" src=\"https://i1.wp.com/wordpress.org/news/files/2016/12/4.7-—-Nav.jpg?resize=300%2C158&#038;ssl=1\" srcset=\"https://i1.wp.com/wordpress.org/news/files/2016/12/4.7-—-Nav.jpg?resize=300%2C158&amp;ssl=1 300w, https://i1.wp.com/wordpress.org/news/files/2016/12/4.7-—-Nav.jpg?w=760&amp;ssl=1 760w\" sizes=\"(max-width: 300px) 100vw, 300px\" data-recalc-dims=\"1\" /></p>\n<p>Many menus for sites contain links to the pages of your site, but what happens when you don’t have any pages yet? Now you can add new pages while building menus instead of leaving the customizer and abandoning your changes. Once you’ve published your customizations, you’ll have new pages ready for you to fill with content.</p>\n</div>\n<div style=\"float: right;width: 48%;margin: 0\">\n<h3>Custom CSS</h3>\n<p><img class=\"wp-image-4607 size-medium alignright\" src=\"https://i1.wp.com/wordpress.org/news/files/2016/12/4.7-—-CSS.jpg?resize=300%2C158&#038;ssl=1\" srcset=\"https://i1.wp.com/wordpress.org/news/files/2016/12/4.7-—-CSS.jpg?resize=300%2C158&amp;ssl=1 300w, https://i1.wp.com/wordpress.org/news/files/2016/12/4.7-—-CSS.jpg?w=760&amp;ssl=1 760w\" sizes=\"(max-width: 300px) 100vw, 300px\" data-recalc-dims=\"1\" /></p>\n<p>Sometimes you just need a few visual tweaks to make your site perfect. WordPress 4.7 allows you to add custom CSS and instantly see how your changes affect your site. The live preview allows you to work quickly without page refreshes slowing you down.</p>\n</div>\n<div style=\"clear: both\"></div>\n<hr />\n<div style=\"float: left;width: 48%;margin: 0\">\n<h3>PDF Thumbnail Previews</h3>\n<p><img class=\"wp-image-4609 size-medium alignright\" src=\"https://i1.wp.com/wordpress.org/news/files/2016/12/4.7-—-PDF.jpg?resize=300%2C158&#038;ssl=1\" srcset=\"https://i1.wp.com/wordpress.org/news/files/2016/12/4.7-—-PDF.jpg?resize=300%2C158&amp;ssl=1 300w, https://i1.wp.com/wordpress.org/news/files/2016/12/4.7-—-PDF.jpg?w=760&amp;ssl=1 760w\" sizes=\"(max-width: 300px) 100vw, 300px\" data-recalc-dims=\"1\" /></p>\n<p>Managing your document collection is easier with WordPress 4.7. Uploading PDFs will generate thumbnail images so you can more easily distinguish between all your documents.</p>\n</div>\n<div style=\"float: right;width: 48%;margin: 0\">\n<h3>Dashboard in your language</h3>\n<p><img class=\"wp-image-4608 size-medium alignright\" src=\"https://i2.wp.com/wordpress.org/news/files/2016/12/4.7-—-Language.jpg?resize=300%2C158&#038;ssl=1\" srcset=\"https://i2.wp.com/wordpress.org/news/files/2016/12/4.7-—-Language.jpg?resize=300%2C158&amp;ssl=1 300w, https://i2.wp.com/wordpress.org/news/files/2016/12/4.7-—-Language.jpg?w=760&amp;ssl=1 760w\" sizes=\"(max-width: 300px) 100vw, 300px\" data-recalc-dims=\"1\" /></p>\n<p>Just because your site is in one language doesn’t mean that everybody helping manage it prefers that language for their admin. Add more languages to your site and a user language option will show up in your user’s profiles.</p>\n</div>\n<div style=\"clear: both\"></div>\n<hr />\n<h2 style=\"text-align:center\">Introducing REST API Content Endpoints</h2>\n<p>WordPress 4.7 comes with REST API endpoints for posts, comments, terms, users, meta, and settings.</p>\n<p><img class=\"size-large wp-image-4600 alignnone\" src=\"https://i2.wp.com/wordpress.org/news/files/2016/12/4.7-—-API.jpg?resize=632%2C205&#038;ssl=1\" alt=\"\" srcset=\"https://i2.wp.com/wordpress.org/news/files/2016/12/4.7-—-API.jpg?resize=1024%2C332&amp;ssl=1 1024w, https://i2.wp.com/wordpress.org/news/files/2016/12/4.7-—-API.jpg?resize=300%2C97&amp;ssl=1 300w, https://i2.wp.com/wordpress.org/news/files/2016/12/4.7-—-API.jpg?resize=768%2C249&amp;ssl=1 768w, https://i2.wp.com/wordpress.org/news/files/2016/12/4.7-—-API.jpg?w=1264&amp;ssl=1 1264w, https://i2.wp.com/wordpress.org/news/files/2016/12/4.7-—-API.jpg?w=1896&amp;ssl=1 1896w\" sizes=\"(max-width: 632px) 100vw, 632px\" data-recalc-dims=\"1\" /></p>\n<p>Content endpoints provide machine-readable external access to your WordPress site with a clear, standards-driven interface, paving the way for new and innovative methods of interacting with sites through plugins, themes, apps, and beyond. Ready to get started with development? <a href=\"https://developer.wordpress.org/rest-api/reference/\">Check out the REST API reference.</a></p>\n<hr />\n<h2 style=\"text-align:center\">Even More Developer Happiness <img src=\"https://s.w.org/images/core/emoji/2.2.1/72x72/1f60a.png\" alt=\"?\" class=\"wp-smiley\" style=\"height: 1em; max-height: 1em;\" /></h2>\n<h3><a href=\"https://make.wordpress.org/core/2016/11/03/post-type-templates-in-4-7/\">Post Type Templates</a></h3>\n<p>By opening up the page template functionality to all post types, theme developers have even more flexibility with the WordPress template hierarchy.</p>\n<h3>More Theme API Goodies</h3>\n<p>WordPress 4.7 includes <a href=\"https://make.wordpress.org/core/2016/09/09/new-functions-hooks-and-behaviour-for-theme-developers-in-wordpress-4-7/\">new functions, hooks, and behavior</a> for theme developers.</p>\n<h3><a href=\"https://make.wordpress.org/core/2016/10/04/custom-bulk-actions/\">Custom Bulk Actions</a></h3>\n<p>List tables, now with more than bulk edit and delete.</p>\n<h3><a href=\"https://make.wordpress.org/core/2016/09/08/wp_hook-next-generation-actions-and-filters/\"><code>WP_Hook</code></a></h3>\n<p>The code that lies beneath actions and filters has been overhauled and modernized, fixing bugs along the way.</p>\n<h3>Settings Registration API</h3>\n<p>register_setting() <a href=\"https://make.wordpress.org/core/2016/10/26/registering-your-settings-in-wordpress-4-7/\">has been enhanced</a> to include type, description, and REST API visibility.</p>\n<h3><a href=\"https://make.wordpress.org/core/2016/10/12/customize-changesets-technical-design-decisions/\">Customize Changesets</a></h3>\n<p>Customize changesets make changes in the customizer persistent, like autosave drafts. They also make exciting new features like starter content possible.</p>\n<hr />\n<h2 style=\"text-align:center\">The Squad</h2>\n<p>This release was led by <a href=\"https://helen.blog\">Helen Hou-Sandí</a>, backed up by <a href=\"https://profiles.wordpress.org/jbpaul17\">Jeff Paul</a> and <a href=\"http://aaron.jorb.in/\">Aaron Jorbin</a> as Release Deputies, and with the help of these fine individuals. There are 482 contributors with props in this release—the most ever—with 205 of them contributing for the first time. Pull up some sassy Sarah Vaughan on your music service of choice, and check out some of their profiles:</p>\n<a href=\"https://profiles.wordpress.org/aaroncampbell\">Aaron D. Campbell</a>, <a href=\"https://profiles.wordpress.org/abrightclearweb\">abrightclearweb</a>, <a href=\"https://profiles.wordpress.org/ibachal\">Achal Jain</a>, <a href=\"https://profiles.wordpress.org/achbed\">achbed</a>, <a href=\"https://profiles.wordpress.org/acmethemes\">Acme Themes</a>, <a href=\"https://profiles.wordpress.org/adamsilverstein\">Adam Silverstein</a>, <a href=\"https://profiles.wordpress.org/adammacias\">adammacias</a>, <a href=\"https://profiles.wordpress.org/mrahmadawais\">Ahmad Awais</a>, <a href=\"https://profiles.wordpress.org/ahmadawais\">ahmadawais</a>, <a href=\"https://profiles.wordpress.org/airesvsg\">airesvsg</a>, <a href=\"https://profiles.wordpress.org/ajoah\">ajoah</a>, <a href=\"https://profiles.wordpress.org/akibjorklund\">Aki Bj&#246;rklund</a>, <a href=\"https://profiles.wordpress.org/akshayvinchurkar\">akshayvinchurkar</a>, <a href=\"https://profiles.wordpress.org/schlessera\">Alain Schlesser</a>, <a href=\"https://profiles.wordpress.org/xknown\">Alex Concha</a>, <a href=\"https://profiles.wordpress.org/xavortm\">Alex Dimitrov</a>, <a href=\"https://profiles.wordpress.org/ironpaperweight\">Alex Hon</a>, <a href=\"https://profiles.wordpress.org/alex27\">alex27</a>, <a href=\"https://profiles.wordpress.org/allancole\">allancole</a>, <a href=\"https://profiles.wordpress.org/arush\">Amanda Rush</a>, <a href=\"https://profiles.wordpress.org/afercia\">Andrea Fercia</a>, <a href=\"https://profiles.wordpress.org/andrewp-2\">Andreas Panag</a>, <a href=\"https://profiles.wordpress.org/nacin\">Andrew Nacin</a>, <a href=\"https://profiles.wordpress.org/azaozz\">Andrew Ozz</a>, <a href=\"https://profiles.wordpress.org/rarst\">Andrey \"Rarst\" Savchenko</a>, <a href=\"https://profiles.wordpress.org/andizer\">Andy Meerwaldt</a>, <a href=\"https://profiles.wordpress.org/kelderic\">Andy Mercer</a>, <a href=\"https://profiles.wordpress.org/andy\">Andy Skelton</a>, <a href=\"https://profiles.wordpress.org/aniketpant\">Aniket Pant</a>, <a href=\"https://profiles.wordpress.org/anilbasnet\">Anil Basnet</a>, <a href=\"https://profiles.wordpress.org/ankit-k-gupta\">Ankit K Gupta</a>, <a href=\"https://profiles.wordpress.org/ahortin\">Anthony Hortin</a>, <a href=\"https://profiles.wordpress.org/antisilent\">antisilent</a>, <a href=\"https://profiles.wordpress.org/atimmer\">Anton Timmermans</a>, <a href=\"https://profiles.wordpress.org/zuige\">Antti Kuosmanen</a>, <a href=\"https://profiles.wordpress.org/apokalyptik\">apokalyptik</a>, <a href=\"https://profiles.wordpress.org/artoliukkonen\">artoliukkonen</a>, <a href=\"https://profiles.wordpress.org/ideag\">Arunas Liuiza</a>, <a href=\"https://profiles.wordpress.org/attitude\">attitude</a>, <a href=\"https://profiles.wordpress.org/backermann\">backermann</a>, <a href=\"https://profiles.wordpress.org/b-07\">Bappi</a>, <a href=\"https://profiles.wordpress.org/bcole808\">Ben Cole</a>, <a href=\"https://profiles.wordpress.org/kau-boy\">Bernhard Kau</a>, <a href=\"https://profiles.wordpress.org/binarymoon\">BinaryMoon</a>, <a href=\"https://profiles.wordpress.org/birgire\">Birgir Erlendsson (birgire)</a>, <a href=\"https://profiles.wordpress.org/bjornw\">BjornW</a>, <a href=\"https://profiles.wordpress.org/bobbingwide\">bobbingwide</a>, <a href=\"https://profiles.wordpress.org/boblinthorst\">boblinthorst</a>, <a href=\"https://profiles.wordpress.org/boboudreau\">boboudreau</a>, <a href=\"https://profiles.wordpress.org/gitlost\">bonger</a>, <a href=\"https://profiles.wordpress.org/boonebgorges\">Boone B. Gorges</a>, <a href=\"https://profiles.wordpress.org/bradyvercher\">Brady Vercher</a>, <a href=\"https://profiles.wordpress.org/brainstormforce\">Brainstorm Force</a>, <a href=\"https://profiles.wordpress.org/kraftbj\">Brandon Kraft</a>, <a href=\"https://profiles.wordpress.org/brianhogg\">Brian Hogg</a>, <a href=\"https://profiles.wordpress.org/krogsgard\">Brian Krogsgard</a>, <a href=\"https://profiles.wordpress.org/bronsonquick\">Bronson Quick</a>, <a href=\"https://profiles.wordpress.org/sixhours\">Caroline Moore</a>, <a href=\"https://profiles.wordpress.org/caseypatrickdriscoll\">Casey Driscoll</a>, <a href=\"https://profiles.wordpress.org/caspie\">Caspie</a>, <a href=\"https://profiles.wordpress.org/chandrapatel\">Chandra Patel</a>, <a href=\"https://profiles.wordpress.org/chaos-engine\">Chaos Engine</a>, <a href=\"https://profiles.wordpress.org/cheeserolls\">cheeserolls</a>, <a href=\"https://profiles.wordpress.org/chesio\">chesio</a>, <a href=\"https://profiles.wordpress.org/ketuchetan\">chetansatasiya</a>, <a href=\"https://profiles.wordpress.org/choongsavvii\">choong</a>, <a href=\"https://profiles.wordpress.org/chouby\">Chouby</a>, <a href=\"https://profiles.wordpress.org/chredd\">chredd</a>, <a href=\"https://profiles.wordpress.org/chrisjean\">Chris Jean</a>, <a href=\"https://profiles.wordpress.org/cmmarslender\">Chris Marslender</a>, <a href=\"https://profiles.wordpress.org/chris_d2d\">Chris Smith</a>, <a href=\"https://profiles.wordpress.org/chrisvanpatten\">Chris Van Patten</a>, <a href=\"https://profiles.wordpress.org/chriswiegman\">Chris Wiegman</a>, <a href=\"https://profiles.wordpress.org/chriscct7\">chriscct7</a>, <a href=\"https://profiles.wordpress.org/chriseverson\">chriseverson</a>, <a href=\"https://profiles.wordpress.org/christian1012\">Christian Chung</a>, <a href=\"https://profiles.wordpress.org/cwpnolen\">Christian Nolen</a>, <a href=\"https://profiles.wordpress.org/needle\">Christian Wach</a>, <a href=\"https://profiles.wordpress.org/christophherr\">Christoph Herr</a>, <a href=\"https://profiles.wordpress.org/clarionwpdeveloper\">Clarion Technologies</a>, <a href=\"https://profiles.wordpress.org/claudiosanches\">Claudio Sanches</a>, <a href=\"https://profiles.wordpress.org/claudiosmweb\">Claudio Sanches</a>, <a href=\"https://profiles.wordpress.org/claudiolabarbera\">ClaudioLaBarbera</a>, <a href=\"https://profiles.wordpress.org/codemovementpk\">codemovement.pk</a>, <a href=\"https://profiles.wordpress.org/coderkevin\">coderkevin</a>, <a href=\"https://profiles.wordpress.org/codfish\">codfish</a>, <a href=\"https://profiles.wordpress.org/coreymcollins\">coreymcollins</a>, <a href=\"https://profiles.wordpress.org/curdin\">Curdin Krummenacher</a>, <a href=\"https://profiles.wordpress.org/cgrymala\">Curtiss Grymala</a>, <a href=\"https://profiles.wordpress.org/cdog\">Cătălin Dogaru</a>, <a href=\"https://profiles.wordpress.org/danhgilmore\">danhgilmore</a>, <a href=\"https://profiles.wordpress.org/danielbachhuber\">Daniel Bachhuber </a>, <a href=\"https://profiles.wordpress.org/danielkanchev\">Daniel Kanchev</a>, <a href=\"https://profiles.wordpress.org/danielpietrasik\">Daniel Pietrasik</a>, <a href=\"https://profiles.wordpress.org/mte90\">Daniele Scasciafratte</a>, <a href=\"https://profiles.wordpress.org/dllh\">Daryl L. L. Houston (dllh)</a>, <a href=\"https://profiles.wordpress.org/davepullig\">Dave Pullig</a>, <a href=\"https://profiles.wordpress.org/goto10\">Dave Romsey (goto10)</a>, <a href=\"https://profiles.wordpress.org/davidakennedy\">David A. Kennedy</a>, <a href=\"https://profiles.wordpress.org/turtlepod\">David Chandra Purnama</a>, <a href=\"https://profiles.wordpress.org/dlh\">David Herrera</a>, <a href=\"https://profiles.wordpress.org/dglingren\">David Lingren</a>, <a href=\"https://profiles.wordpress.org/davidmosterd\">David Mosterd</a>, <a href=\"https://profiles.wordpress.org/dshanske\">David Shanske</a>, <a href=\"https://profiles.wordpress.org/davidbhayes\">davidbhayes</a>, <a href=\"https://profiles.wordpress.org/folletto\">Davide \'Folletto\' Casali</a>, <a href=\"https://profiles.wordpress.org/deeptiboddapati\">deeptiboddapati</a>, <a href=\"https://profiles.wordpress.org/delphinus\">delphinus</a>, <a href=\"https://profiles.wordpress.org/deltafactory\">deltafactory</a>, <a href=\"https://profiles.wordpress.org/denis-de-bernardy\">Denis de Bernardy</a>, <a href=\"https://profiles.wordpress.org/valendesigns\">Derek Herman</a>, <a href=\"https://profiles.wordpress.org/pcfreak30\">Derrick Hammer</a>, <a href=\"https://profiles.wordpress.org/derrickkoo\">Derrick Koo</a>, <a href=\"https://profiles.wordpress.org/dimchik\">dimchik</a>, <a href=\"https://profiles.wordpress.org/dineshc\">Dinesh Chouhan</a>, <a href=\"https://profiles.wordpress.org/dd32\">Dion Hulse</a>, <a href=\"https://profiles.wordpress.org/dipeshkakadiya\">dipeshkakadiya</a>, <a href=\"https://profiles.wordpress.org/dmsnell\">dmsnell</a>, <a href=\"https://profiles.wordpress.org/ocean90\">Dominik Schilling</a>, <a href=\"https://profiles.wordpress.org/dotancohen\">Dotan Cohen</a>, <a href=\"https://profiles.wordpress.org/dougwollison\">Doug Wollison</a>, <a href=\"https://profiles.wordpress.org/doughamlin\">doughamlin</a>, <a href=\"https://profiles.wordpress.org/dreamon11\">DreamOn11</a>, <a href=\"https://profiles.wordpress.org/drewapicture\">Drew Jaynes</a>, <a href=\"https://profiles.wordpress.org/duncanjbrown\">duncanjbrown</a>, <a href=\"https://profiles.wordpress.org/dungengronovius\">dungengronovius</a>, <a href=\"https://profiles.wordpress.org/dylanauty\">DylanAuty</a>, <a href=\"https://profiles.wordpress.org/hurtige\">Eddie Hurtig</a>, <a href=\"https://profiles.wordpress.org/oso96_2000\">Eduardo Reveles</a>, <a href=\"https://profiles.wordpress.org/chopinbach\">Edwin Cromley</a>, <a href=\"https://profiles.wordpress.org/electricfeet\">ElectricFeet</a>, <a href=\"https://profiles.wordpress.org/eliorivero\">Elio Rivero</a>, <a href=\"https://profiles.wordpress.org/iseulde\">Ella Iseulde Van Dorpe</a>, <a href=\"https://profiles.wordpress.org/elyobo\">elyobo</a>, <a href=\"https://profiles.wordpress.org/enodekciw\">enodekciw</a>, <a href=\"https://profiles.wordpress.org/enshrined\">enshrined</a>, <a href=\"https://profiles.wordpress.org/ericlewis\">Eric Andrew Lewis</a>, <a href=\"https://profiles.wordpress.org/pushred\">Eric Lanehart</a>, <a href=\"https://profiles.wordpress.org/eherman24\">Evan Herman</a>, <a href=\"https://profiles.wordpress.org/flixos90\">Felix Arntz</a>, <a href=\"https://profiles.wordpress.org/fencer04\">Fencer04</a>, <a href=\"https://profiles.wordpress.org/florianbrinkmann\">Florian Brinkmann</a>, <a href=\"https://profiles.wordpress.org/mista-flo\">Florian TIAR</a>, <a href=\"https://profiles.wordpress.org/foliovision\">FolioVision</a>, <a href=\"https://profiles.wordpress.org/fomenkoandrey\">fomenkoandrey</a>, <a href=\"https://profiles.wordpress.org/frank-klein\">Frank Klein</a>, <a href=\"https://profiles.wordpress.org/fjarrett\">Frankie Jarrett</a>, <a href=\"https://profiles.wordpress.org/frankiet\">frankiet</a>, <a href=\"https://profiles.wordpress.org/akeif\">Fred</a>, <a href=\"https://profiles.wordpress.org/frozzare\">Fredrik Forsmo</a>, <a href=\"https://profiles.wordpress.org/fuscata\">fuscata</a>, <a href=\"https://profiles.wordpress.org/gma992\">Gabriel Maldonado</a>, <a href=\"https://profiles.wordpress.org/garyj\">Gary Jones</a>, <a href=\"https://profiles.wordpress.org/pento\">Gary Pendergast</a>, <a href=\"https://profiles.wordpress.org/geekysoft\">Geeky Software</a>, <a href=\"https://profiles.wordpress.org/georgestephanis\">George Stephanis</a>, <a href=\"https://profiles.wordpress.org/goranseric\">Goran &#352;erić</a>, <a href=\"https://profiles.wordpress.org/grahamarmfield\">Graham Armfield</a>, <a href=\"https://profiles.wordpress.org/grantderepas\">Grant Derepas</a>, <a href=\"https://profiles.wordpress.org/tivnet\">Gregory Karpinsky (@tivnet)</a>, <a href=\"https://profiles.wordpress.org/hardeepasrani\">Hardeep Asrani</a>, <a href=\"https://profiles.wordpress.org/henrywright\">Henry Wright</a>, <a href=\"https://profiles.wordpress.org/hiddenpearls\">hiddenpearls</a>, <a href=\"https://profiles.wordpress.org/hnle\">Hinaloe</a>, <a href=\"https://profiles.wordpress.org/hristo-sg\">Hristo Pandjarov</a>, <a href=\"https://profiles.wordpress.org/hugobaeta\">Hugo Baeta</a>, <a href=\"https://profiles.wordpress.org/polevaultweb\">Iain Poulson</a>, <a href=\"https://profiles.wordpress.org/iamjolly\">iamjolly</a>, <a href=\"https://profiles.wordpress.org/iandunn\">Ian Dunn</a>, <a href=\"https://profiles.wordpress.org/ianedington\">Ian Edington</a>, <a href=\"https://profiles.wordpress.org/idealien\">idealien</a>, <a href=\"https://profiles.wordpress.org/igmoweb\">Ignacio Cruz Moreno</a>, <a href=\"https://profiles.wordpress.org/imath\">imath</a>, <a href=\"https://profiles.wordpress.org/imnok\">Imnok</a>, <a href=\"https://profiles.wordpress.org/implenton\">implenton</a>, <a href=\"https://profiles.wordpress.org/ionutst\">Ionut Stanciu</a>, <a href=\"https://profiles.wordpress.org/ipstenu\">Ipstenu (Mika Epstein)</a>, <a href=\"https://profiles.wordpress.org/krstarica\">Ivan</a>, <a href=\"https://profiles.wordpress.org/ivdimova\">ivdimova</a>, <a href=\"https://profiles.wordpress.org/jdgrimes\">J.D. Grimes</a>, <a href=\"https://profiles.wordpress.org/jakept\">Jacob Peattie</a>, <a href=\"https://profiles.wordpress.org/whyisjake\">Jake Spurlock</a>, <a href=\"https://profiles.wordpress.org/jnylen0\">James Nylen</a>, <a href=\"https://profiles.wordpress.org/jamesacero\">jamesacero</a>, <a href=\"https://profiles.wordpress.org/japh\">Japh</a>, <a href=\"https://profiles.wordpress.org/jaredcobb\">Jared Cobb</a>, <a href=\"https://profiles.wordpress.org/jayarjo\">jayarjo</a>, <a href=\"https://profiles.wordpress.org/jdolan\">jdolan</a>, <a href=\"https://profiles.wordpress.org/jdoubleu\">jdoubleu</a>, <a href=\"https://profiles.wordpress.org/jblz\">Jeff Bowen</a>, <a href=\"https://profiles.wordpress.org/cheffheid\">Jeffrey de Wit</a>, <a href=\"https://profiles.wordpress.org/jeremyfelt\">Jeremy Felt</a>, <a href=\"https://profiles.wordpress.org/jpry\">Jeremy Pry</a>, <a href=\"https://profiles.wordpress.org/jimt\">jimt</a>, <a href=\"https://profiles.wordpress.org/jipmoors\">Jip Moors</a>, <a href=\"https://profiles.wordpress.org/jmusal\">jmusal</a>, <a href=\"https://profiles.wordpress.org/joedolson\">Joe Dolson</a>, <a href=\"https://profiles.wordpress.org/joehoyle\">Joe Hoyle</a>, <a href=\"https://profiles.wordpress.org/joemcgill\">Joe McGill</a>, <a href=\"https://profiles.wordpress.org/joelcj91\">Joel James</a>, <a href=\"https://profiles.wordpress.org/johanmynhardt\">johanmynhardt</a>, <a href=\"https://profiles.wordpress.org/johnbillion\">John Blackbourn</a>, <a href=\"https://profiles.wordpress.org/zyphonic\">John Dittmar</a>, <a href=\"https://profiles.wordpress.org/johnjamesjacoby\">John James Jacoby</a>, <a href=\"https://profiles.wordpress.org/johnpbloch\">John P. Bloch</a>, <a href=\"https://profiles.wordpress.org/johnregan3\">John Regan</a>, <a href=\"https://profiles.wordpress.org/johnpgreen\">johnpgreen</a>, <a href=\"https://profiles.wordpress.org/kenshino\">Jon (Kenshino)</a>, <a href=\"https://profiles.wordpress.org/jonathanbardo\">Jonathan Bardo</a>, <a href=\"https://profiles.wordpress.org/jbrinley\">Jonathan Brinley</a>, <a href=\"https://profiles.wordpress.org/daggerhart\">Jonathan Daggerhart</a>, <a href=\"https://profiles.wordpress.org/desrosj\">Jonathan Desrosiers</a>, <a href=\"https://profiles.wordpress.org/spacedmonkey\">Jonny Harris</a>, <a href=\"https://profiles.wordpress.org/jonnyauk\">jonnyauk</a>, <a href=\"https://profiles.wordpress.org/jordesign\">jordesign</a>, <a href=\"https://profiles.wordpress.org/jorritschippers\">JorritSchippers</a>, <a href=\"https://profiles.wordpress.org/joefusco\">Joseph Fusco</a>, <a href=\"https://profiles.wordpress.org/jjeaton\">Josh Eaton</a>, <a href=\"https://profiles.wordpress.org/shelob9\">Josh Pollock</a>, <a href=\"https://profiles.wordpress.org/joshcummingsdesign\">joshcummingsdesign</a>, <a href=\"https://profiles.wordpress.org/joshkadis\">joshkadis</a>, <a href=\"https://profiles.wordpress.org/joyously\">Joy</a>, <a href=\"https://profiles.wordpress.org/jrf\">jrf</a>, <a href=\"https://profiles.wordpress.org/jrgould\">JRGould</a>, <a href=\"https://profiles.wordpress.org/juanfra\">Juanfra Aldasoro</a>, <a href=\"https://profiles.wordpress.org/juhise\">Juhi Saxena</a>, <a href=\"https://profiles.wordpress.org/nukaga\">Junko Nukaga</a>, <a href=\"https://profiles.wordpress.org/justinbusa\">Justin Busa</a>, <a href=\"https://profiles.wordpress.org/justinsainton\">Justin Sainton</a>, <a href=\"https://profiles.wordpress.org/jshreve\">Justin Shreve</a>, <a href=\"https://profiles.wordpress.org/jtsternberg\">Justin Sternberg</a>, <a href=\"https://profiles.wordpress.org/kadamwhite\">K.Adam White</a>, <a href=\"https://profiles.wordpress.org/kacperszurek\">kacperszurek</a>, <a href=\"https://profiles.wordpress.org/trepmal\">Kailey (trepmal)</a>, <a href=\"https://profiles.wordpress.org/kalenjohnson\">KalenJohnson</a>, <a href=\"https://profiles.wordpress.org/codebykat\">Kat Hagan</a>, <a href=\"https://profiles.wordpress.org/kkoppenhaver\">Keanan Koppenhaver</a>, <a href=\"https://profiles.wordpress.org/keesiemeijer\">keesiemeijer</a>, <a href=\"https://profiles.wordpress.org/kellbot\">kellbot</a>, <a href=\"https://profiles.wordpress.org/ryelle\">Kelly Dwan</a>, <a href=\"https://profiles.wordpress.org/khag7\">Kevin Hagerty</a>, <a href=\"https://profiles.wordpress.org/kwight\">Kirk Wight</a>, <a href=\"https://profiles.wordpress.org/kitchin\">kitchin</a>, <a href=\"https://profiles.wordpress.org/ixkaito\">Kite</a>, <a href=\"https://profiles.wordpress.org/kjbenk\">kjbenk</a>, <a href=\"https://profiles.wordpress.org/knutsp\">Knut Sparhell</a>, <a href=\"https://profiles.wordpress.org/koenschipper\">koenschipper</a>, <a href=\"https://profiles.wordpress.org/kokarn\">kokarn</a>, <a href=\"https://profiles.wordpress.org/kovshenin\">Konstantin Kovshenin</a>, <a href=\"https://profiles.wordpress.org/obenland\">Konstantin Obenland</a>, <a href=\"https://profiles.wordpress.org/kouratoras\">Konstantinos Kouratoras</a>, <a href=\"https://profiles.wordpress.org/kuchenundkakao\">kuchenundkakao</a>, <a href=\"https://profiles.wordpress.org/kuldipem\">kuldipem</a>, <a href=\"https://profiles.wordpress.org/laurelfulford\">Laurel Fulford</a>, <a href=\"https://profiles.wordpress.org/leewillis77\">Lee Willis</a>, <a href=\"https://profiles.wordpress.org/leobaiano\">Leo Baiano</a>, <a href=\"https://profiles.wordpress.org/littlebigthing\">LittleBigThings (Csaba)</a>, <a href=\"https://profiles.wordpress.org/lucasstark\">Lucas Stark</a>, <a href=\"https://profiles.wordpress.org/lukecavanagh\">Luke Cavanagh</a>, <a href=\"https://profiles.wordpress.org/lgedeon\">Luke Gedeon</a>, <a href=\"https://profiles.wordpress.org/lukepettway\">lukepettway</a>, <a href=\"https://profiles.wordpress.org/lyubomir_popov\">lyubomir_popov</a>, <a href=\"https://profiles.wordpress.org/mageshp\">mageshp</a>, <a href=\"https://profiles.wordpress.org/mahesh901122\">Mahesh Waghmare</a>, <a href=\"https://profiles.wordpress.org/mangeshp\">Mangesh Parte</a>, <a href=\"https://profiles.wordpress.org/manishsongirkar36\">Manish Songirkar</a>, <a href=\"https://profiles.wordpress.org/mantismamita\">mantismamita</a>, <a href=\"https://profiles.wordpress.org/mbootsman\">Marcel Bootsman</a>, <a href=\"https://profiles.wordpress.org/tyxla\">Marin Atanasov</a>, <a href=\"https://profiles.wordpress.org/mariovalney\">Mario Valney</a>, <a href=\"https://profiles.wordpress.org/clorith\">Marius L. J.</a>, <a href=\"https://profiles.wordpress.org/markjaquith\">Mark Jaquith</a>, <a href=\"https://profiles.wordpress.org/mrwweb\">Mark Root-Wiley</a>, <a href=\"https://profiles.wordpress.org/mapk\">Mark Uraine</a>, <a href=\"https://profiles.wordpress.org/markoheijnen\">Marko Heijnen</a>, <a href=\"https://profiles.wordpress.org/markshep\">markshep</a>, <a href=\"https://profiles.wordpress.org/matrixik\">matrixik</a>, <a href=\"https://profiles.wordpress.org/mjbanks\">Matt Banks</a>, <a href=\"https://profiles.wordpress.org/jaworskimatt\">Matt Jaworski</a>, <a href=\"https://profiles.wordpress.org/mattking5000\">Matt King</a>, <a href=\"https://profiles.wordpress.org/matt\">Matt Mullenweg</a>, <a href=\"https://profiles.wordpress.org/veraxus\">Matt van Andel</a>, <a href=\"https://profiles.wordpress.org/mattwiebe\">Matt Wiebe</a>, <a href=\"https://profiles.wordpress.org/mattheu\">Matthew Haines-Young</a>, <a href=\"https://profiles.wordpress.org/mattyrob\">mattyrob</a>, <a href=\"https://profiles.wordpress.org/maxcutler\">Max Cutler</a>, <a href=\"https://profiles.wordpress.org/maximeculea\">Maxime Culea</a>, <a href=\"https://profiles.wordpress.org/mayukojpn\">Mayo Moriyama</a>, <a href=\"https://profiles.wordpress.org/mbelchev\">mbelchev</a>, <a href=\"https://profiles.wordpress.org/mckernanin\">mckernanin</a>, <a href=\"https://profiles.wordpress.org/melchoyce\">Mel Choyce</a>, <a href=\"https://profiles.wordpress.org/mhowell\">mhowell</a>, <a href=\"https://profiles.wordpress.org/michaelarestad\">Michael Arestad</a>, <a href=\"https://profiles.wordpress.org/michael-arestad\">Michael Arestad</a>, <a href=\"https://profiles.wordpress.org/michalzuber\">michalzuber</a>, <a href=\"https://profiles.wordpress.org/mauteri\">Mike Auteri</a>, <a href=\"https://profiles.wordpress.org/mihai2u\">Mike Crantea</a>, <a href=\"https://profiles.wordpress.org/mdgl\">Mike Glendinning</a>, <a href=\"https://profiles.wordpress.org/mikehansenme\">Mike Hansen</a>, <a href=\"https://profiles.wordpress.org/mikelittle\">Mike Little</a>, <a href=\"https://profiles.wordpress.org/mikeschroder\">Mike Schroder</a>, <a href=\"https://profiles.wordpress.org/mikeviele\">Mike Viele</a>, <a href=\"https://profiles.wordpress.org/dimadin\">Milan Dinić</a>, <a href=\"https://profiles.wordpress.org/modemlooper\">modemlooper</a>, <a href=\"https://profiles.wordpress.org/batmoo\">Mohammad Jangda</a>, <a href=\"https://profiles.wordpress.org/deremohan\">Mohan Dere</a>, <a href=\"https://profiles.wordpress.org/monikarao\">monikarao</a>, <a href=\"https://profiles.wordpress.org/morettigeorgiev\">morettigeorgiev</a>, <a href=\"https://profiles.wordpress.org/morganestes\">Morgan Estes</a>, <a href=\"https://profiles.wordpress.org/mor10\">Morten Rand-Hendriksen</a>, <a href=\"https://profiles.wordpress.org/mt8biz\">moto hachi ( mt8.biz )</a>, <a href=\"https://profiles.wordpress.org/mrbobbybryant\">mrbobbybryant</a>, <a href=\"https://profiles.wordpress.org/nnaimov\">Naim Naimov</a>, <a href=\"https://profiles.wordpress.org/natereist\">Nate Reist</a>, <a href=\"https://profiles.wordpress.org/natewr\">NateWr</a>, <a href=\"https://profiles.wordpress.org/nathanrice\">nathanrice</a>, <a href=\"https://profiles.wordpress.org/nazgul\">Nazgul</a>, <a href=\"https://profiles.wordpress.org/greatislander\">Ned Zimmerman</a>, <a href=\"https://profiles.wordpress.org/celloexpressions\">Nick Halsey </a>, <a href=\"https://profiles.wordpress.org/nikeo\">Nicolas GUILLAUME</a>, <a href=\"https://profiles.wordpress.org/nikschavan\">Nikhil Chavan</a>, <a href=\"https://profiles.wordpress.org/nikv\">Nikhil Vimal</a>, <a href=\"https://profiles.wordpress.org/nbachiyski\">Nikolay Bachiyski</a>, <a href=\"https://profiles.wordpress.org/rabmalin\">Nilambar Sharma</a>, <a href=\"https://profiles.wordpress.org/noplanman\">noplanman</a>, <a href=\"https://profiles.wordpress.org/nullvariable\">nullvariable</a>, <a href=\"https://profiles.wordpress.org/odie2\">odie2</a>, <a href=\"https://profiles.wordpress.org/odysseygate\">odyssey</a>, <a href=\"https://profiles.wordpress.org/hideokamoto\">Okamoto Hidetaka</a>, <a href=\"https://profiles.wordpress.org/orvils\">orvils</a>, <a href=\"https://profiles.wordpress.org/oskosk\">oskosk</a>, <a href=\"https://profiles.wordpress.org/ottok\">Otto Kek&#228;l&#228;inen</a>, <a href=\"https://profiles.wordpress.org/ovann86\">ovann86</a>, <a href=\"https://profiles.wordpress.org/swissspidy\">Pascal Birchler</a>, <a href=\"https://profiles.wordpress.org/patilvikasj\">patilvikasj</a>, <a href=\"https://profiles.wordpress.org/pbearne\">Paul Bearne</a>, <a href=\"https://profiles.wordpress.org/paulwilde\">Paul Wilde</a>, <a href=\"https://profiles.wordpress.org/sirbrillig\">Payton Swick</a>, <a href=\"https://profiles.wordpress.org/pdufour\">pdufour</a>, <a href=\"https://profiles.wordpress.org/piewp\">Perdaan</a>, <a href=\"https://profiles.wordpress.org/peterwilsoncc\">Peter Wilson</a>, <a href=\"https://profiles.wordpress.org/phh\">phh</a>, <a href=\"https://profiles.wordpress.org/php\">php</a>, <a href=\"https://profiles.wordpress.org/delawski\">Piotr Delawski</a>, <a href=\"https://profiles.wordpress.org/pippinsplugins\">pippinsplugins</a>, <a href=\"https://profiles.wordpress.org/pjgalbraith\">pjgalbraith</a>, <a href=\"https://profiles.wordpress.org/pkevan\">pkevan</a>, <a href=\"https://profiles.wordpress.org/pratikchaskar\">Pratik</a>, <a href=\"https://profiles.wordpress.org/pressionate\">Pressionate</a>, <a href=\"https://profiles.wordpress.org/presskopp\">Presskopp</a>, <a href=\"https://profiles.wordpress.org/procodewp\">procodewp</a>, <a href=\"https://profiles.wordpress.org/quasel\">quasel</a>, <a href=\"https://profiles.wordpress.org/rachelbaker\">Rachel Baker</a>, <a href=\"https://profiles.wordpress.org/rahulsprajapati\">Rahul Prajapati</a>, <a href=\"https://profiles.wordpress.org/superpoincare\">Ramanan</a>, <a href=\"https://profiles.wordpress.org/ramiy\">Rami Yushuvaev</a>, <a href=\"https://profiles.wordpress.org/ramiabraham\">ramiabraham</a>, <a href=\"https://profiles.wordpress.org/ranh\">ranh</a>, <a href=\"https://profiles.wordpress.org/redsand\">Red Sand Media Group</a>, <a href=\"https://profiles.wordpress.org/youknowriad\">Riad Benguella</a>, <a href=\"https://profiles.wordpress.org/rianrietveld\">Rian Rietveld</a>, <a href=\"https://profiles.wordpress.org/iamfriendly\">Richard Tape</a>, <a href=\"https://profiles.wordpress.org/rpayne7264\">Robert D Payne</a>, <a href=\"https://profiles.wordpress.org/rnoakes3rd\">Robert Noakes</a>, <a href=\"https://profiles.wordpress.org/d4z_c0nf\">Rocco Aliberti</a>, <a href=\"https://profiles.wordpress.org/rodrigosprimo\">Rodrigo Primo</a>, <a href=\"https://profiles.wordpress.org/rommelxcastro\">Rommel Castro</a>, <a href=\"https://profiles.wordpress.org/fronaldaraujo\">Ronald Ara&#250;jo</a>, <a href=\"https://profiles.wordpress.org/magicroundabout\">Ross Wintle</a>, <a href=\"https://profiles.wordpress.org/guavaworks\">Roy Sivan</a>, <a href=\"https://profiles.wordpress.org/ryankienstra\">Ryan Kienstra</a>, <a href=\"https://profiles.wordpress.org/rmccue\">Ryan McCue</a>, <a href=\"https://profiles.wordpress.org/ryanplas\">Ryan Plas</a>, <a href=\"https://profiles.wordpress.org/welcher\">Ryan Welcher</a>, <a href=\"https://profiles.wordpress.org/salcode\">Sal Ferrarello</a>, <a href=\"https://profiles.wordpress.org/samikeijonen\">Sami Keijonen</a>, <a href=\"https://profiles.wordpress.org/solarissmoke\">Samir Shah</a>, <a href=\"https://profiles.wordpress.org/samuelsidler\">Samuel Sidler</a>, <a href=\"https://profiles.wordpress.org/sandesh055\">Sandesh</a>, <a href=\"https://profiles.wordpress.org/smyoon315\">Sang-Min Yoon</a>, <a href=\"https://profiles.wordpress.org/sanketparmar\">Sanket Parmar</a>, <a href=\"https://profiles.wordpress.org/pollyplummer\">Sarah Gooding</a>, <a href=\"https://profiles.wordpress.org/sayedwp\">Sayed Taqui</a>, <a href=\"https://profiles.wordpress.org/schrapel\">schrapel</a>, <a href=\"https://profiles.wordpress.org/coffee2code\">Scott Reilly</a>, <a href=\"https://profiles.wordpress.org/wonderboymusic\">Scott Taylor</a>, <a href=\"https://profiles.wordpress.org/scrappyhuborg\">scrappy@hub.org</a>, <a href=\"https://profiles.wordpress.org/scribu\">scribu</a>, <a href=\"https://profiles.wordpress.org/seancjones\">seancjones</a>, <a href=\"https://profiles.wordpress.org/sebastianpisula\">Sebastian Pisula</a>, <a href=\"https://profiles.wordpress.org/sergeybiryukov\">Sergey Biryukov</a>, <a href=\"https://profiles.wordpress.org/sgr33n\">Sergio De Falco</a>, <a href=\"https://profiles.wordpress.org/sfpt\">sfpt</a>, <a href=\"https://profiles.wordpress.org/shayanys\">shayanys</a>, <a href=\"https://profiles.wordpress.org/shazahm1hotmailcom\">shazahm1</a>, <a href=\"https://profiles.wordpress.org/shprink\">shprink</a>, <a href=\"https://profiles.wordpress.org/simonlampen\">simonlampen</a>, <a href=\"https://profiles.wordpress.org/skippy\">skippy</a>, <a href=\"https://profiles.wordpress.org/smerriman\">smerriman</a>, <a href=\"https://profiles.wordpress.org/snacking\">snacking</a>, <a href=\"https://profiles.wordpress.org/soean\">Soeren Wrede</a>, <a href=\"https://profiles.wordpress.org/solal\">solal</a>, <a href=\"https://profiles.wordpress.org/sstoqnov\">Stanimir Stoyanov</a>, <a href=\"https://profiles.wordpress.org/metodiew\">Stanko Metodiev</a>, <a href=\"https://profiles.wordpress.org/sharkomatic\">Steph</a>, <a href=\"https://profiles.wordpress.org/sswells\">Steph Wells</a>, <a href=\"https://profiles.wordpress.org/sillybean\">Stephanie Leary</a>, <a href=\"https://profiles.wordpress.org/netweb\">Stephen Edgar</a>, <a href=\"https://profiles.wordpress.org/stephenharris\">Stephen Harris</a>, <a href=\"https://profiles.wordpress.org/stevenkword\">Steven Word</a>, <a href=\"https://profiles.wordpress.org/stevenlinx\">stevenlinx</a>, <a href=\"https://profiles.wordpress.org/stubgo\">stubgo</a>, <a href=\"https://profiles.wordpress.org/sudar\">Sudar Muthu</a>, <a href=\"https://profiles.wordpress.org/patilswapnilv\">Swapnil V. Patil</a>, <a href=\"https://profiles.wordpress.org/swapnild\">swapnild</a>, <a href=\"https://profiles.wordpress.org/szaqal21\">szaqal21</a>, <a href=\"https://profiles.wordpress.org/takahashi_fumiki\">Takahashi Fumiki</a>, <a href=\"https://profiles.wordpress.org/miyauchi\">Takayuki Miyauchi</a>, <a href=\"https://profiles.wordpress.org/karmatosed\">Tammie Lister</a>, <a href=\"https://profiles.wordpress.org/tapsboy\">tapsboy</a>, <a href=\"https://profiles.wordpress.org/tlovett1\">Taylor Lovett</a>, <a href=\"https://profiles.wordpress.org/team\">team</a>, <a href=\"https://profiles.wordpress.org/tg29359\">tg29359</a>, <a href=\"https://profiles.wordpress.org/tharsheblows\">tharsheblows</a>, <a href=\"https://profiles.wordpress.org/the\">the</a>, <a href=\"https://profiles.wordpress.org/themeshaper\">themeshaper</a>, <a href=\"https://profiles.wordpress.org/thenbrent\">thenbrent</a>, <a href=\"https://profiles.wordpress.org/thomaswm\">thomaswm</a>, <a href=\"https://profiles.wordpress.org/tfrommen\">Thorsten Frommen</a>, <a href=\"https://profiles.wordpress.org/tierra\">tierra</a>, <a href=\"https://profiles.wordpress.org/tnash\">Tim Nash</a>, <a href=\"https://profiles.wordpress.org/timmydcrawford\">Timmy Crawford</a>, <a href=\"https://profiles.wordpress.org/timothyblynjacobs\">Timothy Jacobs</a>, <a href=\"https://profiles.wordpress.org/timph\">timph</a>, <a href=\"https://profiles.wordpress.org/tkama\">Tkama</a>, <a href=\"https://profiles.wordpress.org/tnegri\">tnegri</a>, <a href=\"https://profiles.wordpress.org/tomauger\">Tom Auger</a>, <a href=\"https://profiles.wordpress.org/tjnowell\">Tom J Nowell</a>, <a href=\"https://profiles.wordpress.org/tomdxw\">tomdxw</a>, <a href=\"https://profiles.wordpress.org/toro_unit\">Toro_Unit (Hiroshi Urabe)</a>, <a href=\"https://profiles.wordpress.org/zodiac1978\">Torsten Landsiedel</a>, <a href=\"https://profiles.wordpress.org/transl8or\">transl8or</a>, <a href=\"https://profiles.wordpress.org/traversal\">traversal</a>, <a href=\"https://profiles.wordpress.org/wpsmith\">Travis Smith</a>, <a href=\"https://profiles.wordpress.org/nmt90\">Triet Minh</a>, <a href=\"https://profiles.wordpress.org/trishasalas\">Trisha Salas</a>, <a href=\"https://profiles.wordpress.org/tristangemus\">tristangemus</a>, <a href=\"https://profiles.wordpress.org/truongwp\">Truong Giang</a>, <a href=\"https://profiles.wordpress.org/tsl143\">tsl143</a>, <a href=\"https://profiles.wordpress.org/tywayne\">Ty Carlson</a>, <a href=\"https://profiles.wordpress.org/grapplerulrich\">Ulrich</a>, <a href=\"https://profiles.wordpress.org/utkarshpatel\">Utkarsh</a>, <a href=\"https://profiles.wordpress.org/valeriutihai\">Valeriu Tihai</a>, <a href=\"https://profiles.wordpress.org/vishalkakadiya\">Vishal Kakadiya</a>, <a href=\"https://profiles.wordpress.org/voldemortensen\">voldemortensen</a>, <a href=\"https://profiles.wordpress.org/vortfu\">vortfu</a>, <a href=\"https://profiles.wordpress.org/vrundakansara-1\">Vrunda Kansara</a>, <a href=\"https://profiles.wordpress.org/webbgaraget\">webbgaraget</a>, <a href=\"https://profiles.wordpress.org/webmandesign\">WebMan Design &#124; Oliver Juhas</a>, <a href=\"https://profiles.wordpress.org/websupporter\">websupporter</a>, <a href=\"https://profiles.wordpress.org/westonruter\">Weston Ruter</a>, <a href=\"https://profiles.wordpress.org/earnjam\">William Earnhardt</a>, <a href=\"https://profiles.wordpress.org/williampatton\">williampatton</a>, <a href=\"https://profiles.wordpress.org/wolly\">Wolly aka Paolo Valenti</a>, <a href=\"https://profiles.wordpress.org/wraithkenny\">WraithKenny</a>, <a href=\"https://profiles.wordpress.org/yale01\">yale01</a>, <a href=\"https://profiles.wordpress.org/yoavf\">Yoav Farhi</a>, <a href=\"https://profiles.wordpress.org/yogasukma\">Yoga Sukma</a>, <a href=\"https://profiles.wordpress.org/oxymoron\">Zach Wills</a>, <a href=\"https://profiles.wordpress.org/tollmanz\">Zack Tollman</a>, <a href=\"https://profiles.wordpress.org/vanillalounge\">Ze Fontainhas</a>, <a href=\"https://profiles.wordpress.org/zhildzik\">zhildzik</a>, and <a href=\"https://profiles.wordpress.org/zsusag\">zsusag</a>.\n<p>&nbsp;<br />\nSpecial thanks go to <a href=\"https://ramiabraham.com/\">Rami Abraham</a> for producing the release video and the many fine haiku we saw in the <a href=\"https://wordpress.org/news/2016/10/wordpress-4-7-beta-1/\">beta</a> and <a href=\"https://wordpress.org/news/2016/11/wordpress-4-7-release-candidate/\">RC</a> announcement posts.</p>\n<p>Finally, thanks to all the community translators who worked on WordPress 4.7. Their efforts bring WordPress 4.7 fully translated to 52 languages at release time with more on the way. Additionally, the WordPress 4.7 release video has been captioned into 44 languages.</p>\n<p>If you want to follow along or help out, check out <a href=\"https://make.wordpress.org/\">Make WordPress</a> and our <a href=\"https://make.wordpress.org/core/\">core development blog</a>. Thanks for choosing WordPress &#8211; we hope you enjoy!</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"4596\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:33:\"\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Moving Toward SSL\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/news/2016/12/moving-toward-ssl/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 01 Dec 2016 17:20:29 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=4588\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:327:\"We’re at a turning point: 2017 is going to be the year that we’re going to see features in WordPress which require hosts to have HTTPS available. Just as JavaScript is a near necessity for smoother user experiences and more modern PHP versions are critical for performance, SSL just makes sense as the next hurdle [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1627:\"<p>We’re at a turning point: 2017 is going to be the year that we’re going to see features in WordPress which require hosts to have HTTPS available. Just as JavaScript is a near necessity for smoother user experiences and more modern PHP versions are critical for performance, SSL just makes sense as the next hurdle our users are going to face.</p>\n<p>SSL basically means the link between your browser and the server is encrypted. SSL used to be difficult to implement, and often expensive or slow. Modern browsers, and the incredible success of projects like <a href=\"https://letsencrypt.org/\">Let&#8217;s Encrypt</a> have made getting a certificate to secure your site fast, free, and something we think every host should support by default, especially in a post-Snowden era. Google also weighs <a href=\"https://security.googleblog.com/2014/08/https-as-ranking-signal_6.html\">SSL as a search engine ranking factor</a> and will begin <a href=\"http://motherboard.vice.com/read/google-will-soon-shame-all-websites-that-are-unencrypted-chrome-https\">flagging unencrypted sites in Chrome</a>.</p>\n<p>First, early in 2017, we will only promote hosting partners that provide a SSL certificate by default in their accounts. Later we will begin to assess which features, such as API authentication, would benefit the most from SSL and make them only enabled when SSL is there.</p>\n<p>Separately, I also think the performance improvements in PHP7 are particularly impressive, and major kudos to everyone who worked on that. We will consider whether hosts use PHP7 by default for new accounts next year as well.</p>\n<p>&nbsp;</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"4588\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:33:\"\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"WordPress 4.7 Release Candidate\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"https://wordpress.org/news/2016/11/wordpress-4-7-release-candidate/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 24 Nov 2016 04:26:23 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=4579\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:328:\"The release candidate for WordPress 4.7 is now available. RC means we think we’re done, but with millions of users and thousands of plugins and themes, it’s possible we’ve missed something. We hope to ship WordPress 4.7 on Tuesday, December 6, but we need your help to get there. If you haven’t tested 4.7 yet, [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Helen Hou-Sandi\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4331:\"<p>The release candidate for WordPress 4.7 is now available.</p>\n<p>RC means we think we’re done, but with millions of users and thousands of plugins and themes, it’s possible we’ve missed something. We hope to ship WordPress 4.7 on <strong>Tuesday, December 6</strong>, but we need <em>your</em> help to get there. If you haven’t tested 4.7 yet, now is the time! To test WordPress 4.7, you can use the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin or you can <a href=\"https://wordpress.org/wordpress-4.7-RC1.zip\">download the release candidate here</a> (zip).</p>\n<p>WordPress 4.7 is a jam-packed release, with a number of features focused on getting a theme set up for the first time. Highlights include a <a href=\"http://2017.wordpress.net/\">new default theme</a>, video headers, custom CSS, customizer edit shortcuts, PDF thumbnail previews, user admin languages, REST API content endpoints, post type templates, and more.</p>\n<p>We’ve made <a href=\"https://core.trac.wordpress.org/log/trunk/src?action=stop_on_copy&amp;mode=stop_on_copy&amp;rev=39353&amp;stop_rev=39263&amp;limit=200&amp;verbose=on&amp;sfp_email=&amp;sfph_mail=\">quite a few refinements</a> since releasing Beta 4 a week ago, including usability and accessibility enhancements for video headers, media and page template support in starter content, and polishing of how custom CSS can be migrated to and extended by plugins and themes. The REST API endpoints saw a number of bugfixes and notably now have anonymous comment off by default.</p>\n<p>Not sure where to start with testing? Try setting up a fresh site on a new installation with Twenty Seventeen (hint: head into customizing your site before touching any pages or widgets) and taking notes on what you enjoyed and what got you stuck. For more details about what&#8217;s new in version 4.7, check out the <a href=\"https://wordpress.org/news/2016/10/wordpress-4-7-beta-1/\">Beta 1</a>, <a href=\"https://wordpress.org/news/2016/11/wordpress-4-7-beta-2/\">Beta 2</a>, <a href=\"https://wordpress.org/news/2016/11/wordpress-4-7-beta-3/\">Beta 3</a>, and <a href=\"https://wordpress.org/news/2016/11/wordpress-4-7-beta-4/\">Beta 4</a> blog posts.</p>\n<p><strong>Think you’ve found a bug?</strong> Please post to the <a href=\"https://wordpress.org/support/forum/alphabeta/\">Alpha/Beta support forum</a>. If any known issues come up, you’ll be able to <a href=\"https://core.trac.wordpress.org/report/5\">find them here</a>.</p>\n<p><strong>Developers</strong>, please test your plugins and themes against WordPress 4.7 and update your plugin’s <em>Tested up to</em> version in the readme to 4.7. If you find compatibility problems please be sure to post to the support forums so we can figure those out before the final release – we work hard to avoid breaking things. An in-depth field guide to developer-focused changes is coming soon on the <a href=\"https://make.wordpress.org/core/\">core development blog</a>.</p>\n<p>Do you speak a language other than English? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help us translate WordPress into more than 100 languages!</a> And if you haven&#8217;t yet done so, now is a great time to <a href=\"https://wordpressdotorg.polldaddy.com/s/wordpress-2016-survey\">take the Annual WordPress Survey</a> and send it on to your friends.</p>\n<p>Happy testing! And now for another <a href=\"https://profiles.wordpress.org/ramiabraham\">Rami Abraham</a> haiku break.</p>\n<p><em>Select your language</em><br />\n<em>Then let your users choose theirs</em><br />\n<em><code>get_user_locale()</code></em></p>\n<p><em>Theme authors rejoice</em><br />\n<em>Any option may employ</em><br />\n<em>Selective refresh</em></p>\n<p><em>Custom header video</em><br />\n<em>Make sure to <code>add_theme_support</code></em><br />\n<em>Bling above the fold</em></p>\n<p><em>A new template dawns</em><br />\n<em>A hierarchy member</em><br />\n<em>Post-type templates live</em></p>\n<p><em>PDF updates</em><br />\n<em>Pack a parade of polish</em><br />\n<em>Prettier previews</em></p>\n<p><em>Template Post Type: New</em><br />\n<em>Template Post Type: And Useful</em><br />\n<em>Template Post Type: Thing</em></p>\n<p><em>Let lists live lively</em><br />\n<em>Laud <code>wp_list_sort()</code></em><br />\n<em>Less laconic lists</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"4579\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:33:\"\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"WordPress 4.7 Beta 4\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/news/2016/11/wordpress-4-7-beta-4/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 16 Nov 2016 01:51:52 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=4576\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:329:\"WordPress 4.7 Beta 4 is now available! This software is still in development, so we don’t recommend you run it on a production site. Consider setting up a test site just to play with the new version. To test WordPress 4.7, try the WordPress Beta Tester plugin (you’ll want “bleeding edge nightlies”). Or you can [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Helen Hou-Sandi\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:2019:\"<p>WordPress 4.7 Beta 4 is now available!</p>\n<p><strong>This software is still in development,</strong> so we don’t recommend you run it on a production site. Consider setting up a test site just to play with the new version. To test WordPress 4.7, try the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (you’ll want “bleeding edge nightlies”). Or you can <a href=\"https://wordpress.org/wordpress-4.7-beta4.zip\">download the beta here</a> (zip).</p>\n<p>For more information on what’s new in 4.7, check out the <a href=\"https://wordpress.org/news/2016/10/wordpress-4-7-beta-1/\">Beta 1,</a> <a href=\"https://wordpress.org/news/2016/11/wordpress-4-7-beta-2/\">Beta 2</a>, and <a href=\"https://wordpress.org/news/2016/11/wordpress-4-7-beta-3/\">Beta 3</a> blog posts, along with <a href=\"https://make.wordpress.org/core/tag/4-7+dev-notes/\">in-depth developer guides on make/core</a>. We’ve made <a href=\"https://core.trac.wordpress.org/log/trunk/src?action=stop_on_copy&amp;mode=stop_on_copy&amp;rev=39262&amp;stop_rev=39201&amp;limit=200&amp;verbose=on&amp;sfp_email=&amp;sfph_mail=\">about 60 changes</a> in the last few days for beta 4, including tweaks to Twenty Seventeen, custom CSS, and the REST API content endpoints.</p>\n<p>Do you speak a language other than English? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help us translate WordPress into more than 100 languages!</a></p>\n<p><strong>If you think you’ve found a bug</strong>, you can post to the <a href=\"https://wordpress.org/support/forum/alphabeta\">Alpha/Beta area</a> in the support forums. We’d love to hear from you! If you’re comfortable writing a reproducible bug report, <a href=\"https://make.wordpress.org/core/reports/\">file one on WordPress Trac</a>, where you can also find <a href=\"https://core.trac.wordpress.org/tickets/major\">a list of known bugs</a>.</p>\n<p><em>We are almost there<br />\nPlease test your plugins and themes<br />\nRC coming soon<br />\n</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"4576\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:33:\"\n		\n		\n		\n		\n				\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"WordCamp US 2017-2018 in Nashville\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:70:\"https://wordpress.org/news/2016/11/wordcamp-us-2017-2018-in-nashville/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 15 Nov 2016 23:24:17 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"WordCamp\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=4571\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:330:\"The title says it all. We had some great applications for cities to host WordCamp US after we finish up in Philadelphia this year, and the city chosen for 2017-2018 is Nashville, Tennessee. Based on the other great applications we got I&#8217;m also excited about the pipeline of communities that could host it in future [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:1022:\"<p><img class=\"aligncenter\" src=\"https://i0.wp.com/wpdotorg.files.wordpress.com/2008/07/27492741871_c6fcebcad3_k-e1479248587522.jpg?resize=632%2C253&#038;ssl=1\" data-recalc-dims=\"1\" /></p>\n<p>The title says it all. We had some great applications for cities to host <a href=\"http://us.wordcamp.org/\">WordCamp US</a> after we finish up in Philadelphia this year, and the city chosen for 2017-2018 is <strong>Nashville, Tennessee</strong>.</p>\n<p>Based on the other great applications we got I&#8217;m also excited about the pipeline of communities that could host it in future years as WordCamp US travels across the United States and gives us an opportunity to learn and love a new city, as we have with Philadelphia.</p>\n<p>By the way, if you haven&#8217;t yet, now is a great time to <a href=\"https://wordpressdotorg.polldaddy.com/s/wordpress-2016-survey\">take the Annual WordPress Survey</a> and ask your friends to as well.</p>\n<p><a href=\"https://www.flickr.com/photos/143951935@N07/27492741871\">Photo Credit</a>.</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"4571\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:39:\"\n		\n		\n		\n		\n				\n		\n		\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"WordPress 4.7 Beta 3\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/news/2016/11/wordpress-4-7-beta-3/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 11 Nov 2016 03:30:52 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"4.7\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=4566\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:329:\"WordPress 4.7 Beta 3 is now available! This software is still in development, so we don’t recommend you run it on a production site. Consider setting up a test site just to play with the new version. To test WordPress 4.7, try the WordPress Beta Tester plugin (you’ll want “bleeding edge nightlies”). Or you can [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Helen Hou-Sandi\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:3120:\"<p>WordPress 4.7 Beta 3 is now available!</p>\n<p><strong>This software is still in development,</strong> so we don’t recommend you run it on a production site. Consider setting up a test site just to play with the new version. To test WordPress 4.7, try the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (you’ll want “bleeding edge nightlies”). Or you can <a href=\"https://wordpress.org/wordpress-4.7-beta3.zip\">download the beta here</a> (zip).</p>\n<p>For more information on what’s new in 4.7, check out the <a href=\"https://wordpress.org/news/2016/10/wordpress-4-7-beta-1/\">Beta 1</a> and <a href=\"https://wordpress.org/news/2016/11/wordpress-4-7-beta-2/\">Beta 2</a> blog posts, along with <a href=\"https://make.wordpress.org/core/tag/4-7+dev-notes/\">in-depth field guides on make/core</a>. Some of the changes in Beta 3 include:</p>\n<ul>\n<li><strong>REST API:</strong> The <code>unfiltered_html</code> capability is now respected and <code>rest_base</code> has been added to response objects of <code>wp/v2/taxonomies</code> and <code>wp/v2/types</code>, while <code>get_allowed_query_vars()</code> and the <code>rest_get_post</code> filter have been removed.</li>\n<li><strong>Roles/Capabilities:</strong> Added meta-caps for comment, term, and user meta, which are currently only used in the REST API.</li>\n<li><strong>I18N:</strong> Added the ability to change user&#8217;s locale back to site&#8217;s locale. (<a href=\"https://core.trac.wordpress.org/ticket/38632\">#38632</a>)</li>\n<li><strong>Custom CSS:</strong> Renamed the <code>unfiltered_css</code> meta capability to <code>edit_css</code> and added revisions support to the <code>custom_css</code> post type.</li>\n<li><strong>Edit shortcuts:</strong> Theme authors should take a look at <a href=\"https://make.wordpress.org/core/2016/11/10/visible-edit-shortcuts-in-the-customizer-preview/\">the developer guide to the customizer preview&#8217;s visible edit shortcuts</a> and update their themes to take advantage of them if not already implementing selective refresh.</li>\n<li><strong>Various bug fixes:</strong> We’ve made <a href=\"https://core.trac.wordpress.org/log/trunk/src?action=stop_on_copy&amp;mode=stop_on_copy&amp;rev=39200&amp;stop_rev=39143&amp;limit=200&amp;verbose=on&amp;sfp_email=&amp;sfph_mail=\">over 50 changes</a> in the last week.</li>\n</ul>\n<p>Do you speak a language other than English? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help us translate WordPress into more than 100 languages!</a></p>\n<p><strong>If you think you’ve found a bug</strong>, you can post to the <a href=\"https://wordpress.org/support/forum/alphabeta\">Alpha/Beta area</a> in the support forums. We’d love to hear from you! If you’re comfortable writing a reproducible bug report, <a href=\"https://make.wordpress.org/core/reports/\">file one on WordPress Trac</a>, where you can also find <a href=\"https://core.trac.wordpress.org/tickets/major\">a list of known bugs</a>.</p>\n<p><em>Building the future</em><br />\n<em>A global community</em><br />\n<em>Stronger together</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"4566\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:39:\"\n		\n		\n		\n		\n				\n		\n		\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"WordPress 4.7 Beta 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/news/2016/11/wordpress-4-7-beta-2/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 04 Nov 2016 17:39:07 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"4.7\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=4552\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:329:\"WordPress 4.7 Beta 2 is now available! This software is still in development, so we don’t recommend you run it on a production site. Consider setting up a test site just to play with the new version. To test WordPress 4.7, try the WordPress Beta Tester plugin (you’ll want “bleeding edge nightlies”). Or you can [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Helen Hou-Sandi\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:4240:\"<p>WordPress 4.7 Beta 2 is now available!</p>\n<p><strong>This software is still in development,</strong> so we don’t recommend you run it on a production site. Consider setting up a test site just to play with the new version. To test WordPress 4.7, try the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (you’ll want “bleeding edge nightlies”). Or you can <a href=\"https://wordpress.org/wordpress-4.7-beta2.zip\">download the beta here</a> (zip).</p>\n<p>Notable changes since WordPress 4.7 Beta 1:</p>\n<ul>\n<li><strong>Twenty Seventeen:</strong> The theme wasn&#8217;t being installed on upgrades &#8211; sorry about that! Now you should see it if you&#8217;re upgrading an existing site. There are also plenty of fixes, especially for the header and small screen views.</li>\n<li><strong>Edit shortcuts:</strong> These are always visible while editing (hide them on bigger screens by collapsing the controls) and should now work properly in Firefox. (<a href=\"https://core.trac.wordpress.org/ticket/27403\">#27403</a> and <a href=\"https://core.trac.wordpress.org/ticket/38532\">#38532</a>)</li>\n<li><strong>REST API endpoints:</strong> There have been a number of changes over the past week; your attention is requested on the following:\n<ul>\n<li>The <code>DELETE</code> response format has changed and may need to be accounted for. (<a href=\"https://core.trac.wordpress.org/ticket/38494\">#38494</a>)</li>\n<li>Enabled querying by multiple post statuses. (<a href=\"https://core.trac.wordpress.org/ticket/38420\">#38420</a>)</li>\n<li>Return an error when JSON decoding fails. (<a href=\"https://core.trac.wordpress.org/ticket/38547\">#38547</a>)</li>\n</ul>\n</li>\n<li><strong>More developer notes</strong>\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2016/10/28/fine-grained-capabilities-for-taxonomy-terms-in-4-7/\">Fine grained capabilities for taxonomy terms</a></li>\n<li><a href=\"https://make.wordpress.org/core/2016/10/29/wp_taxonomy-in-4-7/\"><code>WP_Taxonomy</code></a></li>\n<li><a href=\"https://make.wordpress.org/core/2016/11/02/wp_list_sort-and-wp_list_util-in-4-7/\"><code>wp_list_sort()</code> and <code>WP_List_Util</code></a></li>\n<li><a href=\"https://make.wordpress.org/core/2016/11/03/post-type-templates-in-4-7/\">Post type templates</a></li>\n<li><a href=\"https://make.wordpress.org/core/2016/11/03/new-post-type-labels-in-4-7/\">New post type labels</a></li>\n<li><a href=\"https://make.wordpress.org/core/2016/11/03/attributes-for-resource-hints-in-4-7/\">Attributes for resource hints</a></li>\n</ul>\n</li>\n<li><strong>Various bug fixes:</strong> We’ve made <a href=\"https://core.trac.wordpress.org/log/trunk/src?action=stop_on_copy&amp;mode=stop_on_copy&amp;rev=39142&amp;stop_rev=38995&amp;limit=200&amp;verbose=on&amp;sfp_email=&amp;sfph_mail=\">almost 150 changes</a> in the last week.</li>\n</ul>\n<p>For more of what’s new in version 4.7, <a href=\"https://wordpress.org/news/2016/10/wordpress-4-7-beta-1/\">check out the Beta 1 blog post</a>.</p>\n<p>If you want a more in-depth view of what major changes have made it into 4.7, <a href=\"https://make.wordpress.org/core/tag/4-7/\">check out posts tagged with 4.7 on the main development blog</a>, or look at a <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;resolution=fixed&amp;milestone=4.7&amp;group=component&amp;order=priority\">list of everything</a> that’s changed. There will be more developer notes to come, so keep an eye out for those as well.</p>\n<p>Do you speak a language other than English? <a href=\"https://translate.wordpress.org/projects/wp/dev\">Help us translate WordPress into more than 100 languages!</a></p>\n<p><strong>If you think you’ve found a bug</strong>, you can post to the <a href=\"https://wordpress.org/support/forum/alphabeta\">Alpha/Beta area</a> in the support forums. We’d love to hear from you! If you’re comfortable writing a reproducible bug report, <a href=\"https://make.wordpress.org/core/reports/\">file one on WordPress Trac</a>, where you can also find <a href=\"https://core.trac.wordpress.org/tickets/major\">a list of known bugs</a>.</p>\n<p>Happy testing!</p>\n<p><em>Ya es la hora</em><br />\n<em> Time for another beta</em><br />\n请您帮下忙!</p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"4552\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:39:\"\n		\n		\n		\n		\n				\n		\n		\n\n		\n		\n				\n			\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:4:{s:0:\"\";a:6:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:20:\"WordPress 4.7 Beta 1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/news/2016/10/wordpress-4-7-beta-1/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 28 Oct 2016 04:30:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"category\";a:3:{i:0;a:5:{s:4:\"data\";s:11:\"Development\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:1;a:5:{s:4:\"data\";s:8:\"Releases\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}i:2;a:5:{s:4:\"data\";s:3:\"4.7\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=4535\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:329:\"WordPress 4.7 Beta 1 is now available! This software is still in development, so we don’t recommend you run it on a production site. Consider setting up a test site just to play with the new version. To test WordPress 4.7, try the WordPress Beta Tester plugin (you’ll want “bleeding edge nightlies”). Or you can [&#8230;]\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Helen Hou-Sandi\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:40:\"http://purl.org/rss/1.0/modules/content/\";a:1:{s:7:\"encoded\";a:1:{i:0;a:5:{s:4:\"data\";s:6895:\"<p>WordPress 4.7 Beta 1 is now available!</p>\n<p><strong>This software is still in development,</strong> so we don’t recommend you run it on a production site. Consider setting up a test site just to play with the new version. To test WordPress 4.7, try the <a href=\"https://wordpress.org/plugins/wordpress-beta-tester/\">WordPress Beta Tester</a> plugin (you’ll want “bleeding edge nightlies”). Or you can <a href=\"https://wordpress.org/wordpress-4.7-beta1.zip\">download the beta here</a> (zip).</p>\n<p>WordPress 4.7 is slated for release on <a href=\"https://make.wordpress.org/core/4-7/\">December 6</a>, but we need your help to get there. We&#8217;ve been working on a lot of things, many of them to make getting your site set up the way you want it much easier. Here are some of the bigger items to test and help us find as many bugs as possible in the coming weeks:</p>\n<ul>\n<li><a href=\"http://2017.wordpress.net/\"><strong>Twenty Seventeen</strong></a> &#8211; A brand new default theme brings your site to life with immersive featured images, video headers, and subtle animations. With a focus on business sites, it features multiple sections on the front page as well as widgets, navigation and social menus, a logo, and more. Personalize its asymmetrical grid with a custom color scheme and showcase your multimedia content with post formats. Our default theme for 2017 works great in many languages, for any abilities, and on any device.</li>\n<li><strong>Video Headers</strong> &#8211; Sometimes a big atmospheric video as a moving header image is just what you need to showcase your wares; go ahead and try it out with Twenty Seventeen. Need some video inspiration? Try searching for sites with video headers available for download and use.</li>\n<li><strong>Set up your site in one flow</strong> &#8211; From finding and installing themes right inside the customizer, to automatically staged theme-specific starter content, to clickable shortcuts that jump directly to editing an item from the preview pane, to adding pages while you&#8217;re building a nav menu or setting a static front page: getting a new site spun up and ready to share with a friend or a coworker is faster and easier than it&#8217;s ever been. Note: starter content appears when live previewing brand new sites and is currently only available in Twenty Seventeen. We&#8217;ll be expanding this to other bundled themes very soon, and perhaps to sites with existing content in future releases of WordPress.</li>\n<li><strong>Custom CSS with live previews</strong> &#8211; Ever needed to hide or tweak the look of something in your theme or from a plugin? Now you can do it with CSS and live preview the results while customizing your site. CSS can be a powerful tool; you may find that you won&#8217;t need the theme editor or child themes anymore.</li>\n<li><strong>User admin languages</strong> &#8211; Just because your site is in one language doesn&#8217;t mean that everybody helping manage it prefers that language for their admin. To try this out, you&#8217;ll need to have more than one language installed, which will make a user language option available in your profile.</li>\n<li><strong>PDF thumbnail previews</strong> &#8211; Uploading PDFs will now generate thumbnail images so you can more easily distinguish between all your documents.</li>\n</ul>\n<p>As always, there have been exciting changes for developers to explore as well, such as:</p>\n<ul>\n<li><strong>REST API content endpoints</strong> &#8211; If you only test one thing as a developer, please test these. This phase is particularly helpful for people building plugins, themes, and in-admin interfaces. Can you build the things you need? Are these ready for release, and is the world ready for them? (<a href=\"https://core.trac.wordpress.org/ticket/38373\">#38373</a>)</li>\n<li><strong><code>WP_Hook</code></strong> &#8211; The code that lies beneath actions and filters has been overhauled. You likely aren&#8217;t affected, but if you&#8217;ve done things to the <code>$wp_filter</code> global or experienced funky recursion bugs in the past, <a href=\"https://make.wordpress.org/core/2016/09/08/wp_hook-next-generation-actions-and-filters/\">please take a moment to read the dev note</a> and test your code.</li>\n<li><a href=\"https://make.wordpress.org/core/2016/10/04/custom-bulk-actions/\"><strong>Custom bulk actions</strong></a> &#8211; List tables, now with more than bulk edit and delete.</li>\n<li>Expanded <a href=\"https://make.wordpress.org/core/2016/10/26/registering-your-settings-in-wordpress-4-7/\"><strong>Settings Registration API</strong></a> via <code>register_setting()</code>.</li>\n<li>For theme developers: <strong>Post type templates</strong> (<a href=\"https://core.trac.wordpress.org/ticket/18375\">#18375</a>)</li>\n<li><strong><a href=\"https://make.wordpress.org/core/2016/09/09/new-functions-hooks-and-behaviour-for-theme-developers-in-wordpress-4-7/\">More goodies for theme developers!</a></strong></li>\n<li><strong>Locale switching</strong> (<a href=\"https://core.trac.wordpress.org/ticket/26511\">#26511</a>)</li>\n<li><a href=\"https://make.wordpress.org/core/2016/10/11/comment-allowed-checks-in-wordpress-4-7/\"><strong>Comment allowed checks</strong></a> have the potential for a back-compat break.</li>\n</ul>\n<p>If you want a more in-depth view of what major changes have made it into 4.7, <a href=\"https://make.wordpress.org/core/tag/4-7/\">check out posts tagged with 4.7 on the main development blog</a>, or look at a <a href=\"https://core.trac.wordpress.org/query?status=closed&amp;resolution=fixed&amp;milestone=4.7&amp;group=component&amp;order=priority\">list of everything</a> that’s changed. There will be more developer notes to come, so keep an eye out for those as well.</p>\n<p><strong>If you think you’ve found a bug</strong>, you can post to the <a href=\"https://wordpress.org/support/forum/alphabeta\">Alpha/Beta area</a> in the support forums. We’d love to hear from you! If you’re comfortable writing a reproducible bug report, <a href=\"https://make.wordpress.org/core/reports/\">file one on WordPress Trac</a>, where you can also find <a href=\"https://core.trac.wordpress.org/tickets/major\">a list of known bugs</a>.</p>\n<p>Happy testing, and please enjoy this extended haiku break, courtesy of <a href=\"https://profiles.wordpress.org/ramiabraham\">Rami Abraham</a><em>.</em></p>\n<p><em>Exquisite endpoints</em><br />\n<em>Extol epic exabytes</em><br />\n<em>Enabling earthlings</em></p>\n<p><em>Careful interfaces</em><br />\n<em>Considerately conjured</em><br />\n<em>Customizer chic</em></p>\n<p><em>Ring in the new year</em><br />\n<em>With elegance and balance</em><br />\n<em>Twenty Seventeen</em></p>\n<p><em>Hooks hook healthily</em><br />\n<em>17817</em><br />\n<em>Sane iterations</em></p>\n<p><em>Admin in your tongue<br />\nOne site, many languages<br />\nWe all speak WordPress</em></p>\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:7:\"post-id\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"4535\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:32:\"https://wordpress.org/news/feed/\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:44:\"http://purl.org/rss/1.0/modules/syndication/\";a:2:{s:12:\"updatePeriod\";a:1:{i:0;a:5:{s:4:\"data\";s:6:\"hourly\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:15:\"updateFrequency\";a:1:{i:0;a:5:{s:4:\"data\";s:1:\"1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:30:\"com-wordpress:feed-additions:1\";a:1:{s:4:\"site\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"14607090\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:42:\"Requests_Utility_CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:9:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Thu, 09 Feb 2017 07:19:32 GMT\";s:12:\"content-type\";s:34:\"application/rss+xml; charset=UTF-8\";s:25:\"strict-transport-security\";s:11:\"max-age=360\";s:6:\"x-olaf\";s:3:\"⛄\";s:13:\"last-modified\";s:29:\"Wed, 01 Feb 2017 15:58:56 GMT\";s:4:\"link\";s:63:\"<https://wordpress.org/news/wp-json/>; rel=\"https://api.w.org/\"\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:4:\"x-nc\";s:11:\"HIT lax 249\";}}s:5:\"build\";s:14:\"20170126183219\";}','no'),
	(215,'_transient_timeout_feed_mod_ac0b00fe65abe10e0c5b588f3ed8c7ca','1486667973','no'),
	(216,'_transient_feed_mod_ac0b00fe65abe10e0c5b588f3ed8c7ca','1486624773','no'),
	(217,'_transient_timeout_feed_d117b5738fbd35bd8c0391cda1f2b5d9','1486667974','no'),
	(218,'_transient_feed_d117b5738fbd35bd8c0391cda1f2b5d9','a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n\n\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:61:\"\n	\n	\n	\n	\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"WordPress Planet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:2:\"en\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:47:\"WordPress Planet - http://planet.wordpress.org/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:50:{i:0;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:94:\"WPTavern: OSTraining Partners with GoDaddy to Launch Free WordPress Beginner Course on YouTube\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=65805\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:105:\"https://wptavern.com/ostraining-partners-with-godaddy-to-launch-free-wordpress-beginner-course-on-youtube\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4409:\"<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/02/ostraining-logo.png?ssl=1\"><img /></a></p>\n<p><a href=\"https://www.ostraining.com\" target=\"_blank\">OSTraining</a> has launched a free <a href=\"https://www.youtube.com/playlist?list=PLtaXuX0nEZk-rRfsl8lclMY5TncDmAUBm\" target=\"_blank\">40-video WordPress Beginner course</a> on YouTube, thanks to a sponsorship from GoDaddy. The open source software education site has created more than 3,000 videos for PHP platforms like WordPress, Joomla, Magento, and Drupal. This particular course, which has all new information for WordPress 4.7, was inspired by the company&#8217;s success in launching a free Drupal 8 course in 2016.</p>\n<p>&#8220;The original idea was a happy accident,&#8221; CEO Steve Burge said. &#8220;We did a <a href=\"https://www.kickstarter.com/projects/stevebure/drupal-8-training-videos-help-us-make-drupal-magic\" target=\"_blank\">Kickstarter project</a> based around the launch of Drupal 8. That involved about 200 free videos, spread over several classes. The main class was &#8216;The Drupal 8 Beginner class&#8217; and it went viral, getting over <a href=\"https://www.ostraining.com/blog/news/1-million/\" target=\"_blank\">1 million views in a year</a>.&#8221;</p>\n<p>The Kickstarter campaign raised more than $12K towards its $10K funding goal. It was the first time OSTraining produced a free course. Once the videos were released, Burge and his team were amazed by how popular the course became.</p>\n<p>&#8220;It led us to re-think our business approach,&#8221; Burge said. &#8220;Rather than putting everything behind a paywall, we realized the power of giving away our best beginner material. From a business perspective, that made sense so long as we could find a sponsor.&#8221;</p>\n<p>OSTraining worked with Topher DeRosia to film the WordPress Beginner course after securing a sponsorship from GoDaddy. Although the company has done multiple versions of its beginner class over the years, with updates for changes in each release, WordPress 4.7 presents a new opportunity for content longevity.</p>\n<p>&#8220;We hope that by targeting 4.7 this class will last longer than most, because the new release cycle means a new version won&#8217;t be here in a couple of months,&#8221; Burge said.</p>\n<p>In addition to beginner topics like how to install WordPress, write posts, and use the media library, the course also includes information on getting started with WordPress plugins like NinjaForms and Jetpack. The last few videos cover more advanced topics like security, spam, staging, and performance.</p>\n<p>Although the <a href=\"https://www.youtube.com/channel/UCpJf6LGZ0a4n9Lj4aVt9spg/\" target=\"_blank\">official WordPress YouTube channel</a> doesn&#8217;t have much educational content for beginners, the WordPress community in general is gaining a stronger presence on YouTube. Searching for &#8220;WordPress&#8221; turns up more than five million videos in many different languages. Educational topics like &#8220;How to make a WordPress website&#8221; and other tutorials are the most popular.</p>\n<p>WordPress businesses are also starting to see the value of having a solid presence on YouTube. Last year Automattic started beefing up its <a href=\"https://www.youtube.com/channel/UCvP5cfpfIgkb0Dt8o7Qt21A\" target=\"_blank\">channel</a> with a steady stream of new videos, including ads and tutorials for WordPress.com. Other large WordPress companies like <a href=\"https://www.youtube.com/user/iThemescom\" target=\"_blank\">iThemes</a>, <a href=\"https://www.youtube.com/user/wpbeginner/\" target=\"_blank\">WPBeginner</a>, and <a href=\"https://www.youtube.com/user/yoastcom/\" target=\"_blank\">Yoast</a> are publishing hundreds of free videos to YouTube, generating millions of views and thousands of subscribers.</p>\n<p>After finding success on YouTube with the free Drupal 8 videos, OSTraining has also launched a free <a href=\"https://www.youtube.com/playlist?list=PLtaXuX0nEZk9eL59JGE3ny-_GAU-z5X5D\" target=\"_blank\">Magento 2</a> course and has a free Joomla course on the way.</p>\n<p>&#8220;Getting more than 1 million views of the Drupal class really opened our eyes,&#8221; Burge said. &#8220;It&#8217;s almost like the difference between free, open source software and expensive, closed source software. You can reach so many more people by giving it away free.&#8221;</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 09 Feb 2017 05:48:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"Dougal Campbell: Good Breakdown of Recent WordPress Vulnerability\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"http://dougal.gunters.org/?p=81297\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"http://dougal.gunters.org/blog/2017/02/08/good-breakdown-of-recent-wordpress-vulnerability/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2977:\"<div class=\"featured-image align-right\"><img width=\"150\" height=\"150\" src=\"http://dougal.gunters.org/wordpress/wp-content/uploads/2008/10/wordpress-wednesday-150x150.png\" class=\"attachment-post-thumbnail size-post-thumbnail wp-post-image\" alt=\"\" /></div><p>The <a href=\"https://blog.sucuri.net/\">Sucuri Blog</a> has a good dissection of the recent critical <a href=\"https://blog.sucuri.net/2017/02/content-injection-vulnerability-wordpress-rest-api.html\">WordPress REST API vulnerability</a>. I won&#8217;t rehash the details here, but I did want to point out that this is why developers should remember to follow these two rules of defensive programming:</p>\n<ol>\n<li>Sanitize inputs as early as possible</li>\n<li>Sanitize outputs as late as possible</li>\n</ol>\n<p>In this case, there was a failure to follow the first rule. There are a couple of different places where this could have been handled better.</p>\n<p>For one, unless there is a good reason to allow <strong><code>GET</code></strong> or <strong><code>POST</code></strong> variables to override a URL placeholder parameter, then that should be handled appropriately. If there is a reason for it, then those values should be forced to comply with the regular expression or data type that is expected.</p>\n<p>The other failure, beyond simple sanitizing, is that the logic of the <strong><code>update_item_permission_check()</code></strong> method simply didn&#8217;t properly account for the failure to retrieve a valid result from <strong><code>get_post()</code></strong>. This function will return post data either as an object or an array (depending on parameters), or <strong><code>null</code></strong> upon failure. The logic of the first conditional was looking for a valid post <em>and</em> invalid permissions on the post as an error condition:</p>\n<pre><code>if ( $post &amp;&amp; ! $this-&gt;check_update_permission( $post ) ) {\n    return new WP_Error( \'rest_cannot_edit\', \n        __( \'Sorry, you are not allowed to edit this post.\' ), \n        array( \'status\' =&gt; rest_authorization_required_code() ) );\n}</code></pre>\n<p>Instead, it should have reversed the valid post logic, and looked for <em>not</em> a valid post, <em>or</em> invalid permissions:</p>\n<pre><code>if ( <strong>! $post ||</strong> ! $this-&gt;check_update_permission( $post ) ) {\n    return new WP_Error( \'rest_cannot_edit\', \n        __( \'Sorry, you are not allowed to edit this post.\' ), \n        array( \'status\' =&gt; rest_authorization_required_code() ) );\n}</code></pre>\n<p>And for good measure, it should probably check whether the return value was an instance of <strong><code>WP_Error</code></strong>, for future-proofing. This small change would have detected an invalid post ID, and still performed a valid permissions check for existing posts.</p>\n<p>Okay boys and girls, let&#8217;s say it all together now&#8230; &#8220;Security is hard.&#8221;</p>\n<p>&nbsp;</p>\n<div class=\"yarpp-related-rss yarpp-related-none\">\n</div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 09 Feb 2017 01:46:17 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:15:\"Dougal Campbell\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:72:\"WPTavern: WPWeekly Episode 262 – Interview With Morten Rand-Hendriksen\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"https://wptavern.com?p=65818&preview=true&preview_id=65818\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://wptavern.com/wpweekly-episode-262-interview-with-morten-rand-hendriksen\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2668:\"<p>On this episode, <a href=\"http://marcuscouch.com/\">Marcus Couch</a> and I are joined by <a href=\"https://mor10.com/\">Morten Rand-Hendriksen</a> to discuss his <a href=\"https://mor10.com/the-case-for-wordpress-telemetry/\">WordPress Telemetry proposal</a>. We discuss the potential benefits of having an opt-in usage data collection system that could help core developers and others make informed decisions. Rand-Hendriksen also shares what he&#8217;s learned from <a href=\"https://www.lynda.com/Morten-Rand-Hendriksen/725535-1.html\">teaching WordPress</a> at Lynda.com, on how difficult it is for new users to grasp WordPress.</p>\n<h2>Stories Discussed:</h2>\n<p><a href=\"https://wptavern.com/blogvault-security-breach-infects-customers-sites-with-malware\">BlogVault Security Breach Infects Customers’ Sites With Malware</a><br />\n<a href=\"https://wptavern.com/wordpress-rest-api-vulnerability-is-being-actively-exploited-hundreds-of-thousands-of-sites-defaced\">WordPress REST API Vulnerability is Being Actively Exploited, Hundreds of Thousands of Sites Defaced</a><br />\n<a href=\"https://wptavern.com/wp-super-cache-1-4-9-patches-multiple-xss-vulnerabilities\">WP Super Cache 1.4.9 Patches Multiple XSS Vulnerabilities</a></p>\n<h2>Plugins Picked By Marcus:</h2>\n<p><a href=\"https://wordpress.org/plugins/content-locker/\">Content Locker</a> is a tool that allows you to configure content to be behind a paywall. Visitors can pay for content by liking, sharing, or registering an account.</p>\n<p><a href=\"https://wordpress.org/plugins/wp-jump/\">WP Jump</a> allows you to bookmark your site in the admin bar. This plugin is useful if you have several, local or online, WordPress installations.</p>\n<p><a href=\"https://wordpress.org/plugins/sidebar-content-clone/\">Sidebar Content Clone</a> is a handy solution for easily duplicating or cloning all widgets from one sidebar to another sidebar. It can also clear all widgets from a sidebar with a single click.</p>\n<h2>WPWeekly Meta:</h2>\n<p><strong>Next Episode:</strong> Wednesday, February 15th 3:00 P.M. Eastern</p>\n<p><strong>Subscribe To WPWeekly Via Itunes: </strong><a href=\"https://itunes.apple.com/us/podcast/wordpress-weekly/id694849738\" target=\"_blank\">Click here to subscribe</a></p>\n<p><strong>Subscribe To WPWeekly Via RSS: </strong><a href=\"https://wptavern.com/feed/podcast\" target=\"_blank\">Click here to subscribe</a></p>\n<p><strong>Subscribe To WPWeekly Via Stitcher Radio: </strong><a href=\"http://www.stitcher.com/podcast/wordpress-weekly-podcast?refid=stpr\" target=\"_blank\">Click here to subscribe</a></p>\n<p><strong>Listen To Episode #262:</strong><br />\n</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 09 Feb 2017 01:03:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"WPTavern: WP Super Cache 1.4.9 Patches Multiple XSS Vulnerabilities\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=65664\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"https://wptavern.com/wp-super-cache-1-4-9-patches-multiple-xss-vulnerabilities\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2318:\"<p><a href=\"https://wordpress.org/plugins/wp-super-cache/\">WP Super Cache</a> is a <a href=\"https://odd.blog/2007/11/05/wordpress-super-cache-01/\">nearly 10-year-old</a> plugin that is maintained by <a href=\"https://odd.blog/\">Donncha Ó Caoimh</a> and is actively installed on more than a million sites. Releases have been far and few between, but Ó Caoimh <a href=\"https://odd.blog/2017/02/03/wp-super-cache-1-4-9/\">has released</a> WP Super Cache 1.4.9 that patches cross-site-scripting vulnerabilities on the settings page.</p>\n<p>&#8220;Those pages are only accessible by admin users so an anonymous visitor to your site can’t come along and enable it to steal your login cookies but along with those fixes come many bug fixes so it’s worth upgrading if you’re using an old version,&#8221; Ó Caoimh said.</p>\n<p>In addition to patching security vulnerabilities, this release also contains a number of bug fixes. There&#8217;s <a href=\"https://github.com/Automattic/wp-super-cache/pull/174\">also a fix</a> in this version for those who host a lot of sites that use WP Super Cache and are running into issues with semaphores due to the possibility of users using file locking.</p>\n<p>If you&#8217;re running into this issue and need to disable file locking completely, Ó Caoimh suggests setting the WPSC_DISABLE_LOCKING constant in a global config file. &#8220;The file locking simply slowed down how fast cache files were created and is a hold-over from WP Cache when that plugin used to write directly to the cache files,&#8221; Ó Caoimh said.</p>\n<p>&#8220;This plugin writes to temporary files before moving to the final cache files so that locking isn’t really needed, but some sites still use it which is why it’s still around.&#8221;</p>\n<p>Ó Caoimh is already hard at work on the next version of WP Super Cache with an effort towards <a href=\"https://github.com/Automattic/wp-super-cache/pull/177\">moving legacy cache files</a> into supercache directories. This will improve performance and make the files easier to maintain.</p>\n<p>Users are encouraged to update to 1.4.9 as soon as possible. To see a detailed list of changes and bug fixes, visit the <a href=\"https://wordpress.org/plugins/wp-super-cache/changelog/\">plugin&#8217;s changelog</a>.</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 08 Feb 2017 04:26:15 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"WPTavern: WordPress for Android Closes Google+ Community for Beta Testers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=65699\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"https://wptavern.com/wordpress-for-android-closes-google-community-for-beta-testers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2616:\"<p>The WordPress mobile app for Android is <a href=\"https://plus.google.com/u/0/+MaximeBiais/posts/8M796fTin9Q?cfem=1\" target=\"_blank\">shutting down its beta testing community</a> that was hosted on Google+ for the past three years. The mobile team switched to a completely open beta last year, enabling them to recruit 1,500 new testers.</p>\n<p>The Google+ community, which currently has 1,152 members, has been the main channel for communication to and from the app&#8217;s developers. It was previously used to announce new beta versions and users posted regularly to confirm bugs, leave feedback on their experiences, and ask questions about upcoming features.</p>\n<p>&#8220;We kept this Google+ Community opened since then but it became a place for spammers,&#8221; Automattic mobile engineer Maxime Biais said. &#8220;We decided to close it.&#8221;</p>\n<p>Beta testers who want to continue participating are encouraged to use the open source project&#8217;s issue tracker on <a href=\"https://github.com/wordpress-mobile/WordPress-Android\" target=\"_blank\">GitHub</a>. Testers can also join the #mobile channel on <a href=\"https://make.wordpress.org/chat/\" target=\"_blank\">WordPress Slack</a>. Any testers who want to lave the beta can visit the app&#8217;s testing page and tap &#8220;<a href=\"https://play.google.com/apps/testing/org.wordpress.android\" target=\"_blank\">Leave the Test</a>,&#8221; followed by uninstalling and then re-installing the app from the Play Store to get the official stable version.</p>\n<p>Despite having a healthy troop of beta testers, the open source app rarely receives any contributions from developers outside of Automattic. <a href=\"https://wptavern.com/wordpress-for-android-5-7-adds-path-to-upgrade-wordpress-com-plan\" target=\"_blank\">Recent releases</a> have included an expansion of Automattic&#8217;s monetization path with a link for users to manage and upgrade their WordPress.com plans. This has added fuel to the friction between the needs of self-hosted sites and the presence of WordPress.com features.</p>\n<p>Community members who have voiced complaints about the current features and goals of the app are welcome to participate in its development on GitHub. Beta testing is still open to all and new testers can <a href=\"https://play.google.com/apps/testing/org.wordpress.android\" target=\"_blank\">opt in on the Google Play Store testing page</a>. The Google+ Community will close on March 6, 2017, but questions and feedback are welcome in the #mobile Slack channel where the app&#8217;s developers are frequently available.</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 08 Feb 2017 03:22:32 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"WPTavern: Google Updates AMP to Allow Sharing of Canonical URL\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=65660\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"https://wptavern.com/google-updates-amp-to-allow-sharing-of-canonical-url\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4925:\"<a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2016/04/reading.jpg?ssl=1\"><img /></a><a href=\"https://stocksnap.io/photo/F55691D3FB\">RC Cipriano</a>\n<p>One of the main drawbacks of Google <a href=\"https://www.ampproject.org/\" target=\"_blank\">AMP</a> has been brand confusion when viewing and sharing articles. Google launched the AMP project to speed up the mobile web, but in exchange publishers have had to give up control of how their AMP&#8217;d content appears. One of the most irksome aspects of interacting with AMP pages is the convoluted URL structure, which causes users to be hesitant to share the content.</p>\n<p>AMP appends google.com/amp/ to the beginning of the URL when copying the link, opening it in a browser, or sharing an article. Visitors who want to find the canonical URL have to return to Google to search for it. To the casual observer, it appears the visitor has landed on and is attempting to share a Google story.</p>\n<p>After nearly a year, Google is finally looking to remedy this sharing problem with an update to the AMP Viewer header. In a <a href=\"https://developers.googleblog.com/2017/02/whats-in-amp-url.html\" target=\"_blank\">post</a> on the Google Developers blog, the company officially recognized this problem and announced a change that will allow visitors to share the canonical URL:</p>\n<blockquote><p>Many users have requested a way to access, copy, and share the canonical URL of a document. Today, we&#8217;re adding support for this functionality in form of an anchor button in the AMP Viewer header on Google Search. This feature allows users to use their browser&#8217;s native share functionality by long-tapping on the link that is displayed.\n</p></blockquote>\n<a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2017/02/google-amp-sharing-link.png?ssl=1\"><img /></a>photo credit: Google\n<p>The updated header with the anchor button is already available on the iOS Google app and will be coming to the Android app within a few weeks. Google is also working on using the <a href=\"https://developers.google.com/web/updates/2016/10/navigator-share\" target=\"_blank\">Web Share API</a> to let visitors use the platform&#8217;s native sharing flow with the original URL instead of the AMP viewer URL.</p>\n<p>&#8220;A thriving ecosystem is very important to us and attribution, user trust, and ownership are important pieces of this ecosystem,&#8221; Alex Fischer, Google software engineer, said.</p>\n<p>The ability to share the canonical URL is good news for existing AMP users but is probably not enough to convince skeptical publishers to start AMPing up their pages. Burying the publisher&#8217;s canonical link is just one of many reasons there has been such strong push back against the AMP project.</p>\n<p>Kyle Schreiber, whose post on <a href=\"https://80x24.net/post/the-problem-with-amp/\" target=\"_blank\">the problems with AMP</a> inspired discussions on <a href=\"https://news.ycombinator.com/item?id=13414570\" target=\"_blank\">Hacker News</a> and <a href=\"https://www.reddit.com/r/programming/comments/5oggtm/the_problem_with_amp/\" target=\"_blank\">Reddit</a>, believes that &#8220;AMP is bad for the open web and should be changed or eliminated.&#8221;</p>\n<p>Schreiber contends that Google has designed AMP to keep the visitor within its own ecosystem. Publishers get locked in when access to Google&#8217;s news carousel is reserved for AMP&#8217;d sites only.</p>\n<p>&#8220;Clicking on an AMP link feels like you never even leave the search page, and links to AMP content are displayed prominently in Google’s news carousel,&#8221; Schreiber said.</p>\n<p>Last year the <a href=\"https://www.wsj.com/articles/google-amp-gets-mixed-reviews-from-publishers-1477648838\" target=\"_blank\">Wall Street Journal</a> spoke with publishers who were critical with AMP but reluctant to speak publicly for fear of Google&#8217;s retaliation. Their AMP pages were generating around half as much revenue as pageviews on their full mobile sites due to Google&#8217;s limitations on the type of ad units available for AMP pages. Google&#8217;s response was that the company aims to drive more revenue to non-AMP pages but isn&#8217;t quite there yet.</p>\n<p>At the end of February the AMP project experiment will have been publicly launched for a year but many smaller publishers are still hesitant to get on board. They are concerned that AMP oversteps its reach without delivering enough value in return. The strategy of taking an absurd amount of control over publishers&#8217; content and then slowly doling it back out (as with the new button for sharing the canonical URL) demonstrates how easily Google has established itself as the de facto arbiter of the mobile web. If publishers continue to yield control of their mobile content, Google will have every incentive to make AMP support the next official ranking signal.</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 07 Feb 2017 18:58:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"HeroPress: Hitting Rock Bottom\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://heropress.com/?post_type=heropress-essays&p=1592\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"https://heropress.com/essays/hitting-rock-bottom/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5441:\"<img width=\"960\" height=\"480\" src=\"http://20094-presscdn.pagely.netdna-cdn.com/wp-content/uploads/2017/02/020817-1024x512.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"Pull Quote: We all need someone to listen. Someone to remind us that it gets better. That we will make it to tomorrow.\" /><p>I’d never been to The Capital Grille. I’d been to nice steak houses before, but this felt like a big deal. At least it should have. I was too busy freaking out because my wife wasn’t responding to one of my texts. That’s when I knew I hit rock bottom. That mental illness had taken full control. Ruining a $50 steak will make you realize that.</p>\n<p>I hit my rock bottom in the middle of WordCamp Orlando 2016. Sitting across from the wonderful Mike Hansen, sharing the best mashed potatoes I’d ever had, I was miserable. Not because Mike was bad company, but because I was so inside my head that I couldn’t control my thoughts. Dark thoughts. Suicidal thoughts. I was a mess, but Mike and the rest of the crew from BlueHost tried to keep me calm and engaged in conversation. I kept apologizing, but they stuck with me. It was pretty obvious I wasn’t okay, and they did their best. That’s what WordPress is. When you hear about “the community,” that’s what we’re really talking about.</p>\n<p>The next day, I was originally scheduled to speak, but had already backed out. As an organizer of the event, I felt awful. I know how much of a pain it is to rearrange the schedule last-minute because I’m the one, at least for the past 3 years, has made Orlando’s schedule. But the team rallied around me.</p>\n<blockquote><p>They knew I wasn’t okay, and supported me without me needing to ask.</p></blockquote>\n<p>But then something amazing happened.</p>\n<p>In the confusion of rescheduling speakers &#8211; caused by Hurricane Matthew, not Hurricane Mental Illness &#8211; a replacement speaker for one of our workshops had never actually been notified that he was speaking and didn’t show. Whoops. Even though I’d planned to just lay low in the developer workshop all day, as soon as I got word that a replacement was needed, I grabbed my laptop and headed to the next room. I don’t remember much of what I said, but I gave a talk on themes completely off the top of my head. And then it hit me. I know what I’m doing. I can do this. I’m going to be okay.</p>\n<h3>Road To Recovery</h3>\n<p>The next day, I went to see my doctor. I was diagnosed as bipolar. The dragon I’d been fighting for 15 years finally had a name. Two prescriptions later and I was on the road to recovery. I’m still on it, but WordPress is helping drive the engine.</p>\n<p>Since WordCamp Orlando, my business has taken off. I’ve started and completed more projects in the past 3 months than I did the entire rest of 2016. And all of that was possible because of the support I received that weekend. When we talk about how wonderful the WordPress community really is, we mean it. It saves lives.</p>\n<p>There’s a lot more to my story &#8211; coming out as non-binary, a shuttering business partnership to salvage a great friendship &#8211; but I don’t want to ramble.</p>\n<blockquote><p>It’s time to pay the support I received forward.</p></blockquote>\n<p>We all need someone to listen. Someone to remind us that it gets better. That we will make it to tomorrow.</p>\n<p>If you’re struggling, drop me a line on <a href=\"https://twitter.com/adamsoucie\">Twitter</a> or send an email. I’ll be waiting on the other end to lend an ear and a helping hand.</p>\n<div class=\"rtsocial-container rtsocial-container-align-right rtsocial-horizontal\"><div class=\"rtsocial-twitter-horizontal\"><div class=\"rtsocial-twitter-horizontal-button\"><a title=\"Tweet: Hitting Rock Bottom\" class=\"rtsocial-twitter-button\" href=\"https://twitter.com/share?text=Hitting%20Rock%20Bottom&via=heropress&url=https%3A%2F%2Fheropress.com%2Fessays%2Fhitting-rock-bottom%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-fb-horizontal fb-light\"><div class=\"rtsocial-fb-horizontal-button\"><a title=\"Like: Hitting Rock Bottom\" class=\"rtsocial-fb-button rtsocial-fb-like-light\" href=\"https://www.facebook.com/sharer.php?u=https%3A%2F%2Fheropress.com%2Fessays%2Fhitting-rock-bottom%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-linkedin-horizontal\"><div class=\"rtsocial-linkedin-horizontal-button\"><a class=\"rtsocial-linkedin-button\" href=\"https://www.linkedin.com/shareArticle?mini=true&url=https%3A%2F%2Fheropress.com%2Fessays%2Fhitting-rock-bottom%2F&title=Hitting+Rock+Bottom\" rel=\"nofollow\" target=\"_blank\" title=\"Share: Hitting Rock Bottom\"></a></div></div><div class=\"rtsocial-pinterest-horizontal\"><div class=\"rtsocial-pinterest-horizontal-button\"><a class=\"rtsocial-pinterest-button\" href=\"https://pinterest.com/pin/create/button/?url=https://heropress.com/essays/hitting-rock-bottom/&media=https://heropress.com/wp-content/uploads/2017/02/020817-150x150.jpg&description=Hitting Rock Bottom\" rel=\"nofollow\" target=\"_blank\" title=\"Pin: Hitting Rock Bottom\"></a></div></div><a rel=\"nofollow\" class=\"perma-link\" href=\"https://heropress.com/essays/hitting-rock-bottom/\" title=\"Hitting Rock Bottom\"></a></div><p>The post <a rel=\"nofollow\" href=\"https://heropress.com/essays/hitting-rock-bottom/\">Hitting Rock Bottom</a> appeared first on <a rel=\"nofollow\" href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 07 Feb 2017 12:00:01 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Adam Soucie\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:110:\"WPTavern: WordPress REST API Vulnerability is Being Actively Exploited, Hundreds of Thousands of Sites Defaced\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=65651\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:120:\"https://wptavern.com/wordpress-rest-api-vulnerability-is-being-actively-exploited-hundreds-of-thousands-of-sites-defaced\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5617:\"<a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/02/needle.jpg?ssl=1\"><img /></a>photo credit: stevendepolo <a href=\"http://www.flickr.com/photos/10506540@N07/3020361085\">hypodermic needle IMG_7418</a> &#8211; <a href=\"https://creativecommons.org/licenses/by/2.0/\">(license)</a>\n<p>At the end of January, <a href=\"https://wordpress.org/news/2017/01/wordpress-4-7-2-security-release/\" target=\"_blank\">WordPress 4.7.2</a> was released to fix four security issues, three of which were disclosed at the time of the release. These included a SQL injection vulnerability in WP_Query, a cross-site scripting (XSS) vulnerability in the posts list table, and the Press This feature allowing users without permission to assign taxonomy terms. The fourth and most critical issue, an unauthenticated privilege escalation vulnerability in a REST API endpoint, was fixed silently and <a href=\"https://make.wordpress.org/core/2017/02/01/disclosure-of-additional-security-fix-in-wordpress-4-7-2/\" target=\"_blank\">disclosed a week after the release</a>.</p>\n<p>Contributors on the release opted to delay disclosure in order to mitigate the potential for mass exploitation, given that any site running 4.7 or 4.7.1 is at risk. This allowed time for users to update manually and for automatic updates to roll out.</p>\n<p>&#8220;We believe transparency is in the public’s best interest,&#8221; WordPress Core Security Team Lead Aaron Campbell said. &#8220;It is our stance that security issues should always be disclosed. In this case, we intentionally delayed disclosing this issue by one week to ensure the safety of millions of additional WordPress sites.&#8221;</p>\n<p>WordPress worked with <a href=\"https://sucuri.net/\" target=\"_blank\">Sucuri</a>, the company that discovered the issue, along with other WAF vendors and hosting companies to add protections before the vulnerability was publicly disclosed.</p>\n<p>The vulnerability has been public for less than a week and is now being actively exploited. Thousands of WordPress sites have been defaced with messages like “<a href=\"https://wordpress.org/support/topic/wordpress-4-7-1-hacked-by-ng689skw/\" target=\"_blank\">Hacked by NG689Skw</a>” or &#8220;Hacked by w4l3XzY3&#8221; or similar. Googling for information about these particular hacks returns thousands of other hacked sites in the results.</p>\n<p>Sucuri founder and CTO Daniel Cid said his team saw exploits in the wild less than 24 hours after the disclosure. The attacks are primarily simple defacements so far.</p>\n<p>&#8220;There are some good bad guys updating the post excerpt with the message: &#8216;Update WordPress or you will be hacked,&#8217; which is kind weird,&#8221; Cid said. &#8220;But overall we&#8217;re seeing just simple defacement attempts, using modified versions of the exploit that was shared publicly.&#8221;</p>\n<h3>Multiple Campaigns Have Defaced Hundreds of Thousands of WordPress Sites</h3>\n<p>Sucuri is monitoring multiple defacement campaigns, each with varying degrees of success. The company <a href=\"https://blog.sucuri.net/2017/02/wordpress-rest-api-vulnerability-abused-in-defacement-campaigns.html\" target=\"_blank\">published an update</a> on the active attacks as well as the IP addresses they are originating from.</p>\n<p>&#8220;We are currently tracking four different hacking (defacement) groups doing mass scans and exploits attempts across the internet,&#8221; Cid said. &#8220;We see the same IP addresses and defacers hitting almost every one of our honeypots and network.&#8221;</p>\n<p>One defacement campaign Sucuri is tracking already has more than 68,000 pages indexed on Google. After perusing the WordPress.org forums, the problem seems to have a much larger reach than Sucuri&#8217;s network has initially detected. For example, &#8220;Hacked by NG689Skw&#8221; returns approximately 200K indexed results. &#8220;Hacked By SA3D HaCk3D&#8221; returns more than 100K results. There are multiple permutations of this defacement in play on WordPress websites across the web.  Not all results that share this same campaign structure are guaranteed to be associated with this vulnerability, but the few listed above were recent posts on the WordPress.org forum from users who failed to update to 4.7.2 in time.</p>\n<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/02/hacked-wordpress-sites.png?ssl=1\"><img /></a></p>\n<p>&#8220;On our end, we are seeing a big growth on exploit attempts, specially for defacement,&#8221; Cid said. &#8220;But SPAM SEO is slowly growing too.&#8221;</p>\n<p>Cid said the vulnerability allows attackers to inject content into a post or page by default, but defacement is the easy first step, along with SEO spam. If a site has a plugin like <a href=\"https://wordpress.org/plugins/insert-php/\" target=\"_blank\">Insert PHP</a> or <a href=\"https://wordpress.org/plugins/php-code-widget/\" target=\"_blank\">PHP Code Widget</a> installed, the vulnerability can lead to remote code execution. These two plugins have more than 300K combined active installs and there are others that perform similar functions.</p>\n<p>&#8220;The core of the issue is people not updating,&#8221; Cid said. &#8220;Even with auto and simple updates, people still do not update their sites.&#8221;</p>\n<p>Needless to say, if you haven&#8217;t updated to 4.7.2 and your site is running 4.7.0 or 4.7.1, you are at risk for  content injection. For most sites that have been defaced, the simplest solution is to update to the latest version of WordPress and rollback the defaced post(s) to a revision.</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 07 Feb 2017 00:36:20 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"WPTavern: BlogVault Security Breach Infects Customers’ Sites With Malware\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=65658\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"https://wptavern.com/blogvault-security-breach-infects-customers-sites-with-malware\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2120:\"<img />photo credit: Anonymous Account <a href=\"http://www.flickr.com/photos/37053322@N00/2291139919\">Code</a> &#8211; <a href=\"https://creativecommons.org/licenses/by/2.0/\">(license)</a>\n<p><a href=\"https://blogvault.net/\">BlogVault</a>, a real-time backup and migration service with a <a href=\"https://wordpress.org/plugins/blogvault-real-time-backup/\">WordPress plugin</a> that&#8217;s active on more than 20K sites, <a href=\"https://blogvault.net/security-notification/\">announced</a> over the weekend that it suffered a security breach that exposed data. Akshat Choudhary, founder of BlogVault, <a href=\"https://blogvault.net/help/info\">explains</a> that some customer sites were accessed without authorization and were infected with malware.</p>\n<p>BlogVault is contacting customers whose sites are affected and removing malware to secure the data. According to Choudhary, all backups generated by BlogVault are safe. FTP, login credentials, and payment related data is safe. The service doesn&#8217;t store credit card information as payments are processed through <a href=\"https://stripe.com/\">Stripe</a>.</p>\n<p>The service has carried out a series of security precautions including, updating <a href=\"https://wordpress.org/plugins/blogvault-real-time-backup/\">the plugin to 1.45</a>, resetting passwords for all customer accounts, and is meticulously analyzing its systems. Customer passwords were encrypted, making them difficult to retrieve.</p>\n<p>BlogVault is sharing information about the breach as it becomes available. &#8220;We understand that it can be frustrating for you; as it is for us, to not have all the information,&#8221; Choudhary said. &#8220;We aim to be comprehensive in our response to the issue. Once we have safeguarded our customers’ data, and our investigation is complete we will be able to share more details.&#8221;</p>\n<p>Customers are encouraged to update the BlogVault plugin to 1.45 as soon as possible and to keep an eye on the service&#8217;s <a href=\"https://blogvault.net/help/info\">security updates page</a> for new information.</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 06 Feb 2017 22:04:48 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"WPTavern: Content Creation Is About More Than an Editor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=65626\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"https://wptavern.com/content-creation-is-about-more-than-an-editor\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:16655:\"<a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2017/02/ReidPeifer.jpeg?ssl=1\"><img /></a>Reid Peifer\n<p>This is a guest post written by <span class=\"st\"><a href=\"https://twitter.com/reidpeifer?lang=en\">Reid Peifer</a>, Partner and Art Director at <a href=\"http://tri.be/\">Modern Tribe</a>. In this post, Peifer shares his experience, opinions, and things to consider as the content creation experience in WordPress <a href=\"https://make.wordpress.org/core/2017/01/17/editor-technical-overview/\">is revamped</a>.<br />\n</span></p>\n<hr />\n<p>Let’s imagine a world where the tools that we have don’t limit us, but instead enable us to create unique, contextual, and thoughtful content. We don&#8217;t fight with them, we don&#8217;t quibble over line breaks and margins.</p>\n<p>We don&#8217;t argue about whether or not two images should line up. We’re not limited to bold, italic, underline, and bullet points to express our ideas. We’re not limited to taxonomies for our organization and obtuse relational algorithms to determine complementary content.</p>\n<p>This is the reality that we should have. Content management should be more than TinyMCE and meta boxes. While WordPress has continued to grow into a mature platform, the focus on what should be its core mission has taken a second seat.</p>\n<p>We (the WordPress community at large) have gotten so excited about making WordPress awesome, we lost sight of our charge &#8211; to enable WordPress to make awesome things. To democratize publishing. To get the stories out of people&#8217;s heads and hearts and out to the world.</p>\n<p>We forgot about content. Without content, WordPress and all its bits and bobs amount to much ado about nothing. While it’s true that WordPress has grown to an almost unimaginable scale, the content it creates today isn’t going to support the needs of tomorrow’s web.</p>\n<p>I couldn’t make it to WordCamp US, but I’ll admit that I sat slack-jawed with joy listening to the <a href=\"https://wordpress.tv/2016/12/07/matt-mullenweg-state-of-the-word-2016/\">video</a> calling for a focus on the editor in 2017.</p>\n<p>The <a href=\"https://make.wordpress.org/core/2017/01/17/editor-technical-overview/\">initial discussions</a> happening on make.wordpress.org and within slack are incredibly encouraging. The community has taken this charge and is moving forward with a passion that reflects the importance of the task at hand.</p>\n<p>While I absolutely applaud their effort, and think the conversation thus far has been valuable &#8211; it immediately went to the editor itself. What makes a good editor? The discussion is focused on the UI, what format the data should be stored in, should shortcodes be used etc. All good questions, but if we answer them first &#8211; we limit the scope of our inquiry.</p>\n<p>The first question should be ‘what makes good content’? What is ‘content’? Does content only live on the post or the page? What are its essential elements? How do those elements interact and relate to each other? What’s the life cycle of content? Where and how does it surface throughout the site? Does content behave differently in different scenarios or positions?</p>\n<p>If we start with these questions, their answers become our objectives for the UI. The question &#8216;what makes a good editor&#8217; has a clear answer &#8211; one that makes achieving these goals delightful and effortless.</p>\n<h2>The Need for a More Robust Content Creation Tool Is Not New</h2>\n<p>Years ago, when ‘magazine layout’ was the new hot thing, we had the privilege of working with some large publications. In our design discovery, we learned how they thought about the presentation of their content, how layouts would change based on the content they were presenting that day.</p>\n<p>The rigid templates of the web that we were used to building couldn’t possibly meet the strategy that they had employed for ages in print. The sports, business, and lifestyle sections all needed to be able to leverage different layouts and presentation depending on their immediate needs.</p>\n<p>They needed to change day after day. We were going to toss out what we knew about building sites in WordPress. We were going to have to ditch the template hierarchy and start from scratch. The taxonomy term page in the admin wasn’t going to cut it.</p>\n<p>Meanwhile, ‘art directed’ or ‘editorial posts’ became a thing. Folks like Jason Santa Maria and Trent Walton were pumping out beautiful, bespoke articles rich in editorial design. I’ve never been more excited about the web’s potential than when I saw those first Jason Santa Maria articles &#8211; I’m a sucker for good content design.</p>\n<p>At some point shortly thereafter the NY Times published <a href=\"http://www.nytimes.com/projects/2012/snow-fall/#/?part=tunnel-creek\">Snowfall</a>, and everyone we talked to needed ‘long form’ (even if they had no idea why or what that could mean). I ran my own experiments trying to recreate that functionality in WordPress &#8211; at the time that meant full markup and a reams of custom CSS all cooked into the WYSIWYG. Beautiful output, crappy experience.</p>\n<p>These are two really common (and old) examples of how the content needs more than the tool can offer.</p>\n<p>We toiled away at these challenges over the years and have solved them for our particular use cases. Every project pushes our own solutions forward. Here’s some of what we learned.</p>\n<p><em>(So we’re all talking in the same terms, below when I reference Content Creation I mean the act of creating a new piece of content. When I reference content management, I mean both the content model, and the organization and presentation of content throughout the site.)</em></p>\n<h2>We Should Learn From Modular Development &amp; Atomic Design</h2>\n<p>We should be applying modular development and atomic design principles to both content creation and content management.</p>\n<a href=\"http://bradfrost.com/blog/post/atomic-web-design/\"><img /></a>Atomic Design Principle as Explained by Brad Frost\n<p>We’ve adopted a modular and systematic thinking to our coding practices, breaking once monolithic templates into smaller reusable parts. We’ve applied design systems thinking and atomic approaches to our UI/UX and visual design work.</p>\n<p>Small pieces come together to create components, which come together to create pages which come together to create full experiences. It’s the LEGO blocks school of design and build. This is a refrain that many of us know well.</p>\n<h2>Extending That Philosophy to Content Creation and Management</h2>\n<p>While we’ve embraced this idea of systemic thinking in how we design and the infrastructure of what we build &#8211; we haven’t gotten to thinking about how to approach content creation and content management (content strategy) in a similarly modular fashion.</p>\n<p>This is primarily because our tools won’t let us apply modular thinking to content creation and management. CMSs, including WordPress, are generally limited to predefined structures and organizational models.</p>\n<p>The role of templating in the overall CMS architecture limits the flexibility of our content creators. Today, content strategy occurs before, and then is at the mercy of development. In a better world, our content strategy could use design and development to grow, adapt, and change over time gracefully. Our publishing tools could become the method by which our ongoing content strategy evolves.</p>\n<h2>Modular Content Creation</h2>\n<p>Let’s think about the idea of content on the web. Much of what we see on the web today is a logical baby step forward from print. Titles and headlines, paragraphs of copy, images, pull quotes. Those pieces are a 1:1 analog. Because it’s a digital medium, and we’re oh so clever, we’ve included videos, image galleries, those dang carousels, and whatnots as well.</p>\n<p>For most of you, those elements are plopped onto a webpage using a WYSIWYG editor. You fight with TinyMCE for supremacy. Perhaps your theme or plugin has dedicated meta boxes for special elements. There may be a slide show or gallery at the top of the page.</p>\n<p>When we look at most executions of content on the web, they are in fact less interesting, less engaging, and less beautiful than what our print counterparts have been doing for ages (and I mean literal ages).</p>\n<p>We have all of the advantages but fail at creating anything more interesting than a preformatted spew of content. Our insistence that content and presentation need to be separate is an overstep &#8211; they are related at their very core. Was there an earth shattering news story yesterday? Too bad, you get the same 400px featured image slot that every other story gets.</p>\n<p><strong>I refuse to believe this is the best we can do.</strong></p>\n<p><strong>TinyMCE is not the pinnacle of content creation tools.</strong></p>\n<p>The platform that can figure out how to make content creation engaging and powerful is the platform that is going to continue to grow. While Calypso is an interesting engineering feat and is a helpful model for future development, it did little to push forward what it actually means to create content within the WordPress framework.</p>\n<p><strong>Trying to fight this out in a single WYSIWYG sucks</strong></p>\n<p>Our content creation tools should allow us to approach content creation the same way that we think about design. What are the atomic elements of my content strategy? How can I remix, reassemble, and work with those elements to create interesting content?</p>\n<p>It must be systemic. All of the elements and components must work as part of an overall structure and strategy to form a coherent whole. Just like our design work, and our development work. Our strategy, design, and development process is focused on identifying and creating patterns.</p>\n<p>Throughout the content strategy and design portion of the project, we’re focused on identifying what those patterns are at their very core; how do we break them down into their smallest parts? Then, through design and development, we start putting those pieces together in a way that supports internal objectives and end-user objectives.</p>\n<ul>\n<li>Elements &#8211; the simplest unit. Strings of text, single images, videos, a form input field or button</li>\n<li>Components or blocks &#8211; groupings of elements that form a cohesive unit</li>\n<li>Modules &#8211; groupings of complementary components to for a larger whole</li>\n<li>Pages (or posts, or CPTS or whatever) &#8211; groupings of modules to form a complete piece of content</li>\n</ul>\n<p>To push WordPress’ content creation tools forward, we must look at what those elements, components, and modules could be, how they relate to each other. Are they created on the fly, are they opinionated or flexible. Then how do we create them. How do they relate to themes and data sanctity. And on and on.</p>\n<h2>Modular Content Management (modular content strategy)</h2>\n<p>While there are enough visual references to start to imagine what a modular content creation tool looks like, modular content management is a bit tougher to visualize so hang with me.</p>\n<p>Within modern CMSs we’ve got a couple of tools at our disposal. Tags and categories, coupled with parent / child relationships, are the primary organization structures cooked into WordPress. Of course those can be extended to include any number of taxonomical structures imaginable.</p>\n<p>Tools like Post to Posts (P2P) provide and create an interesting peer-to-peer layer allowing you to create 1:1, 1:many, or many:many relationships.</p>\n<p>That’s pretty much it. The mechanics of relationships are defined and subject to code. I can assign content into those defined buckets. I have fixed templates that display those buckets in predetermined ways. If I want to vary from that, if I want to create relationships and remix content as a content manager or a content creator, I’m outta luck.</p>\n<p>Think about the category term screen within WordPress. What sort of content management tools do you have at your disposal there? What can you do? What can you <em>manage</em>? Not much at all. Look back over the history of WordPress releases &#8211; when has that screen changed?</p>\n<p>We are not living up to our potential if we stop at a taxonomical organization as the be-all-end-all of content management.</p>\n<p>The Loop is one of the central concepts of WordPress content management. While it is incredibly powerful and key to understanding how to think about your content, it’s the beginning, not the end, of content management. We cannot stop at the &#8216;list&#8217; as the pinnacle of our content strategy.</p>\n<h3>Needs Change Over Time</h3>\n<p>We do a lot of work for universities and schools. Each and every one has a category landing page dedicated to current students. Throughout the year, they want to gather and surface all kinds of different elements, pieces of content, and tools for those students.</p>\n<p>In WordPress terms, we’ve got pages, blog posts, events, tools, resources, key dates, applications and files, on top of video galleries and who knows what other CPTs your content strategy has formed.</p>\n<p>The needs of those students change through the year &#8211; welcome materials in the fall, midterm information in the winter, job support and internship programs in the spring. If our university friends were tied to templates where those needs were articulated in code, they’d need to go back under the hood to update their content strategy and approach it at least quarterly.</p>\n<h3>Relationships Should Be Richer Than Taxonomy Terms</h3>\n<p>Real content management would enable content creators to package and present the things they’ve made in thoughtful and unique ways&#8211;where the relationships and connections have value beyond each individual piece. Together they become a cohesive whole. That’s a content strategy that’s worth a damn. If you can’t do that, your content strategy is really just a thoughtful list of categories and tags.</p>\n<p>Our content management tools should enable and empower you to gather your content and present it how you need to. You shouldn’t be limited solely by lists and algorithms. We want our clients to be able to create unique cross-sections of content where they need, not where they happen to have pre-baked templates that allow them do so.</p>\n<p>An example to help visualize: Sticking with our college student, imagine the registrar publishes a deadline for financial aid application. The residential life department has updated forms for getting a spot in the dorms.</p>\n<p>The student life department publishes a list of events for new students to meet each other. Each piece of content lives in its own silo in disparate places on the university website. Now imagine you’re in the communications department, and you’ve been charged with ensuring that new students get the information they need.</p>\n<p>Do you <strong>A:</strong> manually type excerpts to those pieces of content in a sidebar widget, hardcode some links trying to apply a specific class that makes the links look like buttons but you can’t remember if it’s .btn_round or .btnround or .round_btn_blue_large, and pray it stays in the same place <strong>OR B:</strong> create a &#8216;Key Info for New Students&#8217; module by referencing each piece of content dynamically and dragging it at the top of the homepage displacing the out of date commencement gallery that you forgot to take down last spring?</p>\n<p>Old school is option A. New School option B (and it’s not the cool old school, it’s the lame frustrating old school).</p>\n<h3>The Way Forward Is Modular</h3>\n<p>If you’re new the concept of atomic design, read <a href=\"http://bradfrost.com/blog/post/atomic-web-design/\">this piece</a> by Brad Frost first. If you want to see how we solved some of these problems specifically &#8211; there’s a couple of WordPress.TV talks where I harp on this stuff <a href=\"https://wordpress.tv/2015/10/26/reid-peifer-reimagining-content-creation/\">here</a> and <a href=\"https://wordpress.tv/2014/05/08/reid-peifer-so-long-fixed-templates-and-thanks-for-all-the-fish-modular-content-with-wordpress/\">here</a>.</p>\n<p>We’ve got to strive for more than just an updated WYSIWYG editor. We’ve got to aspire to a bigger and broader understanding of what content is and could be. When we’ve got that vision, we’ll be able to build tools to help realize it.</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 04 Feb 2017 05:32:54 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:10;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"WPTavern: More Than 50% of Web Traffic is Now Encrypted\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=65505\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"https://wptavern.com/more-than-50-of-web-traffic-is-now-encrypted\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6155:\"<a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2017/01/lock.jpg?ssl=1\"><img /></a>photo credit: <a href=\"https://stocksnap.io/photo/550FJBDFSW\">Chris Anderson</a>\n<p>In October 2016 <a href=\"https://support.mozilla.org/en-US/kb/share-telemetry-data-mozilla-help-improve-firefox\" target=\"_blank\">Mozilla Telemetry</a> showed <a href=\"https://twitter.com/letsencrypt/status/786977436109934592\" target=\"_blank\">more than 50% of page loads were encrypted with HTTPS</a>. This week Let&#8217;s Encrypt is reporting that more than 50% HTTPS page loads is now the norm, a major milestone for HTTPS adoption across the web.</p>\n<blockquote class=\"twitter-tweet\">\n<p lang=\"en\" dir=\"ltr\">Per <a href=\"https://twitter.com/firefox\">@Firefox</a> Telemetry, more than 50% HTTPS page loads is now the norm! <a href=\"https://t.co/7mo8VPrpbq\">pic.twitter.com/7mo8VPrpbq</a></p>\n<p>&mdash; Let\'s Encrypt (@letsencrypt) <a href=\"https://twitter.com/letsencrypt/status/826198258355572736\">January 30, 2017</a></p></blockquote>\n<p></p>\n<p><a href=\"https://www.google.com/transparencyreport/https/metrics/?hl=en\" target=\"_blank\">Google&#8217;s Transparency Report</a> shows similar numbers for HTTPS usage, confirming that secure browsing has become the norm. Google found that HTTPS is less prevalent on mobile devices than desktop but the percentage of pages loaded over HTTPS is steadily on the rise across the board.</p>\n<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2017/01/percentage-pages-loaded-over-https.png?ssl=1\"><img /></a></p>\n<p>The launch of <a href=\"https://letsencrypt.org/\" target=\"_blank\">Let&#8217;s Encrypt</a>, the new free and open certificate authority, is one of the main factors causing the rapid rise in secure traffic. Thanks to sponsorships and partnerships with hosting companies and services, Let&#8217;s Encrypt closed out 2016 with more than <a href=\"https://wptavern.com/lets-encrypt-passes-20-million-active-certificates-in-2016\" target=\"_blank\">20 million active certificates</a>.</p>\n<p>Google&#8217;s influence has also been one of the driving factors in HTTPS adoption after the search engine <a href=\"https://webmasters.googleblog.com/2014/08/https-as-ranking-signal.html\" target=\"_blank\">announced</a> in 2014 that it was starting to use HTTPS as a ranking signal. As of 2017, Google Chrome is<a href=\"https://wptavern.com/chrome-to-add-security-warning-to-http-sites-beginning-2017\" target=\"_blank\"> adding a prominent security warning for HTTP sites</a>.</p>\n<p>Throughout 2016 many major publications moved to HTTPS, including the <a href=\"https://www.theguardian.com/info/developer-blog/2016/nov/29/the-guardian-has-moved-to-https\" target=\"_blank\">Guardian</a>, <a href=\"https://developer.washingtonpost.com/pb/blog/post/2015/12/10/moving-the-washington-post-to-https/\" target=\"_blank\">Washington Post</a>, <a href=\"https://www.wired.com/2016/09/wired-completely-encrypted/\" target=\"_blank\">Wired</a>, <a href=\"https://www.engadget.com/2016/06/10/engadget-moved-to-https-because-we-love-you/\" target=\"_blank\">Engadget</a>, <a href=\"https://arstechnica.com/information-technology/2017/01/ars-announces-https-by-default-finally/\" target=\"_blank\">Ars Technica</a>, and <a href=\"https://open.blogs.nytimes.com/2017/01/10/https-on-nytimes-com/?_r=0\" target=\"_blank\">New York Times</a>, to name a few. Nearly all of them publicly documented the challenges and triumphs of their HTTPS transitions.</p>\n<p>In July 2016, security researcher Scott Helme crawled the Alexa Top 1 million sites to measure how security is progressing on the web. In his previous scans, which included August 2015 and February 2016, the top million sites saw a 42% increase in HTTPS adoption. <a href=\"https://scotthelme.co.uk/alexa-top-1-million-crawl-aug-2016/\" target=\"_blank\">Helme&#8217;s July 2016 crawl</a> showed a 46% increase from February 2016.</p>\n<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2017/01/helme-https-adoption-stats.png?ssl=1\"><img /></a></p>\n<p>Despite the overall growth, the number of HTTPS-enabled sites is just 13.75% of Alexa&#8217;s top million. However, these are the sites that serve the most traffic: Google, YouTube, Facebook, Amazon, and others. These results are consistent with Electronic Frontier Foundation&#8217;s (EFF) <a href=\"https://www.eff.org/deeplinks/2016/10/lets-encrypt-largest-certificate-authority-web\" target=\"_blank\">reports</a> that HTTPS adoption is growing the fastest with smaller, previously-unencrypted sites.</p>\n<p>Let&#8217;s Encrypt&#8217;s launch has also had a ripple effect on commercial certificate authorities who are now moving to offer domain validated SSL certificates for free in order to promote their other security products. Symantec is now partnering with hosting companies to issue free certificates as part of its <a href=\"https://www.symantec.com/content/dam/symantec/docs/other-resources/ee-program-guide-combined-en.pdf\" target=\"_blank\">Encryption Everywhere</a> program. Comodo also <a href=\"https://www.comodo.com/news/press_releases/2016/12/worlds-largest-CA-comodo-and-web-hosting-platform-leader-cPanel.html\" target=\"_blank\">announced</a> a partnership with cPanel in December 2016 to automatically issue SSL certificates at no additional costs to consumers via cPanel&#8217;s AutoSSL feature.</p>\n<p>Securing half the web&#8217;s traffic is a major landmark on the road to a fully encrypted web, but encryption advocates will need to continue educating website owners on the benefits of making the switch to HTTPS. With the necessary infrastructure now in place for anyone to get an auto-renewing SSL certificate for free, Let&#8217;s Encrypt director Josh Aas is optimistic about progress on the remaining 50% of the web.</p>\n<p>&#8220;As exciting as 2016 was for encryption on the Web, 2017 seems set to be an even more incredible year,&#8221; Aas said &#8220;Much of the infrastructure and many of the plans necessary for a 100 percent encrypted Web really solidified in 2016, and the Web will reap the rewards in 2017. Let’s Encrypt is proud to have been a key part of that.&#8221;</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 03 Feb 2017 23:36:12 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:11;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"Donncha: WP Super Cache 1.4.9\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:28:\"https://odd.blog/?p=89500145\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"https://odd.blog/2017/02/03/wp-super-cache-1-4-9/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5137:\"<p>There&#8217;s a new release of <a href=\"https://wordpress.org/plugins/wp-super-cache/\">WP Super Cache</a> out and it&#8217;s a security release to fix XSS problems in the settings pages. Those pages are only accessible by admin users so an anonymous visitor to your site can&#8217;t come along and enable it to steal your login cookies but along with those fixes come many bug fixes so it&#8217;s worth upgrading if you&#8217;re using an old version.</p>\n<p>From the Changelog:</p>\n<blockquote>\n<ul>\n<li>Fixed bug when not running sem_remove after sem_release. See <a href=\"https://github.com/Automattic/wp-super-cache/issues/85\" rel=\"nofollow\">https://github.com/Automattic/wp-super-cache/issues/85</a></li>\n<li>Fixed a PHP error impacting PHP 7.1.</li>\n<li>Fixed a bug where we cached PUT and DELETE requests. We&#8217;re treating them like POST requests now.</li>\n<li>Delete supercache cache files, even when supercache is disabled, because mod_rewrite rules might still be active.</li>\n<li>Updated the settings page, moving things around. <a href=\"https://github.com/Automattic/wp-super-cache/pull/173\" rel=\"nofollow\">#173</a></li>\n<li>Make file locking less attractive on the settings page and fixed the WPSC_DISABLE_LOCKING constant so it really disables file locking even if the user has enabled it already.</li>\n<li>Added a WPSC_REMOVE_SEMAPHORE constant that must be defined if sem_remove() is to be used as it may cause problems.  <a href=\"https://github.com/Automattic/wp-super-cache/pull/174\" rel=\"nofollow\">#174</a></li>\n<li>Added a &#8220;wpsc_delete_related_pages_on_edit&#8221; filter that on returning 0 will disable deletion of pages outside of page being edited. <a href=\"https://github.com/Automattic/wp-super-cache/pull/175\" rel=\"nofollow\">#175</a></li>\n<li>Fixed plugin deleting all cached pages when a site had a static homepage. <a href=\"https://github.com/Automattic/wp-super-cache/pull/175\" rel=\"nofollow\">#175</a></li>\n<li>Make sure $cache_path has a trailing slash <a href=\"https://github.com/Automattic/wp-super-cache/pull/77\" rel=\"nofollow\">#177</a></li>\n<li>Remove flush() <a href=\"https://github.com/Automattic/wp-super-cache/pull/127\" rel=\"nofollow\">#127</a> but also check if headers are empty and flush and get headers again. <a href=\"https://github.com/Automattic/wp-super-cache/pull/179\" rel=\"nofollow\">#179</a></li>\n<li>Add fix for customizer <a href=\"https://github.com/Automattic/wp-super-cache/pull/161\" rel=\"nofollow\">#161</a> and don&#8217;t cache PUT AND DELETE requests <a href=\"https://github.com/Automattic/wp-super-cache/pull/178\" rel=\"nofollow\">#178</a></li>\n<li>Check for superglobals before using them. <a href=\"https://github.com/Automattic/wp-super-cache/pull/131\" rel=\"nofollow\">#131</a></li>\n</ul>\n</blockquote>\n<p>You can click through to each of the Github pull requests above to see discussion around each bug fix.</p>\n<p>If you&#8217;re hosting many sites that use WP Super Cache and you&#8217;re seeing issues with semaphores it may mean that your users are using file locking. It&#8217;s really not needed and in <a href=\"https://github.com/Automattic/wp-super-cache/pull/174\">#174</a> there&#8217;s a fix that went into this release. You can disable file locking completely by setting the constant &#8220;WPSC_DISABLE_LOCKING&#8221; in a global configuration file. The file locking simply slowed down how fast cache files were created and is a hold-over from WP Cache when that plugin used to write directly to the cache files. This plugin writes to temporary files before moving to the final cache files so that locking isn&#8217;t really needed, but some sites still use it which is why it&#8217;s still around.</p>\n<p>I&#8217;ve already been working on the next release with efforts <a href=\"https://github.com/Automattic/wp-super-cache/pull/177\">to move the legacy cache files</a> into the supercache directories. This will make it easier to maintain them and improve performance. We really need to find a better name for this caching method however. It caches everything &#8211; page contents and http headers so it&#8217;s quite useful!<br />\nIf you&#8217;re going to test that PR, try <a href=\"https://github.com/Automattic/wp-super-cache/pull/176\">#176</a> too. The plugin only deletes index.html type files right now but this chunk of code cleans up various for loops in the plugin and also deletes any file in the named directory. There are some restrictions on it so it won&#8217;t delete anything outside the cache directory.</p>\n<p>Thanks to everyone who contributed to this release!</p>\n\n<p><strong>Related Posts</strong><ul><li> <a href=\"https://odd.blog/2008/10/24/wp-super-cache-084-the-garbage-collector/\" rel=\"bookmark\" title=\"Permanent Link: WP Super Cache 0.8.4, the garbage collector\">WP Super Cache 0.8.4, the garbage collector</a></li><li> <a href=\"https://odd.blog/2009/01/09/wp-super-cache-087/\" rel=\"bookmark\" title=\"Permanent Link: WP Super Cache 0.8.7\">WP Super Cache 0.8.7</a></li><li> <a href=\"https://odd.blog/2010/02/08/wp-super-cache-099/\" rel=\"bookmark\" title=\"Permanent Link: WP Super Cache 0.9.9\">WP Super Cache 0.9.9</a></li></ul></p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 03 Feb 2017 17:46:01 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Donncha\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:12;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"WPTavern: WP-CLI 1.1.0 Released, Project Shifts to Expand Package Index\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=65553\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:81:\"https://wptavern.com/wp-cli-1-1-0-released-project-shifts-to-expand-package-index\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2920:\"<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2016/05/wp-cli.png?ssl=1\"><img /></a></p>\n<p>WP-CLI <a href=\"https://make.wordpress.org/cli/2017/02/01/version-1-1-0/\" target=\"_blank\">1.1.0</a> is now available, two months after 1.0.0 was released. The project shifted after 1.0.0 to focus on its <a href=\"https://wp-cli.org/package-index/\" target=\"_blank\">package ecosystem</a>, encouraging new features to be built as standalone packages instead of rolling them all into WP-CLI core. Daniel Bachhuber, the project&#8217;s maintainer, moved WP-CLI in this new direction to better distribute the maintenance burden among package maintainers.</p>\n<p>Version 1.1.0 includes 23 command improvements, 8 framework enhancements, and dozens of bug fixes. The release had a 16% increase in the number of contributors from 1.0.0. It is the first major release since the project was <a href=\"https://wptavern.com/wp-cli-gets-official-wordpress-org-support\" target=\"_blank\">brought under the umbrella of WordPress.org</a> at the beginning of 2017.</p>\n<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2017/02/wp-cli-handbook.png?ssl=1\"><img /></a></p>\n<p>The process of migrating the wp-cli.org website to wordpress.org will take a couple of months, but the website documentation has already found a new home at <a href=\"https://make.wordpress.org/cli/handbook/\" target=\"_blank\">make.wordpress.org/cli/handbook/</a>. Contributors can edit documentation by clicking on the button at the top of any page, which links to the handbook&#8217;s GitHub repository.</p>\n<h3>WP-CLI to Expand Package Index</h3>\n<p>As part of the new focus on the WP-CLI package ecosystem, Bachhuber has created a GitHub repository for logging <a href=\"https://github.com/wp-cli/ideas\" target=\"_blank\">ideas for new packages</a>. The best ideas will be maintained as canonical community packages.</p>\n<p>&#8220;The end goal for the WP-CLI package index is to be a directory of well-maintained, canonical features,&#8221; Bachhuber said. &#8220;Packages will be considered community projects shepherded by one or more maintainers, instead of the domain of a specific author.&#8221;</p>\n<p>Bachhuber is looking to hire someone to assist in maintaining the project in a part-time capacity for 5-10 hours per week. This person will work on supporting package maintainers and vetting ideas for new packages.</p>\n<p>The next release cycle will focus on <a href=\"https://github.com/wp-cli/wp-cli/issues/3728\" target=\"_blank\">splitting internal commands into separate packages</a> with the goal of having official maintainers for them in the future. Contributors are also planning to create new pages on WordPress.org for the <a href=\"http://wp-cli.org/commands/\" target=\"_blank\">WP-CLI commands</a> directory and <a href=\"http://wp-cli.org/docs/internal-api/\" target=\"_blank\">internal API docs</a>.</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 02 Feb 2017 18:16:08 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:13;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"Post Status: Editing and customization core focus areas — Draft Podcast\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"https://poststatus.com/?p=33385\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"https://poststatus.com/editing-customization-core-focus-areas-draft-podcast/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2164:\"<p>Welcome to the Post Status <a href=\"https://poststatus.com/category/draft\">Draft podcast</a>, which you can find <a href=\"https://itunes.apple.com/us/podcast/post-status-draft-wordpress/id976403008\">on iTunes</a>, <a href=\"https://play.google.com/music/m/Ih5egfxskgcec4qadr3f4zfpzzm?t=Post_Status__Draft_WordPress_Podcast\">Google Play</a>, <a href=\"http://www.stitcher.com/podcast/krogsgard/post-status-draft-wordpress-podcast\">Stitcher</a>, and <a href=\"http://simplecast.fm/podcasts/1061/rss\">via RSS</a> for your favorite podcatcher. Post Status Draft is hosted by Joe Hoyle &#8212; the CTO of Human Made &#8212; and Brian Krogsgard.</p>\n<p>In this episode, Joe and Brian talk about two of the three WordPress core focus areas &#8212; the customizer and the editor. There has been some news lately with initial ideas and mockups for each project, and we discuss the importance of these features, as well as what&#8217;s happening with these projects so far.</p>\n<!--[if lt IE 9]><script>document.createElement(\'audio\');</script><![endif]-->\n<a href=\"https://audio.simplecast.com/59336.mp3\">https://audio.simplecast.com/59336.mp3</a>\n<p><a href=\"https://audio.simplecast.com/59336.mp3\">Direct Download</a></p>\n<h3>Links</h3>\n<ul>\n<li><a href=\"https://make.wordpress.org/core/2017/01/19/customization-in-2017/\">Customizer opportunities</a></li>\n<li><a href=\"https://make.wordpress.org/design/2017/01/25/what-are-little-blocks-made-of/\">Editor mockups</a></li>\n<li><a href=\"https://make.wordpress.org/core/2017/01/17/editor-technical-overview/\">Editor technical challenges</a></li>\n<li><a href=\"https://commercenotebook.com\">Commerce Notebook</a></li>\n</ul>\n<h3>Sponsor: Pippin&#8217;s Plugins</h3>\n<p>This episode is sponsored by Pippin&#8217;s Plugins. <a href=\"http://pippinsplugins.com/\">Pippin&#8217;s Plugins</a> creates a suite of plugins that work great alone, or together. Whether you need to restrict content, sell downloads, or start an affiliate program, they&#8217;ve got you covered. For more information, check out their <a href=\"http://pippinsplugins.com/\">website</a> and thank you to Pippin&#8217;s Plugins for being a Post Status partner.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 02 Feb 2017 17:49:07 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Katie Richards\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:14;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"WPTavern: WPWeekly Episode 261 – WordPress for Schools With Cameron Barrett\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"https://wptavern.com?p=65559&preview=true&preview_id=65559\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"https://wptavern.com/wpweekly-episode-261-wordpress-for-schools-with-cameron-barrett\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2598:\"<p>In this episode, <a href=\"http://marcuscouch.com/\">Marcus Couch</a> and I are joined by <a href=\"http://camworld.org/\">Cameron Barrett</a>, founder of <a href=\"http://schoolpress.co/\">SchoolPresser, LLC</a>. Barrett explains how he negotiated and helped migrate Newark New Jersey&#8217;s public school system from a proprietary CMS to WordPress. He shares the pitfalls he experienced and the amount of money the district is saving since making the switch. Barrett also provides tips and suggestions on how to sell WordPress as a solution to school districts.</p>\n<p>We didn&#8217;t dive as deep as we wanted to on the topic but if you&#8217;d like to learn more, please watch the<a href=\"https://wordpress.tv/2016/12/11/cameron-barrett-wordpress-for-schools-3/\"> presentation</a> he did at WordCamp US. In it, he provides more details of the migration, financials, and there&#8217;s a great question and answer session at the end.</p>\n<h2>Stories Discussed:</h2>\n<p><a href=\"https://wordpress.org/news/2017/01/wordpress-4-7-2-security-release/\">WordPress 4.7.2 Security Release</a></p>\n<h2>Plugins Picked By Marcus:</h2>\n<p><a href=\"https://wordpress.org/plugins/birthday-mails-bp/\">Birthday Mail BP</a> is an automated function for BuddyPress that sends birthday emails to members on their birthday. It&#8217;s a great way to express birthday wishes or to present a coupon or discount code to members.</p>\n<p><a href=\"https://wordpress.org/plugins/woo-document-preview/\">WC Document Preview</a> adds a document preview feature to WooCommerce similar to how Amazon allows you to preview books. This is handy for ebooks and digital products that lend themselves to previews.</p>\n<p><a href=\"https://wordpress.org/plugins/tm-style-switcher/\">TM Style Switcher</a> allows you to save a theme&#8217;s settings as skins, switch between them, and move skins from one WordPress site to another.</p>\n<h2>WPWeekly Meta:</h2>\n<p><strong>Next Episode:</strong> Wednesday, February 8th 3:00 P.M. Eastern</p>\n<p><strong>Subscribe To WPWeekly Via Itunes: </strong><a href=\"https://itunes.apple.com/us/podcast/wordpress-weekly/id694849738\" target=\"_blank\">Click here to subscribe</a></p>\n<p><strong>Subscribe To WPWeekly Via RSS: </strong><a href=\"https://wptavern.com/feed/podcast\" target=\"_blank\">Click here to subscribe</a></p>\n<p><strong>Subscribe To WPWeekly Via Stitcher Radio: </strong><a href=\"http://www.stitcher.com/podcast/wordpress-weekly-podcast?refid=stpr\" target=\"_blank\">Click here to subscribe</a></p>\n<p><strong>Listen To Episode #261:</strong><br />\n</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 02 Feb 2017 00:30:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:15;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"HeroPress: The Joy of Being with WordPress Community\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://heropress.com/?post_type=heropress-essays&p=1586\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://heropress.com/essays/joy-wordpress-community/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:11955:\"<img width=\"960\" height=\"480\" src=\"http://20094-presscdn.pagely.netdna-cdn.com/wp-content/uploads/2017/02/020117-1024x512.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"Pull Quote: Above all, the global community of WordPress has been a major inspiration for me.\" /><p>When my friend Mahangu first recommended me to Topher to write an essay for HeroPress, I could not believe his words. Quite confused I asked Topher, he repeated the same ‘Share your story on HeroPress’. It was unbelievable yet a beautiful sentence that left me stunned with pride.</p>\n<p>HeroPress has been a place where I occasionally read the stories of the WordPress heroes. Reading the inspiring stories, I have always found new energy for Work every day. Never thought my story would be worth this platform, I was overwhelmed to receive that message from Topher.</p>\n<p>I am NO Hero but just another full stack WordPress developer. More than that, I am a 24 years young web dude from Nepal. Nepal is a small country that lies in the foothills of the immense and sensational Himalayas. Moreover, it is the land of incredible natural beauty, adventure, and ancient wisdom and enlightenment. And this land has always inspired me to take tiny steps of truth towards the mountain-high peak.</p>\n<p>I could not agree much with Mahangu and Topher but I decided to share my story on this amazing platform. After all, I am not any exceptional but someone who wants to be a hero like (almost) everyone.</p>\n<h3>How I started?</h3>\n<p>Even though I was highly interested to computer from early childhood, I got one of my own only when I was in the 4th grade. As a curious child, I learned about technical aspects of computer from my senior brother and within a year or so on I started fixing the neighbors and friends computer. Since then I had a will to get things “right” as opposed to just getting things “working”. I vividly recall those days when I used to spend hours of my holiday playing Mario. Honestly, that’s still one of my favourite game. <img src=\"https://s.w.org/images/core/emoji/2.2.1/72x72/1f609.png\" alt=\"?\" class=\"wp-smiley\" /></p>\n<p>Back in those days, computer and internet were limited to few cyber cafes in town. I barely had any idea what they actually meant for except gaming.</p>\n<blockquote><p>I thought they were established for the foreigners as they were mostly visited by the international tourists.</p></blockquote>\n<p>After SLC examination (10th grade in Nepal), we have 3 months long vacation when students take extra classes such as bridge courses to prepare themselves for college. Since I was from the best school and was quite good at study I didn’t go for classes required for joining college. That was the time when I enrolled in a computer institute for hardware classes as I was quite interested to know how machine work. Thereafter, I joined college with Science faculty. The only motive behind joining the hardware class and choosing ‘Science’ was to prepare myself for mechanical engineering.</p>\n<p>But I could not do it. Physics, Chemistry barely made any sense to me and therefore started questioning its applicability in my day to day life. As a result, I failed formal education system.</p>\n<blockquote><p>This is how I faced the first and last (till now) “failure” in my life, I dropped down engineering dream right there.</p></blockquote>\n<p>Yet I no more worry, destiny had something other stored for me.</p>\n<p>Despite all, I had kept myself engaged with particular computer science, technology and web. I had somehow managed to learn basic HTML, CSS and designing stuff. I had made contacts with a number of people mostly senior to me who worked with programming, blogging. And one of them has a great role in shaping me as a ‘programmer’. Simultaneously, I read a lot of articles, followed people who mastered in programming which all supported my ‘new dream’ to become a ‘Programmer’.</p>\n<p>As suggested by a friend of mine, I created my first blog in 2010 using Blogger platform. Later, I came to know that WordPress was a better platform with more possibilities and finally switched to WordPress 3.2 after a recommendation from one of my seniors. To my surprise, it was more wonderful than what I actually heard. I loved WordPress. Thereafter, I started tweaking designs and other aspects. Since then, I haven’t looked back.</p>\n<h3>My Contributions / Together with WordPress</h3>\n<p>Above all, the global community of WordPress has been a major inspiration for me. I am always grateful to the community and millions of WordPress lovers for the generous resources. I have also been actively contributing to the WordPress translation.</p>\n<p>Greatly benefited by the works of others, I always wanted to give back to the community. The same instinct led me to the person I am today. Literally, volunteering for making WordPress platform for everyone has given me all the honors including this (feature on HeroPress).</p>\n<p>In 2014, among various WordPress possibilities, WooCommerce is the one which intrigued me from the very beginning. With the growing eCommerce market, I knew that it was going to be a excellent piece of software in the future because of its incredible features. Using the plugin and analyzing it from the user’s perspective, I made numerous enhancements on WooCommerce.</p>\n<p>I introduced Nepali currency symbol in WooCommerce version 2.2.3 which proved to be a milestone in developing eCommerce in my country Nepal. Additionally, I developed a Nepali payment gateway WooCommerce eSewa plugin without any incentive. The best thing about this whole thing is that, I got great help to deal with product platform from amazing folks like Mike Jolley, Claudio Sanches and James Koster. During the period, I learned so much about WooCommerce and coding in general. Since then, I have been reporting several bugs/issues and enhanced the plugin with 200+ pull requests on WooCommerce Github repository. Moreover I have also contributed to Storefront theme.</p>\n<p>Since I was already technical bent, I learned about Vagrant for development environment. My first instinct was to use Varying Vagrant vagrants (VVV). But as a developer, I wanted more flexibility over the stack I used. So I started looking for alternative and found PuPHPet. For those who don’t know, PuPHPet is &#8211; “a simple Vagrant/Puppet GUI”. In order to make it more robust, I started contributing to this project and have also introduced WP-CLI support.</p>\n<p>Afterward, I started automating my development approach. Since there was no good grunt package available to compile PO to MO files, I developed grunt-potomo.</p>\n<h3>Earning my Living with WordPress</h3>\n<p>Desperate as I had dropped from college, I was quite doubtful if I would ever get any job. Web development was at its beginning stage (not established as a job), there was little hope but it proved to be an advantage for me. I got an opportunity to work as a web developer in RealTech Computer Institute which is the same institute where I had learnt hardware and programming. I worked on new and innovative eCommerce sites, finished numerous time sensitive projects, trained new developers in utilizing front-end frameworks like BootStrap, Foundation, jQuery etc.</p>\n<p>Later in 2015, I joined a growing team of ThemeGrill as Lead Plugin Developer. Together with ThemeGrill team, I have developed several WordPress plugins. To name a few, Social Icons, RestaurantPress, ThemeGrill Demo Importer are free WordPress plugins I have developed which are available in official WP plugin repository. Additionally, I have built several internal automated tools to improve overall customer support. I am also responsible for troubleshooting production issues, assisting WooCommerce, sales and performance monitoring.</p>\n<p>WordPress has made my life much easier!</p>\n<h3>WordPress Community in Pokhara</h3>\n<p>My hometown Pokhara is 6 to 8 hours of drive from the capital city Kathmandu. I along with few WordPress enthusiast friends used to travel all the way to Kathmandu just to attend WordCamp Kathmandu (formerly WordCamp Nepal). I was fascinated by the awesome presentations by developers and networking opportunities provided there. Within a year or so the number of WordPress lovers grew in Pokhara but we didn’t have any such event there yet.</p>\n<blockquote><p>In love with WordPress, I thought of organizing WordPress people in Pokhara under common umbrella &#8211; WordPress Pokhara.</p></blockquote>\n<p>By then, I created a Facebook group with some friends, who were involved in WordPress projects. We organized several WordPress meetups and talk about WordPress. The group has grown from 3-4 members to 1000 members in Facebook right now. Mostly I have seen students and professionals coming together and helping each other in projects. Since I am away from Pokhara, Yam B. chetri and team are involved to organize regular WordPress Pokhara meetups. Thanks to his helpful behaviour, we are rapidly growing.</p>\n<h3>Wrapping Up</h3>\n<p>Since I switched to WordPress, I have been working with a motive to program a better solution for users which is surely a challenging task. So I am taking every small step to climb the cliff and still doing homework to reach the right destination.</p>\n<p>To be frank, I don’t want to explore how business work and I am not made for it. But I am quite confident on the fact that I am good at understanding public-facing issues to tackle with a right solution.</p>\n<p>This is just an ordinary story like yours as I said in the beginning. And I repeat that I am no hero yet my journey may be somehow different from yours.</p>\n<p>Just write to me if you have anything to say. ☺</p>\n<p>And thanks to HeroPress and WordPress. Let’s keep rising high as Everest! Together!!</p>\n<div class=\"rtsocial-container rtsocial-container-align-right rtsocial-horizontal\"><div class=\"rtsocial-twitter-horizontal\"><div class=\"rtsocial-twitter-horizontal-button\"><a title=\"Tweet: The Joy of Being with WordPress Community\" class=\"rtsocial-twitter-button\" href=\"https://twitter.com/share?text=The%20Joy%20of%20Being%20with%20WordPress%20Community&via=heropress&url=https%3A%2F%2Fheropress.com%2Fessays%2Fjoy-wordpress-community%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-fb-horizontal fb-light\"><div class=\"rtsocial-fb-horizontal-button\"><a title=\"Like: The Joy of Being with WordPress Community\" class=\"rtsocial-fb-button rtsocial-fb-like-light\" href=\"https://www.facebook.com/sharer.php?u=https%3A%2F%2Fheropress.com%2Fessays%2Fjoy-wordpress-community%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-linkedin-horizontal\"><div class=\"rtsocial-linkedin-horizontal-button\"><a class=\"rtsocial-linkedin-button\" href=\"https://www.linkedin.com/shareArticle?mini=true&url=https%3A%2F%2Fheropress.com%2Fessays%2Fjoy-wordpress-community%2F&title=The+Joy+of+Being+with+WordPress+Community\" rel=\"nofollow\" target=\"_blank\" title=\"Share: The Joy of Being with WordPress Community\"></a></div></div><div class=\"rtsocial-pinterest-horizontal\"><div class=\"rtsocial-pinterest-horizontal-button\"><a class=\"rtsocial-pinterest-button\" href=\"https://pinterest.com/pin/create/button/?url=https://heropress.com/essays/joy-wordpress-community/&media=https://heropress.com/wp-content/uploads/2017/02/020117-150x150.jpg&description=The Joy of Being with WordPress Community\" rel=\"nofollow\" target=\"_blank\" title=\"Pin: The Joy of Being with WordPress Community\"></a></div></div><a rel=\"nofollow\" class=\"perma-link\" href=\"https://heropress.com/essays/joy-wordpress-community/\" title=\"The Joy of Being with WordPress Community\"></a></div><p>The post <a rel=\"nofollow\" href=\"https://heropress.com/essays/joy-wordpress-community/\">The Joy of Being with WordPress Community</a> appeared first on <a rel=\"nofollow\" href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 01 Feb 2017 12:00:06 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Shiva Poudel\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:16;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:113:\"WPTavern: WordPress Telemetry Proposal Addresses Long-Standing Privacy Concerns as GDPR Compliance Deadline Looms\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=64798\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:124:\"https://wptavern.com/wordpress-telemetry-proposal-addresses-long-standing-privacy-concerns-as-gdpr-compliance-deadline-looms\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:14494:\"<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2014/05/paper.jpg?ssl=1\"><img /></a></p>\n<p>At the end of October 2016, Morten Rand-Hendriksen created a <a href=\"https://core.trac.wordpress.org/ticket/38418\" target=\"_blank\">proposal on WordPress trac</a> for adding telemetry to core, an opt-in feature that would collect anonymized data on how people are using the software. He proposed that the new feature be displayed on first install or update, disabled by default in the admin with a control available under Settings->General. One option he suggests is shipping it as a plugin that auto-installs on opt-in and auto-uninstalls on opt-out. He also identified a few examples of core data that could be tracked, including number of themes and plugins installed, frequency of use of specific views (Settings, Customizer, etc), current version, update status, locale, and language.</p>\n<p>&#8220;WordPress prides itself on being an application built by the user for the user,&#8221; Rand-Hendriksen <a href=\"https://mor10.com/the-case-for-wordpress-telemetry/\" target=\"_blank\">said</a>. &#8220;The problem is with the popularity and reach of WordPress today, the distance between the WordPress 1% (or even .1%) and the average user is becoming so vast we (the people who contribute to WordPress core) know almost nothing about the actual people who use WordPress or how they use the application.&#8221;</p>\n<p>During the WordPress 4.7 development cycle, Rand-Hendriksen said he was involved in several conversations where participants assumed the use of features without any data to back up their opinions. He contends that WordPress contributors do not have the necessary data to know how users are interacting with the application and its features.</p>\n<p>&#8220;The general argument was that based on the 80/20 rule, certain features should be added while others should be removed,&#8221; Rand-Hendriksen said. &#8220;I kept brining up the well known fact we don’t have a clue what features 80%, or even 20%, of WordPress users actually use so any claim of validity in the 80/20 rule is guesswork at best.&#8221;</p>\n<p>His proposal states that all the data collected should be public for transparency and also made available to end-users in the admin and on WordPress.org.</p>\n<p>The idea has had a few months to marinate and has generated some discussion about what a prototype would entail. Core committer Ella Van Dorpe created an experimental <a href=\"https://github.com/iseulde/wp-data\" target=\"_blank\">wp-data</a> standalone plugin for tracking a few simple interactions with the editor. Participants in the discussion recommended creating an Elasticsearch/Logstash setup for storing the data, technologies that the WordPress.org systems team have deployed before.</p>\n<p>&#8220;I think a good summary is that there are a lot of hurdles in the way and currently no one has time to work on it,&#8221; Greg Brown, a Data Wrangler at Automattic, said in a followup <a href=\"https://core.trac.wordpress.org/ticket/38418#comment:5\" target=\"_blank\">discussion on the ticket</a> three weeks ago. &#8220;Ultimately, I think the biggest blocker is getting someone with the time, inclination, and persistence to work on this. Getting it deployed onto .org is the right thing to do eventually, but I suspect it will take quite a while.&#8221;</p>\n<p>WordPress lead developer Dion Hulse <a href=\"https://core.trac.wordpress.org/ticket/38418#comment:6\" target=\"_blank\">confirmed</a> that WordPress is already tracking many of these stats and that creating a prototype on WordPress.org infrastructure would be the best option forward.</p>\n<p>&#8220;It would also be valuable to see how our existing stats system can compliment or be replaced by the proposal here though,&#8221; Hulse said. &#8220;I mention this as most of the stats from the original description are already tracked, just not exposed in any form. The only new thing mentioned here is the Frequency of use of specific views (Settings, Customizer, etc) and transparency part (which would still probably only be anonymized summaries, not exact data).&#8221;</p>\n<h3>WordPress Telemetry Project Provides a Solution to Long-Standing Privacy Concerns</h3>\n<p>Moving WordPress&#8217; current data tracking into a more transparent opt-in feature would also provide a solution to some long-standing privacy concerns raised by contributors in <a href=\"https://core.trac.wordpress.org/ticket/16778\" target=\"_blank\">a six-year-old trac ticket</a>. WordPress tracks the number of blogs and users in a given installation, along with the installation URL in the headers, in order to <a href=\"https://core.trac.wordpress.org/ticket/16778#comment:67\" target=\"_blank\">facilitate update requests</a> that may become problematic, particularly in the case of large multisite installations.</p>\n<p>&#8220;Even if a user knows that some data needs to be passed for a version check of core, plugins, or themes, the amount of data passed to remote is obviously more than needed to do the version check,&#8221; one contributor <a href=\"https://core.trac.wordpress.org/ticket/16778#comment:14\" target=\"_blank\">commented</a> on the ticket. &#8220;But users should be made aware upfront so they can freely decide on their own if they want to instead of being forced to support the project with their usage-data. They could be offered an opt-in to do so.&#8221;</p>\n<p>&#8220;The number of registered users I have on my site tied to the URL that is sent with tracking request gives out vital information on how well my business could be doing &#8211; information that is mine and mine only,&#8221; WordPress plugin developer Danny van Kooten said. &#8220;At the very least we could make it very clear that WordPress is tracking this information and what exactly it is doing with it. I really do not think there is any excuse for that.&#8221;</p>\n<p>Developers can filter the data to satisfy their privacy concerns but it is somewhat inextricable from the update process for larger multisite installations. It&#8217;s also too big of a technical hurdle for most regular users who would be better served by a simple UI allowing them to opt out of data collection.</p>\n<p>Rand-Hendriksen&#8217;s WordPress telemetry proposal gives the project an opportunity to formalize what data is being collected, state the purpose behind it, and allow users to choose if they want to be included.</p>\n<h3>Europe&#8217;s General Data Protection Regulation (GDPR) May Push WordPress Towards More Transparent Data Collection</h3>\n<p>Progress on both the Telemetry project and the ticket regarding privacy concerns has been slow. Neither seem to be a priority among contributors, but Europe&#8217;s <a href=\"http://eur-lex.europa.eu/legal-content/EN/TXT/?uri=OJ%3AL%3A2016%3A119%3ATOC\" target=\"_blank\">General Data Protection Regulation</a> (GDPR) may provide the impetus needed to push WordPress towards more transparent and responsible data collection.</p>\n<p>The GDPR is an overhaul of data protection law in Europe with far more stringent requirements than the previous laws. It requires full disclosure for any data collection and standardized privacy notices to help users understand where and how the data is being used. Consent to have data collected must be confirmed and users have the right to access their own data. It also includes the right of erasure or &#8220;the right to be forgotten,&#8221; which allows users to remove their data from the web. The GDPR goes into effect in May 2018.</p>\n<p><a href=\"https://webdevlaw.uk/\" target=\"_blank\">Heather Burns</a>, a digital law specialist who consults and speaks extensively on internet laws and policies, encouraged WordPress contributors to frame the discussion regarding privacy concerns in terms of working towards compliance with a specific framework.</p>\n<p>&#8220;For the purposes of this discussion, core should work to the GDPR standard for two reasons,&#8221; Burns said. &#8220;The first reason lies in cultural differences. The US does not have a single overarching data protection and privacy regulation, unlike Europe, where we have this data protection regime which applies to all personal data regardless of use, format, or sector. So GDPR gives developers &#8211; even those outside the EU &#8211; a robust, healthy, and very tough set of standards to follow. Given what we have seen coming out of the White House in the past week, GDPR also provides as good a starting point as any for defensive user protection.</p>\n<p>&#8220;The second is that GDPR is extraterritorial. It applies to the personal data of anyone in Europe regardless of where the online service is located. If your business is in the US or Australia or Israel but you have European users, you have to protect their data to European GDPR standards.&#8221;</p>\n<p>Pricewaterhouse Coopers recently surveyed 200 US-based multinational companies with more than 500 employees and found that <a href=\"https://www.pwc.com/us/en/increasing-it-effectiveness/publications/assets/pwc-gdpr-series-pulse-survey.pdf\" target=\"_blank\">77% plan to spend $1 million or more on GDPR compliance</a>. More than half of those surveyed cited GDPR readiness as the highest priority on their data-privacy and security agendas.</p>\n<p>The hefty penalties of noncompliance are one of the driving factors behind American companies spending millions of dollars on satisfying the requirements of this new European regulation.</p>\n<p>&#8220;GDPR is a complete overhaul of its dialup-era (1995) predecessor and one of the areas that has been beefed up is its teeth,&#8221; Burns said. &#8220;Businesses which are found to be in noncompliance by a European member state&#8217;s data protection regulator, whether that is your small app studio all the way up to Automattic, could face penalties of up to 4% of the business&#8217;s global annual turnover. Now there’s some solid context for the philosophical discussion.&#8221;</p>\n<p>However, not everyone is convinced that the GDPR will be beneficial to consumers. Kitty Kolding, CEO and president of <a href=\"http://www.infocore.com/\" target=\"_blank\">Infocore Inc</a>, an international company that specializes in sourcing market data, told <a href=\"https://www.exchangewire.com/blog/2016/07/07/an-american-perspective-the-three-worst-things-about-the-eu-gdpr/\" target=\"_blank\">ExchangeWire</a> that she believes the GDPR will undermine &#8220;the sanctity of consumers&#8217; data privacy and security&#8221; and hobble marketing and advertising worldwide.</p>\n<p>She contends that provisions like the &#8220;right to be forgotten,&#8221; which require customer data to be retained beyond the time that it&#8217;s in active use, will make that data more susceptible to hacking. Additionally, the enforcement body for the new legislation claims authority over companies, with the right to search and seize records, without any oversight or appeals.</p>\n<p>&#8220;Every company everywhere that handles data on EU citizens is also automatically subject to this group’s absolute power – though it’s anybody’s guess how the EU believes they can enforce such a broad mandate outside its own borders,&#8221; Kolding said.</p>\n<p>Currently, only two trac tickets <a href=\"https://core.trac.wordpress.org/search?q=GDPR\" target=\"_blank\">mention the GDPR</a> so it&#8217;s not yet clear how WordPress core will respond to the requirements of the new legislation. Burns recommends that WordPress core contributors go through the process of conducting a <a href=\"https://ico.org.uk/for-organisations/guide-to-data-protection/privacy-by-design/\" target=\"_blank\">privacy impact assessment</a> to determine the right way forward.</p>\n<p>Regardless of WordPress&#8217; response, companies and organizations that depend on the software  will need to assume the responsibility of their own compliance, as these requirements extend far beyond core. The GDPR applies to anything added into a website or app that collects users&#8217; data. For example, many contact form plugins store submissions inside the WordPress database and site owners will want to re-examine how users are notified of this.</p>\n<p>&#8220;One of the main changes with GDPR is called the accountability principle,&#8221; Burns said. &#8220;Businesses collecting personal data must be completely transparent and accountable over what data they are collecting, how they are storing it and where, who it is being passed to (such as third parties), who has access to it, and how long it is retained. Users also have the right to request that any data collected about them must be deleted.&#8221;</p>\n<p>There&#8217;s no WordPress plugin that will instantly make a site GDPR compatible. Drupal has a <a href=\"https://www.drupal.org/project/gdpr\" target=\"_blank\">GDPR module</a> that aims to make sure the site follows the guidelines and legislation set by the EU, but it doesn&#8217;t cover all requirements. Automating an assessment of privacy impact for a site using a CMS and potentially dozens of third-party extensions is a complex endeavor. This is one regulation that will require business owners to educate themselves and implement privacy practices that put users&#8217; interests first.</p>\n<p>With the deadline for compliance closing in, WordPress has an opportunity to re-evaluate how the project handles user privacy and make steps towards greater transparency. If contributors are looking into collecting more data to assist decision-making on features, as outlined in Rand-Hendriksen&#8217;s telemetry proposal, this project provides an avenue for working towards GDPR compliance. These privacy concerns are especially important to address when considering WordPress for government, healthcare, educational institutes, and other data sensitive websites.</p>\n<p>Burns views the GDPR&#8217;s compliance deadline as a fresh opportunity for WordPress to build better privacy structures and legal certainty using the regulation as a healthy baseline for all users.</p>\n<p>&#8220;Everyone needs to be working in implementations for their own businesses and sites in any case ahead of deadline day, in addition to any changes that need to be made in the WP code,&#8221; Burns said. &#8220;It&#8217;s important to remember that GDPR compliance is not a tick box you can squeeze in next April. This is about your processes, your workflows, and your systems of accountability. Start now.&#8221;</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 01 Feb 2017 00:10:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:17;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"WPTavern: Logging Into WooCommerce.com Now Requires a WordPress.com Account\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=65488\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:86:\"https://wptavern.com/logging-into-woocommerce-com-now-requires-a-wordpress-com-account\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5935:\"<p>If you logged into <a href=\"https://woocommerce.com/\">WooCommerce.com</a> over the weekend, you may have noticed a distinct change. In order to sign into the site, users are now <a href=\"https://public-api.wordpress.com/oauth2/authorize?response_type=code&client_id=50916&state=26cc0ecf5f249227f5566d9b1bc392db&redirect_uri=https%3A%2F%2Fwoocommerce.com%2Fwc-api%2Fwpcom-signin%3Fnext%3Dmyaccount&blog_id=0&wpcom_connect=1&new-user=1\">required</a> to have a WordPress.com account. The change occurred without warning and surprised those who manage multiple WooCommerce stores for clients.</p>\n<a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/01/WooCommerceWPComLoginScreen.png?ssl=1\"><img /></a>WooCommerce Login Screen Requiring a WP.com Account\n<p><a href=\"https://twitter.com/bradkgriffin?lang=en\">Brad Griffin</a>, who maintains a number of client sites that run WooCommerce, raised concerns over the change <a href=\"https://www.facebook.com/groups/advancedwp/permalink/1388565454538998/\">in a post</a> on the Advanced WordPress Facebook group.</p>\n<p>&#8220;When dealing with businesses, asking someone at a corporate level to take their email address and make a WordPress.com account is a bit problematic,&#8221; Griffin said. &#8220;They&#8217;re confused as to why they need to do this. They don&#8217;t have immediate access to that email address on a Saturday or Sunday.&#8221;</p>\n<p>&#8220;So, without warning, without notice, without a heads up or anything else, no one can now access anything in the back-end of the WooCommerce account unless there is a WP.com single sign on account using oAuth.&#8221;</p>\n<p>For those not interested in signing in with their WordPress.com account, WooCommerce.com attempts to alleviate concerns <a href=\"https://woocommerce.com/signin-with-wordpress/not-interested/\">in an article</a> that outlines the benefits. The benefits include an option to enable 2-Factor Authentication, access to eCommerce services, and viewing purchase history.</p>\n<p>After speaking to Todd Wilkens, Head of WooCommerce at Automattic, Griffin published <a href=\"https://www.youtube.com/watch?v=VXfugcpuD4Y\">video</a>, explaining the change and offers suggestions for those who manage multiple WooCommerce stores for clients. The suggestions are:</p>\n<ul>\n<li>Make 100% sure that you, your client, your store, your account, or anything else has a WordPress.COM account ~ not just WordPress.org!</li>\n<li>Once you&#8217;ve used an email and login and you are setup for WordPress.COM (not .org), make absolutely certain that you are using an incognito browser window when logging into WooCommerce.com.</li>\n</ul>\n<p>Using a private or incognito browser window won&#8217;t remember the login as the cookie is not saved. If you don&#8217;t use incognito mode and like, comment, or subscribe to items on WordPress.com or any site that uses <a href=\"https://developer.wordpress.com/docs/oauth2/\">WordPress.com&#8217;s oAuth protocol</a>, those actions will occur under the client&#8217;s account. &#8220;<span class=\"_5yl5\">Many users might not fully realize how far-reaching that one little oAuth endpoint <strong>actually is</strong> and the vastly significant number of touch-points it can affect,&#8221; Griffin said. </span></p>\n<p>Wilkens <a href=\"https://woocommerce.com/2017/01/woocommerce-requires-wordpress-account/\">published a post</a> on the official WooCommerce blog explaining why the login system was switched, &#8220;We found that a lot of customers were using <i>two accounts</i> to access services from <i>one</i> company,&#8221; he said.</p>\n<p>&#8220;To simplify that, we are centralizing on the WordPress.com login. Automattic has done this with previous acquisitions, like Polldaddy, for the same reasons. Now you can use only one login to access all Automattic services, including WooCommerce, Jetpack, VaultPress and more.&#8221;</p>\n<p>So far, the WooCommerce team has tracked more than 10K successful logins to the new system and are monitoring feedback on social media. Only a small subset of users have reported issues due to confusion, &#8220;Over half of the 1% of users who opened tickets were confused between having a WordPress.com login vs. the login they use for their self-hosted WordPress install,&#8221; Wilkens said.</p>\n<h2>A Better Way to Manage Multiple Client Accounts Is in the Works</h2>\n<p>WooCommerce.com joins a growing collection of Automattic services, sites, and products that require a WordPress.com user account. As the number of reasons to have an account increases, perhaps it&#8217;s time for Automattic to create a client management system. A system that allows users to assign people who can act on their behalf, similar to a <a href=\"https://en.wikipedia.org/wiki/Power_of_attorney\">power of attorney</a>.</p>\n<p>An example that comes to mind is <a href=\"https://www.godaddy.com/pro#reduce\">GoDaddy Pro</a>. GoDaddy Pro allows consultants to access all of their client&#8217;s products in one place. They can also manage aspects of their hosting and purchase products on their behalf.</p>\n<p>The change to WooCommerce.com has emphasized the unfriendliness of the site&#8217;s current system for those who manage multiple client accounts. &#8220;We had already re-prioritized a number of features on our roadmap to make life for developers managing dozens of client accounts much smoother, and hope to have something to be able to announce there soon,&#8221; Wilkens said.</p>\n<p>If you manage multiple client accounts and are affected by this change, Wilkens suggests <a href=\"https://woocommerce.com/my-account/create-a-ticket/\">opening a ticket</a> for advice. You can also provide feedback by voting on a poll at the <a href=\"https://woocommerce.com/2017/01/woocommerce-requires-wordpress-account/\">bottom of the post</a> that asks how your experience was switching to a WordPress.com login.</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 31 Jan 2017 20:02:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:18;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:90:\"WPTavern: Micro.blog Project Surges Past $65K on Kickstarter, Gains Backing from DreamHost\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=65437\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:99:\"https://wptavern.com/micro-blog-project-surges-past-65k-on-kickstarter-gains-backing-from-dreamhost\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:9480:\"<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2017/01/micro-blog-logo.png?ssl=1\"><img /></a></p>\n<p>With one week remaining on its Kickstarter campaign, the <a href=\"https://wptavern.com/micro-blog-surpasses-kickstarter-funding-goal-set-to-launch-new-social-network-for-independent-microblogs\" target=\"_blank\">Micro.blog indie microblogging project</a> has surged past its original $10K funding goal with $66,710 pledged by 2,381 backers. This puts project creator Manton Reece closer to his <a href=\"https://www.kickstarter.com/projects/manton/indie-microblogging-owning-your-short-form-writing/posts/1785295\" target=\"_blank\">stretch goal of $80K</a>, which would enable him to develop a Safe Replies feature to preemptively combat abuse on the platform and hire a part-time community manager.</p>\n<p>Micro.blog also <a href=\"https://www.dreamhost.com/blog/2017/01/24/pitching-support-open-web/\" target=\"_blank\">picked up support from DreamHost</a> this week, pushing the project past the $50K mark. The hosting company pledged $5,000 towards the campaign.</p>\n<p>&#8220;What ever happened to the vision of the open web as a distributed network of websites that were owned by their creators?&#8221; said Jonathan LaCour, SVP of Product and Technology at DreamHost. &#8220;We’d like to make it as easy as possible to launch a WordPress-powered microblog on DreamHost that integrates well with Manton’s upcoming Micro.blog service.&#8221;</p>\n<p>DreamHost (and all other hosting companies) obviously have a vested interest in getting people to see the need to have their own digital presence. However, the biggest obstacle for WordPress customers is making it convenient to join the IndieWeb. DreamHost is planning to take its support of Micro.blog one step further and create an easy way for customers to get started with independent microblogs.</p>\n<p>&#8220;As a followup to our contribution to Manton&#8217;s Kickstarter campaign, we&#8217;re planning on working on making a streamlined, pre-configured Indie microblog with WordPress at DreamHost,&#8221; LaCour said in the <a href=\"https://chat.indieweb.org/2017-01-25#bottom\" target=\"_blank\">#indieweb</a> channel on IRC yesterday. &#8220;I tend to agree that a simplified, pre-packaged WordPress setup would go a long way to driving Indieweb adoption.&#8221;</p>\n<p>When asked whether the company would be utilizing Micro.blog or some other service, LaCour said it has not been decided yet. He said the idea is that people could create an independent microblog hosted at DreamHost that is compatible with Micro.blog and other indie microblogs.</p>\n<p>&#8220;Our major focus at the moment is getting people excited about owning their own website (and entire digital identity),&#8221; LaCour said.</p>\n<h3>Micro.blog is Aiming for Incremental Webmention Support</h3>\n<p><a href=\"https://webmention.net/draft/\" target=\"_blank\">Webmention</a> is a protocol similar to pingback for notifying a URL when a website links to it and also for requesting notifications when another site mentions one of your URLs. It is an important part of facilitating decentralized communication across the web. On January 12, 2017, the <a href=\"https://www.w3.org/Social/WG\" target=\"_blank\">Social Web Working Group</a> published a <a href=\"https://www.w3.org/TR/2017/REC-webmention-20170112/#w3c-recommendation-12-january-2017\" target=\"_blank\">W3C Recommendation of Webmention</a> with the specification contributed by the <a href=\"https://indieweb.org/\" target=\"_blank\">IndieWeb</a> community.</p>\n<p>WordPress doesn&#8217;t natively offer <a href=\"https://webmention.net/draft/\" target=\"_blank\">Webmention</a> support and the core trac <a href=\"https://core.trac.wordpress.org/ticket/35435\" target=\"_blank\">ticket</a> for adding the feature has had little discussion.</p>\n<p>During a preliminary <a href=\"https://wordpress.slack.com/archives/core/p1452663582010063\" target=\"_blank\">discussion on Slack</a> last year, WordPress lead developer Dion Hulse said he thought Webmentions would be a great feature plugin and that there are a few people interested in it. There hasn&#8217;t been much movement on this front in core, but a <a href=\"https://wordpress.org/plugins/webmention/\" target=\"_blank\">Webmention plugin</a> is available in the directory.</p>\n<p>Reece is working on incorporating IndieWeb protocols into Micro.blog but said it will likely launch with incremental support for Webmention.</p>\n<p>&#8220;It might take a little while to get everything IndieWeb in there, but that&#8217;s the eventual goal,&#8221; Reece <a href=\"https://chat.indieweb.org/2017-01-25#t1485379721875000\" target=\"_blank\">said</a>. &#8220;I&#8217;m committed to Micropub and microformats and still exploring how best to support Webmention. (It might be partial support with more later.)&#8221;</p>\n<p>Micro.blog doesn&#8217;t currently handle mentions and replies using Webmention but Reece said his eventual goal is to include it.</p>\n<p>&#8220;The first step to me is getting more people their own microblog so that the infrastructure for cross-site replies is even possible,&#8221; Reece said.</p>\n<h3>Micro.blog Puts the Focus on Indie Microblogging, Instead of Replacing Twitter</h3>\n<p>Reece also <a href=\"http://www.manton.org/2017/01/microblogging-community-on-slack.html\" target=\"_blank\">launched a Slack community</a> where the project&#8217;s backers can discuss Micro.blog and other microblogging topics. He said he initially had reservations with starting something on Slack but was surprised to see the community has already grown to more than 300 members.</p>\n<p>&#8220;I didn’t want to distract from any posts that should happen in the open on blogs,&#8221; Reece said. &#8220;Some discussion just fits better in chat, though. There’s an emerging community of indie microbloggers. Having a place to share tips, tools, and ask questions about Micro.blog just makes sense.&#8221;</p>\n<p>Many of the project&#8217;s backers are eager to create a community of their own and are interested in using Micro.blog as a Twitter replacement. Other services have attempted to provide alternatives to posting directly on Twitter but none have caught on enough to significantly push IndieWeb adoption forward. <a href=\"http://app.net\" target=\"_blank\">App.net</a>, one of the most promising ad-free, microblogging networks, went into maintenance mode in 2014 and will be shutting down March 15, 2017.</p>\n<p>Reece, who was an early fan of App.net, <a href=\"http://www.manton.org/2017/01/thank-you-to-app-net.html\" target=\"_blank\">published a thank you note</a> to the service&#8217;s creators for trying something risky and creating a community around their ideas. He believes it&#8217;s the right time for another open platform to emerge.</p>\n<p>&#8220;We don’t need just another Twitter or Facebook clone,&#8221; Reece said. &#8220;We need a new platform that encourages blogging on the open web.&#8221;</p>\n<p>Nevertheless, Reece is preparing Micro.blog from the outset to be capable of replacing Twitter&#8217;s functionality, which is one of the reasons he is focusing so heavily on ensuring the platform <a href=\"https://twitter.com/manton2/status/821084145782759425\" target=\"_blank\">doesn&#8217;t get overrun with abuse</a>. Reece wants to avoid the pitfalls that have contributed to some of the more negative aspects of Twitter, but his focus is on encouraging people to blog from their own space.</p>\n<p>&#8220;Micro.blog is a success if more people blog,&#8221; Reece <a href=\"https://twitter.com/manton2/status/820372146375524359\" target=\"_blank\">said</a>. &#8220;To provide value it doesn’t need to replace Twitter, but it can.&#8221;</p>\n<p>The project&#8217;s mobile app is key to making it convenient for users to read other people&#8217;s posts and post directly to their own websites from the same interface. Reece shared another <a href=\"https://www.kickstarter.com/projects/manton/indie-microblogging-owning-your-short-form-writing/posts/1783438\" target=\"_blank\">preview of the iPhone and iPad app</a> that will be ready at launch and said he hopes there will be other apps developed by the community.</p>\n<p>&#8220;Most RSS traditional readers can&#8217;t post,&#8221; Reece said. &#8220;I think this makes for a more complete experience, and because it&#8217;s just a blog I can still use other apps and platforms to post.&#8221; He plans to give Micro.blog a 280 character limit before truncating the post.</p>\n<p>Keeping the timeline fast and making posting convenient will be critical to the platform&#8217;s success as an alternative to the dominant social media silos. Polling blogs for new content is not very aggressive in the current prototype but Reece is tuning this to provide a better experience. The platform uses rssCloud and WebSub (formerly PubSubHubbub) to provide a more Twitter-like, real-time experience.</p>\n<p>Micro.blog seems to be landing at the right time, as the idea has already resonated with more than 2,300 people willing to back the project. The service hasn&#8217;t even launched but the concept behind it is already attracting a supportive community eager to explore better ways of powering microblogging on the web.</p>\n<p>&#8220;You don’t replace Twitter overnight, or even try to,&#8221; Reece said. &#8220;But step by step, we’re going to end up with a better web, and I think independent microblogging is part of that.&#8221;</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 26 Jan 2017 22:56:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:19;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"Dev Blog: WordPress 4.7.2 Security Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=4676\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"https://wordpress.org/news/2017/01/wordpress-4-7-2-security-release/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2141:\"<p>WordPress 4.7.2 is now available. This is a <strong>security release</strong> for all previous versions and we strongly encourage you to update your sites immediately.</p>\n<p>WordPress versions 4.7.1 and earlier are affected by three security issues:</p>\n<ol>\n<li>The user interface for assigning taxonomy terms in Press This is shown to users who do not have permissions to use it. Reported by David Herrera of <a href=\"https://www.alleyinteractive.com/\">Alley Interactive</a>.</li>\n<li><code>WP_Query</code> is vulnerable to a SQL injection (SQLi) when passing unsafe data. WordPress core is not directly vulnerable to this issue, but we&#8217;ve added hardening to prevent plugins and themes from accidentally causing a vulnerability. Reported by <a href=\"https://github.com/mjangda\">Mo Jangda</a> (batmoo).</li>\n<li>A cross-site scripting (XSS) vulnerability was discovered in the posts list table. Reported by <a href=\"https://iandunn.name/\">Ian Dunn</a> of the WordPress Security Team.</li>\n<li>An unauthenticated privilege escalation vulnerability was discovered in a REST API endpoint. Reported by <a href=\"https://twitter.com/MarcS0h\">Marc-Alexandre Montpas</a> of Sucuri Security. *</li>\n</ol>\n<p>Thank you to the reporters of these issues for practicing <a href=\"https://make.wordpress.org/core/handbook/testing/reporting-security-vulnerabilities/\">responsible disclosure</a>.</p>\n<p><a href=\"https://wordpress.org/download/\">Download WordPress 4.7.2</a> or venture over to Dashboard → Updates and simply click “Update Now.” Sites that support automatic background updates are already beginning to update to WordPress 4.7.2.</p>\n<p>Thanks to everyone who contributed to 4.7.2.</p>\n<p>* Update: An additional serious vulnerability was fixed in this release and public disclosure was delayed. For more information on this vulnerability, additional mitigation steps taken, and an explanation for why disclosure was delayed, please read <a href=\"https://make.wordpress.org/core/2017/02/01/disclosure-of-additional-security-fix-in-wordpress-4-7-2/\">Disclosure of Additional Security Fix in WordPress 4.7.2</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 26 Jan 2017 19:34:02 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Aaron D. Campbell\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:20;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"HeroPress: Screw the Blueprint. Design Your Own Path to Fulfillment.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://heropress.com/?post_type=heropress-essays&p=1579\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"https://heropress.com/essays/screw-blueprint-live-life-terms/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:9274:\"<img width=\"960\" height=\"480\" src=\"http://20094-presscdn.pagely.netdna-cdn.com/wp-content/uploads/2017/01/012517-1024x512.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"Pull Quote: I wasn\'t following the blueprint, but I was having success and felt secure in the ways that mattered to me.\" /><p>Growing up, I bought into society’s notion of what made for a successful and rewarding life. For me, the blueprint for finding fulfillment looked something like this:</p>\n<p>Step 1. Get good grades in school.</p>\n<p>Step 2. Attend a nice college.</p>\n<p>Step 3. Land a secure job with an attractive salary and benefits.</p>\n<p>Step 4. Find a nice man that would make a good husband and father…and marry him.</p>\n<p>Step 5. Have children.</p>\n<p>Step 6. Die peacefully at an old age. (ha!)</p>\n<p>I was convinced that if I simply followed this blueprint, I’d find security and acceptance. And with the exception of Step #6 (a step I’m hoping to postpone for some time), I was able to accomplish everything I’d set out to do. My grades in school were outstanding, which set me up to pursue a degree in mechanical engineering at the University of Illinois. After graduating in 2000, I was presented with several job opportunities. Ultimately, I accepted a position at Procter &amp; Gamble as an engineer for Charmin. Within a year of starting that job, I met my future husband. We married in 2004 and had our first child in 2007. Another child followed in 2008. I was right on track with my blueprint!</p>\n<p>And then everything fell apart.</p>\n<h2><strong>A breakdown wasn’t in the plan</strong></h2>\n<p>In 2008, I suffered my first real breakdown. I spent several weeks doing my best to get through each day, doing what I needed to as an employee, wife, and mom and trying hard not to let other people down. I fought back tears when I needed to, only letting them flow in private. While the kids were sleeping, I’d escape into the world of TV sitcoms. I knew that something wasn’t right.</p>\n<p>While I had followed the blueprint for security, success, and happiness, I didn’t feel like I had achieved any of these things. I felt isolated at work. At home, I felt valued only if I were functioning as the perfect wife and mom. At the time, the solution seemed clear—quit my corporate job and focus 100% on my family. This, I was certain, would lead to ultimate happiness. So I took two extended maternity leaves, eventually leaving the corporate world to focus on being a stay-at-home mom.</p>\n<h2><strong>Who the hell am I?</strong></h2>\n<p>Being home with kids full-time, no matter how wonderful your kids may be, is by far the most challenging job. While I was grateful that I had the choice to be a stay-at-home-mom, being at home left me feeling alienated. I didn’t really know who I was anymore or how to get back to “myself.”</p>\n<p>So I started experimenting with things I simply felt like doing. These things weren’t part of any blueprint, and there was no guarantee of success or happiness. I just followed my heart.</p>\n<p>I needed something challenging to occupy my mind, so I dug out my sports card collection with the intent of finally organizing it. Looking through my old cards felt both nostalgic and therapeutic, and my head started spinning with other ideas. Business ideas. My dad had a successful e-bay business that seemed like a bit of fun, so I thought: <em>why not try selling sports cards on e-bay?</em> I didn’t want to sacrifice my personal collection, so over the course of a few months, I purchased nearly a million sports cards on Craigslist. After repackaging them into 1000-count boxes, I sold them for $10/box, doubling my money in a short period of time. I learned a lot about buying and selling on the Internet but more importantly, I felt like I had discovered something that was really “me.” It was challenging in a new and exciting way, and it fit in with my hectic mom schedule.</p>\n<p>This venture into the world of online business opened my eyes in a significant way. I started following entrepreneurs such as Gary Vaynerchuk and Chris Brogan, and flew to Houston for a Mom 2.0 Summit. I loved every blog post I read and all the people I was meeting. It was a whole new world filled with risk and uncertainty but grounded in the values of helping people and living a good life. THIS WAS PERFECT FOR ME.</p>\n<h2><strong>And then came WordPress</strong></h2>\n<p>In my newfound fascination with all things Internet-related, it wasn’t surprising that I stumbled upon this thing called WordPress. I had always wanted to build a website, and with the popularity of mom bloggers exploding, I naturally gravitated toward this “easy” platform for my blog. I started the ChicagoActons blog as a way to share our family adventures with others. Building the site was something I enjoyed more than I anticipated. It fed my love of problem solving and I felt great satisfaction in seeing something that I built on the Internet. And I could do it in between changing dirty diapers and cuddling with my kids.</p>\n<p>After building ChicagoActons and sharing it via social channels, I started to get requests to build sites for others. Some were paid assignments and some were not, but I was falling in love with using this tool and my brain to help others further efforts they were passionate about. I was finding myself again, and I felt happy.</p>\n<h2><strong>Where were WordCamps all my life?</strong></h2>\n<p>By 2010, two years into freelance WordPress development, I was ready to expand my horizons and see what others were doing with the platform. I heard about WordCamp Chicago, and bought a ticket to the event that would confirm that the path I was paving was the right one for me.</p>\n<p>At WordCamp Chicago 2010, I learned a great deal about developing with WordPress, but even more life changing were the people I met. They were such a diverse group and so different than I was, yet we all shared the same passion: to support one another in our pursuits to help others. And we all used WordPress as the tool to get the job done.</p>\n<p>The feeling of acceptance and growth that I experienced at my first WordCamp was the impetus I needed to continue down the path as a WordPress-based business entrepreneur. I wasn’t following a blueprint anymore, but I was finding success and security in ways that mattered to me.</p>\n<p>I was happy.</p>\n<h2><strong>Living my own blueprint</strong></h2>\n<p>Fast-forward to today. I couldn’t be more thankful for the life journey I’m on. My kids survived having me as a stay-at-home parent, and as a WordPress-based business entrepreneur, I feel challenged every day to be better at helping others build their passion-driven interests. I would not have gotten here had it not been for WordPress and the WordPress community, which emboldened me to abandon a blueprint for happiness that simply wasn’t working for me and instead embrace life on my own terms.</p>\n<div class=\"rtsocial-container rtsocial-container-align-right rtsocial-horizontal\"><div class=\"rtsocial-twitter-horizontal\"><div class=\"rtsocial-twitter-horizontal-button\"><a title=\"Tweet: Screw the Blueprint. Design Your Own Path to Fulfillment.\" class=\"rtsocial-twitter-button\" href=\"https://twitter.com/share?text=Screw%20the%20Blueprint.%20Design%20Your%20Own%20Path%20to%20Fulfillment.&via=heropress&url=https%3A%2F%2Fheropress.com%2Fessays%2Fscrew-blueprint-live-life-terms%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-fb-horizontal fb-light\"><div class=\"rtsocial-fb-horizontal-button\"><a title=\"Like: Screw the Blueprint. Design Your Own Path to Fulfillment.\" class=\"rtsocial-fb-button rtsocial-fb-like-light\" href=\"https://www.facebook.com/sharer.php?u=https%3A%2F%2Fheropress.com%2Fessays%2Fscrew-blueprint-live-life-terms%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-linkedin-horizontal\"><div class=\"rtsocial-linkedin-horizontal-button\"><a class=\"rtsocial-linkedin-button\" href=\"https://www.linkedin.com/shareArticle?mini=true&url=https%3A%2F%2Fheropress.com%2Fessays%2Fscrew-blueprint-live-life-terms%2F&title=Screw+the+Blueprint.+Design+Your+Own+Path+to+Fulfillment.\" rel=\"nofollow\" target=\"_blank\" title=\"Share: Screw the Blueprint. Design Your Own Path to Fulfillment.\"></a></div></div><div class=\"rtsocial-pinterest-horizontal\"><div class=\"rtsocial-pinterest-horizontal-button\"><a class=\"rtsocial-pinterest-button\" href=\"https://pinterest.com/pin/create/button/?url=https://heropress.com/essays/screw-blueprint-live-life-terms/&media=https://heropress.com/wp-content/uploads/2017/01/012517-150x150.jpg&description=Screw the Blueprint. Design Your Own Path to Fulfillment.\" rel=\"nofollow\" target=\"_blank\" title=\"Pin: Screw the Blueprint. Design Your Own Path to Fulfillment.\"></a></div></div><a rel=\"nofollow\" class=\"perma-link\" href=\"https://heropress.com/essays/screw-blueprint-live-life-terms/\" title=\"Screw the Blueprint. Design Your Own Path to Fulfillment.\"></a></div><p>The post <a rel=\"nofollow\" href=\"https://heropress.com/essays/screw-blueprint-live-life-terms/\">Screw the Blueprint. Design Your Own Path to Fulfillment.</a> appeared first on <a rel=\"nofollow\" href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 25 Jan 2017 12:00:08 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Heather Acton\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:21;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"WPTavern: WordCamp Europe 2017 to Experiment with Sponsors Workshops\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=65117\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://wptavern.com/wordcamp-europe-2017-to-experiment-with-sponsors-workshops\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:12145:\"<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/01/wordcamp-europe-2017.png?ssl=1\"><img /></a></p>\n<p>WordCamp Europe 2017 <a href=\"https://2017.europe.wordcamp.org/2016/12/29/wordcamp-europe-2017-call-for-sponsors-is-now-open-wceu/\" target=\"_blank\">opened its call for sponsors</a> at the end of 2016. The organizing team is embracing the challenge of delivering value to sponsors with workshops for those purchasing the two highest sponsorship levels:</p>\n<blockquote><p>This year, for the first time, we are introducing a third track during both conference days. The third track will be solely dedicated to sponsors, giving you the possibility to either hold a talk or a workshop. Like the other two tracks, the sponsor track will have a dedicated space (capacity for approx. 200 people), where the audience would have the opportunity to hear more about your business and product. You can decide whether you would like to use your time to talk more about your business, or to showcase.</p></blockquote>\n<p>The sponsors track has since been renamed to sponsors workshops, but the concept of a dedicated track remains the same. According to WCEU Sponsors Team coordinator Noel Tock, WordCamp Central&#8217;s transition into a public benefet corporation affords WordCamps more flexibility than previously allowed.</p>\n<p>&#8220;This means we’d like to experiment with different concepts — seeking a higher return on investment for sponsors whilst at the same time protecting the core experience of the WordCamp itself,&#8221; Tock said.</p>\n<p>The new sponsors workshops target large companies, but WCEU organizers have also created a new concept for small businesses. Those that made less than one million Euro in 2016 will qualify for an affordable booth in the middle of the event.</p>\n<p>&#8220;Similar to TechCrunch’s Startup Alley, we want to help highlight smaller companies or ones that have just started out,&#8221; Tock said. &#8220;Simply seeking out sponsorship funds the fastest way possible would not be fair to attendees. This helps makes the conversations and experiences a lot more diverse and balanced.&#8221;</p>\n<p>The sponsors workshops will not need to go through an approval process. They are perks belonging to the Super Admin and Admin sponsorship tiers and these top-level sponsors will have different options for how they want to use their slots.</p>\n<p>&#8220;They can run user workshops, pass on their slot to smaller players (plugin and theme authors) or find other creative session ideas,&#8221; Tock said. &#8220;The workshops will be clearly labeled and we’ll seek to provide an agenda/schedule on the same timeline as regular speakers.&#8221;</p>\n<h3>The Challenge of Delivering Value to Sponsors Without Stifling the Spirit of WordCamps</h3>\n<p>WordCamps are traditionally locally-organized, informal events that bring together attendees from all walks of life. Affordability is one of the hallmarks of a WordCamp, and ticket prices normally range from $20-50. The low cost of entry makes the events more inclusive, keeping the camps from becoming relegated only to elites and those who work for large companies. At a WordCamp, one can meet anyone &#8211; core developers, educators, CEOs of multi-million dollar companies, new users, developers, bloggers, and e-commerce store owners.</p>\n<p>To give you an idea of how uncommonly low WordCamp ticket prices are in comparison to other tech conferences, DrupalCon ranges from $450-600 per person. PHP UK tickets for the conference days are in the neighborhood of $500 and <a href=\"https://world.phparch.com/\" target=\"_blank\">PHP[World]</a> is nearly double that at $900. <a href=\"http://blog.cssconf.eu/2016/12/07/cssconfeu-tickets-2017/\" target=\"_blank\">CSSconf EU</a> tickets are $430. <a href=\"https://www.react-europe.org/#tickets\" target=\"_blank\">ReactEurope</a>, which is also being held in Paris, released its first round of tickets in the range of $680. WordCamp Europe <a href=\"https://2017.europe.wordcamp.org/tickets/\" target=\"_blank\">tickets</a> are €40.00 (approximately $43) because the vast majority of the cost of attendance is subsidized by sponsors.</p>\n<p>Now that WordCamp Europe has been running successfully for five years, Tock said it is easier to get sponsors on board. Sponsorship cost per attendee is one of the contributing factors. In 2016 WordCamp Europe sold 2,199 tickets and organizers expect to sell more than 3,000 this year.</p>\n<p>&#8220;If you compare the perks and size of the audience, you’ll find that WordCamp Europe can be anywhere from 20% to 50% cheaper then comparable WordCamps,&#8221; Tock said. &#8220;The bang for buck has meant we have a lot of returning sponsors.&#8221;</p>\n<p>However, as WCEU attendance and the event&#8217;s financial requirements have grown, so has the challenge to deliver value to sponsors who are contributing greater sums of money.</p>\n<p>&#8220;Asking potential sponsors for a few thousand a couple years back was easy enough,&#8221; Tock said. &#8220;Now that we’re looking for 50k+ Euros from certain sponsors, we need to up our game with it. This means early communication, well-defined packages, and more creative perks.&#8221; This year those perks include 360° booths, 30-second ads between talks, after-party branding, and the new sponsor workshops.</p>\n<p>I spoke to several other organizers of comparably large WordCamps and all of them were intrigued by the idea of sponsor workshops and interested to see how the experiment turns out.</p>\n<p>&#8220;I think on the surface it could be considered a controversial idea, but in reality it&#8217;s just giving sponsors a different kind of voice,&#8221; WordCamp Miami organizer David Bisset said. &#8220;If it&#8217;s done in a way that treats all sponsors fairly and is a voluntary track, then in some ways it doesn&#8217;t differ from a sponsor area, outside of narrowing the spotlight.&#8221;</p>\n<p>Bisset said he&#8217;s interested to see how successful this approach is but notes that it probably would only work for the largest WordCamps.</p>\n<p>&#8220;I honestly don&#8217;t know which side of the fence this lies on in regards the spirit of WordCamps,&#8221; Bisset said. &#8220;There have been controversial issues and challenges regarding sponsors and WordCamps in the past. It&#8217;s a challenge to give sponsors the most bang for their buck, treat everyone fairly, and be a model WordCamp. The jury is still out.&#8221;</p>\n<p>WordPress Orlando organizer Lisa Melegari thinks the idea of sponsor workshops may bring some legitimacy to what is known as the &#8220;hallway track,&#8221; where attendees congregate when not attending a session.</p>\n<p>&#8220;I think it&#8217;s a really interesting concept,&#8221; Melegari said. &#8220;There&#8217;s already the joke out there that there&#8217;s a phantom extra track at most WordCamps &#8211; the Hallway Track. I think this would take that and actually give some legitimacy to the myth.&#8221;</p>\n<p>Melegari said WordCamp Orlando organizers have seen a significant shift in sponsor availability and enthusiasm in the past few years, especially after WordCamp US launched. She said their local camp lost several past sponsors to the larger WordCamp US. Other sponsors have decided to just focus on local camps and some have dropped sponsorship altogether.</p>\n<p>&#8220;I really think we need to give our sponsors more opportunity to benefit their businesses, since their success allows them to continue to support our camps,&#8221; Melegari said. &#8220;Is it worth an entire extra track? Maybe not. That would put an unfair burden on camps that already have difficulty getting space and could deter sponsors from supporting a camp that cannot offer that accommodation.&#8221;</p>\n<p>Melegari said she likes the idea of allowing sponsors to have a more prominent demo opportunity as long as it doesn&#8217;t overshadow the speakers, who volunteer their time.</p>\n<p>&#8220;Having been a speaker with a very low attendance at a few talks, it&#8217;s disheartening, but understandable that another speaker&#8217;s talk is more popular,&#8221; she said. &#8220;I would be afraid the sponsor track would take away the spotlight on speakers.&#8221; From an organizer&#8217;s perspective, she is interested to see how sponsor workshops can deliver a better value for sponsorship.</p>\n<p>&#8220;We really do need to provide a better case for WordCamp sponsorship besides exposure, because many of our recurring sponsors have a smaller and smaller pool of new eyes every camp,&#8221; Melegari said. &#8220;If we are going to keep growing in camp numbers, we&#8217;re going to have to figure out something to keep all the camps financially afloat.&#8221;</p>\n<p>Alx Block, WordCamp US 2015-16 Organizer, understands the importance of sponsors and volunteers, who covered the bulk of the $516 actual cost per person for the most recent event.</p>\n<p>&#8220;I think that we’re at an impasse when it comes to adding value for sponsors, especially at the larger camps,&#8221; Block said. &#8220;On the one hand, each sponsorship is really a <em>scholarship</em> for attendees, allowing each camp to greatly reduce the ticket price so that more people can attend and get value from the camp. On the other hand, there’s limited value for the sponsors in terms of ROI. We’ve never thought of it as a business investment, but it’s certainly time to think about that more.&#8221;</p>\n<p>Keeping ticket prices low, putting on a quality event, and offering an array of perks for sponsorship is a tremendous balancing act for organizers. WordCamp Europe is one of fastest-growing camps that has experimented with doing this at a larger scale every year.</p>\n<p>&#8220;When you get into the larger dollar amounts that larger camps ask, it’s a different kind of ballgame, and I think that we need to revisit the value that a business receives as part of their sponsorship,&#8221; Block said.</p>\n<p>&#8220;I think something like sponsor workshops is a really neat idea. I can imagine that it doesn’t come with much overhead in terms of actual planning, and will give the sponsors something solid that they can plan for in terms of being able to pitch their product or service.&#8221;</p>\n<p>Historically, workshops have been events that are ancillary to the main tracks. WordCamp Europe&#8217;s plan to run them alongside speaker sessions is a bold experiment. Sponsors will have a great deal of flexibility with how they can utilize their workshop slots, so it will be interesting to see if they choose to incentivize attendance in some way or opt to pass them along to other speakers as a sponsored talk.</p>\n<p>&#8220;I think there’s a line between a sponsor &#8216;track&#8217; and sponsor &#8216;workshops,&#8217; which WCEU hasn’t clearly defined yet,&#8221; Block said. &#8220;I’m sure that their intention isn’t to have 1/3 of the talks be by people who paid to be there. From what I understand, the intention is to have the top-tier sponsors (maybe 4-6 of them) present on a smaller stage in a kind of rolling fashion, to supplement the full tracks &#8211; meaning, it would be a great place for an attendee to go during a time when neither of the other sessions appeals to them, or they’re interested in learning more about a specific product.&#8221;</p>\n<p>Block said he has seen this type of sponsor perk at other non-WordPress conferences and has sat in on sessions that piqued his interest.</p>\n<p>&#8220;But this is the real question in my mind: Can we offer something like this without turning WordCamps into a trade show?&#8221; Block said.</p>\n<p>&#8220;I think now that we’re growing so much with these large camps, it’s the perfect time to ask these questions and figure out exactly what type of event WordCamp is. We grow as the community grows, and WordCamp should always reflect the community’s interest. If there’s interest in giving sponsors a place to talk about their wares, I’m all about it, but I’d always want the community to come first.&#8221;</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 24 Jan 2017 20:38:57 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:22;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:93:\"WPTavern: Wix Removes GPL-Licensed WordPress Code from Mobile App, Forks Original MIT Library\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=65143\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:103:\"https://wptavern.com/wix-removes-gpl-licensed-wordpress-code-from-mobile-app-forks-original-mit-library\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:14743:\"<a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2014/06/ForkedFeaturedImage.png?ssl=1\"><img /></a>photo credit: <a href=\"http://www.flickr.com/photos/winterofdiscontent/3301816514/\">winterofdiscontent</a> &#8211; <a href=\"http://creativecommons.org/licenses/by-nc-sa/2.0/\">cc</a>\n<p>In October 2016, <a href=\"https://ma.tt/2016/10/wix-and-the-gpl/\" target=\"_blank\">Matt Mullenweg called out Wix</a> for using GPL-licensed code from the WordPress mobile app and distributing it in its proprietary app. After identifying a path for Wix to comply with the license, Mullenweg <a href=\"https://wptavern.com/mullenweg-takes-aim-at-wix-over-gpl-abuses-wix-response-fails-to-address-licensing-issue\" target=\"_blank\">confirmed he would be willing to go to court to protect the GPL</a>.</p>\n<p>Wix CEO Avishai Abrahami&#8217;s <a href=\"http://www.wix.com/blog/2016/10/dear-matt-mullenweg-an-open-letter-from-wix-coms-ceo-avishai-abrahami/\" target=\"_blank\">response</a> to the allegations failed to address the issue of licensing, dodging the question with references to other open source contributions. Abrahami seemed to indicate that Wix would open source its mobile app but was not clear whether it would be GPL licensed:</p>\n<p>&#8220;We always shared and admired your commitment to give back, which is exactly why we have those 224 open source projects, and thousands more bugs/improvements available to the open source community and we will release the app you saw as well,&#8221; Abrahami said.</p>\n<p>The Wix Twitter account also gave the impression that the entire app would be released under the GPL:</p>\n<blockquote class=\"twitter-tweet\">\n<p lang=\"en\" dir=\"ltr\"><a href=\"https://twitter.com/yairwein\">@yairwein</a> We\'ll release the code on Github, where we also shared our previous projects: <a href=\"https://t.co/FBhp2Kd5wn\">https://t.co/FBhp2Kd5wn</a></p>\n<p>&mdash; Wix.com (@Wix) <a href=\"https://twitter.com/Wix/status/792656290854174721\">October 30, 2016</a></p></blockquote>\n<p></p>\n<p>Publicly communicating these intentions bought the company time to educate its developers on the implications of the GPL and find another path forward for the app.</p>\n<p>The app has not been released under the GPL and Wix has discontinued development on the GPL-licensed repositories. On November 1, 2016, Wix changed the license on the <a href=\"https://github.com/wix/react-native-wordpress-editor\" target=\"_blank\">react-native-wordpress-editor</a>, the repository that was forked from the WordPress mobile app, to GPLv2. The next day, they began work on <a href=\"https://github.com/wix/react-native-zss-rich-text-editor/\" target=\"_blank\">react-native-zss-rich-text-editor</a>, a new repository forked from the original MIT-licensed library that the WordPress mobile app code built upon.</p>\n<p>It appears that Wix never planned on complying with the GPL, since the company immediately began working on an alternative approach. Wix has since released updates to its mobile apps and presumably has incorporated its own editor component that is based on the original MIT-licensed library.</p>\n<p>It is not clear whether Wix completely started over with its fork or if the company&#8217;s developers incorporated some of the commits previously made in the WordPress mobile app&#8217;s GPL-licensed fork. Wix has not responded to numerous attempts to contact them for an official statement.</p>\n<h3>Wix Invents Its Own &#8220;Enhanced&#8221; MIT License for the Forked Library</h3>\n<p>Here&#8217;s where the story takes an odd turn. Instead of distributing the new editor code under a <a href=\"https://opensource.org/licenses\" target=\"_blank\">standard open source library</a>, Wix has written its own license, which it is calling the <a href=\"https://github.com/wix/react-native-zss-rich-text-editor/blob/master/LICENSE\" target=\"_blank\">&#8220;Enhanced&#8221; MIT license (EMIT)</a>. It explicitly prohibits relicensing under the GPL and requires the developer to license modifications under the EMIT:</p>\n<blockquote><p>This license is exactly like the MIT License, with one exception – Any distribution of this source code or any modification thereof in source code format, must be done under the Enhanced MIT license and not under any other licenses, such as GPL.</p></blockquote>\n<p>Furthermore, the license prohibits the code being redistributed under any copyleft license:</p>\n<blockquote><p>when the Software is distributed as source code, the licensee is prohibited to change the license of the Software to any “viral” copyleft-type license, such as, inter alia: GPL, LGPL, EPL, MPL, etc.</p></blockquote>\n<p>Wix explained the reason behind the creation of the new license in its introduction, citing what it calls a &#8220;bug&#8221; in the MIT license. The MIT permits developers to re-license their modifications as GPL. The text of the &#8220;Enhanced&#8221; MIT license characterizes this practice as bullying:</p>\n<blockquote><p>We believe MIT license has a bug since it allows others to use it against its nature. Our belief is that the MIT license is intended to make source code available to anyone who wants to use it without additional obligations, but we have found cases where someone takes a project licensed under MIT license, adds a few lines of source code to it, and then changes the licensing to a different, more restrictive license which is against the nature and the intent of the MIT license. By doing so, the source code released under the original MIT is no longer a true “free/open” source code, thus undermining the intention of the original creator of the source code.</p>\n<p>The concept of this Enhanced MIT license is simple and more robust – you can do what you want with this source code, exactly like any other MIT license, but if you release it again as open source (even if modified), you must release it under this Enhanced MIT license – to be clear, this is not a “viral” license, it only refers to the actual source code released under this license and not to other components interacting with it. If GPL is a viral license, this license can be described as a “robust” one as it prevents licensing changes that are against its nature and it defends its own licensing principles. The essence of the Enhanced MIT license is to prevent bullies from using open source code that is truly free and open under the MIT License and turning it into other viral and more restrictive licenses – such as GPL.</p></blockquote>\n<p>The license has only ever been used in this particular instance and does not appear to have been written by a lawyer or someone who has studied copyright and licensing issues professionally. I contacted the Free Software Foundation&#8217;s <a href=\"http://www.fsf.org/licensing\" target=\"_blank\">licensing and compliance team</a> regarding the legitimacy of Wix&#8217;s &#8220;Enhanced&#8221; MIT license. FSF copyright and licensing associate Donald Robertson III said the team is currently reviewing it and may require legal counsel before making a definitive comment. When they have completed the review, they will publish a statement and list the license in the <a href=\"https://www.gnu.org/licenses/license-list.html\" target=\"_blank\">FSF directory of free and non-free software licenses</a>. These are also broken down into copyleft and GPL-compatible classifications.</p>\n<p>&#8220;As you can see from the <a href=\"https://www.gnu.org/licenses/license-list.html#GPLIncompatibleLicenses\" target=\"_blank\">GPL-incompatible licenses</a>, there are plenty of free software licenses that are incompatible with the GPL, and many of those licenses would be incompatible with other copyleft licenses on the same basis,&#8221; Robertson said. &#8220;So it is possible for a license to be free even if it doesn&#8217;t work well with the GPL. We&#8217;ll have to do some review on this particular license before we can make any comment specific to it.&#8221;</p>\n<p>Wix has not submitted its EMIT license to the Open Source Initiative, a community-recognized organization that acts as stewards of the Open Source Definition (OSD) and also reviews and approves licenses as OSD-conformant. OSI has not yet responded to my inquiry about the legitimacy of the license, but I spoke with <a href=\"https://opentechstrategies.com/\" target=\"_blank\">Karl Fogel</a>, an open source specialist who consults with organizations on open source licensing and the implications of using it in business.</p>\n<p>&#8220;This so-called &#8216;Enhanced MIT&#8217; license is poorly drafted and internally inconsistent,&#8221; Fogel said. &#8220;I feel on safe ground in saying that were it ever submitted to the OSI for approval, it would be rejected quickly.&#8221;</p>\n<p>Fogel also commented on the inherent contradictions in the license&#8217;s introduction and permissions.</p>\n<p>&#8220;An obvious internal inconsistency is that in the Introduction, it says that redistribution in source code format &#8216;must be done under the Enhanced MIT license and not under any other licenses, such as GPL,\'&#8221; Fogel said. &#8220;But then later, in point (2) of the conditional permissions grant, it says &#8216;when the Software is distributed as source code, the licensee is prohibited to change the license of the Software to any &#8216;viral&#8217; copyleft-type license, such as, inter alia: GPL, LGPL, EPL, MPL, etc.&#8217;</p>\n<p>&#8220;So the Introduction is saying that redistribution is not permitted under <strong>any</strong> other open source license, but then the permissions grant section only bars redistribution under copyleft licenses, leaving open the possibility to distribute under other non-copyleft licenses. Which is it?&#8221;</p>\n<p>According to OSI, <a href=\"https://opensource.org/faq#copyleft\" target=\"_blank\">copyleft</a> &#8220;refers to licenses that allow derivative works but require them to use the same license as the original work.&#8221; In requiring the EMIT to be used for derivative works, the license adopts the viral nature Wix ostensibly wanted to avoid with the GPL. This emasculates the MIT, robbing it of its essential freedoms. For this reason and many others, the EMIT appears to be an illegitimate variant of the MIT.</p>\n<p>&#8220;A larger issue is that the reasoning in the Introduction about how the standard MIT license supposedly has a &#8216;bug&#8217; makes no sense,&#8221; Fogel said. &#8221; It asserts that redistribution under an open source copyleft license would somehow be more restrictive than not doing source redistribution at all (e.g., as with a standard proprietary license).  There is no sensible definition of the word &#8216;restrictive; in which releasing code under a copyleft license would restrict someone&#8217;s use of that code more than <em>not having the code in the first place</em> would restrict them.&#8221;</p>\n<p>Fogel does not think the EMIT is a valid derivative of the MIT license and is not convinced that it can be considered a license at all.</p>\n<p>&#8220;It is very clear that a lawyer did not write this license,&#8221; Fogel said. &#8220;I think Abrahami must have written it himself. I hesitate to even call it a license; it&#8217;s not clear what a judge would do with it, except perhaps sell tickets.&#8221;</p>\n<h3>Wix&#8217;s EMIT License is a Hostile Reaction to the Call for GPL Compliance</h3>\n<p>The EMIT license not only takes shots at the GPL but also injects a moral pronouncement against all those who subscribe to the tenets of copyleft licensing. The restrictions in the EMIT effectively &#8220;weaponize the license&#8221; against other open source projects, as one Reddit user said in a<a href=\"https://www.reddit.com/r/opensource/comments/5n7km9/wix_abandons_the_wordpress_editor_forks_original/\" target=\"_blank\">comment</a> on the situation. This encompasses a large portion of the open source community.</p>\n<p>Wix may not be able to publicly admit its violation of the GPL, as it has not yet answered for the past infringement of distributing the code in its mobile app. In looking back over the timeline of events, Wix&#8217;s public communication that implied it would comply with the GPL was disingenuous, as the team was scrambling behind the scenes to fork the original library and slap a new &#8220;anti-copyleft&#8221; license on it. The company has no respect for the GPL and, in fact, has communicated its disdain for the license in the language of its new EMIT license.</p>\n<p>&#8220;I remember reading this exchange when it happened,&#8221; Fogel said. &#8220;This is not a case of gray areas or &#8216;the truth lies somewhere in the middle.&#8217; Matt Mullenweg of WordPress is 100% right, and Wix CEO Avishai Abrahami is, quite simply, wrong. Mullenweg was extremely direct about what the problem was and how to fix it. Abrahami&#8217;s response was an evasive mishmash of brazen non sequiturs and willful refusal to acknowledge Mullenweg&#8217;s point, which was simply that if Wix is going to use WordPress code that is distributed under the GNU General Public License, then Wix has to follow the terms of the GPL like anyone else.</p>\n<p>&#8220;Abrahami&#8217;s poor behavior could only have been intentional,&#8221; Fogel said. &#8220;I just don&#8217;t see any other way to interpret it, given how easy to understand Mullenweg&#8217;s letter is, and how clear the issues are here.&#8221;</p>\n<p>Wix&#8217;s illegal use of GPL code in a proprietary app could easily be chalked up to ignorance or an oversight if the company had simply attempted to comply. Instead, they wrote a license that swipes back at copyleft proponents everywhere. The EMIT actually manages to trivialize both the GPL and the MIT in one fell swoop.</p>\n<p>&#8220;The GPL is not a disease,&#8221; said <a href=\"http://www.rosenlaw.com/\" target=\"_blank\">Lawrence Rosen</a> in a document titled <a href=\"http://www.rosenlaw.com/html/GPL.pdf\" target=\"_blank\">The Unreasonable Fear of Infection</a>. &#8220;It is designed to satisfy certain philosophical and economic objectives that are widely shared by many members of the open source community.&#8221;</p>\n<p>In writing its own &#8220;Enhanced&#8221; MIT license Wix has demonstrated a careless disregard for open source licensing and  hostility towards those who use copyleft licenses to guarantee user freedoms.</p>\n<p>Although some onlookers in the open source community disapproved of the two CEO&#8217;s handling the disagreement in open letters, there are plenty more who appreciate that the issue is being hammered out in public. Fogel said he hopes the situation &#8220;will draw some attention to the fact that the GPL actually means something and can be enforced.&#8221;</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 21 Jan 2017 00:04:49 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:23;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"WPTavern: Obama Foundation Launches New Website Powered by WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=65363\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://wptavern.com/obama-foundation-launches-new-website-powered-by-wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1987:\"<p>The <a href=\"https://www.obama.org/\" target=\"_blank\">Obama Foundation</a> launched its new WordPress-powered website today. The future presidential center, which will be located in Chicago, will manage projects both in the city and other places around the world.</p>\n<p>&#8220;More than a library or a museum, it will be a living, working center for citizenship,&#8221; President Obama said. &#8220;That&#8217;s why we want to hear from you. Tell us what you want this project to be and tell us what&#8217;s on your mind.&#8221;</p>\n<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2017/01/obama-foundation-screenshot-e1484927287947.png?ssl=1\"><img /></a></p>\n<p>The website integrates the <a href=\"https://www.typeform.com/\" target=\"_blank\">Typeform</a> service for collecting feedback from citizens on their hopes and dreams, as well as the people and organizations that inspire them.</p>\n<p>WordPress developers were excited to see that the former President is using the WP REST API introduced in WordPress 4.7.</p>\n<blockquote class=\"twitter-tweet\">\n<p lang=\"in\" dir=\"ltr\">Oh hai WP REST API <a href=\"https://t.co/EBGDexNwRA\">pic.twitter.com/EBGDexNwRA</a></p>\n<p>&mdash; Daniel Bachhuber (@danielbachhuber) <a href=\"https://twitter.com/danielbachhuber/status/822459669104889856\">January 20, 2017</a></p></blockquote>\n<p></p>\n<p>The custom theme for the Obama Foundation is built using <a href=\"http://foundation.zurb.com/\" target=\"_blank\">ZURB&#8217;s Foundation</a> as its front-end framework. It integrates the <a href=\"http://jquery.malsup.com/cycle/\" target=\"_blank\">jQuery Cycle Plugin</a> for galleries.</p>\n<p>The website was created by <a href=\"http://www.bluestatedigital.com\" target=\"_blank\">Blue State Digital</a>, an agency that got its start on the campaign trail and now focuses on serving causes and brands.</p>\n<p>President Obama is the first president to select WordPress for his presidential center website.</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 20 Jan 2017 17:39:26 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:24;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"BuddyPress: BuddyPress 2.8.0 Beta 1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"https://buddypress.org/?p=263023\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"https://buddypress.org/2017/01/buddypress-2-8-0-beta-1/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2965:\"<p>BuddyPress 2.8.0 Beta 1 is packed with new features and enhancements and is now available for testing. You can download the <a href=\"https://downloads.wordpress.org/plugin/buddypress.2.8.0-beta1.zip\">BP 2.8.0-beta1</a> zip or get a copy via our Subversion repository. We&#8217;d love to have your feedback and testing help.</p>\n<p>BuddyPress 2.8.0 requires PHP 5.3+, and will not be activated on a server with a lower version of PHP. We also remind you that BuddyPress 2.8.0 will require <a href=\"https://bpdevel.wordpress.com/2016/11/17/2349/\" target=\"_blank\">at least WordPress 4.3</a>.</p>\n<p>A detailed changelog will be part of our official release notes, but, until then, here’s a list of some of our favorite changes. (Check out <a href=\"https://buddypress.trac.wordpress.org/query?status=closed&group=resolution&milestone=2.8\">this report</a> on Trac for the full list.)</p>\n<ul>\n<li>BP Email: Allow end user to specify which PHPMailer should be used <a href=\"https://buddypress.trac.wordpress.org/ticket/7286\">#7286</a></li>\n<li>Companion Stylesheet &#8211; Twentyseventeen <a href=\"https://buddypress.trac.wordpress.org/ticket/7338\">#7338</a></li>\n<li>Minimum PHP version is 5.3 <a class=\"closed\" title=\"View ticket\" href=\"https://buddypress.trac.wordpress.org/ticket/7325\">#7325</a>, <a class=\"closed\" title=\"View ticket\" href=\"https://buddypress.trac.wordpress.org/ticket/7299\">#7299</a></li>\n<li>Support List-Unsubscribe header in emails <a href=\"https://buddypress.trac.wordpress.org/ticket/7390\">#7390</a></li>\n<li>Make group search more flexible <a href=\"https://buddypress.trac.wordpress.org/ticket/7418\">#7418</a> and other groups improvements, like <a class=\"closed\" title=\"View ticket\" href=\"https://buddypress.trac.wordpress.org/ticket/7419\">#7419</a>, <a class=\"closed\" title=\"View ticket\" href=\"https://buddypress.trac.wordpress.org/ticket/7399\">#7399</a>, <a class=\"closed\" title=\"View ticket\" href=\"https://buddypress.trac.wordpress.org/ticket/7388\">#7388</a>, <a class=\"closed\" title=\"View ticket\" href=\"https://buddypress.trac.wordpress.org/ticket/7386\">#7386</a>, <a class=\"closed\" title=\"View ticket\" href=\"https://buddypress.trac.wordpress.org/ticket/7375\">#7375</a></li>\n<li>Lots of new filters in various parts of the code, like <a class=\"closed\" title=\"View ticket\" href=\"https://buddypress.trac.wordpress.org/ticket/6667\">#6667</a>, <a class=\"closed\" title=\"View ticket\" href=\"https://buddypress.trac.wordpress.org/ticket/5193\">#5193</a></li>\n<li>Lots of inline documentation tweaks and other fixes and improvements</li>\n</ul>\n<p>BP 2.8.0 is almost ready, but please do not run it in a production environment just yet. Let us know of any issues you find in the <a href=\"https://buddypress.org/support/\">support forums</a> and/or <a href=\"https://buddypress.trac.wordpress.org/\">development tracker</a>.</p>\n<p>Thanks everyone for all your help to date. We are excited to release BuddyPress 2.8.0 in February!</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 19 Jan 2017 23:03:15 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Slava Abakumov\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:25;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:40:\"Post Status: Shaping a vision of success\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"https://poststatus.com/?p=32469\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"https://poststatus.com/shaping-success-wordcamps/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:14728:\"<p><em><strong>Editor&#8217;s note</strong></em>: This guest post is written by <a href=\"https://poststatus.com/profiles/jenny-beaumont/\">Jenny Beaumont</a>, a co-organizer of WordCamp Paris and WordCamp Europe. She&#8217;s spent the last two decades building things in and around the web, writes a <a href=\"http://www.jennybeaumont.com/subscribe/\">terrific newsletter</a>, and lives in France.</p>\n<p>One of the highlights of my year, and a fitting end to 2016 as my <a href=\"http://www.jennybeaumont.com/celebrating-15-years-of-freelancingwith-a-sabbatical/\">sabbatical</a> drew to a close, was attending the 2nd annual <a href=\"https://poststatus.com/photos-post-status-publish-wordcamp-us-2016/\">WordCamp US</a>, held December 2-4 in Philadelphia, Pennsylvania.</p>\n<p>The trip met my expectations in every way, from the warm-hearted nature of the locals to the super-sized portions at every delicious meal, and from the diversity of attendees to all of the extraordinary conversations I had during that short week I was in town.</p>\n<p>“You might have noticed that this year’s programming at WordCamp US had some more of a human side, in addition to just the technical that we’ve had before,” said Matt Mullenweg, co-founder of WordPress and CEO of Automattic, during his much-anticipated <a href=\"https://poststatus.com/matt-mullenweg-state-word-2016/\">State of the Word</a>.</p>\n<p>“I think that a lot of our opportunities to grow over the coming year are on the human side, and understanding the humanity of an open source project and working together and creating the code that’s going to touch humanity as well.”</p>\n<p>Moving into 2017, ready for new opportunities and with the next edition of <a href=\"https://2017.europe.wordcamp.org/\">WordCamp Europe</a> on the horizon, I find myself thinking about growth past and present, and about what success might look like for all of us in this new year.</p>\n<h3>Growth and competition for WordPress</h3>\n<p>“It’s really all about pie,” replied Mullenweg when asked about the future of a WordPress entrepreneur, stating that as long as the pie continues to grow, everyone can get a piece.</p>\n<p>He talked about how the new focuses of the WordPress project—the REST API, the Editor and the Customizer—along with an inclusive design-lead approach, should allow WordPress to reach new audiences.</p>\n<p>WordPress has seen incredible growth in recent years, now representing over <a href=\"https://w3techs.com/technologies/overview/content_management/all\">27% of websites</a>, a full 20% ahead of competing platforms. This translates to 58.5% market share of all monitored content management systems, <a href=\"https://www.rarst.net/wordpress/powers-internet/\">when looking</a> at the top 10 million sites.</p>\n<p>This doesn’t mean that the competition isn’t trying to close the gap. Mullenweg reported that the top proprietary platforms, such as Squarespace and Wix, spent upwards of 320 million in advertising dollars in 2016, often directly targeting search engine queries for WordPress.</p>\n<p>“I think that in the past WordPress got by on a lot of sort marketing by happenstance,” he said, admitting the need to look at the marketing of WordPress in new ways, and hopefully pooling the resources of the community to do so.</p>\n<p>“I think we have a real opportunity especially as the businesses around WordPress grow larger and larger, to actually coordinate a bit […] there’s no one company in the WordPress ecosystem that’s large enough to match 300 million dollars, and spend on telling people the WordPress story. But no one company needs to be large enough, because we’re a community.”</p>\n<p>All in all, he painted a bright picture for the future for the WordPress ecosystem, the community of people who come together around a common purpose and ideal—the WordPress project and its mission to democratize publishing—and in so doing create a new paradigm for work and the web, the byproduct of which is a flourishing economy.</p>\n<p>I can’t help but wonder, how big can the pie get? And while we concentrate on growth and competition, how do we measure the success of our mission? How will we know when we’ve democratized publishing? Can or should WordPress achieve this goal alone?</p>\n<h3>The numbers game for WordCamps</h3>\n<p>“We must tilt our hat and bow down to Europe, which beat us this year,” Mullenweg capitulated as he wrapped up his report on community growth, expressed in the number of events and event attendance worldwide.</p>\n<p>Growth is an indication that we’re doing something right. An increase in the numbers tells us that more people are interested and getting involved. This is what an open source project needs to reach a wider audience, stay competitive and accomplish its mission: people to make it happen.</p>\n<p>But should success be measured solely in numbers? Is it healthy to think that there can be winners and losers when it comes to the success of our community as a whole?</p>\n<p>In its first three years, WordCamp Europe grew at a slow and predictable rate. Then last year, for some reason, it exploded. We sold our initial batch of 1500 tickets practically overnight, and ended up selling nearly 2200 tickets in total.</p>\n<p>What happened? Did WordCamp Europe’s reputation catch up with itself, creating this burgeoning interest? Was Vienna simply an incredibly attractive destination for a lot of people? Or was it the organizing team that did an outstanding job at marketing and outreach?</p>\n<p>WordCamp US was in its second year, and we can ask similar questions about why they didn’t see the growth they were expecting. Is the event, with its transition from the long-standing WordCamp San Francisco, still in its infancy, so that slow growth is to be expected? Was going to the same destination two years in a row not as appealing to attendees? Did the team do an adequate job of communicating around the event?</p>\n<p>In my mind, both WordCamp Europe and WordCamp US were successful events. Each did a lot of things well, and some other things less well. Attendees I encountered, whether speakers, sponsors, volunteers or the general public, seemed to have a rewarding experience and their expectations met.</p>\n<p>Because that’s why we put these events on, right? Not to “get the numbers” or “win”, but to create an enriching experience.</p>\n<h3>Bigger is not necessarily better</h3>\n<p>So, how big do we let ourselves get? This has been an ongoing question for us on the WordCamp Europe team since things took on a new dimension in Vienna.</p>\n<p>When I asked <a href=\"https://paolo.blog/\">Paolo Belcastro</a>, WordCamp Europe local team lead in 2016 and global team lead for 2017, what he thought about growth he said, “For me a successful event is when we have one ticket left over. It should be our goal to make sure that everyone who wants to attend, can.”</p>\n<p>This is a philosophy that I stand beside. It reflects our focus on attendees and on inclusiveness, so that it doesn’t matter whether we have 1000, 2000 or 3000 people, it only matters that we do our best to accommodate everyone and put on a great event for however many show up.</p>\n<p>It does not, however, answer the question.</p>\n<p>It’s exciting to run a popular event, and it’s easy to get carried away with that excitement and sense of accomplishment knowing that so many people want to attend, that so many people are being impacted in positive ways. When we focus solely on the numbers, and adopt a “bigger is better” mentality, it’s also easy to lose sight of some important consequences of growth.</p>\n<h4>Professional level of production</h4>\n<p>Keep in mind that we didn’t originally plan an event for 2200 people last year, and so we had to improvise, which meant a significant budget increase and a lot of extra work for the organizing team.</p>\n<p>It also catapulted us into a new level of production. Putting on a large event is not the same as putting on a smaller one, and once you get up above 2000 attendees, it has a trickle down effect. It means organizing a speakers dinner for upwards of 300 volunteers, and an after party for 1500. These are events in and of themselves. We’re brought to collaborate with professionals in the events world—caterers, vendors, venues—while we’re still volunteers working in our “spare time”, some of us with more experience than others at making this all happen.</p>\n<h4>Increased cost of WordCamps</h4>\n<p>While the average ticket price per day has gone down, from $20 to $15.79, the cost of putting on a WordCamp has increased. Mullenweg reported that the cost of WordCamp US was $516 per person, while attendees continue to pay a mere $40 for entry to the two-day event, including lunch both days, free-flowing coffee, access to the contributor day and after party, not to mention the <a href=\"https://poststatus.com/photos-post-status-publish-wordcamp-us-2016/#jp-carousel-31176\">great swag</a>, which included both a t-shirt and an adorable Wapuu plushy this year.</p>\n<p>The additional 90% of this cost falls to sponsors. Sponsors are not volunteers running a non-profit, they are businesses. As we ask more and more of them, they understandably are <a href=\"https://wptavern.com/the-value-of-sponsoring-a-wordcamp-from-a-business-perspective\">starting to question</a> what they get in return. Our response has typically been, “you’re supporting the community and gaining exposure,” but is that enough and for how long? How much is too much to ask?</p>\n<h4>Setting expectations for sponsors and attendees</h4>\n<p>How much is too much to ask of anyone? As we ask more of sponsors they expect more in return. As we grow, try to predict growth and to outdo ourselves every year, the task for organizers becomes more demanding. As we create bigger and better events, attendees expect to find the same elsewhere.</p>\n<p>An event with 10,000 attendees would be amazing. We probably couldn’t call it a WordCamp, though. It would be a WordPalooza, and would require a full-time staff and a new approach to programming, sponsorship and organization on the whole. Does an event have to grow into order to be successful? Can maintaining a certain level of participation and quality also be considered a success?</p>\n<p>Because it’s also possible that WordCamp US and WordCamp Europe will simply plateau at a certain capacity. The world may not be ready for a WordPalooza.</p>\n<h3>Competition and success</h3>\n<p>“One of the reasons why I think WordPress has such a collaborative community, when you see competitors hanging out with each other and getting drinks […] is that it’s a growing pie. So everyone’s slice of that pie can grow alongside. If it were shrinking or a static pie, the only way to grow would be taking some pie from someone else.”</p>\n<p>Competition is widely considered good for business. It pushes companies to innovate and guard against complacency. It encourages a focus on customer service and helps protect consumers through competitive pricing. Competition in the marketplace confirms there is a market to be had, that demand is strong for the products or services being offered. It seeks to establish a basis for fairness, while letting companies vie for market share, sales and profit margins.</p>\n<p>The friendly, collaborative nature of the WordPress community is born out of the open source philosophy of contribution and sharing. It is, in my mind, our greatest strength. Support within the community is unparalleled. We consistently root for one another, learn from one another, share our triumphs and our difficulties, through mergers, acquisitions, hirings, firings, career changes and even the occasional drama.</p>\n<p>How big can WordPress get? Arriving at 100% market share is neither a likely nor a desirable scenario, if you believe in the benefits of competition and fair trade. The pie is not likely to grow exponentially, but rather will turn into something else entirely as the technology, the world and the web evolve, and the project along with them.</p>\n<h3>Success and expectations</h3>\n<p>“When we are candid about our shortcoming, it allows us to be better towards going to the future,” Mullenweg said in talking about the WordPress Editor.</p>\n<p>This is a sentiment we can apply across the board, to ensure that our philosophy and our mission are reflected in our words and actions as we bring new users to our platform and welcome newcomers to our community.</p>\n<p>Healthy competition, whether inside or outside of the community, helps us strive to be the best we can be. Raising the bar can produce some extraordinary results, allowing us to be inspired by one another, taking on ideas that we might find valuable for our audiences, customers, clients. Healthy competition allows us to learn, have fun, grow and share that wealth of knowledge around us.</p>\n<p>Unhealthy competition causes us to lose sight of our goals, focusing on numbers instead of the people affected by them. In a community such as ours that prides itself on inclusiveness, we can only succeed or fail together.</p>\n<p>In this coming year I’d like to see success shaped through managing expectations and staying true to our purpose. I’d like to see it shaped by people, not numbers, by the humanity of this open source project that brings us together, allows us to create, to innovate, to provide for ourselves and our families.</p>\n<p>I’d like to think that a future vision of success could be when growth is neither the goal, nor our limitation, when we’re no longer looking to a growing pie, but rather to a renewable spring or self-sustaining garden. I’d like to think that one day we will be able to say that we’ve succeeded in democratizing publishing, and if and when we do, I doubt that we will have done it alone. And that’s a good thing.</p>\n<h3>See you in Paris</h3>\n<p>I have no idea how many people will show up to WordCamp Europe in June, but I do know that it will be another fantastic event. I also know that you can help make it a success by participating. You can apply to <a href=\"https://2017.europe.wordcamp.org/2016/11/28/join-us-as-a-speaker-at-wordcamp-europe/\">speak</a>, to <a href=\"https://2017.europe.wordcamp.org/2016/10/06/wordcamp-europe-2017-call-for-volunteers-is-now-open/\">volunteer</a>, to <a href=\"https://2017.europe.wordcamp.org/2016/12/29/wordcamp-europe-2017-call-for-sponsors-is-now-open-wceu/\">sponsor</a>, and/or <a href=\"https://2017.europe.wordcamp.org/tickets/\">buy a ticket</a>. So many ways to be a part of making it happen. So, see you there? Wait, let me rephrase: see you there!</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 19 Jan 2017 06:02:55 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Jenny Beaumont\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:26;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"WPTavern: Jetpack 4.5 Expands Monetization with WordAds Integration\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=65273\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"https://wptavern.com/jetpack-4-5-expands-monetization-with-wordads-integration\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:16477:\"<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2017/01/wordads.jpg?ssl=1\"><img /></a></p>\n<p>Jetpack is starting 2017 with a major release that is heavy on enhancements and improvements. <a href=\"https://jetpack.com/2017/01/17/jetpack-4-5-monetize-your-site-brand-new-videopress-and-many-many-new-shortcodes/#comments\" target=\"_blank\">Version 4.5</a> includes more than a dozen new shortcodes and widgets, along with revamped support for VideoPress. One of the most intriguing new features announced in this release, however, is the integration with <a href=\"https://wordads.co/\" target=\"_blank\">WordAds</a>, WordPress.com&#8217;s advertising program.</p>\n<p>Jetpack users are required to be on the <a href=\"https://wordpress.com/jetpack/connect/premium\" target=\"_blank\">Premium plan</a> ($9.00/month or $99/year) in order to sign on with WordAds. The feature is then available within the Engagement tab along with settings for adjusting ad placement.</p>\n<p>Eligibility for WordAds was previously limited to sites that had thousands of page views per month, but this requirement is lifted for those who have purchased a Premium or Professional Jetpack plan. Unlike Adsense, which pays for clicks, WordAds pays based on the number of impressions combined with many other factors. According to Derek Springer, an Automattic employee who has worked on WordAds for several years, the traffic requirement was given to set earnings expectations and to ensure support resources were adequately available.</p>\n<h3>How Much Can Publishers Earn through WordAds?</h3>\n<p>It&#8217;s difficult to to gauge how much a publisher can earn using WordAds, and Automattic doesn&#8217;t publish any sample earnings. The WordAds network has <a href=\"https://wordads.co/2016/10/14/google-adsense-facebook-ads-and-dozens-more-buying-from-wordads/\" target=\"_blank\">more than 60 partners</a> bidding for advertising space in realtime, including Google&#8217;s AdSense, Google, AdX, Facebook Ads, AOL, Yahoo, and Amazon. <a href=\"https://dailypost.wordpress.com/2013/02/14/wordads/\" target=\"_blank\">WordPress.com&#8217;s Daily Post blog</a> likened the network to a stock market with prices rising and falling as available space changes.</p>\n<p>When asked about the average return for every 1,000 impressions, Derek Springer said it&#8217;s challenging to estimate due to the complex set of factors influencing the revenue publishers can earn. These include location and number of ads, geography of viewer, percentage of viewers with ad blockers, and other factors.</p>\n<p>&#8220;Generally speaking, a site with majority US views with high-quality content can expect to earn the most, while non-English language, low-quality (copied content, nsfw, spam, purchased traffic) sites can expect to earn very little (if anything),&#8221; Springer said. &#8220;Our network over the past year or so has gotten pretty good at appropriately rewarding high-quality sites with high-quality traffic (and penalizing the inverse).&#8221;</p>\n<p>For years, bloggers have traded stats and earning records, speculating on what influences WordAds&#8217; unpredictable payouts. In 2014, the Human Breed Blog <a href=\"https://humanbreeds.com/2014/10/13/wordads-advertising-on-wordpress/\" target=\"_blank\">published</a> a collection of data from blogs that made their WordAds earnings publicly available. The data demonstrated inconsistency in earnings for many publishers, including the author&#8217;s own blog, where earnings varied wildly from 2014-2015:</p>\n<blockquote><p>My earnings have dropped down to half (From $22.55 in October 2014 to $11.77 in May 2015) despite my page views being higher than 20,000 views per month. The return per 1,000 Ad Impression (CPM) has dropped from $2.25 in October 2014 to $1.17 in May 2015 and the return per 1,000 Page views (CPV) has dropped from $1.39 in October 2014 to $0.51 in May 2015.</p></blockquote>\n<a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/01/the-human-breed-blog-wordads-earnings.png?ssl=1\"><img /></a>The Human Breed Blog 2014-2015 WordAds Earnings\n<p>This example is representative of the experience of many WordAds publishers in 2014-2016.</p>\n<p>&#8220;On my blog SQLwithManoj.com, for the months May, June, and July, the &#8216;Ad Impressions&#8217; were around ~10k and earnings were in the range of $25 to $48 respectively each month,&#8221; <a href=\"https://humanbreeds.com/2014/10/13/wordads-advertising-on-wordpress/#comment-4468\" target=\"_blank\">said</a> Manoj Pandey, blogger at SQLwithManoj.com. &#8220;But in the month of August the &#8216;Ad Impressions&#8217; were showing ~100k, i.e. ~10 times the previous months, but earnings are still in the same range.&#8221;</p>\n<p>For many publishers participating in WordAds, there seems to be little correlation between impressions and payouts from month to month. Numerous publishers have reported progressively lower earnings despite having higher traffic numbers than previous months. Clarissa&#8217;s Blog, included in the collection of public earnings above, <a href=\"https://clarissasblog.com/2016/01/30/wordad-earnings-an-important-update/\" target=\"_blank\">published stats</a> from June 2014 to December 2015 that show a dramatic decrease in the amount paid for impressions.</p>\n<p>&#8220;You have no way of knowing where the &#8216;ad impressions&#8217; figure comes from and why it varies from one month to another,&#8221; Clarissa said. &#8220;You will have to trust WordPress on that. I experimented with placing the maximum amount of ads as opposed to a moderate amount of ads and that had absolutely no impact on the number of ad impressions.&#8221;</p>\n<p>Things started changing in 2016 for Clarissa who now <a href=\"https://clarissasblog.com/2016/01/30/wordad-earnings-an-important-update/#comment-289600\" target=\"_blank\">reports</a> that earnings are increasing. &#8220;I have no idea why but the payments seem to have returned to the higher rates,&#8221; Clarissa said. &#8220;Right now is a good time to do WordAds.&#8221;</p>\n<p>Others continue to <a href=\"https://en.forums.wordpress.com/topic/is-wordads-on-decline?replies=3#post-2842453\" target=\"_blank\">report</a> declines on the WordPress.com forums as recently as this week.</p>\n<p>&#8220;I used to get $800 for 800K impressions,&#8221; said the owner of rebirthonlineworld.com. &#8220;A few months ago I got $100 for more than 2 million impressions. Last month, only $90 for 500K impressions. This is a big problem for me.&#8221;</p>\n<h3>WordAds Vastly Overpaid for Low-Quality Traffic During Its First Years</h3>\n<p>In 2013 WordAds paid out $1 million to publishers on its network. According to Derek Springer, earnings since then have been &#8220;pretty flat the past year&#8221; due to industry-wide declining ad rates.</p>\n<p>&#8220;We’ve been slowly clawing our way back from the trough of early 2015, which was a historical low for us,&#8221; Springer said. &#8220;So more folks were paid out, but rates as a whole were at their lowest point in 2015. We’ve been steadily increasing our rates and paying out less to low-quality content/traffic, so if you’re a high quality site it’s likely your rates haven’t fallen too much.&#8221;</p>\n<p>Behind the scenes, WordAds was quietly evolving its network to better distinguish sites that would deliver more value to its advertising partners, which accounts for many of the dramatic declines in earnings.</p>\n<p>&#8220;Pre-<a href=\"https://wordads.co/2015/11/02/introducing-wordads-2-0/\" target=\"_blank\">WordAds 2.0</a> our network didn&#8217;t have the precision to distinguish between high-quality and low-quality (spam, nsfw, bot views, etc) traffic and we had to make some coarse estimations on how to chop the earnings value up,&#8221; Springer said. &#8220;The net effect was that we vastly overpaid low-quality traffic for the first handful of years.&#8221;</p>\n<p>Since WordAds 2.0 the program is gotten better at paying users for high-quality content and traffic. The team has more information on the traffic the network is getting and buyers have more information about the content they are bidding on.</p>\n<p>&#8220;The net effect is that advertisers refuse to bid on low-quality content and traffic and those sites that were previously earning lots are now getting pennies on the dollar,&#8221; Springer said. &#8220;I would estimate that after investigation 95% of the time the folks complaining about low payout have something kinda scammy going on, usually copied content or paid traffic (and frequently both).&#8221;</p>\n<p>&#8220;Paid traffic&#8221; in this instance refers to users who have paid a service to send bots to a page to refresh constantly in order to artificially inflate pageviews. One recent highly publicized incident of this kind of fraud is a case where <a href=\"http://www.wsj.com/articles/russian-hackers-stole-millions-from-video-advertisers-ad-fraud-company-says-1482272717\" target=\"_blank\">Russian hackers stole more than $3 million per day from video advertisers</a> using nonhuman bot traffic. Similar tactics have been used on WordAds, motivated by a misconception that pageviews are equal to ad views.</p>\n<h3>The Decline of the Advertising Industry</h3>\n<p>Another factor contributing to lower earnings over the past few years is the general decline of the advertising industry. A 2015 <a href=\"http://www.cjr.org/analysis/reuters_digital_news_report.php\" target=\"_blank\">Reuters Institute Digital News survey</a> indicates that nearly half of US internet users have some form of ad blocking software installed. Reuters Institute&#8217;s latest predictions <a href=\"http://www.digitalnewsreport.org/publications/2017/journalism-media-technology-predictions-2017/\" target=\"_blank\">forecast a 24% increase</a> in US users with ad blocking in 2017. Advertisers have to fight harder to get the attention of the remaining half of consumers and many companies have decided to allocate those funds elsewhere.</p>\n<p>According to the Interactive Advertising Bureau&#8217;s latest Internet Advertising Revenue report, <a href=\"http://adage.com/article/digital/iab-digital-ad-revenue-breaks-record/306557/\" target=\"_blank\">search advertising on desktop declined for the first time in 2016</a>, falling 12% to $8.9 billion. However, mobile advertising grew 105% from $3.6 billion to $7.4 billion. Mobile search is having an increasingly strong impact in shaping a site&#8217;s traffic.</p>\n<p>These factors are outside of WordAds&#8217; control but they weigh heavily on how many impressions publishers will receive. If the vast majority of a site&#8217;s visitors are using ad-blockers and the site isn&#8217;t easily found via mobile search, it is likely to suffer earning declines on any ad network.</p>\n<p>&#8220;Ad rates industry wide have fallen over the past few years,&#8221; Springer said. &#8220;Ad buyers just aren&#8217;t paying what they used to and more users are using ad blockers. They heyday of the late aughts/early twenty-teens may never return as ad buyers realized they just aren&#8217;t getting the return they were expecting.&#8221;</p>\n<h3>WordAds Needs More Transparency Around Partners and Reporting</h3>\n<p>It is difficult for publishers to improve their strategies for generating ad revenue when earnings fluctuate wildly without any explanation beyond changes in advertising rates. After reviewing the product&#8217;s forums, many are requesting more transparency around why their earnings have dropped despite higher numbers of impressions. They want to know if advertising rates have dropped for the month, if partners have dropped out of the network, or if their content failed to connect with visitors on certain days.</p>\n<p>WordAds users have experienced <a href=\"https://en.forums.wordpress.com/topic/earnings-from-wordads-account?replies=111\" target=\"_blank\">problems</a> with incorrect reporting, record low payouts, and blank banner displays. In the past there have also been considerable delays in publishers receiving their monthly earnings. Springer said improving the reporting process is a top priority for the team this year.</p>\n<p>&#8220;The flip-side/challenge of working with dozens of networks is that none of them pay us very consistently,&#8221; Springer said. &#8220;In the past there was no unified collection process on our end, so we would have to wait to collect from each partner and then split it up and send folks earnings out in one batch. However, for the past year and a half or so we&#8217;ve been working with a company called <a href=\"http://www.iponweb.com/\" target=\"_blank\">IPONWEB</a> to unify our earnings, reporting, and ad buying process (this is what powers WordAds 2.0). We&#8217;re at the point where we can begin to provide closer to real-time earnings reporting.&#8221;</p>\n<h3>Automattic is Optimistic about Expanding the <br />WordAds Program with Jetpack</h3>\n<p>The number of WordAds sites are up 111% year over year. WordAds currently has a few thousand self-hosted sites running <a href=\"https://wordpress.org/plugins/radcontrol/\" target=\"_blank\">AdControl/Jetpack Ads</a> and Springer said the team is expecting that number to grow considerably now that integration has been added to Jetpack. The AdControl plugin is still available for non-Premium Jetpack users but the standard application and traffic requirements apply. Springer said they plan to phase out the plugin at some point in the future but there are no definite plans yet.</p>\n<p>&#8220;Tens of thousands of WP.com sites are approved WordAds (meaning they applied and were approved) out of many tens of thousands more total applications,&#8221; Springer said. &#8220;Additionally, every freemium WordPress.com site is running our ad network, though we naturally keep all the revenue from those sites.&#8221;</p>\n<p>With a gaggle of new publishers joining WordAds through Jetpack, one might imagine that rates and payouts for existing users would decrease as more advertising space becomes available. However, this isn&#8217;t how advertising networks work.</p>\n<p>&#8220;Generally speaking, advertisers want to display more ads than most publishers are able to provide (known as inventory), so adding more publishers/inventory to a network is a net benefit to advertisers and is what attracts the bigger, higher paying ad buyers,&#8221; Springer said. &#8220;If we can tell our ad partners &#8216;We have 10,000,000,000 pageviews available this month across our network,&#8221; then that attracts much more lucrative buyers than if a user has to try to attract them on their own. Advertisers also like that they can cut one deal for a million sites as opposed to having to cut them piecemeal and are generally willing to give us better deals. The whole &#8216;powers 27% of the web&#8217; is a pretty tasty morsel for ad networks.&#8221;</p>\n<h3>Advice for Publishers New to WordAds: Keep Expectations Realistic</h3>\n<p>Seamless advertising is a major incentive for Jetpack users to sign up for the Premium plan, which also includes backups, one-click restores, security scanning, and 13GB video storage. The prospect of being able to flip the switch to turn on ads and potentially start earning money is very compelling, especially for users who have struggled with other forms of advertising that were not WordPress-compatible.</p>\n<p>The general outlook for WordAds is improving, as the product has evolved to reward higher quality content. As advertisers receive a better return on their investments, their confidence in bidding should increase. However, most publishers should expect to see fluctuations on earnings.</p>\n<p>WordPress.com&#8217;s <a href=\"https://dailypost.wordpress.com/2013/02/14/wordads/\" target=\"_blank\">Daily Post Blog</a> advises new publishers to temper their expectations with the knowledge that they would need &#8220;hundreds of thousands of pageviews to generate meaningful earnings.&#8221; For most average bloggers, the ad revenue may not buy more than a decent cup of coffee.</p>\n<p>Mortiz Linder, an owner of traveluxblog.com, <a href=\"https://traveluxblog.com/2016/10/29/my-experience-with-wordads/\" target=\"_blank\">published his earnings</a> and described his experience as &#8220;rather average.&#8221;</p>\n<p>&#8220;It&#8217;s a nice idea to gain something without effort, to get at least something back for all the work we put into traveluxblog each day,&#8221; Moritz said.</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 19 Jan 2017 01:40:00 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:27;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:92:\"WPTavern: WPWeekly Episode 260 – SiteGround, Affiliate Summit Recap, and New Security Czar\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"https://wptavern.com?p=65327&preview=true&preview_id=65327\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:97:\"https://wptavern.com/wpweekly-episode-260-siteground-affiliate-summit-recap-and-new-security-czar\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2802:\"<p>In this episode of WordPress Weekly, <a href=\"http://www.marcuscouch.com/\">Marcus Couch</a> recaps his trip to Affiliate Summit 2017 held in Las Vegas, Nevada last weekend. Based on the vendors that were on the expo floor, mobile is the e-commerce platform of the future. We discuss the news of the week and share how you can get involved in the <a href=\"http://make.wordpress.org/marketing\">WordPress Marketing Group</a>. We end the show with Marcus&#8217; plugin picks of the week.</p>\n<h2>Stories Discussed:</h2>\n<p><a href=\"https://wptavern.com/aaron-d-campbell-replaces-nikolay-bachiyski-as-wordpress-security-czar\">Aaron D. Campbell Replaces Nikolay Bachiyski as WordPress’ Security Czar</a><br />\n<a href=\"https://wptavern.com/postmatic-basic-rebrands-as-replyable-moves-two-way-email-commenting-to-saas-product\">Postmatic Basic Rebrands as Replyable, Moves Two-Way Email Commenting to SaaS Product</a><br />\n<a href=\"https://wptavern.com/siteground-auto-issues-lets-encrypt-certificates-for-new-domains\">SiteGround Auto-Issues Let’s Encrypt Certificates for New Domains</a></p>\n<h2>Plugins Picked By Marcus:</h2>\n<p><a href=\"https://wordpress.org/plugins/background-image-cropper/\">Background Image Cropper</a> adds cropping to background images for parity with header images. This feature is starting out as a plugin to gauge user interest and to determine if it improves the user experience of background images.</p>\n<p><a href=\"https://wordpress.org/plugins/woo-product-remover/\">Woo Product Remover</a> allows you to remove all WooCommerce products from your site. It removes products, their metadata, relationships, as well as product variations and their related meta data from the database.</p>\n<p><a href=\"https://wordpress.org/plugins/wp-tasks-after-install/\">WP Tasks After Install</a> completes a series of tasks most commonly performed after WordPress is installed. These tasks include, removing the default Hello World post, setting permalinks to %postname%, activating Akismet, and more. The plugin will automatically deactivate itself when the tasks are completed.</p>\n<h2>WPWeekly Meta:</h2>\n<p><strong>Next Episode:</strong> Wednesday, January 25th 3:00 P.M. Eastern</p>\n<p><strong>Subscribe To WPWeekly Via Itunes: </strong><a href=\"https://itunes.apple.com/us/podcast/wordpress-weekly/id694849738\" target=\"_blank\">Click here to subscribe</a></p>\n<p><strong>Subscribe To WPWeekly Via RSS: </strong><a href=\"https://wptavern.com/feed/podcast\" target=\"_blank\">Click here to subscribe</a></p>\n<p><strong>Subscribe To WPWeekly Via Stitcher Radio: </strong><a href=\"http://www.stitcher.com/podcast/wordpress-weekly-podcast?refid=stpr\" target=\"_blank\">Click here to subscribe</a></p>\n<p><strong>Listen To Episode #260:</strong><br />\n</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 18 Jan 2017 22:59:37 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:28;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"HeroPress: Living A Better Life Thanks To WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://heropress.com/?post_type=heropress-essays&p=1571\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:65:\"https://heropress.com/essays/living-better-life-thanks-wordpress/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:12009:\"<img width=\"960\" height=\"480\" src=\"http://20094-presscdn.pagely.netdna-cdn.com/wp-content/uploads/2017/01/011817-1024x512.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"My experience as a remote worker lets me have greater foreight which in turn allows me to carry out so many activities.\" /><p>To me, as well as many others, WordPress is more than a technical choice, it’s a lifestyle choice. I didn’t see it as such right away. Looking at the last 4 years of my life, I can fully appreciate its impact.</p>\n<p>Aspiring to a life full of adventures and whimsy; I never really fit the mold. American TV series and movies that taught me my dreams could be achieved if I worked hard enough. Armed with that knowledge (and without a fancy diploma to my name), I worked bank, police, IT, supply chain jobs until I discovered the joy of making websites.</p>\n<p>My newfound passion (and many sleepless nights of work) helped me become a webdesigner. At the time, Joomla!, Spip and Typo 3 were the big names out there (in France). After achieving the role of Artistic Director as a freelancer; it took me a few years to open my own web agency. That moment changed my thinking: it was no longer ME but WE. And when a client asked us to use WordPress, we got to experience the CMS and its community.</p>\n<h3>Focusing on WordPress</h3>\n<p>Our team quickly realized that WordPress could do much more than “just blogs”. In France, the CMS kept having a reputation as a blog only platform. Complex websites were not made in WordPress. Our agency decided to convince clients otherwise. To achieve our mission and hone our skills, we decided to get closer to the WordPress community. I naively offered my help in evangelization efforts to the Paris WordCamp organizers. Except that there was one clear hurdle in our path: we had never contributed anything to the community before! This meant that we were relatively unknown. Needless to say that the feedback we received wasn’t what we expected.</p>\n<h3>Contributions: It’s About Helping Others</h3>\n<p>Contributing meant one thing: bring something to the WordPress ecosystem to help improve it. The WordCamp association’s president asked us to answer questions on the French forum as a token of our goodwill, to show our commitment.</p>\n<p>I started to answer questions right away but felt like an imposter. All the questions on the forum seemed so technical. I didn’t know how to contribute since I wasn’t a developer. It wasn’t like I was going to create a theme or plugin anytime soon. I kept obsessing over ways I could provide value to the community. I thought about my skills but couldn’t come up with something that would make a real difference.</p>\n<blockquote><p>Sure I could speak English, but translating documents was not something I felt comfortable doing.</p></blockquote>\n<p>So I turned to the previous WordCamp Paris conference and took a closer look at the participants. There, I found my first clue: a marketing expert! I reached out to him to see if I could interview him. As Marketing Director of a press group, he had lead a big WordPress project for his company. Interviewing him brought me two things: an article for our blog discussing what could be done with WordPress and a solid understanding of how the inner workings of the French WordPress community. He gave me an idea of the path one would take to end up giving a conference at the WordCamp. I didn’t realize it at the time, but by picking a name on a conference program, I would meet one of the key players in my WordPress story: Benjamin.</p>\n<p>Meanwhile, I continued to write articles about projects made with WordPress, sometimes ours, sometimes the competition’s. Good WordPress knows no bounds so it was necessary for me to showcase all the amazing websites made with this CMS. It’s also how I discovered my main competitors (before meeting them in the flesh later at various events).</p>\n<p>A white paper detailing the success of WordPress as a CMS got my name out. This allowed me to gain the courage to pitch my first conference. Providing feedback on projects allowed me to find my place in the WordPress community. Focusing on my experience and helping others didn’t require developer skills. My contribution was in writing and not in coding.</p>\n<h3>My First WordPress Conference As A Speaker</h3>\n<p>My first conference topic was on how to create a multilingual, multi-site project with WordPress in 3 months. Needless to say that I was nervous. I mean, speaking in front of 300 people is not something I had done while working at a bank, or in the police force or in any other job really. Adventure: here I come!</p>\n<blockquote><p>The WordPress community was very kind to me and my first conference experience was a memorable one.</p></blockquote>\n<p>During this conference, I wanted to highlight the plugins we used for this project. I mentioned a French startup that had launched a premium plugin as its first product. I found their approach interesting, so I thought I would give them a little visibility. Showcasing good WordPress websites, themes and plugins was already a habit of mine by then. The French team were happy to be mentioned and happened to be present at the event. They came to talk to me after my conference. Turns out, we had a lot to talk about. The company’s name: WP Media. They would open a new chapter of my WordPress story.</p>\n<p>During the closing night, I also met a lot of people. Some of them, just like Benjamin were going to have a big impact on my life. Many became great friends as well as mentors like Jenny Beaumont.</p>\n<p>Once I got started, there was no stopping me! I continued to speak at events (WordCamp Lyon, WP Tech Nantes), attended meetups, continued writing articles to highlight WordPress projects.</p>\n<p>The following year, I joined the organizing team of WordCamp Paris.</p>\n<p>Meanwhile, I go to my first WordCamp Europe which was a major new turn.</p>\n<h3>WordCamp Europe 2014 Changed My Life</h3>\n<p>Going to the WordCamp Europe changed my life. It’s an experience I highly recommend. If you can, go to the next WordCamp Europe!</p>\n<p>The organizers managed to pack so many international speakers that my head was spinning. Speakers were coming from all over the world. The quality of the talks (and speakers) along with the breadth of subjects covered open so many possibilities. You could end up changing your approach to WordPress or finding a new method of working with your peers.</p>\n<p>I attended a conference by Noel Tock named Beyond the code where he explained how he managed his life working in remote while traveling at the same time. He also gave insights as to how to monitor your time and how to optimize it.</p>\n<blockquote><p>Realizing that such a life was possible; that you could achieve this time of freedom by reclaiming your time was a massive discovery.</p></blockquote>\n<p>The second eye-opening conference for me was Simon&#8217;s lecture on Running an open source. He explained that that undertaking Open Source also meant contributing and collaborating with a community, including your competitors. Simon showed us for 30 minutes that working with competitors was not only beneficial for us agencies, but also for the customer, and for the WordPress community as a whole.</p>\n<h3>Professional WordPress</h3>\n<p>Becoming a strong voice in the professionalisation of WordPress in France and encouraging web agencies to contribute and to exchange more had become priority subjects.</p>\n<p>I have launched a WP Next association for professionals</p>\n<ul>\n<li>To ensure the promotion of WordPress, mainly with professionals, managers of information system, internet director, new media, &#8230; and more generally all IT decision makers.</li>\n<li>To enhance the skills of WordPress professionals with decision-makers,</li>\n<li>Promote French know-how around the WordPress CMS, associated technologies and services</li>\n</ul>\n<p>I also launched with Deborah Donnier a documentary project Think WP to make known WordPress and its community.</p>\n<h3>A new turn</h3>\n<p>With these activities I gradually moved away from the creation of websites. Having so many opportunities tied to WordPress available to me, I decided to take a new turn. During the Wordcamps across Europe, I took great pleasure in exchanging with WP Media. We had kept contact since our first meeting. My profile and experience seemed to like a great fit for a new role in the WP Media adventure. I took a leap and became COO of the startup about a year ago. I manage my agency in parallel.</p>\n<p>I now work 100% remotely and so does a great portion of my agency. As for WP Media, everyone works remotely. Being a remote worker frees me from constraints that are inherent when you live in the Paris region (it’s a city and province in France). Time spent on commuting is used for other activities.</p>\n<p>My experience as a remote worker lets me have greater foresight which in turn allows me to carry out so many activities.</p>\n<p>Today, I can proudly say that I attended the US WordCamp last year and am helping organize this year’s WordCamp Europe with Jenny and Benjamin.I feel like I belong in a global community that thrives thanks to its members and their desire to improve WordPress.</p>\n<p>WordPress helped me along the path to a life full of adventures and long lasting friendships. It offers so many opportunities to forge beautiful projects, stories and more.</p>\n<p>I hope that my story will inspire someone else to get started and find the courage to persevere on the way to a life full of adventures (with or without WordPress). Give yourself time and open yourself to other points of view to help build the life you aspire to.</p>\n<p>Thank you for reading my story and see you at WordCamp Europe 2017!</p>\n<div class=\"rtsocial-container rtsocial-container-align-right rtsocial-horizontal\"><div class=\"rtsocial-twitter-horizontal\"><div class=\"rtsocial-twitter-horizontal-button\"><a title=\"Tweet: Living A Better Life Thanks To WordPress\" class=\"rtsocial-twitter-button\" href=\"https://twitter.com/share?text=Living%20A%20Better%20Life%20Thanks%20To%20WordPress&via=heropress&url=https%3A%2F%2Fheropress.com%2Fessays%2Fliving-better-life-thanks-wordpress%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-fb-horizontal fb-light\"><div class=\"rtsocial-fb-horizontal-button\"><a title=\"Like: Living A Better Life Thanks To WordPress\" class=\"rtsocial-fb-button rtsocial-fb-like-light\" href=\"https://www.facebook.com/sharer.php?u=https%3A%2F%2Fheropress.com%2Fessays%2Fliving-better-life-thanks-wordpress%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-linkedin-horizontal\"><div class=\"rtsocial-linkedin-horizontal-button\"><a class=\"rtsocial-linkedin-button\" href=\"https://www.linkedin.com/shareArticle?mini=true&url=https%3A%2F%2Fheropress.com%2Fessays%2Fliving-better-life-thanks-wordpress%2F&title=Living+A+Better+Life+Thanks+To+WordPress\" rel=\"nofollow\" target=\"_blank\" title=\"Share: Living A Better Life Thanks To WordPress\"></a></div></div><div class=\"rtsocial-pinterest-horizontal\"><div class=\"rtsocial-pinterest-horizontal-button\"><a class=\"rtsocial-pinterest-button\" href=\"https://pinterest.com/pin/create/button/?url=https://heropress.com/essays/living-better-life-thanks-wordpress/&media=https://heropress.com/wp-content/uploads/2017/01/011817-150x150.jpg&description=Living A Better Life Thanks To WordPress\" rel=\"nofollow\" target=\"_blank\" title=\"Pin: Living A Better Life Thanks To WordPress\"></a></div></div><a rel=\"nofollow\" class=\"perma-link\" href=\"https://heropress.com/essays/living-better-life-thanks-wordpress/\" title=\"Living A Better Life Thanks To WordPress\"></a></div><p>The post <a rel=\"nofollow\" href=\"https://heropress.com/essays/living-better-life-thanks-wordpress/\">Living A Better Life Thanks To WordPress</a> appeared first on <a rel=\"nofollow\" href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 18 Jan 2017 12:00:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Emilie Lebrun\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:29;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"WPTavern: How to Add Users to BuddyPress Groups in Bulk\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=65283\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"https://wptavern.com/how-to-add-users-to-buddypress-groups-in-bulk\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3220:\"<p>On a site I&#8217;m working on that runs BuddyPress, I created a new group and wanted to add nearly 400 registered users to it. Unfortunately, adding users to BuddyPress groups in bulk is not a core feature. I searched Google for a solution and while the <a href=\"http://www.youngtechleads.com/buddypress-members-import/\">BuddyPress Members Import</a> plugin is recommended in many of the support threads, the feature alone is not worth spending $49.</p>\n<p>Continuing my search, I discovered a <a href=\"https://gist.github.com/rohmann/6151699\">code snippet</a> published by <a href=\"https://premium.wpmudev.org/profile/alexander_rohmann/\">Alexander</a> on the <a href=\"https://premium.wpmudev.org/forums/topic/bulk-adding-buddypress-group-members?replies=14&utm_expid=3606929-94.Ie3dH-CaRwe6MU3VrZsdvw.0&utm_referrer=https%3A%2F%2Fwordpress.org%2Fsupport%2Ftopic%2Fimport-with-buddypress-groups%2F#post-484834\">WPMU DEV forums</a> that works perfectly. To use it, copy the code and add it to a custom WordPress plugin or paste it to your theme&#8217;s functions.php file. I added the code to the top of my theme&#8217;s functions.php file.</p>\n<a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/01/CodeSnippetInThemeFunctionsPHPFile.png?ssl=1\"><img /></a>Code Snippet at the Top of my Theme&#8217;s Functions.php File\n<p>The JavaScript portion of the snippet adds a new item to the Bulk Actions drown-down menu named Add to BP Group.</p>\n<a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/01/AddToBPGroup.png?ssl=1\"><img /></a>Add to BP Group Bulk Action Menu Item\n<p>Select the users you want to add to a group and select Add to BP Group. A prompt appears asking for the Buddy Group ID you want to assign the users to.</p>\n<a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2017/01/EnterBuddyPressGroupIDPrompt.png?ssl=1\"><img /></a>BuddyPress Group ID Prompt\n<p>To locate the Group ID, click on the Groups admin menu and click on the group&#8217;s name. The URL will look something like this admin.php?page=bp-groups&amp;gid=357&amp;action=edit and the ID is the number that appears after gid=. After entering the ID number, click the Ok button. All of the users you selected will be assigned to that group.</p>\n<p>In the comments of the code snippet on GitHub, <a href=\"https://gist.github.com/rohmann/6151699#gistcomment-1580235\">Strand-C said</a> he wasn&#8217;t able to move 165 users at a time and had to move 50 instead. I tested this theory by moving nearly 400 registered users at the same time to a new BuddyPress group and didn&#8217;t encounter any issues. Keep in mind that the site I&#8217;m working on is relatively new, is running WordPress 4.7, and has very little traffic which could explain why I didn&#8217;t have a problem.</p>\n<p>Being able to manage BuddyPress groups in bulk should be a core feature. There is at least one <a href=\"https://buddypress.trac.wordpress.org/ticket/6161\">open ticket on BuddyPress trac</a> to add Bulk Edit options to Groups. Until these features make their way into BuddyPress, the code snippet above is a free work-around that makes adding users to groups in bulk a lot more convenient.</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 17 Jan 2017 22:23:52 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:30;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:77:\"WPTavern: SiteGround Auto-Issues Let’s Encrypt Certificates for New Domains\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=65204\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"https://wptavern.com/siteground-auto-issues-lets-encrypt-certificates-for-new-domains\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3373:\"<p>SiteGround is now <a href=\"https://www.siteground.com/blog/https-2017/\" target=\"_blank\">auto-issuing Let&#8217;s Encrypt certificates</a> for every domain hosted on its shared servers. The company has also begun issuing and installing certificates on new accounts automatically after customers register domains or direct new domains to SiteGround&#8217;s servers. This also includes add-on domains added in cPanel. The certificates are also auto-renewed as long as the domains are pointed to the host&#8217;s servers.</p>\n<p>&#8220;Since the launch of Let’s Encrypt our customers have installed nearly 40,000 such certificates,&#8221; said Hristo Pandjarov, WordPress specialist at SiteGround. &#8220;This is less than 10% of the 500,000 domains we host. Together with the paid certificates we may say that 15% of the domains we host were using the HTTPS protocol before we started the auto-issuing procedure.&#8221;</p>\n<p>SiteGround is a sponsor of Let&#8217;s Encrypt and one of the first to auto-issue certificates to self-hosted WordPress customers. Let&#8217;s Encrypt <a href=\"https://wptavern.com/lets-encrypt-passes-20-million-active-certificates-in-2016\" target=\"_blank\">passed 20 million active certificates in 2016</a> and the pressure is on for more sites to adopt SSL in 2017 with Google marking insecure sites in Chrome and using HTTPS as a ranking signal.</p>\n<p>&#8220;What prompted this decision is that we truly believe HTTPS is the future standard for web protocol and we also believe it is the better protocol,&#8221; Pandjarov said. &#8220;This is a good enough motivation for us to take the step of installing it automatically. We have decided to automate the SSL issuance and setup almost right after the appearance of the Let’s Encrypt initiative. Matt Mullenweg’s statement at WordCamp US that issuing SSL certificates will be a very important factor in evaluating a web host, was one more validation that this planned automation was a decision in the right direction.&#8221;</p>\n<p>According to Pandjarov, the vast majority of SiteGround&#8217;s customers are running WordPress. Respondents to the company&#8217;s 2016 client survey indicated that more than two thirds of them use WordPress, which Pandjarov said is a 10% increase in the popularity of WordPress among SiteGround users.</p>\n<h3>Next Step for SiteGround: Pre-Configuring WordPress Installs to Use SSL with One Click </h3>\n<p>Auto-issuing certificates does not guarantee that SiteGround customers will jump through the hoops to configure their sites to use the certificates. Installing a certificate on an existing WordPress site is not as straightforward as a simple click in most cases. SiteGround is working on fully automating this process for its WordPress customers.</p>\n<p>&#8220;If we really want to get closer to 100% HTTPS usage, we need to do more than just automatically issue the certificate,&#8221; Pandjarov said. &#8220;Our next step is to provide a way to pre-configure an active WordPress site, hosted on our servers, to work with the already issued SSL with one click. Additionally, our auto-installer is being updated to install all new WordPress sites as https-ready.&#8221;</p>\n<p>SiteGround doesn&#8217;t yet have an ETA for one-click SSL configuration but Pandjarov said the announcement will be coming soon.</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 17 Jan 2017 21:52:19 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:31;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:95:\"WPTavern: Postmatic Basic Rebrands as Replyable, Moves Two-Way Email Commenting to SaaS Product\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=65245\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:105:\"https://wptavern.com/postmatic-basic-rebrands-as-replyable-moves-two-way-email-commenting-to-saas-product\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5935:\"<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/01/replyable.png?ssl=1\"><img /></a></p>\n<p>Postmatic is rebranding its WordPress.org <a href=\"https://wordpress.org/plugins/postmatic/\" target=\"_blank\">Postmatic Basic</a> plugin as Replyable and pushing the two-way email commenting feature into <a href=\"https://replyable.com/\" target=\"_blank\">a new SaaS product</a>. After discovering that many users simply want email commenting, without additional post delivery and newsletter features, Postmatic launched <a href=\"https://replyable.com/\" target=\"_blank\">Replyable</a> to offer this starting at $3/month.</p>\n<p>&#8220;Replyable was born out of user feedback,&#8221; founder Jason Lemieux said. &#8220;Postmatic does more than most sites need and the price is squarely mid-market. From the beginning we’ve heard from users that they already use another newsletter service and just want Postmatic to handle comment subscriptions &#8211; but that alone isn’t worth $20 to too many people. With Replyable we can offer it for $3.&#8221;</p>\n<p>Lemieux and his team have now transitioned Postmatic to be purely a Saas product without a presence in the WordPress.org directory.</p>\n<p>&#8220;Postmatic will continue to grow as a complete engagement system and, if anything, become even more complex and go further up market,&#8221; Lemieux said. &#8220;Sites which use Postmatic tend to dive in deeply. It is meant to function as a package. Grow a list, deliver to it, get them talking about your ideas, monetize the results.&#8221;</p>\n<p>The <a href=\"https://wordpress.org/plugins/postmatic/\" target=\"_blank\">Replyable plugin on WordPress.org</a> now simply covers comment subscriptions with all other features available in the commercial products.</p>\n<p>Ripping an existing feature out of a free plugin and making it paid is fairly unusual and can have a negative impact on how users perceive the plugin. However, Postmatic has a plan to allow legacy users to continue using the features they had before by switching to <a href=\"http://docs.replyable.com/article/284-switching-from-postmatic-basic-to-replyable\" target=\"_blank\">Postmatic Labs</a>. It&#8217;s an inconvenient change but is required for those who don&#8217;t want to upgrade to a commercial plan.</p>\n<p>Although WordPress.org says Postmatic has approximately 1,000 active installs, Lemieux estimates there are 8,000 users including those using the commercial plugin or the Labs plugin. He would not share any specific revenue figures but said he learned some important pricing lessons in leading the bootstrapped startup for the past two years.</p>\n<p>&#8220;We aren’t a runaway WordPress success story but we’re alive and loving our jobs,&#8221; Lemieux said. &#8220;About six months ago it became apparent that we needed to get out of the mid market. We had a huge group of people saying, &#8216;I just want email commenting and will totally pay you 5 bucks a month for it,&#8217; and another group saying, &#8216;We pay $6,000 a month sending Mailchimp RSS campaigns but yours are better for only $1500. Why so cheap?&#8217; That’s been a frustrating reality and a big lesson in knowing your audience and pricing appropriately.&#8221;</p>\n<h3>Next on Postmatic&#8217;s Roadmap: Epoch 2</h3>\n<p>In July 2015, <a href=\"https://wptavern.com/postmatic-brings-100-realtime-commenting-to-wordpress-with-epoch-plugin\" target=\"_blank\">Postmatic introduced Epoch</a> as a Disqus alternative, offering 100% realtime commenting for WordPress. The plugin submits comments via AJAX so that they appear instantly without refreshing the page. Lemieux and the team have been working on the second version for nearly a year.</p>\n<p>&#8220;Epoch 2 is a huge step forward,&#8221; Lemieux said. &#8220;We built it on top of the REST API and Angular. It’s fast and incredibly light. Commenting isn’t sexy &#8211; I don’t think it will ever be, but comments are great for SEO, community, and for building brands and authority. Comments aren’t going away. In fact, they are vitally important to keeping the web as a place for discourse, conversation, and the sharing of ideas. We need to continue to make them a better experience. Epoch isn’t groundbreaking in its functionality but it does the job of making sure sites of any size can still run native WordPress comments.&#8221;</p>\n<p>Postmatic continues to innovate with native comments, an aspect of WordPress that doesn&#8217;t have as many commercial players as something like forms or e-commerce. Lemieux attributes this underserved area to the poor reputation of previous non-native solutions.</p>\n<p>&#8220;I think it is because of the rise and fall of third party commenting system,&#8221; Lemieux said. &#8220;Early in WordPress history services like Disqus and Livefyre grabbed huge parts of the comment traffic on WordPress sites by offering more features, better speed, and improved moderation tools (with the hidden cost of selling your users down the river). It was certainly a siren song. But most all of them stagnated, violated user trust, or just plain didn’t work well. And commenting got a bad name. Naturally came the trend in disabling comments and, well, now here we are and people are trying to have conversations 140 characters at a time.&#8221;</p>\n<p>Lemieux said the innovation he sees happening outside WordPress makes him believe that comments can overcome their past reputation.</p>\n<p>&#8220;Things are getting better &#8211; and hopefully more folks will begin to innovate,&#8221; Lemieux said. &#8220;Lucky for us other blogging and publishing platforms are innovating and coming up with interesting ideas all the time. Some of them, like <a href=\"https://wordpress.org/plugins/inline-comments/\" target=\"_blank\">inline commenting</a> from Medium, do make their way back over to WordPress. That makes me optimistic.&#8221;</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 16 Jan 2017 15:49:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:32;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"WPTavern: Aaron D. Campbell Replaces Nikolay Bachiyski as WordPress’ Security Czar\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=65102\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:91:\"https://wptavern.com/aaron-d-campbell-replaces-nikolay-bachiyski-as-wordpress-security-czar\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2535:\"<p><a href=\"https://aarondcampbell.com/\">Aaron D. Campbell</a>, WordPress Core Contributor at GoDaddy, is replacing <a href=\"https://profiles.wordpress.org/nbachiyski\">Nikolay Bachiyski</a> as WordPress&#8217; Security Czar or WordPress Core Security Team Lead. The role was <a href=\"https://wptavern.com/short-interview-with-nikolay-bachiyski-wordpress-security-czar\">created in 2015</a> to provide more structure and focus around incident responses.</p>\n<p>&#8220;The responsibilities of the position include, organizing the security team and making sure all security concerns and reports get triaged and ultimately fixed, coordinating the security side of releases, and being a point of contact for any security related things that need one,&#8221; Campbell said.</p>\n<p>Matt Mullenweg, co-creator of the WordPress project, <a href=\"https://make.wordpress.org/core/2017/01/09/aaron-campbell-leading-security/\">thanked Bachiyski</a> for being the first to accept the role and putting the foundation in place for future team leads, &#8220;This is also a good time to thank the dozens of volunteers who participate in the security group, and the researchers and reporters who bring issues to our attention,&#8221; he said.</p>\n<p>Campbell says he plans to finish what Bachiyski started by getting WordPress.org onto HackerOne. &#8220;Nikolay did a lot of work around expanding our team as well as getting the foundation laid for moving over to <a href=\"https://hackerone.com/\">HackerOne</a>,&#8221; he said.</p>\n<p>&#8220;We aren&#8217;t quite ready to make the move completely, but I hope to phase out the security@ E-Mail address in favor of HackerOne in the near future.&#8221;</p>\n<p>In late 2016, GoDaddy <a href=\"https://aarondcampbell.com/2016/09/joining-godaddy-as-a-full-time-wordpress-core-contributor/\">hired Campbell</a> to contribute to WordPress core full-time. The company continues to back his involvement in WordPress, &#8220;The role is completely voluntary,&#8221; Campbell said. &#8220;GoDaddy has truly been extremely hands off while funding me to do all this, and I&#8217;m grateful to have that continue.&#8221;</p>\n<p>If you think you&#8217;ve discovered a security vulnerability with the self-hosted version of WordPress, you&#8217;re encouraged to <a href=\"https://make.wordpress.org/core/handbook/testing/reporting-security-vulnerabilities/\">responsibly disclose</a> it to the security team by emailing security @ wordpress.org and include as much detail as possible.</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 14 Jan 2017 23:53:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:33;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:90:\"WPTavern: Automattic Releases Free Plugin for Exporting Photos from Lightroom to WordPress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=65177\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:101:\"https://wptavern.com/automattic-releases-free-plugin-for-exporting-photos-from-lightroom-to-wordpress\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2493:\"<p>Yesterday Automattic <a href=\"https://en.blog.wordpress.com/2017/01/12/wordpress-com-lightroom/\" target=\"_blank\">released</a> a new free plugin the makes it easy for Lightroom users to export their photos to WordPress. <a href=\"http://www.adobe.com/products/photoshop-lightroom.html\" target=\"_blank\">Lightroom</a> is an Adobe product for managing and editing photos, and the plugin works with the software on MacOS and Windows. It is compatible with both WordPress.com and Jetpack-powered sites.</p>\n<p>The <a href=\"https://apps.wordpress.com/lightroom/\" target=\"_blank\">Lightroom plugin</a> requires a WordPress.com account to install. Users can then select photos in Lightroom and export them to a WordPress site with all the standard settings available, such as image resizing, watermarking, output sharpening, and more. The plugin automatically exports titles and captions. A large number of photos can take awhile to export, but once the upload is finished users can find their images in the WordPress media library.</p>\n<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2017/01/wp-lightroom.png?ssl=1\"><img /></a></p>\n<p>When asked for tips on suggested upload size and compression, Automattic representative John Godley said, &#8220;WordPress.com can handle pretty much anything you throw at it! I personally go for a high quality and large size so it looks good on a HiDPI screen, and then let WordPress resize as necessary to fit the viewers device.&#8221;</p>\n<p>It&#8217;s not yet clear how the release of Automattic&#8217;s free plugin will affect the commercial products that exist for a similar purpose. <a href=\"https://flothemes.com/flo-plugins/\" target=\"_blank\">FloLight</a>, <a href=\"https://meowapps.com/wplr-sync/buy/\" target=\"_blank\">WPLR Sync</a>, and other solutions will need to offer more features with a quicker setup if they want to compete with the new free Lightroom plugin.</p>\n<p>Those who want to use the plugin must already have a Lightroom license (standalone or subscription). Although this is a relatively small subset of overall WordPress users, it saves a great deal of time for photobloggers and those who process a large number of photos with Lightroom before posting online. For most, this <a href=\"https://apps.wordpress.com/lightroom/\" target=\"_blank\">plugin</a> simplifies what was previously a tedious, multi-step process of manually uploading the photos after working with them in Lightroom.</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 14 Jan 2017 00:13:42 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:34;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"WPTavern: Wes Bos Launches JavaScript30, a Free 30-Day Vanilla JS Coding Course\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=65209\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:89:\"https://wptavern.com/wes-bos-launches-javascript30-a-free-30-day-vanilla-js-coding-course\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2601:\"<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2017/01/javascript30.png?ssl=1\"><img /></a></p>\n<p>For those who failed to &#8220;learn JavaScript deeply&#8221; last year, 2017 offers a clean slate for restarting your JavaScript learning goals. <a href=\"http://wesbos.com/\" target=\"_blank\">Wes Bos</a>, a developer and educator known for his high quality video tutorials, recently launched a free 30-day vanilla JS coding challenge course that provides structure for developing a new habit of daily learning.</p>\n<p><a href=\"https://javascript30.com/\" target=\"_blank\">JavaScript30</a> walks users through building 30 things in 30 days with no frameworks, no compilers, no libraries, and no boilerplate. The course is suitable for beginner to intermediate developers and designers who want to get a solid grasp of JavaScript fundamentals. It purposely steers clear of abstractions like frameworks to help students gain a better understanding of browser APIs while working in the DOM without a library.</p>\n<p>Bos designed the course to help students gain competence through building things, the advice he gives to anyone wanting to improve their JavaScript skills.</p>\n<p>&#8220;So, you&#8217;ve done a few courses and read a few books but still don&#8217;t feel great about your relationship with JavaScript,&#8221; Bos said. &#8220;How do you get better? Build things. Lots of things. Build 1,000 things. Keep it up and don&#8217;t stop.&#8221; The course is packed full of quick, interesting, and practical projects.</p>\n<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/01/javascript30-lessons.png?ssl=1\"><img /></a></p>\n<p>JavaScript30 includes access to 30 videos, 30 days of starter files, and completed HTML, CSS, and JS Solutions for each day. The videos are accessible and ESL-friendly with closed captions provided.</p>\n<p>Bos said he spent more than 300 hours creating the videos as a thank-you to those who have supported his paid courses.</p>\n<p>&#8220;I see a huge need for these videos and I really think it will help many&#8230;become comfortable creating with JavaScript,&#8221; he said.</p>\n<p>Bos is also the author of the free <a href=\"https://wptavern.com/wes-bos-launches-free-react-js-redux-online-course\" target=\"_blank\">Learn Redux</a> course, which includes 2.5 hours of videos that help students get started with React.js, Redux, and React Router. Some of his other popular <a href=\"http://wesbos.com/courses/\" target=\"_blank\">courses</a> include React for Beginners, Learn Redux, and ES6 for Everyone.</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 13 Jan 2017 22:05:07 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:35;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:61:\"WPTavern: WPWeekly Episode 259 – 2016 Year in Review Part 2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"https://wptavern.com?p=65198&preview=true&preview_id=65198\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"https://wptavern.com/wpweekly-episode-259-2016-year-in-review-part-2\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:1040:\"<p>In this episode, <a href=\"http://www.marcuscouch.com/\">Marcus Couch</a> and I recap the news that made headlines during the second half of 2016. I explain why there wasn&#8217;t a show last week and we close out the episode with our predictions for 2017. We&#8217;ll be back to our regular show format on Wednesday, January 18th.</p>\n<h2>WPWeekly Meta:</h2>\n<p><strong>Next Episode:</strong> Wednesday, January 18th 3:00 P.M. Eastern</p>\n<p><strong>Subscribe To WPWeekly Via Itunes: </strong><a href=\"https://itunes.apple.com/us/podcast/wordpress-weekly/id694849738\" target=\"_blank\">Click here to subscribe</a></p>\n<p><strong>Subscribe To WPWeekly Via RSS: </strong><a href=\"https://wptavern.com/feed/podcast\" target=\"_blank\">Click here to subscribe</a></p>\n<p><strong>Subscribe To WPWeekly Via Stitcher Radio: </strong><a href=\"http://www.stitcher.com/podcast/wordpress-weekly-podcast?refid=stpr\" target=\"_blank\">Click here to subscribe</a></p>\n<p><strong>Listen To Episode #259:</strong><br />\n</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 13 Jan 2017 09:37:42 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:36;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"WPTavern: 2nd Edition of Producing Open Source Software Now Available for Free\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=65181\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:89:\"https://wptavern.com/2nd-edition-of-producing-open-source-software-now-available-for-free\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3579:\"<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/01/producing-oss.png?ssl=1\"><img /></a></p>\n<p>The second edition of <a href=\"http://www.red-bean.com/kfogel/\" target=\"_blank\">Karl Fogel</a>&#8216;s &#8220;Producing Open Source Software: How to Run a Successful Free Software Project&#8221; is now available for download. Fogel, a partner at <a href=\"https://opentechstrategies.com/\" target=\"_blank\">Open Tech Strategies</a> and OSS contributor since 1997, was a founding developer in the Subversion project. He has worked for more than a decade as an open source specialist, helping businesses and organizations evaluate, launch, and manage open source projects.</p>\n<p><a href=\"http://producingoss.com/\" target=\"_blank\">Producing Open Source Software</a> version 2 was released for free this week under the Attribution-ShareAlike 4.0 International license. The first edition was published in 2005 but the landscape of OSS has changed drastically over the past 12 years. In 2013, Fogel <a href=\"https://www.kickstarter.com/projects/kfogel/updating-producing-open-source-software-for-2nd-ed/description\" target=\"_blank\">successfully raised $15,376</a> towards his $10,000 Kickstarter goal to fund the revision.</p>\n<p>The book includes topics like &#8216;Free&#8217; Versus &#8216;Open Source,&#8217; choosing a license, version control, social and political infrastructure, the economics of open source, culture, and communication. It was written for managers and software developers but can also be informative for newcomers to open source projects.</p>\n<p>Fogel originally planned on finishing the second edition by the end of 2013 but experienced delays due to starting his company. Some chapters also took longer to revise than he anticipated.</p>\n<p>&#8220;In retrospect, if I had understood what the pressures of a young and growing company would be, I would not have started the 2nd edition when I did,&#8221; Fogel said. &#8220;It has been a lesson.&#8221; Fortunately, for the 314 Kickstarter backers  who might have been waiting on his work for four years, progress was immediately available in the public repository for the book. Fogel didn&#8217;t keep any private version of the book elsewhere.</p>\n<p>&#8220;While there are substantial changes throughout the book, the most expanded chapter is probably Chapter 5, &#8216;Participating as a Business, Non-Profit, or Government Agency,\'&#8221; Fogel said. &#8220;That chapter&#8217;s title used to be just &#8216;Money,&#8217; so that gives you some idea of what the new material is.&#8221;</p>\n<p>He also found the third chapter on technical infrastructure to be more time consuming than the others due to all of the changes in the past decade. It took roughly four and a half months to revise it to include modern development tools.</p>\n<p>One of the central focuses of the book is the value of collaboration and the direct benefits it provides to an open source software project.</p>\n<p>&#8220;Competence at cooperation itself is one of the most highly valued skills in free software,&#8221; Fogel wrote in the preface. &#8220;Good free software is a worthy goal in itself&#8230; But beyond that I also hope to convey something of the sheer pleasure to be had from working with a motivated team of open source developers, and from interacting with users in the wonderfully direct way that open source encourages. Participating in a successful free software project is a deep pleasure, and ultimately that&#8217;s what keeps the whole system going.&#8221;</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 12 Jan 2017 23:13:23 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:37;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"Post Status: New Year’s resolutions for WordPress developers\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"https://poststatus.com/?p=32188\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:66:\"https://poststatus.com/new-years-resolutions-wordpress-developers/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:15739:\"<p><em><strong>Editor&#8217;s Note:</strong></em> This is a guest post by <a href=\"https://poststatus.com/profiles/jack-lenox/\">Jack Lenox</a>. Jack is a developer at Automattic and hails from the United Kingdom.</p>\n<p>For just over a year now, I have been working on the <a href=\"https://vip.wordpress.com/\">WordPress.com VIP</a> team at Automattic. I had been working at Automattic for the two years prior to this – and had been developing sites with PHP and WordPress for almost ten years prior to that. So you might imagine that I had a pretty good handle on developing stuff with WordPress.</p>\n<p>And you would be wrong. Getting started with the VIP team was an eye-opening and occasionally terrifying learning experience, occasionally resulting in me thinking: &#8220;please excuse me for a moment while I go and fix some horrible vulnerability in all of my WordPress sites.&#8221;</p>\n<p>Recently, I have cautiously found myself feeling slightly more comfortable with my position on the team. For some time, I have been wanting to document the most interesting and impactful things that I have learned in the past year.</p>\n<p>As some readers may know, a significant part of a developer&#8217;s job on the VIP team is reviewing code. Thus, with us being at the start a new year, I have hereby compiled some of the most interesting best practices I have discovered as a list of New Year&#8217;s Resolutions:</p>\n<h3>1. Use strict comparison operators</h3>\n<p>One of the many quirks of PHP is that it enjoys juggling. In particular, it enjoys <a href=\"http://php.net/manual/en/language.types.type-juggling.php\">juggling types</a>. This means that without explicit instruction, PHP doesn&#8217;t see a difference between a string of &#8220;string&#8221;, an integer of 0, and a boolean value of <code>true</code>.</p>\n<p>So for example this:</p>\n<pre><code>$var = 0;\nif ( $var == \'safe_string\' ) {\n    return true;\n}\n</code></pre>\n<p>Will return true. I know, what?! The easy solution here is to simply use strict comparison operators.</p>\n<p>So that&#8217;s <code>===</code> instead of <code>==</code>, and <code>!==</code> instead of <code>!=</code>. This pops up in a few other places too. By default the <a href=\"http://php.net/manual/en/function.in-array.php\"><code>in_array()</code></a> function has its strict parameter set to false.</p>\n<p>So:</p>\n<pre><code>in_array( 0, [\'safe_value\', \'another string\'] );\n</code></pre>\n<p>Will return true. To fix this, simply pass a third parameter of <code>true</code>.</p>\n<p>While we&#8217;re here, there&#8217;s one other form of comparison we should be aware of, and that&#8217;s <a href=\"http://php.net/manual/en/function.hash-equals.php\"><code>hash_equals()</code></a>. This provides a string comparison that prevents timing attacks.</p>\n<p>While a relatively uncommon form of attack on the web, it&#8217;s worth being aware of a timing attack. What is it? Well, when PHP compares two strings, it compares them one character at a time.</p>\n<p>So in the case of something like this:</p>\n<pre><code>$submitted_password = $_POST[\'password\']; // For argument\'s sake, let\'s say it\'s \"pa45word\"\n$password = \"pa55word\";\n\nif ( $submitted password === $password ) {\n    go_forth();\n}\n</code></pre>\n<p>PHP&#8217;s thought process in human terms is: Is the first character of each string p? Yes it is. Is the second character of each string a? Yes it is. And so on.</p>\n<p>It will do this until it realizes that the third characters differ and at that point it will bail. Thus, with sophisticated timing software, a password can gradually be worked out by calculating how long the process is taking. If the process takes slightly longer with one character than it does with every other character, an attacker will know that they have worked out the first character.</p>\n<p>Automated processes can keep doing this until the entire password is worked out. <code>hash_equals()</code> will compare two values, but will not bail early if it detects a difference.</p>\n<p>In conclusion, if you&#8217;re comparing sensitive values, use <code>hash_equals()</code>!</p>\n<h3>2. Use Yoda condition checks, you must</h3>\n<p>The <a href=\"https://make.wordpress.org/core/handbook/best-practices/coding-standards/php/#yoda-conditions\">WordPress PHP Coding Standards</a> suggest that you should: &#8220;always put the variable on the right side and put constants, literals or function calls on the left side.&#8221; Initially, this might just sound like a bit of pedantry, but it actually has a very practical application.</p>\n<p>Consider how catastrophic the following typo could be:</p>\n<pre><code>if ( $session_authorized = true ) {\n    unleash_the_secrets();\n}\n</code></pre>\n<p>Oh dear, instead of checking that <code>$session_authorized</code> is true, I am instead assigning the value of true to that variable.</p>\n<p>Now the secrets are being unleashed to whoever wants them. This could easily be missed when checking the code for bugs, even by a reviewer.</p>\n<p>Now imagine if the first line was expressed as:</p>\n<pre><code>if ( true = $session_authorized ) {\n</code></pre>\n<p>Well, it doesn&#8217;t. We can&#8217;t assign a variable to the static boolean value of <code>true</code>.</p>\n<p>Hopefully it won&#8217;t take us too long to work out why our code is still broken, but the secrets remain safe. So we&#8217;re good! <img src=\"https://s.w.org/images/core/emoji/2.2.1/72x72/1f600.png\" alt=\"?\" class=\"wp-smiley\" /></p>\n<h3>3. ABE. A Always, B Be, E Escaping. Always Be Escaping. ALWAYS Be Escaping.</h3>\n<p>Not having a firm grasp of the concepts of validation, sanitization and escaping can make you a very dangerous developer indeed.</p>\n<p>To the extent that libraries like React escape all output by default and to bypass this functionality, you have to use the attribute: <code>dangerouslySetInnerHTML</code></p>\n<p>Validation is checking that what your code is being passed is even vaguely what it&#8217;s expecting. So for instance, if we&#8217;re expecting an integer, we can use something like: <code>$zipcode = intval( $_POST[\'my-zipcode\'] )</code></p>\n<p>The <code>intval()</code> function returns its input as an integer and defaults to zero if the input was a non-numeric value. So while this won&#8217;t prevent our code from being passed zipcodes that aren&#8217;t valid, it does protect our code from being passed anything that isn&#8217;t a number.</p>\n<p>Naturally, we could go a step further to see if the zipcode actually appears to be valid. For example, 1111111111111 is not a valid zip code, but <code>intval()</code> doesn&#8217;t know that.</p>\n<p>Fortunately, beyond integers, WordPress has <a href=\"https://codex.wordpress.org/Data_Validation#Input_Validation\">a bunch of handy helper functions for almost every data type</a> including my favourite: <code>is_email().</code></p>\n<p>Sanitization is cleaning input to make sure that it&#8217;s safe in the context where we want to use it. This prevents one of the most common forms of security vulnerability, an <a href=\"https://www.owasp.org/index.php/SQL_injection\">SQL injection attack</a>.</p>\n<p>We also sanitize to fix practical things, like checking for invalid UTF-8 characters. WordPress has a class of <a href=\"https://codex.wordpress.org/Data_Validation#Input_Validation\"><code>sanitize_*()</code> helper functions</a>; here&#8217;s an example of how one looks in the wild:</p>\n<pre><code>$title = sanitize_text_field( $_POST[\'title\'] );\nupdate_post_meta( $post-&gt;ID, \'title\', $title );\n</code></pre>\n<p>Therefore no matter what garbage we might have been passed in <code>$_POST[\'title\']</code>, it won&#8217;t cause any real problems.</p>\n<p>Escaping is similar to sanitization, but instead it is cleaning what we&#8217;re sending out, rather than what we&#8217;re taking in. A major reason for doing this is to prevent another of the most common forms of security vulnerability, a <a href=\"https://www.owasp.org/index.php/XSS\">Cross-site Scripting (or XSS) attack</a>.</p>\n<p>We want to clean our output to ensure we aren&#8217;t accidentally echoing out something very dangerous that we didn&#8217;t realize we were inadvertently storing in our database (or perhaps fetched from an API).</p>\n<p>WordPress has <a href=\"https://codex.wordpress.org/Data_Validation#Output_Sanitization\">a bunch of very useful helper functions here</a>. Some common examples of these in the wild are:</p>\n<pre><code>&lt;h4&gt;&lt;?php echo esc_html( $title ); ?&gt;&lt;/h4&gt;\n</code></pre>\n<pre><code>&lt;img alt=\"\" src=\"&lt;?php echo esc_url( $great_user_picture_url ); ?&gt;\" /&gt;\n</code></pre>\n<pre><code>&lt;ul class=\"&lt;?php echo esc_attr( $stored_class ); ?&gt;\"&gt;\n</code></pre>\n<p>There is also <a href=\"https://developer.wordpress.org/reference/functions/wp_kses/\"><code>wp_kses()</code></a> which can be used on everything that is expected to contain HTML, and will filter out elements that are not explicitly allowed.</p>\n<p>As a general rule, the <code>the_*()</code> and <code>get_the_*()</code> theme functions are already escaped. However, the <code>get_bloginfo()</code> function, for example, is not escaped.</p>\n<p>For further information here, I highly recommend checking out the VIP team&#8217;s documentation on <a href=\"https://vip.wordpress.com/documentation/vip/best-practices/security/validating-sanitizing-escaping/\">Validating, Sanitizing, and Escaping</a>.</p>\n<h3>4. Stop trusting everything</h3>\n<p>Don&#8217;t trust user input. Don&#8217;t trust what&#8217;s in your database. Don&#8217;t trust any variables.</p>\n<p>Treat every variable with contempt.</p>\n<p>This way, even if, for example, someone sneaks some dodgy XSS code into your database, it&#8217;ll still get escaped on output and your site will be better protected.</p>\n<h3>5. Avoid inserting HTML directly into the document (when using JavaScript)</h3>\n<p>Doing something like this is dangerous because the data that we&#8217;re using could include many more DOM elements that dramatically alter the anticipated behavior of this code, and make it vulnerable to XSS attacks:</p>\n<pre><code>jQuery.ajax({\n    url: \'http://any-site.com/endpoint.json\'\n}).done( function( data ) {\n    var link = \'&lt;a href=\"\' + data.url + \'\"&gt;\' + data.title + \'&lt;/a&gt;\';\n\njQuery( \'#my-div\' ).html( link );\n});\n</code></pre>\n<p>Instead, we should programmatically create DOM nodes and append them to the DOM. So the above instead becomes this:</p>\n<pre><code>jQuery.ajax({\n    url: \'http://any-site.com/endpoint.json\'\n}).done( function( data ) {\n    var a = jQuery( \'&lt;a /&gt;\' );\n    a.attr( \'href\', data.url );\n    a.text( data.title );\n\njQuery( \'#my-div\' ).append( a );\n});\n</code></pre>\n<p>This is how a library like React does things behind the scenes. You can read more about this in <a href=\"https://vip.wordpress.com/2015/03/25/preventing-xss-in-javascript/\">a wonderful post about preventing XSS attacks in JavaScript</a> by my colleague, Nick Daugherty.</p>\n<h3>6. Review code</h3>\n<p>Have you ever reviewed a plugin before using it? I know, who&#8217;s got time for that right? I&#8217;ll tell you who: you.</p>\n<p>I have come to realize that reviewing code is possibly one of the best exercises for improving as a developer. Even if you&#8217;re quite new to programming or development, and you still feel pretty green, you really should give it a go.</p>\n<p>A great way to start is to review the next plugin you decide to use on your website. Before activating it, pop it open in your text editor of choice, and just spend some time scanning through it to understand what it does.</p>\n<p>A method I like to use here is to interpret each line of the code in simple English. You can even say it loud if you like – assuming you&#8217;re not sitting in a café or co-working space where people might become worried about you.</p>\n<p>You might be surprised at how often you find bugs and quirks in the code, or that the code isn&#8217;t conforming to the best practices outlined above. And if you discover issues, why not create a patch? Or if the plugin is on GitHub, create a pull request.</p>\n<p>You can also review your own code. A great method for doing this is to never deploy code straight into production. Instead, leave it on the day you finish it, and review it line by line in the morning. This method is easiest to adopt if you&#8217;re using something like GitHub where you can create a pull request with the changes, then review the pull request yourself the next day before merging it.</p>\n<p>In this vein, I highly recommend watching my colleague, Ryan Markel&#8217;s, <a href=\"http://wordpress.tv/2016/12/10/ryan-markel-code-review-keeping-things-secure-clean-and-performant/\">fantastic talk on this topic from WordCamp US 2016</a>.</p>\n<h3>7. Upgrade your tools (or at least use PHP_CodeSniffer)</h3>\n<p>There are lots of tools that help make web development easier, but if you&#8217;re doing a lot of WordPress development, the most valuable is probably <a href=\"https://github.com/squizlabs/PHP_CodeSniffer\">PHP<em>CodeSniffer</em></a>. It reads your code and automatically reviews it for bugs and coding standards inconsistencies while you type.</p>\n<p>It&#8217;s kind of like a spell checker, but for code. No matter how good your English is, you still use spell check right? So why wouldn&#8217;t you spell check your code?</p>\n<p>Here&#8217;s a bonus for you: the WordPress VIP Coding Standards are available by default with the <a href=\"https://github.com/WordPress-Coding-Standards/WordPress-Coding-Standards\">WordPress Coding Standards for PHPCodeSniffer</a>. So with that, it&#8217;ll check if you&#8217;re following most of the above resolutions.</p>\n<p>As you might imagine, using PHP_CodeSniffer also really helps highlight potential problems when you&#8217;re reviewing plugins and other people&#8217;s code.</p>\n<h3>8. Be curious</h3>\n<p>Far too often, I&#8217;m guilty of searching to try to find out what a particular WordPress function does, or scanning Stack Overflow to see if someone&#8217;s having the same problem as me.</p>\n<p>I have historically had a bad habit of seeing much of what WordPress does as magic, and avoiding getting too deep in the inner workings. But actually, it can be very beneficial to find out answers for yourself, instead of trying to find others who have already done the work.</p>\n<p>In essence, WordPress is quite simple. The code largely consists of functions taking arguments, and doing things with those arguments, and passing the results onto other functions taking arguments, and so on.</p>\n<p>It doesn&#8217;t take much to start unpicking something, and working out exactly what&#8217;s happening behind the scenes. So next time you&#8217;re struggling with a function, try going straight to looking at what the function actually does.</p>\n<p>Personally I find the <a href=\"https://github.com/wordpress/wordpress\">WordPress GitHub repo</a> that mirrors the core SVN repo to be a very useful way of doing this.</p>\n<p>The WordPress strapline is that &#8220;code is poetry&#8221;, and for its flaws I find that on the most part, the WordPress codebase is very readable, if nothing else! <img src=\"https://s.w.org/images/core/emoji/2.2.1/72x72/1f609.png\" alt=\"?\" class=\"wp-smiley\" /></p>\n<p>I&#8217;ll conclude by taking this opportunity to wish you a very happy and prosperous new year!</p>\n<p><strong><em>Note</em>:</strong> Some of the above has been gleefully plagiarized from <a href=\"https://vip.wordpress.com/documentation/vip/code-review-what-we-look-for/\">WordPress.com VIP&#8217;s Code Review documentation</a>. It&#8217;s an Aladdin&#8217;s cave of useful advice, and I highly recommend working your way through it as and when you can.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 12 Jan 2017 21:26:05 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Jack Lenox\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:38;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:113:\"WPTavern: Tom McFarlin to Launch Marketplace for Blogging Plugins, Finds New Maintainer for WordPress.org Plugins\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=64899\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:123:\"https://wptavern.com/tom-mcfarlin-to-launch-marketplace-for-blogging-plugins-finds-new-maintainer-for-wordpress-org-plugins\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5189:\"<p>Daily blogger and plugin author Tom McFarlin has found a new maintainer for five of his WordPress.org plugins. Within two days of <a href=\"https://tommcfarlin.com/wordpress-plugin-adoption/\" target=\"_blank\">putting the plugins up for adoption</a>, McFarlin <a href=\"https://tommcfarlin.com/wordpress-plugins-adopted/\" target=\"_blank\">announced</a> that <a href=\"https://twitter.com/philip_arthur\" target=\"_blank\">Philip Arthur Moore</a> will be taking over Category Sticky Post, Comment Tweets, Single Post Message, Tag Sticky Post, and Tipsy Social Icons. Moore, who is currently working as CTO at <a href=\"https://professionalthemes.nyc/\" target=\"_blank\">Professional Themes</a>, has inherited roughly 10,000 users overnight in the transfer of maintainership.</p>\n<p>WordPress.org plugin adoption stories are few and far between. The most common scenario for an orphaned plugin is to languish in the directory until it disappears from search results (with the exception of exact matches) after two years of no updates. In McFarlin&#8217;s case, he was looking to tie up some loose ends before shifting Pressware&#8217;s focus to launching Blogging Plugins, a marketplace for extensions that streamline WordPress for regular bloggers.</p>\n<p>&#8220;Last year, I had a few false starts when trying to launch what was originally called Pressware Plugins,&#8221; McFarlin said. &#8220;Fast-forward a few months and we’re going to focus on something called Blogging Plugins. We already have two free plugins available, though there’s an entire set of plugins, marketplace, and more coming.&#8221;</p>\n<p>Moore&#8217;s adoption of the plugins, which includes the first plugin McFarlin ever wrote, allows Pressware to move forward with its <a href=\"https://tommcfarlin.com/2017-plans/\" target=\"_blank\">2017 objectives</a>. McFarlin said he selected Moore based on the quality of his open source projects and reputation in the WordPress community.</p>\n<p>&#8220;For those of you who aren’t familiar with Philip’s side projects, you may be familiar with <a href=\"https://wordpress.org/plugins/subtitles/\" target=\"_blank\">Subtitles</a>,&#8221; McFarlin said. &#8220;It’s a plugin that falls right in line with my personal ethos of how things should work with WordPress: You activate it, it’s ready to go, and it feels native within the application.&#8221;</p>\n<blockquote class=\"twitter-tweet\">\n<p lang=\"en\" dir=\"ltr\">Why would I adopt <a href=\"https://twitter.com/tommcfarlin\">@tommcfarlin</a>\'s work? Because I owe him. He\'s ethical, an amazing man, and a stellar coder: <a href=\"https://t.co/WM66Xu1vm1\">https://t.co/WM66Xu1vm1</a></p>\n<p>&mdash; Philip Arthur Moore (@philip_arthur) <a href=\"https://twitter.com/philip_arthur/status/817399604698173440\">January 6, 2017</a></p></blockquote>\n<p></p>\n<p>The <a href=\"https://wordpress.org/plugins/tags/adopt-me\" target=\"_blank\">adopt-me</a> tag is used on WordPress.org to indicate plugins where the author is looking for a new maintainer. With just two pages of listings, it&#8217;s not yet widely used. Most developers find it easier to fork an open source plugin and WordPress.org has recently made it easier than ever for authors to <a href=\"https://make.wordpress.org/plugins/2016/12/22/want-to-close-your-plugins-email/\" target=\"_blank\">close a plugin</a> by simply emailing the plugin team.</p>\n<p>However, not all orphaned plugins are ready for end of life measures. Circumstances change in plugin authors&#8217; lives, but the strength of the user base is one of the primary indicators of a project that could thrive in new hands. The built-in user base is also one of the main advantages of adopting a plugin as opposed to forking it.</p>\n<p>Developer and ZDNet columnist David Gewirtz discovered the full weight of adopting a plugin&#8217;s users when he <a href=\"http://www.zdnet.com/article/a-year-later-what-happens-when-you-adopt-an-open-source-project/\" target=\"_blank\">took on 10 plugins</a> from the adopt-me section of the directory. Gewirtz, who inherited approximately 50,000 users, said the experience helped him reconnect with real users.</p>\n<p>&#8220;The value I&#8217;ve gained as a columnist, advisor, and educator that has come from interacting with users from so many nations with so many different skill sets and missions has been off the charts,&#8221; Gewirtz said. &#8220;I thought I&#8217;d keep my programming chops up, and I&#8217;ve certainly done that. But I never expected I&#8217;d gain a much broader perspective that I&#8217;d be able to apply to all of the areas of my professional life and meet so many cool people.&#8221;</p>\n<p>Adoption is arguably the healthiest outcome for any orphaned project &#8211; not just for the sake of reducing plugin abandonment but also for continuing support for users. Many of them blindly depend on plugins with no understanding of how they work.</p>\n<p>Once a plugin is downloaded and installed on users&#8217; sites, it gains a life of its own. Adoption strengthens a project&#8217;s history by proving it can weather storms that might otherwise cause the plugin to become obsolete and wipe out the user base.</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 12 Jan 2017 07:59:54 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:39;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Matt: Thirty-Three\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"https://ma.tt/?p=47034\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"https://ma.tt/2017/01/thirty-three/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4279:\"<p>I&#8217;m taking it easy this week, nothing too crazy &#8212; just sharing good meals and wine with friends. Which is probably a good example of my goals for the year: putting family and loved ones first, slowing down (<a href=\"https://ma.tt/2014/10/run-better/\">to go further</a>), and deliciousness. (<a href=\"https://www.singlethreadfarms.com/\">Single Thread Farms</a> blew me away.)</p>\n<p>2016 was a year of incredible contrasts: it was the saddest and most challenged I&#8217;ve ever been with the <a href=\"https://ma.tt/2016/04/in-memoriam-chuck-mullenweg/\">passing of my father</a>, and while that overshadowed everything there were also bright moments of coming closer to family, deepening friendships, and growing professionally with incredible progress from both WordPress and Automattic. That momentum on the professional side is carrying through and right now I&#8217;m the most optimistic I can recall, and thrilled to wake up and get to work every day with the people I do.</p>\n<p>I talked about trying to spend longer stretches of time in fewer places, and that definitely happened. I flew 162k fewer miles than <a href=\"https://ma.tt/2016/01/thirty-two/\">the year before</a>, and visited 35 fewer cities. My blogging decreased a lot too &#8212; from 252 posts in 2015 to 76 posts in 2016, but the posts I did write were at least 50% longer. I made it to 9 more of the Top 50 restaurants and stand currently at 50% of <a href=\"http://www.theworlds50best.com/list/1-50-winners\">the list</a>. I finished <a href=\"https://www.pinterest.com/saxmatt/books-in-2016/\">22 books</a>, including a lot more fiction including my first few graphic novels like Ex Machina, Y: The Last Man, and Watchmen. I watched 35 movies, 9 of which were from the Marvel universe on a single flight from Cape Town to Dubai.</p>\n<p><a href=\"https://ma.tt/2016/01/thirty-two/\">Last year</a> I said, &#8220;it’s exciting to make the most of the opportunity that the volatility, love, loss, glory, failure, inspirations, and setbacks that 2016 will bring.&#8221; I didn&#8217;t know how right I would be, and wish I hadn&#8217;t been.</p>\n<p>This year doesn&#8217;t start with new plans, but rather three intentions continued from a few months ago. I <a href=\"https://ma.tt/2017/01/rebirth-and-yellow-arrows/\">revealed one yesterday</a>, and promised I would expand today on the others, so here they are:</p>\n<ol>\n<li><strong>Symmetry</strong> &#8212; Balance in all things, including my body which is stronger on my right side and much tighter on my left side. We also need symmetry in WordPress between the .org and .com products which differ too much.</li>\n<li><strong>Stillness</strong> &#8212; In echoes <a href=\"https://www.amazon.com/Art-Stillness-Adventures-Going-Nowhere-ebook/dp/B00JSRQSJS\">of Pico Iyer</a>, so much of my life in my 20s was about movement, and &#8220;going places to be moved.&#8221; In my 30s I&#8217;m looking inward. As Saint Augustine said in Book X, chapter 8 of <em>Confessions</em>: &#8220;Men go forth to wonder at the heights of mountains, the huge waves of the sea, the broad flow of the rivers, the vast compass of the ocean, the courses of the stars, and they pass by themselves without wondering.&#8221;</li>\n<li><strong>Yellow Arrows</strong> &#8212; The idea that there are clear indications of where to go next at every fork in the road, and if not you should paint them. I wrote more <a href=\"https://ma.tt/2017/01/rebirth-and-yellow-arrows/\">on this  yesterday</a>.</li>\n</ol>\n<p>Previously: <a href=\"https://ma.tt/2003/01/bday/\">19</a>, <a href=\"https://ma.tt/2004/01/so-im-20/\">20</a>, <a href=\"https://ma.tt/2005/01/hot-barely-legal-matt/\">21</a>, <a href=\"https://ma.tt/2006/01/matt-22/\">22</a>, <a href=\"https://ma.tt/2007/01/twenty-three/\">23</a>, <a href=\"https://ma.tt/2008/01/twenty-four/\">24</a>, <a href=\"https://ma.tt/2009/01/twenty-five/\">25</a>, <a href=\"https://ma.tt/2010/01/twenty-six/\">26</a>, <a href=\"https://ma.tt/2011/01/twenty-seven/\">27</a>, <a href=\"https://ma.tt/2012/01/twenty-eight/\">28</a>, <a href=\"https://ma.tt/2013/01/twenty-nine/\">29</a>, <a href=\"https://ma.tt/2014/01/matt-3-0/\">30</a>, <a href=\"https://ma.tt/2015/01/thirty-one/\">31</a>, and <a href=\"https://ma.tt/2016/01/thirty-two/\">32</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 12 Jan 2017 07:59:25 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:40;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"WPTavern: WordPress 4.7.1 Fixes Eight Security Issues\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=65100\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"https://wptavern.com/wordpress-4-7-1-fixes-eight-security-issues\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2146:\"<p>WordPress 4.7.1 <a href=\"https://wordpress.org/news/2017/01/wordpress-4-7-1-security-and-maintenance-release/\">is available</a> for download and fixes eight security issues that affect WordPress 4.7 and below. The PHPMailer library was updated to patch a remote code execution (RCE) vulnerability. WordFence <a href=\"https://www.wordfence.com/blog/2016/12/phpmailer-vulnerability/\">reported the vulnerability</a> last month as critical and that it affects WordPress core.</p>\n<p>However, in the announcement post for 4.7.1, Aaron Campbell, WordPress&#8217; <a href=\"https://make.wordpress.org/core/2017/01/09/aaron-campbell-leading-security/\">new Security Czar</a> says that, &#8220;No specific issue appears to affect WordPress or any of the major plugins we investigated but, out of an abundance of caution, we updated PHPMailer in this release.&#8221; <a href=\"https://legalhackers.com/\">Dawid Golunski</a> and <a href=\"https://twitter.com/Zenexer\">Paul Buonopane</a> are credited with <a href=\"https://make.wordpress.org/core/handbook/testing/reporting-security-vulnerabilities/\">responsibly disclosing</a> the vulnerability.</p>\n<p>WordPress 4.7.1 also fixes an issue where the REST API exposed user data for all users who authored a post of a public post type. This release limits this ability to only post types which have specified that they should be shown within the API. <a href=\"https://poststatus.com/\">Brian Krogsgard</a> and <a href=\"https://ithemes.com/\">Chris Jean</a> are credited with <a href=\"https://make.wordpress.org/core/handbook/testing/reporting-security-vulnerabilities/\">responsibly disclosing</a> the vulnerability.</p>\n<p>In addition to patching eight security issues, this release fixes 62 bugs. To see a full list of changes, visit the <a href=\"https://codex.wordpress.org/Version_4.7.1\">release notes</a> page or you can <a href=\"https://core.trac.wordpress.org/query?milestone=4.7.1\">view them on Trac</a>. Sites should update automatically but if you&#8217;d like to update sooner, visit your site&#8217;s Dashboard, select Updates, and click the Update Now button.</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 11 Jan 2017 23:19:36 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:41;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"WPTavern: Facebook Launches Journalism Project, Plans to Expand Monetization of Instant Articles\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=65121\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:106:\"https://wptavern.com/facebook-launches-journalism-project-plans-to-expand-monetization-of-instant-articles\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:3423:\"<p>After taking heat for the proliferation of &#8220;fake news&#8221; and misinformation on its platform during the US presidential election, Facebook is aiming to strengthen its ties with the news industry.</p>\n<p>&#8220;We care a great deal about making sure that a healthy news ecosystem and journalism can thrive,&#8221; Facebook director of product Fidji Simo said in the <a href=\"https://media.fb.com/2017/01/11/facebook-journalism-project/\" target=\"_blank\">announcement</a> today.</p>\n<p>The new <a href=\"https://www.facebook.com/facebookmedia/get-started/facebook-journalism-project\" target=\"_blank\">Facebook Journalism Project</a> will focus on creating news products with feedback from publishers, providing training and tools for journalists, and promoting news literacy for the public.</p>\n<p>In 2015 Facebook launched Instant Articles to deliver publishers&#8217; content instantly in exchange for advertising revenue. The platform will be expanding the feature to combine multiple Instant Articles in one post, starting January 12, 2017.</p>\n<a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/01/facebook-multiple-instant-articles.png?ssl=1\"><img /></a>image credit: <a href=\"https://media.fb.com/2017/01/11/multiple-instant-articles/\">Facebook</a>\n<p>&#8220;We’ve heard from editors that they want to be able to present packages of stories to their most engaged readers on Facebook,&#8221; Simo said. &#8220;We’re starting to work with several partners on how best to do this. We’re going to start testing this using Instant Articles, so that readers can start to see <a href=\"https://media.fb.com/2017/01/11/multiple-instant-articles/\" target=\"_blank\">multiple stories</a> at a time from their favorite news organizations.&#8221; Facebook is currently testing this feature with BILD, BuzzFeed, El Pais, Fox News, Hindustan Times, The Sun, The Washington Post, and other publishers.</p>\n<p>In April 2016, Automattic partnered with Facebook and VIP-Featured-Partner agency Dekode to develop <a href=\"https://wordpress.org/plugins/fb-instant-articles/\" target=\"_blank\">Instant Articles for WP</a>, a plugin that outputs a compliant feed of posts wrapped in the required markup for Facebook. The plugin passed 10K active installs at the end of 2016, but its star rating continues to plummet due to numerous errors with updates and a lack of support. Only 1 of 42 support threads has been marked resolved in the last two months. Publishers who depend on the plugin may need to have a developer on staff to handle issues with the plugin or select another solution.</p>\n<p>Facebook is also planning to collaborate with publishers on subscription business models for their content. Participation in this feature will require the publisher to make its content available through Instant Articles.</p>\n<p>&#8220;Many of our partners have placed a renewed emphasis on growing their subscription funnel, and we’ve already begun exploring ways we can support these efforts,&#8221; Simo said. &#8220;This month our engineering team in collaboration with the engineering team of the German news organization BILD will launch a test to explore offering free trials to engaged readers, right from within Instant Articles.&#8221; Simo also said they are working on other monetization options for publishing partners, including advertising breaks in regular videos.</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 11 Jan 2017 21:49:05 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:42;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"HeroPress: Blogging, Solopreneurship, &amp; Terrorism\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://heropress.com/?post_type=heropress-essays&p=1563\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"https://heropress.com/essays/blogging-solopreneurship-terrorism/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:13067:\"<img width=\"960\" height=\"480\" src=\"http://20094-presscdn.pagely.netdna-cdn.com/wp-content/uploads/2017/01/011117-1024x512.jpg\" class=\"attachment-large size-large wp-post-image\" alt=\"Pull Quote: We will survive this, and this too will pass. You have my word.\" /><p>This story involves me as a blogger, the Prime Minister, me again as a web developer, an Islamic cult attempting a coup d&#8217;état, and me again as a solopreneur. Oh, and WordPress. And ISIS.</p>\n<h2>WordPress: My First Encounter</h2>\n<p>In the beginning of 2006, everyone in Turkey was talking about blogs. It was the hot new thing on the web. Forums were &#8220;out&#8221; and blogs were &#8220;in&#8221;. Anyways, I was getting ready for the ÖSS and studying to get into a university but I was psyched enough to register a blog on WordPress.com, on January 2006. (I moved the blog into a free hosting space the next month, and opened up <a href=\"http://beyn.org\">beyn.org</a> in July 2006.) I was in Kocaeli, the city right next to İstanbul.</p>\n<p>After the registration, I realized that I had nothing to write about. So I wrote about the day I had. The next day, I did the same thing. And the next day. And the next seven and a half years. Of course, I skipped four or five days. But that kind of dedication earned me a reputation and an award for &#8220;Best Personal Blogger of 2008&#8221;.</p>\n<p>But I didn&#8217;t just write about my days. After getting accepted into Ankara University in September 2006, I began to read and think about politics, as nearly all young Turks do in university. Eventually, I started writing about politics as well. Because you know what they say: If you want to learn something, write about it.</p>\n<p>Oh, I learned it pretty well, and I learned it the (somewhat) hard way.</p>\n<h2>Facing Jail Time with a Blog Post</h2>\n<p>2010 was probably my darkest year in my entire life. (2016 is the next candidate.) I was 22 years old, blogging daily, learning about web design and WordPress (more on that later), and keeping up with what&#8217;s going on with the country. Things were crazy back then: A very big prosecution was going on called the Ergenekon Case about military people allegedly planning a coup (Hint: This is not the coup I mentioned in the intro! These guys were all acquitted later.) and a big campaign for a constitutional referandum was more than enough to keep the whole country busy.</p>\n<p>In December 2010, Recep Tayyip Erdoğan, the Prime Minister of the time (and the President since 2014) sued me for one of my blog posts. It was about one of the slogans he used in his referandum rallies (&#8220;The terrorists and the opposition parties are soul mates!&#8221;) and me using the same sentence against him. Like, <em>the exact same sentence</em>. He didn&#8217;t like the way that the slogan was used against him, so he reported me and the state brought charges against me. I was 22 and I was being sued by the most powerful man in the country, because I used his words against him.</p>\n<p>When the Prime Minister sues you, you go to jail. There were little to no instances of winning a case against the government, especially when they were the one suing you. Thankfully, I was one of the few instances: I won the case in my third trial, February 14, 2012. (&#8220;Lovely&#8221; day, isn&#8217;t it?)</p>\n<p>There were one downside though: With the fear of the government suing me, I stopped writing about politics in 2011 and 2012, and even a few months after I won. And to this day, even though that fear is long gone, and even though I&#8217;m writing about politics again on Beyn, I still can&#8217;t write regularly like I did back then.</p>\n<p>Anyways. Moving on with the &#8220;web development&#8221; phase of my life.</p>\n<h2>Learning to Develop WordPress, and Teaching It at the Same Time</h2>\n<p>When I started Beyn, I immediately loved WordPress. I had some experience on HTML and CSS on Dreamweaver (never was a FrontPage guy), and I happily retired DW because I won&#8217;t be able to work on it while I was learning WordPress.</p>\n<p>I don&#8217;t remember trying to learn something with such passion. I loved the idea of plugins and themes extending the core. Beyn became my playground for new tricks, my laboratory for new experiments about WordPress. I installed plugins, edited themes, learned what&#8217;s right and what&#8217;s wrong with what I did&#8230; I probably crashed the website more than a hundred times!</p>\n<p>By 2012, I&#8217;d already started making websites for other people and getting paid. I had developed a few plugins, made a couple of themes from scratch. While still learning what awesome things I&#8217;m able to do with WordPress, I applied for a small writing gig at Wptuts+, which was later renamed <a href=\"https://tutsplus.com/authors/baris-unver\">Tuts+ Code</a>. Because you know what they say: If you want to learn something, write about it.</p>\n<p>That &#8220;small writing gig&#8221; was in fact my biggest source of education. I wasn&#8217;t a WordPress expert, but that gig was the ultimate reason to learn more and more about WordPress. I remember constantly feeling that &#8220;I&#8217;ve finished telling about everything I know about WordPress, so now I have to learn more!&#8221; and doing research on things to write about.</p>\n<p>I was aware that I don&#8217;t have any chance to write a sloppy tutorial, so I nagged my editors (first Japh Thomson, then Tom McFarlin) about my writing style, my choice of topics and of course, my English. They said my English was very good, and my topics are relevant and suitable for publishing on Tuts+. In almost exactly four years (from April 2012 to March 2016), I wrote 134 posts and I&#8217;m very proud of (almost) all my work there.</p>\n<p>While it was sad to leave Tuts+, I had a project in my mind that I put off so long: <a href=\"https://optimocha.com/\">Optimocha</a>.</p>\n<h2>WordPress Speed Optimization with Terrorists, Bombs and Death</h2>\n<p>That title came out grimmer than I expected. Heh. <em>Anyways.</em></p>\n<p>2015 was the year when I first thought about a speed optimization service for WordPress-based websites. Then I thought that I would better use my energy on the upcoming general elections in June. I worked for an NGO called &#8220;Vote and Beyond&#8221; to <a href=\"https://en.wikipedia.org/wiki/Vote_and_Beyond\">ensure transparency in observering of ballot count in the elections</a>.</p>\n<p>2015 was also the year with a whole lot of terrorist attacks. PKK, a terrorist organization <em>pretending</em> to defend Kurds&#8217; rights (while giving a bad name for all Kurds countrywide) and ISIS (you know them) were the most active terrorist organizations in 2015. They killed more than 250 people and injured more than 1000 in a series of shootings and bombings throughout the year.</p>\n<p>Worst year ever, right? <em>Not even close.</em> Let me quickly summarize the hell we&#8217;ve been through:</p>\n<ol>\n<li>ISIS killed 116 people in 5 different attacks.</li>\n<li>PKK killed 176 people in 15 different attacks.</li>\n<li>TAK, PKK&#8217;s even uglier cousin, killed 43 people in 4 different attacks.</li>\n<li>FETO killed 248 people across the country in their coup d&#8217;état attempt on July 15.</li>\n</ol>\n<p>583 people killed in terrorist attacks in 2016. <em>So, just a few more than all those lovely celebrities.</em></p>\n<p>What&#8217;s that FETO sticking out among the others, attempting a coup? That&#8217;s <strong>FE</strong>thullahist <strong>T</strong>errorist <strong>O</strong>rganization: The organization of Fethullah Gülen, an Islamic cult leader comfortably residing in Pennsylvania, plotting to take over the government for (I kid you not) over 40 years. Even I had made peace with the President because of the much needed &#8220;purges&#8221; to scrape his crypto-disciples in the government organizations. FETO is one of the enemies that can let you make peace with the ones against your values.</p>\n<p>(By the way: While celebrating that we got rid off that horror show of 2016, ISIS killed 39 more people with an AK-47 in a New Year party on January 1, in the middle of the night.)</p>\n<p>Still waiting for the part where I founded Optimocha, right? Sorry it took a bit long.</p>\n<p>April 2016 was the month I registered my company by paying for the usual fees to register a sole proprietorship, accountant fees, rent for an office (because by law, you can&#8217;t register a company without an office), some paperwork. All my funds vanished, leaving me with nothing to spend on marketing.</p>\n<p>PayPal halted operations in Turkey on June, because of conflicts with the government. 2CheckOut followed. I was going to use 2CO, so I was left with no payment gateway provider. Along with the terrorist attacks, I decided to spend Ramadan (the holy month for Muslims, passed on June 2016) sleeping, lying and moping around with depression.</p>\n<p>At the beginning of July, I was ready to work again, amped up for success! Except the coup attempt happened. Bombs and sonic booms in my city. Back to depression.</p>\n<p>By October, I was almost ready to go live with <a href=\"https://optimocha.com/\">the website</a>. I didn&#8217;t. I forced myself to finish it in November, before Black Friday. <em>I did!</em> People responded to my emails, said they&#8217;ll publish my deal on their blogs. People who saw the deal also responded and purchased my services. Yay.</p>\n<h2>Conclusion</h2>\n<p>Blogging is hard. Blogging with the most powerful man in your country trying to lock you up is the hardest.</p>\n<p>Solopreneurship is hard. Solopreneurship with several, highly active terrorist organizations killing people next to you is the hardest.</p>\n<p>Yet, <em>and I&#8217;m sure this is going to sound cheesy</em>, I have hope. This is the price we have to pay in order to get rid of the scum in the world. Turkey isn&#8217;t the worst country in the world suffering from terror&#8211;we&#8217;re just a country stuck between Europe, Russia, the Middle East and Africa. (Talk about a rock and a hard place&#8230;) We will survive this, and this too will pass.</p>\n<p>Turkey may be viewed as &#8220;yet another Middle Eastern country&#8221;, but it was founded almost a hundred years ago with the heritage of the Ottoman Empire, but also with a Western, secular mindset. <em>Even today</em>, you can&#8217;t find a sensible person talking trash about Mustafa Kemal Atatürk, who declined the Ottoman monarchy to set the foundation of a democratic republic in a time of dictatorships across Europe and Asia. Emphasis on the words &#8220;even today&#8221;, because the principles of his <em>vision</em> of the Republic of Turkey is in danger, a very large portion of the country has the confidence and equipment to defend those principles.</p>\n<p>Again: We will survive this, and this too will pass. You have my word.</p>\n<div class=\"rtsocial-container rtsocial-container-align-right rtsocial-horizontal\"><div class=\"rtsocial-twitter-horizontal\"><div class=\"rtsocial-twitter-horizontal-button\"><a title=\"Tweet: Blogging, Solopreneurship, & Terrorism\" class=\"rtsocial-twitter-button\" href=\"https://twitter.com/share?text=Blogging%2C%20Solopreneurship%2C%20%26%20Terrorism&via=heropress&url=https%3A%2F%2Fheropress.com%2Fessays%2Fblogging-solopreneurship-terrorism%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-fb-horizontal fb-light\"><div class=\"rtsocial-fb-horizontal-button\"><a title=\"Like: Blogging, Solopreneurship, & Terrorism\" class=\"rtsocial-fb-button rtsocial-fb-like-light\" href=\"https://www.facebook.com/sharer.php?u=https%3A%2F%2Fheropress.com%2Fessays%2Fblogging-solopreneurship-terrorism%2F\" rel=\"nofollow\" target=\"_blank\"></a></div></div><div class=\"rtsocial-linkedin-horizontal\"><div class=\"rtsocial-linkedin-horizontal-button\"><a class=\"rtsocial-linkedin-button\" href=\"https://www.linkedin.com/shareArticle?mini=true&url=https%3A%2F%2Fheropress.com%2Fessays%2Fblogging-solopreneurship-terrorism%2F&title=Blogging%2C+Solopreneurship%2C+%26%23038%3B+Terrorism\" rel=\"nofollow\" target=\"_blank\" title=\"Share: Blogging, Solopreneurship, & Terrorism\"></a></div></div><div class=\"rtsocial-pinterest-horizontal\"><div class=\"rtsocial-pinterest-horizontal-button\"><a class=\"rtsocial-pinterest-button\" href=\"https://pinterest.com/pin/create/button/?url=https://heropress.com/essays/blogging-solopreneurship-terrorism/&media=https://heropress.com/wp-content/uploads/2017/01/011117-150x150.jpg&description=Blogging, Solopreneurship, & Terrorism\" rel=\"nofollow\" target=\"_blank\" title=\"Pin: Blogging, Solopreneurship, & Terrorism\"></a></div></div><a rel=\"nofollow\" class=\"perma-link\" href=\"https://heropress.com/essays/blogging-solopreneurship-terrorism/\" title=\"Blogging, Solopreneurship, & Terrorism\"></a></div><p>The post <a rel=\"nofollow\" href=\"https://heropress.com/essays/blogging-solopreneurship-terrorism/\">Blogging, Solopreneurship, &#038; Terrorism</a> appeared first on <a rel=\"nofollow\" href=\"https://heropress.com\">HeroPress</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 11 Jan 2017 12:00:39 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Barış Ünver\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:43;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"Dev Blog: WordPress 4.7.1 Security and Maintenance Release\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"https://wordpress.org/news/?p=4650\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:84:\"https://wordpress.org/news/2017/01/wordpress-4-7-1-security-and-maintenance-release/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:6519:\"<p>WordPress 4.7 has been <a href=\"https://wordpress.org/download/counter/\">downloaded over 10 million times</a> since its release on December 6, 2016 and we are pleased to announce the immediate availability of WordPress 4.7.1. This is a <strong>security release</strong> for all previous versions and we strongly encourage you to update your sites immediately.</p>\n<p>WordPress versions 4.7 and earlier are affected by eight security issues:</p>\n<ol>\n<li>Remote code execution (RCE) in PHPMailer &#8211; <em>No specific issue appears to affect WordPress</em> or any of the major plugins we investigated but, out of an abundance of caution, we updated PHPMailer in this release. This issue was fixed in PHPMailer thanks to <a href=\"https://legalhackers.com/\">Dawid Golunski</a> and <a href=\"https://twitter.com/Zenexer\">Paul Buonopane</a>.</li>\n<li>The REST API exposed user data for all users who had authored a post of a public post type. WordPress 4.7.1 limits this to only post types which have specified that they should be shown within the REST API. Reported by <a href=\"https://poststatus.com/\">Krogsgard</a> and <a href=\"https://ithemes.com/\">Chris Jean</a>.</li>\n<li>Cross-site scripting (XSS) via the plugin name or version header on <code>update-core.php</code>. Reported by <a href=\"https://dominikschilling.de/\">Dominik Schilling</a> of the WordPress Security Team.</li>\n<li>Cross-site request forgery (CSRF) bypass via uploading a Flash file. Reported by <a href=\"https://twitter.com/Abdulahhusam\">Abdullah Hussam</a>.</li>\n<li>Cross-site scripting (XSS) via theme name fallback. Reported by <a href=\"https://pentest.blog/\">Mehmet Ince</a>.</li>\n<li>Post via email checks <code>mail.example.com</code> if default settings aren&#8217;t changed. Reported by John Blackbourn of the WordPress Security Team.</li>\n<li>A cross-site request forgery (CSRF) was discovered in the accessibility mode of widget editing. Reported by <a href=\"https://dk.linkedin.com/in/ronni-skansing-36143b65\">Ronnie Skansing</a>.</li>\n<li>Weak cryptographic security for multisite activation key. Reported by <a href=\"https://itsjack.cc/\">Jack</a>.</li>\n</ol>\n<p>Thank you to the reporters for practicing <a href=\"https://make.wordpress.org/core/handbook/testing/reporting-security-vulnerabilities/\">responsible disclosure</a>.</p>\n<p>In addition to the security issues above, WordPress 4.7.1 fixes 62 bugs from 4.7. For more information, see the <a href=\"https://codex.wordpress.org/Version_4.7.1\">release notes</a> or consult the <a href=\"https://core.trac.wordpress.org/query?milestone=4.7.1\">list of changes</a>.</p>\n<p><a href=\"https://wordpress.org/download/\">Download WordPress 4.7.1</a> or venture over to Dashboard → Updates and simply click “Update Now.” Sites that support automatic background updates are already beginning to update to WordPress 4.7.1.</p>\n<p>Thanks to everyone who contributed to 4.7.1: <a href=\"https://profiles.wordpress.org/aaroncampbell/\">Aaron D. Campbell</a>, <a href=\"https://profiles.wordpress.org/jorbin/\">Aaron Jorbin</a>, <a href=\"https://profiles.wordpress.org/adamsilverstein/\">Adam Silverstein</a>, <a href=\"https://profiles.wordpress.org/afercia/\">Andrea Fercia</a>, <a href=\"https://profiles.wordpress.org/azaozz/\">Andrew Ozz</a>, <a href=\"https://profiles.wordpress.org/gitlost/\">bonger</a>, <a href=\"https://profiles.wordpress.org/boonebgorges/\">Boone Gorges</a>, <a href=\"https://profiles.wordpress.org/chandrapatel/\">Chandra Patel</a>, <a href=\"https://profiles.wordpress.org/christian1012/\">Christian Chung</a>, <a href=\"https://profiles.wordpress.org/dlh/\">David Herrera</a>, <a href=\"https://profiles.wordpress.org/dshanske/\">David Shanske</a>, <a href=\"https://profiles.wordpress.org/dd32/\">Dion Hulse</a>, <a href=\"https://profiles.wordpress.org/ocean90/\">Dominik Schilling (ocean90)</a>, <a href=\"https://profiles.wordpress.org/dreamon11/\">DreamOn11</a>, <a href=\"https://profiles.wordpress.org/chopinbach/\">Edwin Cromley</a>, <a href=\"https://profiles.wordpress.org/iseulde/\">Ella van Dorpe</a>, <a href=\"https://profiles.wordpress.org/pento/\">Gary Pendergast</a>, <a href=\"https://profiles.wordpress.org/hristo-sg/\">Hristo Pandjarov</a>, <a href=\"https://profiles.wordpress.org/jnylen0/\">James Nylen</a>, <a href=\"https://profiles.wordpress.org/jblz/\">Jeff Bowen</a>, <a href=\"https://profiles.wordpress.org/jeremyfelt/\">Jeremy Felt</a>, <a href=\"https://profiles.wordpress.org/jpry/\">Jeremy Pry</a>, <a href=\"https://profiles.wordpress.org/joehoyle/\">Joe Hoyle</a>, <a href=\"https://profiles.wordpress.org/joemcgill/\">Joe McGill</a>, <a href=\"https://profiles.wordpress.org/johnbillion/\">John Blackbourn</a>, <a href=\"https://profiles.wordpress.org/kkoppenhaver/\">Keanan Koppenhaver</a>, <a href=\"https://profiles.wordpress.org/obenland/\">Konstantin Obenland</a>, <a href=\"https://profiles.wordpress.org/laurelfulford/\">laurelfulford</a>, <a href=\"https://profiles.wordpress.org/tyxla/\">Marin Atanasov</a>, <a href=\"https://profiles.wordpress.org/mattyrob/\">mattyrob</a>, <a href=\"https://profiles.wordpress.org/monikarao/\">monikarao</a>, <a href=\"https://profiles.wordpress.org/natereist/\">Nate Reist</a>, <a href=\"https://profiles.wordpress.org/celloexpressions/\">Nick Halsey</a>, <a href=\"https://profiles.wordpress.org/nikschavan/\">Nikhil Chavan</a>, <a href=\"https://profiles.wordpress.org/nullvariable/\">nullvariable</a>, <a href=\"https://profiles.wordpress.org/sirbrillig/\">Payton Swick</a>, <a href=\"https://profiles.wordpress.org/peterwilsoncc/\">Peter Wilson</a>, <a href=\"https://profiles.wordpress.org/presskopp/\">Presskopp</a>, <a href=\"https://profiles.wordpress.org/rachelbaker/\">Rachel Baker</a>, <a href=\"https://profiles.wordpress.org/rmccue/\">Ryan McCue</a>, <a href=\"https://profiles.wordpress.org/sanketparmar/\">Sanket Parmar</a>, <a href=\"https://profiles.wordpress.org/sebastianpisula/\">Sebastian Pisula</a>, <a href=\"https://profiles.wordpress.org/sfpt/\">sfpt</a>, <a href=\"https://profiles.wordpress.org/shazahm1hotmailcom/\">shazahm1</a>, <a href=\"https://profiles.wordpress.org/sstoqnov/\">Stanimir Stoyanov</a>, <a href=\"https://profiles.wordpress.org/stevenkword/\">Steven Word</a>, <a href=\"https://profiles.wordpress.org/szaqal21/\">szaqal21</a>, <a href=\"https://profiles.wordpress.org/timph/\">timph</a>, <a href=\"https://profiles.wordpress.org/voldemortensen/\">voldemortensen</a>, <a href=\"https://profiles.wordpress.org/vortfu/\">vortfu</a>, and <a href=\"https://profiles.wordpress.org/westonruter/\">Weston Ruter</a>.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 11 Jan 2017 03:53:57 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:17:\"Aaron D. Campbell\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:44;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Matt: Rebirth and Yellow Arrows\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"https://ma.tt/?p=47020\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://ma.tt/2017/01/rebirth-and-yellow-arrows/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:2464:\"<p>My friend <a href=\"https://www.amazon.com/Rebirth-Fable-Forgiveness-Following-Heart/dp/0316312282/\">Kamal Ravikant has a new book out, Rebirth, which I highly recommend</a>. I had the good fortune to read it a few months ago and the story of the Camino de Santiago touched and inspired me.</p>\n<p>Because of the impact of the book, I ended up adopting a few New Year&#8217;s intentions long before January 1st &#8212; things to ruminate on and keep in mind as the year wound down. The outlook of the world seemed uncertain, and I&#8217;m learning to navigate the world without my father.</p>\n<p><img /></p>\n<h3>Yellow Arrows</h3>\n<p>The Camino de Santiago is a pilgrimage path in Spain that people have walked since the 9th century AD. The 500 mile path winds through mountains, fields, and sometimes cities, and many pilgrims take a month or more on it. In some ways it is similar to <a href=\"http://walkkumano.com/\">the Kumano Kodo walk I did with Dan and Craig last year</a>.</p>\n<p>There are places where the path isn&#8217;t exactly clear, either because the trail isn&#8217;t strong, there&#8217;s been growth, or you might be in a crowded urban area like a city. Over the years pilgrims and people who live on the trail have marked it with yellow arrows pointing the way. If someone gets lost or confused, it&#8217;s an opportunity for an additional sign to bring them back on track.</p>\n<p>When you know the path, is it clear where someone else walking it should go next? It&#8217;s an interesting concept that applies across life. In your relationships, does your friend, loved one, or partner know what to expect, and where you&#8217;re headed together? Even in WordPress I feel like there are too many places where we bring someone to a fork in the road and there is no clear indication which way they should take.</p>\n<p>Give some thought to the yellow arrows in your life, and I&#8217;ll write more about the other two things I&#8217;ve been thinking about tomorrow. Also don&#8217;t forget <a href=\"https://www.amazon.com/Rebirth-Fable-Forgiveness-Following-Heart/dp/0316312282/\">to pick up a copy of Kamal&#8217;s book</a>. I loved it and I think it will be one I&#8217;m recommending to many friends.</p>\n<p><a href=\"https://www.amazon.com/Rebirth-Fable-Forgiveness-Following-Heart/dp/0316312282/\"><img /></a></p>\n<p>(Image from <a href=\"http://caminotravelcenter.com/who-was-elias-valina-follow-the-yellow-arrow/\">Camino Travel Center</a>.)</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 11 Jan 2017 03:48:45 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Matt\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:45;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:85:\"WPTavern: Year in WP Creates a Personalized Review of WordPress Contributions in 2016\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=64884\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:96:\"https://wptavern.com/year-in-wp-creates-a-personalized-review-of-wordpress-contributions-in-2016\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:4911:\"<p><a href=\"https://yearinwp.com/\">Year In WP </a>is a new site by <span class=\"DMUpdateName-name DMConversation-name u-textTruncate\"><a href=\"http://jespervanengelen.com/\">Jesper van Engelen</a> that creates a personalized review of a user&#8217;s contributions to WordPress in 2016. Entering the WordPress.org username of a plugin or theme author or a WordPress core contributor into the field generates a list of statistics that includes:</span></p>\n<ul>\n<li>Profile information</li>\n<li>Number of times their plugins and themes were downloaded</li>\n<li>Most downloaded plugins and themes</li>\n<li>Average number of downloads per week</li>\n<li>Plugin and theme review rating average</li>\n<li>Percentage of five-star ratings</li>\n<li>A selection of five-star reviews</li>\n<li>Number of commits, changes, and comments to WordPress core</li>\n<li>Number of WordPress releases contributed to</li>\n</ul>\n<p>Engelen got the idea to create the site in 2014 after Spotify launched its &#8216;<a href=\"https://news.spotify.com/us/2014/12/03/2014-a-year-in-music/\">Year in Music</a>&#8216; that highlighted trends based on what 50 million users listened too.</p>\n<p>&#8220;I’d been active in the WordPress plugin market for about four years at that point, and I figured it would be really cool to get some year-over-year insight into your WordPress plugins,&#8221; Engelen said.</p>\n<p>&#8220;Having become a partner at Admin Columns (a freemium WordPress plugin) in 2014, I found out that I really liked analyzing statistics of downloads, sales and other data, and that, properly grouped and reported, they could have a pretty big influence on decision-making from a business perspective.&#8221;</p>\n<p>Engelen started the site by experimenting with fetching data from WordPress.org through its API that would show the change in the number of downloads to a user&#8217;s plugins.</p>\n<p>&#8220;That is basically what lead to the &#8216;Your most popular plugins&#8217; overview page,&#8221; Engelen said. &#8220;Spending some free hours each week on working on the project, more and more ideas of data to include popped up.&#8221;</p>\n<p><img /></p>\n<p>The site displays a lot of data, but it doesn&#8217;t include everything. Engelen would like to eventually display sections for contributions to WordPress translations, plugins, themes, core, design, etc.</p>\n<h2>The Technical Details</h2>\n<p>The data displayed on Year in WordPress is gathered using the <a href=\"https://codex.wordpress.org/WordPress.org_API\">WordPress.org API</a>, subversion, and web scraping. Engelen would have used the WordPress REST API but it was not available at the time, &#8220;Fetching the reviews and support topics yielded quite a bit of annoyance, as they’re done by scraping,&#8221; he said.</p>\n<p>He uses a Python framework to fetch relevant data in parallel. The data is stored in an SQL database, which is accessed by a front-end tool. The front-end of the site features a design that was reused from <a href=\"https://www.admincolumns.com/\">AdminColumns.com</a>.</p>\n<p>&#8220;jQuery, combined with Chart.js and Fullpage.js power the interactive portion of Year in WordPress. I’ve also written some simple sentiment analysis code for filtering out the most popular reviews to show for each plugin/theme developer,&#8221; Engelen said.</p>\n<h2>Fun Facts about Year in WordPress</h2>\n<p>Engelen provided the Tavern with these fun facts related to Year in WordPress:</p>\n<ul>\n<li>There’s a Year in Review for about 100,000 users on WordPress.org — or all users who have contributed to a plugin or theme, created a review or a support ticket, or contributed to WordPress core.</li>\n<li>The full database takes about 500MB of space.</li>\n<li>There were 364,763,308 plugin/theme downloads in 2015, and 434,865,745 in 2016. That’s 19.2% growth!</li>\n<li>2016 was the first year where the number of new core Trac tickets shrunk (4,044 in 2014; 4,392 in 2015; 4,028 in 2016)</li>\n<li>73% of all plugins received zero reviews in 2016</li>\n</ul>\n<h2>Year in WordPress 2017 Is Not Guaranteed</h2>\n<p>Engelen is not making any promises for continued development in 2017 as it&#8217;s contingent on his free time. However, the main thing he would like to change is to include a wider spectrum of data.</p>\n<p>&#8220;When I pitched the idea of Year in WordPress to a core committer and showed the beta version, he said &#8216;there&#8217;s so much more than core itself&#8217; and that stuck with me,&#8221; he said.</p>\n<p>&#8220;The perfect &#8216;Year in WordPress&#8217; would feature cool statistics about all types of contributions people make to WordPress — whether it’s creating plugins and themes, writing code for core, translating or testing. Furthermore, I’m really looking forward to making use of all of the REST API’s that I can use this time around.&#8221;</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 10 Jan 2017 22:11:43 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Jeff Chandler\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:46;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"WPTavern: Say What Plugin Passes 10K Active Installs\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=64778\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:63:\"https://wptavern.com/say-what-plugin-passes-10k-active-installs\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5220:\"<p>WordPress core doesn&#8217;t make it easy to edit text strings, but a little plugin called <a href=\"https://wordpress.org/plugins/say-what/\" target=\"_blank\">Say What?</a> has been quietly gaining a solid user base by providing this functionality. It allows users to edit text strings without editing WordPress core or plugin code. Lee Willis released Say What in 2013, but the plugin had a significant jump in users in 2016, doubling the number of active installs from 5,000 to 10,000 sites.</p>\n<p>Willis, who is the author of <a href=\"https://profiles.wordpress.org/leewillis77/#content-plugins\" target=\"_blank\">22 plugins</a> hosted on WordPress.org and many more commercial extensions, created Say What while working as a Drupal developer.</p>\n<p>&#8220;One of our must-install Drupal modules was called String Overrides, which inspired Say What?&#8221; he said. &#8220;At the agency I was working at we used it regularly on virtually every site build to override plugin, theme, and core strings in a &#8216;non-hacky&#8217; way. Given that, I knew that the problem was there to be solved on WordPress, and that something that worked well would be useful to people.&#8221;</p>\n<p>Say What adds a new screen for editing text under Tools > Text changes for configuring string replacements. Users enter the current string, text domain, and replacement text.</p>\n<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2016/12/say-what-text-edits.png?ssl=1\"><img /></a></p>\n<p>This plugin is a good option for those who are not comfortable sifting through PHP files and adding a filter to change the text. If you just have a handful of strings to replace, it&#8217;s more convenient than using a translation tool like POEDIT to edit the language files. All of the text changes are listed together in the Say What admin panel, so they can be easily changed at any time without editing any files.</p>\n<p>Willis said users don&#8217;t often experience conflicts with themes and plugins, as there is so little frontend functionality included in the plugin.</p>\n<p>&#8220;The main areas of support tend to be around locating particular strings, or issues where broken custom code is breaking the filters that Say What uses,&#8221; Willis said. After speaking with friends at a WordCamp in March 2015, he decided to create a commercial version to address this issue and a number of other feature requests.</p>\n<p>&#8220;The free version was out for about two years before I launched the <a href=\"https://plugins.leewillis.co.uk/downloads/say-what-pro/\" target=\"_blank\">Pro version</a>,&#8221; Willis said. &#8220;The only issue people tended to have with the free version was around finding the information they needed for the &#8216;original string,&#8217; so I decided to build out the String Discovery feature as the first feature of the Pro version. This lets users search for the string using autocomplete functionality, making it much easier to set up replacements without delving through theme or plugin code.&#8221;</p>\n<p>Say What increased in popularity in 2016 and has maintained a 4.6-star rating on WordPress.org. It is becoming more frequently recommended by support teams of other plugins when customers ask about how to change text strings.</p>\n<p>&#8220;It&#8217;s great to know that it&#8217;s being used to help people build more future-proof sites without resorting to hacking plugin or core code just to change strings,&#8221; Willis said. &#8220;Even for people familiar with plugin and theme code, the String Discovery feature makes it a lot easier and quicker to set up replacements. It&#8217;s had a few new features over the last year, including support for multi-line, and single/plural style replacements.&#8221;</p>\n<p>Willis said his Pro version proved to be fairly popular during 2016 and became one of his highest selling plugins. He recently added support for multilingual sites, the most often requested feature, allowing users to set up different replacements for different languages.</p>\n<p>Willis does not have an extensive roadmap for the plugin, as he prefers to keep it uncomplicated and free of clutter. &#8220;I&#8217;m a big believer in plugins that do one thing, and do it well,&#8221; he said.</p>\n<p>Say What is another successful instance of a developer solving one of his own problems and striking upon a successful commercial product. Willis said he didn&#8217;t fully anticipate how popular the plugin would become.</p>\n<p>&#8220;As with most of my plugins it was also built to solve a problem that I personally was having at the time,&#8221; he said. &#8220;That said, I&#8217;m always (pleasantly) surprised when something does get popular.&#8221;</p>\n<p>After testing <a href=\"https://wordpress.org/plugins/say-what/\" target=\"_blank\">Say What</a> I found that Willis&#8217; implementation is the simplest way for non-technical users to make a few simple string changes without the risk of breaking their websites. He is also very responsive on the support forums. The success of the Pro version is a good indication that Willis will be able to continue support and maintenance on the free plugin for the foreseeable future.</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Tue, 10 Jan 2017 21:26:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:47;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:67:\"WPTavern: How Laravel Forge Can Help You Run WordPress in the Cloud\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=64940\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:78:\"https://wptavern.com/how-laravel-forge-can-help-you-run-wordpress-in-the-cloud\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:7837:\"<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2015/05/petersuhm.jpeg?ssl=1\"><img src=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2015/05/petersuhm.jpeg?resize=150%2C150&ssl=1\" alt=\"petersuhm\" class=\"alignright size-thumbnail wp-image-43613\" /></a>This opinion piece was contributed by guest author <a href=\"https://twitter.com/petersuhm\" target=\"_blank\">Peter Suhm</a>. Peter is a web developer from the Land of the Danes. He is the creator of <a href=\"https://wppusher.com/\" target=\"_blank\">WP Pusher</a> and a huge travel addict, bringing his work along with him as he goes.<br />\n&nbsp;</p>\n<hr />\n<p><a href=\"http://forge.laravel.com/\" target=\"_blank\">Laravel Forge</a> is a server and application provisioning tool that was originally built to serve the Laravel PHP crowd. Recently, it has been made available to WordPress developers too, with the introduction of 1-click installs of WordPress on Digital Ocean, Linode and AWS cloud servers. In this post, I&#8217;ll give you a brief introduction to Laravel Forge and show you how you can use it to manage all of your WordPress installations in the cloud.</p>\n<h3>Laravel Forge is good news for WordPress developers</h3>\n<p>Because so many WordPress developers are used to managed hosting, the thought of running their own servers seem quite intimidating. That&#8217;s a shame with so many great cloud server companies offering virtual servers for very low costs. Unless your traffic is very heavy, a small ($5 to $10 per month) server can run quite a few WordPress websites. Laravel Forge takes care of provisioning your servers and can even setup your database and install WordPress for you. This makes cloud hosting much more available to WordPress developers at a low cost (Laravel Forge is $15 per month for unlimited servers), compared to many of the existing options.</p>\n<p>Here are a few reasons why I think Laravel Forge is great for WordPress hosting:</p>\n<ul>\n<li>Your servers are configured in a secure way by default, with SSH authentication, firewalls, automatic security updates and free SSL certificates from Let&#8217;s Encrypt</li>\n<li>Your servers are going to be really fast with PHP 7</li>\n<li>You can run a lot of WordPress installs on 1 single server *</li>\n<li>You can scale your servers if you need more horse power *</li>\n</ul>\n<p><em>* Goes for the cloud in general</em></p>\n<h3>Creating a new server</h3>\n<p>Here is how the &#8220;Create Server&#8221; screen looks in Forge:</p>\n<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2017/01/create-server-e1483980109591.png?ssl=1\"><img src=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2017/01/create-server-e1483980109591.png?resize=1025%2C416&ssl=1\" alt=\"\" class=\"aligncenter size-full wp-image-64946\" /></a></p>\n<p>If you use Digital Ocean, Forge can also create your servers. If you use another provider like Linode or AWS, Forge can only do the provisioning part.</p>\n<p>For Digital Ocean servers, here are the options you can configure:</p>\n<ul>\n<li>Which credentials to use, if you are managing multiple Digital Ocean accounts</li>\n<li>The server name</li>\n<li>The server size</li>\n<li>The server region</li>\n<li>The PHP version</li>\n<li>The default database name</li>\n</ul>\n<p>You can then choose to:</p>\n<ul>\n<li>Configure the server as a load balancer (if you have really heavy traffic and is running WordPress across multiple servers)</li>\n<li>Install <a href=\"https://mariadb.org/\" target=\"_blank\">MariaDB</a> instead of MySQL, which is a drop-in, faster replacement</li>\n<li>Enable weekly backups on Digital Ocean</li>\n</ul>\n<p>When Laravel Forge is done with the provisioning, your server is ready to go.</p>\n<h3>Setting up a database</h3>\n<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/01/set-up-database-e1483980726266.png?ssl=1\"><img src=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/01/set-up-database-e1483980726266.png?resize=1025%2C484&ssl=1\" alt=\"\" class=\"aligncenter size-full wp-image-64949\" /></a></p>\n<p>Once your server has been created, setting up a database for your WordPress installation is very easy. You can create the user at the same time you&#8217;re creating the database, or you can create the user afterwards.</p>\n<h3>Installing WordPress</h3>\n<p>Before you install WordPress, you need to create a new &#8220;site&#8221; on your server. You can just stick with the defaults:</p>\n<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2017/01/new-site-e1483981223250.png?ssl=1\"><img src=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2017/01/new-site-e1483981223250.png?resize=1025%2C453&ssl=1\" alt=\"\" class=\"aligncenter size-full wp-image-64951\" /></a></p>\n<p>For the &#8220;Root Domain&#8221;, you need to add the domain name of the site you are setting up. Remember that you need to add a DNS record for your domain that points to the IP address of your newly created server. If you are just testing, you can always add a record in your computer&#8217;s <code>hosts</code> file with a test domain that points to your server. Something like this:</p>\n<p><code># /etc/hosts</code></p>\n<p><code># Replace xx.xx.xx.xx with your server\'s IP address<br />\nxx.xx.xx.xx wordpress-forge.test</code></p>\n<p>Once you click the &#8220;Add Site&#8221; button, you will see a spinning wheel while Forge is setting up your site&#8217;s nginx configuration.</p>\n<p>When the installation is done, you need to click the &#8220;Manage&#8221; icon next to your site in order to install WordPress. The first screen you will be presented with gives you the option to install an &#8220;App&#8221; on your site. Click the &#8220;WordPress&#8221; button, select your database and user from the previous step and relax while Laravel Forge completes the installation. Fun fact: Laravel Forge is actually using WP-CLI to install WordPress on your server.</p>\n<p>When the installation has completed, visit your site in a browser and you&#8217;ll be met with something familiar:</p>\n<p><a href=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2017/01/wp-install-e1483984375432.png?ssl=1\"><img src=\"https://i1.wp.com/wptavern.com/wp-content/uploads/2017/01/wp-install-e1483984375432.png?resize=1025%2C625&ssl=1\" alt=\"\" class=\"aligncenter size-full wp-image-64962\" /></a></p>\n<h3>Setting up a free SSL certificate</h3>\n<p>Finally, you should set up SSL for your WordPress site. It&#8217;s more secure and Google likes it!</p>\n<p><a href=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/01/ssl-setup.png?ssl=1\"><img src=\"https://i0.wp.com/wptavern.com/wp-content/uploads/2017/01/ssl-setup.png?resize=1025%2C288&ssl=1\" alt=\"\" class=\"aligncenter size-full wp-image-64963\" /></a></p>\n<p>Head over on the &#8220;SSL&#8221; tab and click the &#8220;LetsEncrypt (Beta)&#8221; button. Click the &#8220;Obtain Certificate&#8221; button and wait while Forge creates and installs the certificate. Once the certificate is installed, click the &#8220;Activate&#8221; icon and voila! Your site is now all set up and secured with SSL.</p>\n<p>That&#8217;s how easy it is to setup WordPress on a cloud server with Laravel Forge. I hope to see a lot of more products and tools like this that can help us building better, faster, and more secure WordPress websites. In fact, Laravel Forge was the original inspiration for my own product <a href=\"https://wppusher.com/\" target=\"_blank\">WP Pusher</a>. I wanted to create a similar experience, but for WordPress plugins and themes instead.</p>\n<h3>Note on backups and security</h3>\n<p><em>Please note that even though Laravel Forge makes for a great starting point, ultimately you are the one in charge of the security of your servers. You should always try to educate yourself about security and have a backup strategy for your data.</em></p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 09 Jan 2017 18:44:42 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:48;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"Post Status: Contributing to Twenty Seventeen\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"https://poststatus.com/?p=31886\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"https://poststatus.com/contributing-to-twenty-seventeen-theme/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:11882:\"<p><em><strong>Editor&#8217;s Note</strong>: This is a guest post by <a href=\"https://poststatus.com/profiles/sami-keijonen/\">Sami Keijonen</a>. Sami is a developer, the owner of the <a href=\"https://foxland.fi/\">Foxland theme and plugin shop</a>, and hails from Finland.</em></p>\n<p>Every year since 2010, WordPress has shipped with a new default theme, breaking the cycle of Kubrick being the primary default theme for years before that.</p>\n<p>In 2010, the default theme was called Twenty Ten. In 2011, the default theme was called Twenty Eleven. You get the idea.</p>\n<p>While every default theme has been unique in its own way, <a href=\"https://wordpress.org/themes/twentyseventeen/\">Twenty Seventeen</a> was particularly compelling in a way we haven’t seen in a default theme since Twenty Fourteen.</p>\n<p><a href=\"https://wordpress.org/themes/twentyfourteen/\">Twenty Fourteen</a> was the first theme that really made people think WordPress could be used for more than “just a blog” on a mass scale. It is a magazine theme.</p>\n<p>Twenty Seventeen &#8212; <a href=\"https://poststatus.com/wordpress-4-7-released/\">released with WordPress 4.7</a> &#8212; is the first theme that really made people think WordPress could be used for more than “just publishing content” on a mass scale. It is a business theme.</p>\n<p><img /></p>\n<p>Prior to WordPress 4.7, I contributed by helping out in the support forums and building <a href=\"https://foxland.fi/downloads/category/themes/\">accessible themes</a>. But I had never contributed to core before.</p>\n<p>When I saw the <a href=\"https://make.wordpress.org/core/2016/09/09/say-hello-to-twenty-seventeen-%25F0%259F%2591%258B%25F0%259F%258F%25BD/\">previews</a>, I knew I wanted to contribute, and began to follow development on GitHub to see if there was anything that I could lend my talents to and eventually make my first core contributions.</p>\n<p>When I saw Morten Rand-Hendriksen <a href=\"https://github.com/WordPress/twentyseventeen/issues/60\">open an issue</a> about replacing icon fonts with SVG icons, I knew I had found the perfect “in” to start contributing to core.</p>\n<h3>Contributing SVG icons system to Twenty Seventeen</h3>\n<p><img /></p>\n<p>I had already <a href=\"https://foxland.fi/switch-away-icon-fonts-svg/\">switched from icon fonts to SVG icons</a> in my public themes, so this was something I immediately felt confident in contributing to core.</p>\n<p>Development started in <a href=\"https://github.com/WordPress/twentyseventeen/\">GitHub</a>, where fellow contributors would create issues and submit pull requests.</p>\n<p>Then, everything moved to <a href=\"https://core.trac.wordpress.org/browser/trunk\">WordPress SVN</a>, where new patches were submitted.</p>\n<p>I’ll summarize what I learned in the process.</p>\n<h3>What I learned about contributing</h3>\n<p>I regret not keeping a diary. Not necessarily to keep track of what I contributed, since that’s all documented in the open.</p>\n<p>But rather things like my emotional state. My feelings ranged from despair to overwhelming joy throughout my contribution experience.</p>\n<p>I learned new things about code and collaborating with others in GitHub and SVN. Again, something not necessarily documented in patches and the like.</p>\n<h4>Git workflow</h4>\n<p>I’m not good with Git, and still don’t fully understand how rebasing works. I messed up my commits a couple of times. Not a big deal, but I got different error messages no matter which workflow I tried. I realized that I need to know more about Git, and be more patient.</p>\n<p>Eventually I understood enough to get my contributions through the door, but I’m still confused about <a href=\"https://github.com/edx/edx-platform/wiki/How-to-Rebase-a-Pull-Request\">how to rebase a pull request</a>.</p>\n<h4>Follow the development through to the end, and beyond</h4>\n<p>I started out by replacing only the social link icon fonts to SVG icons. Soon, I realized that a step-by-step process was not going to work because of new related commits coming in all the time that potentially conflicted with my code.</p>\n<p>It was better to replace all icon fonts, not just the social ones, with SVGs, and then work from there. I was also keeping track of style changes in RTL languages and IE8.</p>\n<p>At this point, the work was just getting started.</p>\n<p>Once you start contributing, you shouldn&#8217;t just disappear with no explanation. If you’re running low on time or have other obligations, it’s totally understandable, but be sure to politely inform others you can’t continue anymore, so they can pick up where you left off.</p>\n<p>As the <a href=\"https://geto2.com/\">o2</a> slogan states: &#8220;Communication is oxygen.&#8221;</p>\n<h4>Coding standards and automated tests</h4>\n<p>After several commits and iterations, <a>my first pull request was accepted</a>.</p>\n<p>As you can see in my first commits, I didn’t pass the WordPress coding standards. I needed to be more precise and follow the coding standards to the tee. With enough practice, I’m sure it’s possible to write standards-compliant code “naturally” but I was looking for a way to automate the code checks.</p>\n<p>I tried to get Atom to evaluate my code on the fly, but I just couldn’t get it to work. Like my Git experience, I got different error messages no matter what I tried.</p>\n<p>Eventually, I was able to use <a href=\"https://github.com/WordPress-Coding-Standards/WordPress-Coding-Standards\">PHPCS</a> via the command line, and fixed any issues discovered manually. But it would’ve been nice to have those checks automated.</p>\n<h4>Working with batches in SVN</h4>\n<p>Once the development moved to SVN, I began to get a little worried. As I described earlier, not too long ago, I was struggling just to use Git. However, thanks to the following tutorials I quickly got up to speed.</p>\n<ul>\n<li><a href=\"https://make.wordpress.org/core/handbook/tutorials/installing-wordpress-locally/from-svn/\">Installing via SVN</a></li>\n<li><a href=\"https://make.wordpress.org/core/handbook/tutorials/installing-a-vcs/%23installing-tortoisesvn\">Installing TortoiseSVN</a> (I use Windows)</li>\n<li><a href=\"https://make.wordpress.org/core/handbook/tutorials/trac/submitting-a-patch/\">Submitting a Patch</a></li>\n<li><a href=\"https://make.wordpress.org/core/handbook/tutorials/working-with-patches/%23creating-a-patch-with-tortoisesvn\">Creating a Patch with TortoiseSVN</a></li>\n</ul>\n<p>Turns out, it wasn’t much to be worried about. Although I didn’t quite understand the concept of branches and tags in my local environments, and jumping between them like I know how to do with Git.</p>\n<p>Anyway, I eventually got <a href=\"https://core.trac.wordpress.org/changeset/39072\">my first props</a> with the help of others.</p>\n<h3>Technical overview of the SVG icons system</h3>\n<p>I adapted this contribution from the code and concepts first presented by others.</p>\n<ol>\n<li><a href=\"https://webdevstudios.com/\">WebDevStudios</a> has their own starter theme called <a href=\"https://github.com/WebDevStudios/wd_s\">wd_s</a>. I really like how they set up SVG icons and we fine-tuned them in Twenty Seventeen. Perhaps they will integrate those improvements back into their own project. Again, open source rocks.</li>\n<li><a href=\"http://themehybrid.com/\">Justin Tadlock</a> invented the <a href=\"http://justintadlock.com/archives/2013/08/14/social-nav-menus-part-2\">social links menu</a> concept. I just took that concept and applied it to SVG icons rather than icon fonts.</li>\n</ol>\n<p>All the main SVG-related functions can be found in the <a href=\"https://core.trac.wordpress.org/browser/trunk/src/wp-content/themes/twentyseventeen/inc/icon-functions.php\">inc/icon-functions.php file</a>. It’s well-documented in the code, but here’s a summary:</p>\n<ul>\n<li>Include the SVG sprite file via the <code>wp_footer</code> hook.</li>\n<li><code>twentyseventeen_get_svg()</code> function returns the SVG icon markup. In most cases, the SVG icon is injected in template files or via hooks and filters. In some cases, the SVG icon is injected via JavaScript.</li>\n<li>Default markup looks like this: <code>&lt;svg class=\"icon icon-name\" aria-hidden=\"true\" role=\"img\"&gt; &lt;use href=\"#icon-name\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xlink:href=\"#icon-name\"&gt;&lt;/use&gt; &lt;/svg&gt;</code>.</li>\n<li>Note that we could use the absolute path to the SVG file in the <code>href</code> attribute of the use element. In that case:\n<ul>\n<li>there is no need to inject icons via the <code>wp_footer</code> hook.</li>\n<li>The <a href=\"https://github.com/Keyamoon/svgxuse\">svgxuse</a> JS polyfill must be used, because Internet Explorer doesn’t support external files referenced in the <code>&lt;use&gt;</code> element.</li>\n<li>This method helps caching the SVG sprite file.</li>\n</ul>\n</li>\n<li>By default, all icons are decorative, but I insisted we show how to use non-decorative icons in an accessible way. Check the examples in the aforementioned <code>twentyseventeen_get_svg()</code> function.</li>\n<li>We replace the default icon for supported social media links by using the <code>walker_nav_menu_start_el</code> filter.</li>\n</ul>\n<h3>Open source rocks</h3>\n<p>WordPress default themes are one of the best themes out there and they set an example how to use new WordPress features. The reason for this is simple.</p>\n<ul>\n<li>Default themes gets lots of love and attention.</li>\n<li>Many talented people contribute to default themes. <a href=\"https://davidakennedy.com/2016/12/07/dear-twenty-seventeen-contributors/\">Twenty Seventeen had over 100 contributors</a> and we thank you all!</li>\n<li>Default themes are tested before release in many platforms and browsers. And default themes are used on so many sites that any remaining bugs will be found after the release.</li>\n</ul>\n<p>Building default themes really is a community driven project. I&#8217;d like to say extra thanks for couple of people.</p>\n<h4>Special thank you</h4>\n<p>Any web project needs good leadership, design, and code. Those were all covered in Twenty Seventeen.</p>\n<ul>\n<li><a href=\"https://twitter.com/DavidAKennedy\">David A. Kennedy</a> was leading the project and kept everything rolling. He had a really friendly touch and he was open to ideas. At the same time he wasn&#8217;t afraid to make decisions; for example, a flexbox layout was rejected for this theme.</li>\n<li><a href=\"https://twitter.com/melchoyce\">Mel Choyce</a> created the modern, business looking design. She wrote a great article <a href=\"https://choycedesign.com/2016/12/07/behind-the-scenes-of-twenty-seventeen/\">with her behind the scenes take</a>.</li>\n<li><a href=\"https://twitter.com/laurelfulford\">Laurel Fulford</a> was the primary coding lead. She seem to have a solution for every new feature and brought Mel&#8217;s design to life with detailed code.</li>\n</ul>\n<p>Last but not least, remember <a href=\"http://mor10.com/\">Morten Rand-Hendriksen</a>, the one that opened the SVG icon issue that caught my eye?</p>\n<p>He was pretty happy with the end result.</p>\n<blockquote class=\"twitter-tweet\">\n<p lang=\"en\" dir=\"ltr\"><a href=\"https://twitter.com/brad_frost\">@brad_frost</a> the SVG icon system solution by <a href=\"https://twitter.com/samikeijonen\">@samikeijonen</a> embedded in the new Twenty Seventeen theme in <a href=\"https://twitter.com/hashtag/WordPress?src=hash\">#WordPress</a> is pure genius</p>\n<p>&mdash; MortenRandHendriksen (@mor10) <a href=\"https://twitter.com/mor10/status/805808154520883200\">December 5, 2016</a></p></blockquote>\n<p></p>\n<p>Who knows if I would’ve contributed if it wasn’t for him posting that. Remember, reporting issues and bugs is contributing too, and can inspire first-time contributors like me to stop sitting on the sidelines and finally get started with core contributions.</p>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 07 Jan 2017 22:42:26 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sami Keijonen\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:49;a:6:{s:4:\"data\";s:13:\"\n	\n	\n	\n	\n	\n	\n\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"WPTavern: Let’s Encrypt Passes 20 Million Active Certificates in 2016\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:29:\"https://wptavern.com/?p=64815\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:79:\"https://wptavern.com/lets-encrypt-passes-20-million-active-certificates-in-2016\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:5050:\"<p>Let&#8217;s Encrypt has just closed out its first full year as a certificate authority with more than <a href=\"https://letsencrypt.org/2017/01/06/le-2016-in-review.html\" target=\"_blank\">20 million active certificates</a>. The free and open certificate authority focuses on lowering the complexity of setting up TLS encryption by making the process more automated. It came <a href=\"https://wptavern.com/lets-encrypt-is-now-out-of-beta\" target=\"_blank\">out of beta</a> in April 2016 and the number of certificates issued per day has grown steadily since then.</p>\n<p>&#8220;At the start of 2016, Let’s Encrypt certificates had been available to the public for less than a month and we were supporting approximately 240,000 active (unexpired) certificates,&#8221; said Josh Aas, Executive Director of the non-profit Internet Security Research Group (ISRG). &#8220;Now we’re frequently issuing that many new certificates in a single day while supporting more than 20,000,000 active certificates in total. We’ve issued more than a million certificates in a single day a few times recently.&#8221;</p>\n<p><a href=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2017/01/lets-encrypt-2016.png?ssl=1\"><img src=\"https://i2.wp.com/wptavern.com/wp-content/uploads/2017/01/lets-encrypt-2016.png?resize=1025%2C503&ssl=1\" alt=\"\" class=\"aligncenter size-full wp-image-64920\" /></a></p>\n<p>Let&#8217;s Encrypt operates as a 501(c)(3) nonprofit and has received more than three dozen corporate <a href=\"https://letsencrypt.org/sponsors/\" target=\"_blank\">sponsorships</a> and grants, but funds for the coming year have fallen short. In November, Let&#8217;s Encrypt launched a <a href=\"https://www.generosity.com/community-fundraising/make-a-more-secure-web-with-let-s-encrypt\" target=\"_blank\">crowdfunding campaign</a> to cover the cost of one month of operating expenses. So far, the campaign has raised more than $100K towards its $200K fundraising goal.</p>\n<h3>Let&#8217;s Encrypt is Growing Fastest with Smaller, Previously-Unencrypted Sites</h3>\n<p>Let&#8217;s Encrypt is used with some larger organizations, such as WordPress.com, OVH, Shopify, Akamai, and Dreamhost, but the vast majority of users are smaller entities that were not previously encrypted. According to the Electronic Frontier Foundation (EFF), a founding sponsor of the certificate authority, most of Let&#8217;s Encrypt&#8217;s growth has not come from taking customers away from competitors:</p>\n<blockquote><p>\nOne of the ways Let&#8217;s Encrypt has been helping to secure the web is by making it easy and affordable for sites that have never had certs before to turn on secure HTTPS connections, and for software systems to start enabling HTTPS automatically and by default. Our free certificates may be more likely to be left unused than expensive certificates, and less expert webmasters may accidentally duplicate certificates—but that’s part of making HTTPS integration available to more webmasters across a range of resource and skill levels. Statistics suggest that most of our growth has come not at the expense of other CAs, but from giving previously unencrypted sites their first-ever certificates.</p></blockquote>\n<p>EFF analyzed various sources of usage statistics and estimates that <a href=\"https://www.eff.org/deeplinks/2016/10/lets-encrypt-largest-certificate-authority-web\" target=\"_blank\">Let&#8217;s Encrypt is now the largest certificate authority on the web</a>. Its rapid adoption has spurred impressive progress towards getting the entire web encrypted. Let&#8217;s Encrypt tracks progress by measuring the percentage of page loads using HTTPS, as seen by browsers.</p>\n<p>&#8220;According to Firefox Telemetry, the Web has gone from approximately 39% of page loads using HTTPS each day to just about 49% during the past year,&#8221; Aas said in Let&#8217;s Encrypt&#8217;s <a href=\"https://letsencrypt.org/2017/01/06/le-2016-in-review.html\" target=\"_blank\">2016 in Review</a> report. &#8220;We’re incredibly close to a Web that is more encrypted than not.&#8221;</p>\n<p>The proliferation of Let&#8217;s Encrypt <a href=\"https://letsencrypt.org/docs/client-options/\" target=\"_blank\">client options</a> in 2016 puts the certificate authority in an even better position to continue driving web encryption in 2017. Aas attributes last year&#8217;s progress to many organizations advocating for HTTPS and working to get their sites encrypted. His team has grown from four full-time employees to nine, and he anticipates that 2017 will be a year of even greater growth.</p>\n<p>&#8220;Much of the infrastructure and many of the plans necessary for a 100% encrypted Web came into being or solidified in 2016,&#8221; Aas said. &#8220;More and more hosting providers and CDNs are supporting HTTPS with one click or by default, often without additional fees. It has never been easier for people and organizations running their own sites to find the tools, services, and information they need to move to HTTPS.&#8221;</p>\n<div id=\"epoch-width-sniffer\"></div>\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 07 Jan 2017 21:42:52 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Sarah Gooding\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:42:\"Requests_Utility_CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:8:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Thu, 09 Feb 2017 07:19:33 GMT\";s:12:\"content-type\";s:8:\"text/xml\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:13:\"last-modified\";s:29:\"Thu, 09 Feb 2017 07:00:10 GMT\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:4:\"x-nc\";s:11:\"HIT lax 249\";s:16:\"content-encoding\";s:4:\"gzip\";}}s:5:\"build\";s:14:\"20170126183219\";}','no');

INSERT INTO `wp_options` (`option_id`, `option_name`, `option_value`, `autoload`)
VALUES
	(219,'_transient_timeout_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9','1486667974','no'),
	(220,'_transient_feed_mod_d117b5738fbd35bd8c0391cda1f2b5d9','1486624774','no'),
	(221,'_transient_timeout_feed_b9388c83948825c1edaef0d856b7b109','1486667975','no'),
	(222,'_transient_feed_b9388c83948825c1edaef0d856b7b109','a:4:{s:5:\"child\";a:1:{s:0:\"\";a:1:{s:3:\"rss\";a:1:{i:0;a:6:{s:4:\"data\";s:3:\"\n	\n\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:7:\"version\";s:3:\"2.0\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:1:{s:0:\"\";a:1:{s:7:\"channel\";a:1:{i:0;a:6:{s:4:\"data\";s:117:\"\n		\n		\n		\n		\n		\n		\n				\n\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n		\n\n	\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:7:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"WordPress Plugins » View: Popular\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:45:\"https://wordpress.org/plugins/browse/popular/\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"WordPress Plugins » View: Popular\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:8:\"language\";a:1:{i:0;a:5:{s:4:\"data\";s:5:\"en-US\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 09 Feb 2017 07:19:15 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:9:\"generator\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"http://bbpress.org/?v=1.1\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"item\";a:30:{i:0;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:30:\"Clef Two-Factor Authentication\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:48:\"https://wordpress.org/plugins/wpclef/#post-47509\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 27 Dec 2012 01:25:57 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"47509@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:139:\"Modern two-factor that people love to use: strong authentication without passwords or tokens; single sign on/off; magical login experience.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Dave Ross\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:1;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Duplicate Post\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"https://wordpress.org/plugins/duplicate-post/#post-2646\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 05 Dec 2007 17:40:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"2646@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"Clone posts and pages.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:4:\"Lopo\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:2;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"WooCommerce\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/plugins/woocommerce/#post-29860\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 05 Sep 2011 08:13:36 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"29860@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:97:\"WooCommerce is a powerful, extendable eCommerce plugin that helps you sell anything. Beautifully.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"WooThemes\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:3;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:24:\"Jetpack by WordPress.com\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"https://wordpress.org/plugins/jetpack/#post-23862\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 20 Jan 2011 02:21:38 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"23862@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:148:\"The one plugin you need for stats, related posts, search engine optimization, social sharing, protection, backups, speed, and email list management.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Automattic\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:4;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"All in One SEO Pack\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"https://wordpress.org/plugins/all-in-one-seo-pack/#post-753\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 30 Mar 2007 20:08:18 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"753@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:83:\"The original SEO plugin for WordPress, downloaded over 30,000,000 times since 2007.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:8:\"uberdose\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:5;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:42:\"NextGEN Gallery - WordPress Gallery Plugin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/plugins/nextgen-gallery/#post-1169\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 23 Apr 2007 20:08:06 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"1169@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:121:\"The most popular WordPress gallery plugin and one of the most popular plugins of all time with over 16 million downloads.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Alex Rabe\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:6;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"W3 Total Cache\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:56:\"https://wordpress.org/plugins/w3-total-cache/#post-12073\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 29 Jul 2009 18:46:31 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"12073@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:144:\"Search Engine (SEO) &#38; Performance Optimization (WPO) via caching. Integrated caching: CDN, Minify, Page, Object, Fragment, Database support.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Frederick Townes\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:7;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"UpdraftPlus WordPress Backup Plugin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:53:\"https://wordpress.org/plugins/updraftplus/#post-38058\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 21 May 2012 15:14:11 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"38058@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:148:\"Backup and restoration made easy. Complete backups; manual or scheduled (backup to S3, Dropbox, Google Drive, Rackspace, FTP, SFTP, email + others).\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"David Anderson\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:8;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Yoast SEO\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"https://wordpress.org/plugins/wordpress-seo/#post-8321\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 01 Jan 2009 20:34:44 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"8321@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:118:\"Improve your WordPress SEO: Write better content and have a fully optimized WordPress site using the Yoast SEO plugin.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"Joost de Valk\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:9;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Hello Dolly\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"https://wordpress.org/plugins/hello-dolly/#post-5790\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 29 May 2008 22:11:34 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"5790@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:150:\"This is not just a plugin, it symbolizes the hope and enthusiasm of an entire generation summed up in two words sung most famously by Louis Armstrong.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:10;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:22:\"Advanced Custom Fields\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"https://wordpress.org/plugins/advanced-custom-fields/#post-25254\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 17 Mar 2011 04:07:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"25254@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:68:\"Customise WordPress with powerful, professional and intuitive fields\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"elliotcondon\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:11;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:19:\"Google XML Sitemaps\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:64:\"https://wordpress.org/plugins/google-sitemap-generator/#post-132\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 09 Mar 2007 22:31:32 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"132@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:105:\"This plugin will generate a special XML sitemap which will help search engines to better index your blog.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Arne Brachhold\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:12;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"Regenerate Thumbnails\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"https://wordpress.org/plugins/regenerate-thumbnails/#post-6743\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 23 Aug 2008 14:38:58 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"6743@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:76:\"Allows you to regenerate your thumbnails after changing the thumbnail sizes.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"Alex Mills (Viper007Bond)\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:13;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"Google Analytics by MonsterInsights\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"https://wordpress.org/plugins/google-analytics-for-wordpress/#post-2316\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 14 Sep 2007 12:15:27 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"2316@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:113:\"Connect Google Analytics with WordPress by adding your Google Analytics tracking code. Get the stats that matter.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Syed Balkhi\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:14;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"WordPress Importer\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"https://wordpress.org/plugins/wordpress-importer/#post-18101\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 20 May 2010 17:42:45 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"18101@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:101:\"Import posts, pages, comments, custom fields, categories, tags and more from a WordPress export file.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Brian Colinger\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:15;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"WP Super Cache\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"https://wordpress.org/plugins/wp-super-cache/#post-2572\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 05 Nov 2007 11:40:04 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"2572@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:73:\"A very fast caching engine for WordPress that produces static html files.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Donncha O Caoimh\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:16;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:21:\"Really Simple CAPTCHA\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:62:\"https://wordpress.org/plugins/really-simple-captcha/#post-9542\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 09 Mar 2009 02:17:35 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"9542@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:138:\"Really Simple CAPTCHA is a CAPTCHA module intended to be called from other plugins. It is originally created for my Contact Form 7 plugin.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Takayuki Miyoshi\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:17;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"Wordfence Security\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"https://wordpress.org/plugins/wordfence/#post-29832\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 04 Sep 2011 03:13:51 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"29832@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:149:\"Secure your website with the most comprehensive WordPress security plugin. Firewall, malware scan, blocking, live traffic, login security &#38; more.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:9:\"Wordfence\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:18;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Contact Form 7\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:55:\"https://wordpress.org/plugins/contact-form-7/#post-2141\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 02 Aug 2007 12:45:03 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"2141@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:54:\"Just another contact form plugin. Simple but flexible.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Takayuki Miyoshi\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:19;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"WP-PageNavi\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:51:\"https://wordpress.org/plugins/wp-pagenavi/#post-363\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 09 Mar 2007 23:17:57 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"363@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:49:\"Adds a more advanced paging navigation interface.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Lester Chan\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:20;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:26:\"Page Builder by SiteOrigin\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"https://wordpress.org/plugins/siteorigin-panels/#post-51888\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 11 Apr 2013 10:36:42 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"51888@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:111:\"Build responsive page layouts using the widgets you know and love using this simple drag and drop page builder.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Greg Priday\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:21;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"Akismet\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"https://wordpress.org/plugins/akismet/#post-15\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 09 Mar 2007 22:11:30 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:32:\"15@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:98:\"Akismet checks your comments against the Akismet Web service to see if they look like spam or not.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:14:\"Matt Mullenweg\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:22;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"TinyMCE Advanced\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:57:\"https://wordpress.org/plugins/tinymce-advanced/#post-2082\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Wed, 27 Jun 2007 15:00:26 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:34:\"2082@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"Extends and enhances TinyMCE, the WordPress Visual Editor.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Andrew Ozz\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:23;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:33:\"Google Analytics Dashboard for WP\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:75:\"https://wordpress.org/plugins/google-analytics-dashboard-for-wp/#post-50539\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sun, 10 Mar 2013 17:07:11 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"50539@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:125:\"Displays Google Analytics stats in your WordPress Dashboard. Inserts the latest Google Analytics tracking code in your pages.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Alin Marcu\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:24;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:16:\"Disable Comments\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:58:\"https://wordpress.org/plugins/disable-comments/#post-26907\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 27 May 2011 04:42:58 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"26907@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:150:\"Allows administrators to globally disable comments on their site. Comments can be disabled according to post type. Multisite friendly. Provides tool t\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Samir Shah\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:25;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Duplicator\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:52:\"https://wordpress.org/plugins/duplicator/#post-26607\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Mon, 16 May 2011 12:15:41 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"26607@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:88:\"Duplicate, clone, backup, move and transfer an entire site from one location to another.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:10:\"Cory Lamle\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:26;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:18:\"WP Multibyte Patch\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"https://wordpress.org/plugins/wp-multibyte-patch/#post-28395\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 14 Jul 2011 12:22:53 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"28395@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:71:\"Multibyte functionality enhancement for the WordPress Japanese package.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:13:\"plugin-master\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:27;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:27:\"Black Studio TinyMCE Widget\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:69:\"https://wordpress.org/plugins/black-studio-tinymce-widget/#post-31973\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Thu, 10 Nov 2011 15:06:14 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"31973@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:39:\"The visual editor widget for Wordpress.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:12:\"Marco Chiesi\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:28;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:25:\"SiteOrigin Widgets Bundle\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:59:\"https://wordpress.org/plugins/so-widgets-bundle/#post-67824\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Sat, 24 May 2014 14:27:05 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"67824@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:128:\"A collection of all widgets, neatly bundled into a single plugin. It&#039;s also a framework to code your own widgets on top of.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:11:\"Greg Priday\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}i:29;a:6:{s:4:\"data\";s:30:\"\n			\n			\n			\n			\n			\n			\n					\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";s:5:\"child\";a:2:{s:0:\"\";a:5:{s:5:\"title\";a:1:{i:0;a:5:{s:4:\"data\";s:46:\"iThemes Security (formerly Better WP Security)\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:60:\"https://wordpress.org/plugins/better-wp-security/#post-21738\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:7:\"pubDate\";a:1:{i:0;a:5:{s:4:\"data\";s:31:\"Fri, 22 Oct 2010 22:06:05 +0000\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:4:\"guid\";a:1:{i:0;a:5:{s:4:\"data\";s:35:\"21738@http://wordpress.org/plugins/\";s:7:\"attribs\";a:1:{s:0:\"\";a:1:{s:11:\"isPermaLink\";s:5:\"false\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}s:11:\"description\";a:1:{i:0;a:5:{s:4:\"data\";s:146:\"Take the guesswork out of WordPress security. iThemes Security offers 30+ ways to lock down WordPress in an easy-to-use WordPress security plugin.\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}s:32:\"http://purl.org/dc/elements/1.1/\";a:1:{s:7:\"creator\";a:1:{i:0;a:5:{s:4:\"data\";s:7:\"iThemes\";s:7:\"attribs\";a:0:{}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}s:27:\"http://www.w3.org/2005/Atom\";a:1:{s:4:\"link\";a:1:{i:0;a:5:{s:4:\"data\";s:0:\"\";s:7:\"attribs\";a:1:{s:0:\"\";a:3:{s:4:\"href\";s:46:\"https://wordpress.org/plugins/rss/view/popular\";s:3:\"rel\";s:4:\"self\";s:4:\"type\";s:19:\"application/rss+xml\";}}s:8:\"xml_base\";s:0:\"\";s:17:\"xml_base_explicit\";b:0;s:8:\"xml_lang\";s:0:\"\";}}}}}}}}}}}}s:4:\"type\";i:128;s:7:\"headers\";O:42:\"Requests_Utility_CaseInsensitiveDictionary\":1:{s:7:\"\0*\0data\";a:9:{s:6:\"server\";s:5:\"nginx\";s:4:\"date\";s:29:\"Thu, 09 Feb 2017 07:19:35 GMT\";s:12:\"content-type\";s:23:\"text/xml; charset=UTF-8\";s:4:\"vary\";s:15:\"Accept-Encoding\";s:25:\"strict-transport-security\";s:11:\"max-age=360\";s:13:\"last-modified\";s:29:\"Thu, 27 Dec 2012 01:25:57 GMT\";s:15:\"x-frame-options\";s:10:\"SAMEORIGIN\";s:4:\"x-nc\";s:11:\"HIT lax 249\";s:16:\"content-encoding\";s:4:\"gzip\";}}s:5:\"build\";s:14:\"20170126183219\";}','no'),
	(223,'_transient_timeout_feed_mod_b9388c83948825c1edaef0d856b7b109','1486667975','no'),
	(224,'_transient_feed_mod_b9388c83948825c1edaef0d856b7b109','1486624775','no'),
	(225,'_transient_timeout_plugin_slugs','1486793147','no'),
	(226,'_transient_plugin_slugs','a:1:{i:0;s:34:\"advanced-custom-fields-pro/acf.php\";}','no'),
	(227,'_transient_timeout_dash_88ae138922fe95674369b1cb3d215a2b','1486667976','no'),
	(228,'_transient_dash_88ae138922fe95674369b1cb3d215a2b','<div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wordpress.org/news/2017/01/wordpress-4-7-2-security-release/\'>WordPress 4.7.2 Security Release</a> <span class=\"rss-date\">January 26, 2017</span><div class=\"rssSummary\">WordPress 4.7.2 is now available. This is a security release for all previous versions and we strongly encourage you to update your sites immediately. WordPress versions 4.7.1 and earlier are affected by three security issues: The user interface for assigning taxonomy terms in Press This is shown to users who do not have permissions to use it. [&hellip;]</div></li></ul></div><div class=\"rss-widget\"><ul><li><a class=\'rsswidget\' href=\'https://wptavern.com/ostraining-partners-with-godaddy-to-launch-free-wordpress-beginner-course-on-youtube\'>WPTavern: OSTraining Partners with GoDaddy to Launch Free WordPress Beginner Course on YouTube</a></li><li><a class=\'rsswidget\' href=\'http://dougal.gunters.org/blog/2017/02/08/good-breakdown-of-recent-wordpress-vulnerability/\'>Dougal Campbell: Good Breakdown of Recent WordPress Vulnerability</a></li><li><a class=\'rsswidget\' href=\'https://wptavern.com/wpweekly-episode-262-interview-with-morten-rand-hendriksen\'>WPTavern: WPWeekly Episode 262 – Interview With Morten Rand-Hendriksen</a></li></ul></div><div class=\"rss-widget\"><ul><li class=\"dashboard-news-plugin\"><span>Popular Plugin:</span> Google Analytics Dashboard for WP&nbsp;<a href=\"plugin-install.php?tab=plugin-information&amp;plugin=google-analytics-dashboard-for-wp&amp;_wpnonce=33dcc91598&amp;TB_iframe=true&amp;width=600&amp;height=800\" class=\"thickbox open-plugin-details-modal\" aria-label=\"Install Google Analytics Dashboard for WP\">(Install)</a></li></ul></div>','no'),
	(229,'fresh_site','0','yes'),
	(232,'_site_transient_timeout_theme_roots','1486708408','no'),
	(233,'_site_transient_theme_roots','a:2:{s:15:\"twentyseventeen\";s:7:\"/themes\";s:13:\"twentysixteen\";s:7:\"/themes\";}','no');

/*!40000 ALTER TABLE `wp_options` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wp_postmeta
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_postmeta`;

CREATE TABLE `wp_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

LOCK TABLES `wp_postmeta` WRITE;
/*!40000 ALTER TABLE `wp_postmeta` DISABLE KEYS */;

INSERT INTO `wp_postmeta` (`meta_id`, `post_id`, `meta_key`, `meta_value`)
VALUES
	(1,2,'_wp_page_template','default'),
	(2,4,'_edit_last','1'),
	(3,4,'_edit_lock','1486706838:1'),
	(4,11,'_edit_last','1'),
	(5,11,'_edit_lock','1475627263:1'),
	(6,13,'fake_text','Proin eget tortor risus'),
	(7,13,'_fake_text','field_57f42174b81b8'),
	(8,13,'fake_textarea','Praesent sapien massa, convallis a pellentesque nec, egestas non nisi. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Vivamus suscipit tortor eget felis porttitor volutpat. Curabitur non nulla sit amet nisl tempus convallis quis ac lectus. Proin eget tortor risus. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Curabitur arcu erat, accumsan id imperdiet et, porttitor at sem. Cras ultricies ligula sed magna dictum porta. Vivamus magna justo, lacinia eget consectetur sed, convallis at tellus. Sed porttitor lectus nibh.'),
	(9,13,'_fake_textarea','field_57f4217cb81b9'),
	(10,13,'fake_number','1984'),
	(11,13,'_fake_number','field_57f42187b81ba'),
	(12,13,'fake_email','junior@corcel.org'),
	(13,13,'_fake_email','field_57f42194b81bb'),
	(14,13,'fake_url','https://corcel.org'),
	(15,13,'_fake_url','field_57f4219bb81bc'),
	(16,13,'fake_password','123change'),
	(17,13,'_fake_password','field_57f421a2b81bd'),
	(18,11,'fake_text','Proin eget tortor risus'),
	(19,11,'_fake_text','field_57f42174b81b8'),
	(20,11,'fake_textarea','Praesent sapien massa, convallis a pellentesque nec, egestas non nisi.'),
	(21,11,'_fake_textarea','field_57f4217cb81b9'),
	(22,11,'fake_number','1984'),
	(23,11,'_fake_number','field_57f42187b81ba'),
	(24,11,'fake_email','junior@corcel.org'),
	(25,11,'_fake_email','field_57f42194b81bb'),
	(26,11,'fake_url','https://corcel.org'),
	(27,11,'_fake_url','field_57f4219bb81bc'),
	(28,11,'fake_password','123change'),
	(29,11,'_fake_password','field_57f421a2b81bd'),
	(30,14,'fake_text','Proin eget tortor risus'),
	(31,14,'_fake_text','field_57f42174b81b8'),
	(32,14,'fake_textarea','Praesent sapien massa, convallis a pellentesque nec, egestas non nisi.'),
	(33,14,'_fake_textarea','field_57f4217cb81b9'),
	(34,14,'fake_number','1984'),
	(35,14,'_fake_number','field_57f42187b81ba'),
	(36,14,'fake_email','junior@corcel.org'),
	(37,14,'_fake_email','field_57f42194b81bb'),
	(38,14,'fake_url','https://corcel.org'),
	(39,14,'_fake_url','field_57f4219bb81bc'),
	(40,14,'fake_password','123change'),
	(41,14,'_fake_password','field_57f421a2b81bd'),
	(42,15,'_edit_last','1'),
	(43,15,'_edit_lock','1476587357:1'),
	(44,21,'_edit_last','1'),
	(45,21,'_edit_lock','1475701511:1'),
	(46,23,'_wp_attached_file','2016/10/beautiful-places-free-images-gallery.jpg'),
	(47,23,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:1920;s:6:\"height\";i:1200;s:4:\"file\";s:48:\"2016/10/beautiful-places-free-images-gallery.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:48:\"beautiful-places-free-images-gallery-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:48:\"beautiful-places-free-images-gallery-300x188.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:48:\"beautiful-places-free-images-gallery-768x480.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:480;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:49:\"beautiful-places-free-images-gallery-1024x640.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:640;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"post-thumbnail\";a:4:{s:4:\"file\";s:49:\"beautiful-places-free-images-gallery-1200x750.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:750;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),
	(48,24,'_wp_attached_file','2016/10/d1sgOF0.jpg'),
	(49,24,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:2560;s:6:\"height\";i:1600;s:4:\"file\";s:19:\"2016/10/d1sgOF0.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:19:\"d1sgOF0-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:19:\"d1sgOF0-300x188.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:19:\"d1sgOF0-768x480.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:480;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:20:\"d1sgOF0-1024x640.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:640;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"post-thumbnail\";a:4:{s:4:\"file\";s:20:\"d1sgOF0-1200x750.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:750;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),
	(50,25,'_wp_attached_file','2016/10/free-beautiful-place-155.jpg'),
	(51,25,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:2048;s:6:\"height\";i:1285;s:4:\"file\";s:36:\"2016/10/free-beautiful-place-155.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:36:\"free-beautiful-place-155-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:36:\"free-beautiful-place-155-300x188.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:188;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:36:\"free-beautiful-place-155-768x482.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:482;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:37:\"free-beautiful-place-155-1024x643.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:643;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"post-thumbnail\";a:4:{s:4:\"file\";s:37:\"free-beautiful-place-155-1200x753.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:753;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),
	(52,26,'_wp_attached_file','2016/10/f53bad65f21de95e4765011732e922e7_large.jpeg'),
	(53,26,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:1366;s:6:\"height\";i:768;s:4:\"file\";s:51:\"2016/10/f53bad65f21de95e4765011732e922e7_large.jpeg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:51:\"f53bad65f21de95e4765011732e922e7_large-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:51:\"f53bad65f21de95e4765011732e922e7_large-300x169.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:51:\"f53bad65f21de95e4765011732e922e7_large-768x432.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:52:\"f53bad65f21de95e4765011732e922e7_large-1024x576.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"post-thumbnail\";a:4:{s:4:\"file\";s:52:\"f53bad65f21de95e4765011732e922e7_large-1200x675.jpeg\";s:5:\"width\";i:1200;s:6:\"height\";i:675;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),
	(54,27,'_wp_attached_file','2016/10/maxresdefault.jpg'),
	(55,27,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:1950;s:6:\"height\";i:1098;s:4:\"file\";s:25:\"2016/10/maxresdefault.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:25:\"maxresdefault-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:25:\"maxresdefault-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:25:\"maxresdefault-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:26:\"maxresdefault-1024x577.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:577;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"post-thumbnail\";a:4:{s:4:\"file\";s:26:\"maxresdefault-1200x676.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:676;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),
	(56,28,'_wp_attached_file','2016/10/beautiful-place-132960-high-definition.jpg'),
	(57,28,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:1366;s:6:\"height\";i:768;s:4:\"file\";s:50:\"2016/10/beautiful-place-132960-high-definition.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:50:\"beautiful-place-132960-high-definition-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:50:\"beautiful-place-132960-high-definition-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:50:\"beautiful-place-132960-high-definition-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:51:\"beautiful-place-132960-high-definition-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"post-thumbnail\";a:4:{s:4:\"file\";s:51:\"beautiful-place-132960-high-definition-1200x675.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:675;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),
	(58,29,'_wp_attached_file','2016/10/maxresdefault-1.jpg'),
	(59,29,'_wp_attachment_metadata','a:5:{s:5:\"width\";i:1920;s:6:\"height\";i:1080;s:4:\"file\";s:27:\"2016/10/maxresdefault-1.jpg\";s:5:\"sizes\";a:5:{s:9:\"thumbnail\";a:4:{s:4:\"file\";s:27:\"maxresdefault-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:6:\"medium\";a:4:{s:4:\"file\";s:27:\"maxresdefault-1-300x169.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:169;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:12:\"medium_large\";a:4:{s:4:\"file\";s:27:\"maxresdefault-1-768x432.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:432;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:5:\"large\";a:4:{s:4:\"file\";s:28:\"maxresdefault-1-1024x576.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:576;s:9:\"mime-type\";s:10:\"image/jpeg\";}s:14:\"post-thumbnail\";a:4:{s:4:\"file\";s:28:\"maxresdefault-1-1200x675.jpg\";s:5:\"width\";i:1200;s:6:\"height\";i:675;s:9:\"mime-type\";s:10:\"image/jpeg\";}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}'),
	(60,30,'_wp_attached_file','2016/10/PorPlano-MULTI-INSTITUIDO-DemonstracaodasProvisoesTecnicasdoPlanodeBeneficios.pdf'),
	(61,31,'_wp_attached_file','2016/10/Por-Plano-MULTI-INSTITUÍDO-Demonstração-da-Mutação-do-Ativo-Líquido.pdf'),
	(62,32,'_wp_attached_file','2016/10/Por-Plano-MULTI-INSTITUÍDO-Demonstração-do-Ativo-Líquido.pdf'),
	(63,33,'_wp_attached_file','2016/10/PorPlano-MULTI-PATROCINADO-DemonstracaodoPlanodeGestaoAdministrativaporplano-MP.pdf'),
	(64,34,'_wp_attached_file','2016/10/Por-Plano-MULTIPATROCINADO-DemonstracaodasProvisoesTecnicasdoPlanodeBeneficios.pdf'),
	(65,35,'_wp_attached_file','2016/10/Por-Plano-MULTI-PATROCINADO-Demonstração-da-Mutação-do-Ativo-Líquido.pdf'),
	(66,36,'_wp_attached_file','2016/10/Por-Plano-MULTI-PATROCINADO-Demonstração-do-Ativo-Líquido.pdf'),
	(67,37,'_wp_attached_file','2016/10/Consolidado-Manifestacao-do-Conselho-Deliberativo.pdf'),
	(68,38,'fake_editor','Nulla <em>porttitor</em> <del>accumsan</del> <strong>tincidunt</strong>. Sed porttitor lectus nibh.'),
	(69,38,'_fake_editor','field_57f4492a59836'),
	(70,38,'fake_oembed','https://www.youtube.com/watch?v=LiyQ8bvLzIE'),
	(71,38,'_fake_oembed','field_57f4493b59837'),
	(72,38,'fake_image','29'),
	(73,38,'_fake_image','field_57f4495c59838'),
	(74,38,'fake_file','37'),
	(75,38,'_fake_file','field_57f4496c59839'),
	(76,38,'fake_gallery','a:7:{i:0;s:2:\"29\";i:1;s:2:\"28\";i:2;s:2:\"27\";i:3;s:2:\"26\";i:4;s:2:\"25\";i:5;s:2:\"24\";i:6;s:2:\"23\";}'),
	(77,38,'_fake_gallery','field_57f449785983a'),
	(78,21,'fake_editor','Nulla <em>porttitor</em> <del>accumsan</del> <strong>tincidunt</strong>. Sed porttitor lectus nibh.'),
	(79,21,'_fake_editor','field_57f4492a59836'),
	(80,21,'fake_oembed','https://www.youtube.com/watch?v=LiyQ8bvLzIE'),
	(81,21,'_fake_oembed','field_57f4493b59837'),
	(82,21,'fake_image','29'),
	(83,21,'_fake_image','field_57f4495c59838'),
	(84,21,'fake_file','37'),
	(85,21,'_fake_file','field_57f4496c59839'),
	(86,21,'fake_gallery','a:7:{i:0;s:2:\"29\";i:1;s:2:\"28\";i:2;s:2:\"27\";i:3;s:2:\"26\";i:4;s:2:\"25\";i:5;s:2:\"24\";i:6;s:2:\"23\";}'),
	(87,21,'_fake_gallery','field_57f449785983a'),
	(88,29,'_wp_attachment_image_alt','This is an alt text'),
	(89,39,'_edit_last','1'),
	(90,39,'_edit_lock','1475769274:1'),
	(91,44,'_edit_last','1'),
	(92,44,'_edit_lock','1475808047:1'),
	(93,46,'fake_select','red'),
	(94,46,'_fake_select','field_57f56b166ce5f'),
	(95,46,'fake_checkbox','a:2:{i:0;s:4:\"blue\";i:1;s:6:\"yellow\";}'),
	(96,46,'_fake_checkbox','field_57f56b556ce60'),
	(97,46,'fake_radio_button','green'),
	(98,46,'_fake_radio_button','field_57f56b656ce61'),
	(99,46,'fake_true_false','1'),
	(100,46,'_fake_true_false','field_57f56b786ce62'),
	(101,44,'fake_select','red'),
	(102,44,'_fake_select','field_57f56b166ce5f'),
	(103,44,'fake_checkbox','a:2:{i:0;s:4:\"blue\";i:1;s:6:\"yellow\";}'),
	(104,44,'_fake_checkbox','field_57f56b556ce60'),
	(105,44,'fake_radio_button','green'),
	(106,44,'_fake_radio_button','field_57f56b656ce61'),
	(107,44,'fake_true_false','1'),
	(108,44,'_fake_true_false','field_57f56b786ce62'),
	(109,48,'fake_select','red'),
	(110,48,'_fake_select','field_57f56b166ce5f'),
	(111,48,'fake_select_multiple','a:2:{i:0;s:6:\"yellow\";i:1;s:5:\"green\";}'),
	(112,48,'_fake_select_multiple','field_57f56c73f440a'),
	(113,48,'fake_checkbox','a:2:{i:0;s:4:\"blue\";i:1;s:6:\"yellow\";}'),
	(114,48,'_fake_checkbox','field_57f56b556ce60'),
	(115,48,'fake_radio_button','green'),
	(116,48,'_fake_radio_button','field_57f56b656ce61'),
	(117,48,'fake_true_false','1'),
	(118,48,'_fake_true_false','field_57f56b786ce62'),
	(119,44,'fake_select_multiple','a:2:{i:0;s:6:\"yellow\";i:1;s:5:\"green\";}'),
	(120,44,'_fake_select_multiple','field_57f56c73f440a'),
	(121,49,'_edit_last','1'),
	(122,49,'_edit_lock','1475889692:1'),
	(123,56,'_edit_last','1'),
	(124,56,'_edit_lock','1475889845:1'),
	(125,58,'fake_post_object','11'),
	(126,58,'_fake_post_object','field_57f70b063a715'),
	(127,58,'fake_page_link','21'),
	(128,58,'_fake_page_link','field_57f70b1d3a716'),
	(129,58,'fake_relationship','a:2:{i:0;s:2:\"44\";i:1;s:2:\"56\";}'),
	(130,58,'_fake_relationship','field_57f70b3f3a717'),
	(131,58,'fake_taxonomy','a:1:{i:0;s:1:\"1\";}'),
	(132,58,'_fake_taxonomy','field_57f70b593a718'),
	(133,58,'fake_taxonomy_single','1'),
	(134,58,'_fake_taxonomy_single','field_57f70b7e3a719'),
	(135,58,'fake_user','1'),
	(136,58,'_fake_user','field_57f70ba23a71a'),
	(137,56,'fake_post_object','11'),
	(138,56,'_fake_post_object','field_57f70b063a715'),
	(139,56,'fake_page_link','21'),
	(140,56,'_fake_page_link','field_57f70b1d3a716'),
	(141,56,'fake_relationship','a:2:{i:0;s:2:\"44\";i:1;s:2:\"56\";}'),
	(142,56,'_fake_relationship','field_57f70b3f3a717'),
	(143,56,'fake_taxonomy','a:1:{i:0;s:1:\"1\";}'),
	(144,56,'_fake_taxonomy','field_57f70b593a718'),
	(145,56,'fake_taxonomy_single','1'),
	(146,56,'_fake_taxonomy_single','field_57f70b7e3a719'),
	(147,56,'fake_user','1'),
	(148,56,'_fake_user','field_57f70ba23a71a'),
	(149,59,'_edit_last','1'),
	(150,59,'_edit_lock','1475890062:1'),
	(151,65,'_edit_last','1'),
	(152,65,'_edit_lock','1477080240:1'),
	(153,67,'fake_google_map',''),
	(154,67,'_fake_google_map','field_57f84ab1ae3b0'),
	(155,67,'fake_date_picker','20161013'),
	(156,67,'_fake_date_picker','field_57f84aedae3b1'),
	(157,67,'fake_date_time_picker','2016-10-19 08:06:05'),
	(158,67,'_fake_date_time_picker','field_57f84b02ae3b2'),
	(159,67,'fake_time_picker','17:30:00'),
	(160,67,'_fake_time_picker','field_57f84b19ae3b3'),
	(161,67,'fake_color_picker','#7263a8'),
	(162,67,'_fake_color_picker','field_57f84b29ae3b4'),
	(163,65,'fake_google_map',''),
	(164,65,'_fake_google_map','field_57f84ab1ae3b0'),
	(165,65,'fake_date_picker','20161013'),
	(166,65,'_fake_date_picker','field_57f84aedae3b1'),
	(167,65,'fake_date_time_picker','2016-10-19 08:06:05'),
	(168,65,'_fake_date_time_picker','field_57f84b02ae3b2'),
	(169,65,'fake_time_picker','17:30:00'),
	(170,65,'_fake_time_picker','field_57f84b19ae3b3'),
	(171,65,'fake_color_picker','#7263a8'),
	(172,65,'_fake_color_picker','field_57f84b29ae3b4'),
	(173,68,'_edit_last','1'),
	(174,68,'_edit_lock','1486624787:1'),
	(175,73,'_edit_last','1'),
	(176,73,'_edit_lock','1486624652:1'),
	(177,75,'fake_repeater_0_repeater_text','First text'),
	(178,75,'_fake_repeater_0_repeater_text','field_5802f02b3a7fb'),
	(179,75,'fake_repeater_0_repeater_radio','blue'),
	(180,75,'_fake_repeater_0_repeater_radio','field_5802f0363a7fc'),
	(181,75,'fake_repeater_1_repeater_text','Second text'),
	(182,75,'_fake_repeater_1_repeater_text','field_5802f02b3a7fb'),
	(183,75,'fake_repeater_1_repeater_radio','red'),
	(184,75,'_fake_repeater_1_repeater_radio','field_5802f0363a7fc'),
	(185,75,'fake_repeater','2'),
	(186,75,'_fake_repeater','field_5802f0133a7fa'),
	(187,73,'fake_repeater_0_repeater_text','First text'),
	(188,73,'_fake_repeater_0_repeater_text','field_5802f02b3a7fb'),
	(189,73,'fake_repeater_0_repeater_radio','blue'),
	(190,73,'_fake_repeater_0_repeater_radio','field_5802f0363a7fc'),
	(191,73,'fake_repeater_1_repeater_text','Second text'),
	(192,73,'_fake_repeater_1_repeater_text','field_5802f02b3a7fb'),
	(193,73,'fake_repeater_1_repeater_radio','red'),
	(194,73,'_fake_repeater_1_repeater_radio','field_5802f0363a7fc'),
	(195,73,'fake_repeater','2'),
	(196,73,'_fake_repeater','field_5802f0133a7fa'),
	(197,80,'fake_repeater_0_repeater_text','First text'),
	(198,80,'_fake_repeater_0_repeater_text','field_5802f02b3a7fb'),
	(199,80,'fake_repeater_0_repeater_radio','blue'),
	(200,80,'_fake_repeater_0_repeater_radio','field_5802f0363a7fc'),
	(201,80,'fake_repeater_1_repeater_text','Second text'),
	(202,80,'_fake_repeater_1_repeater_text','field_5802f02b3a7fb'),
	(203,80,'fake_repeater_1_repeater_radio','red'),
	(204,80,'_fake_repeater_1_repeater_radio','field_5802f0363a7fc'),
	(205,80,'fake_repeater','2'),
	(206,80,'_fake_repeater','field_5802f0133a7fa'),
	(207,80,'fake_repeater_2_0_fake_user','1'),
	(208,80,'_fake_repeater_2_0_fake_user','field_580a75d7dd71b'),
	(209,80,'fake_repeater_2_0_fake_file','29'),
	(210,80,'_fake_repeater_2_0_fake_file','field_580a75fddd71c'),
	(211,80,'fake_repeater_2_0_fake_relationship','a:2:{i:0;s:2:\"73\";i:1;s:2:\"21\";}'),
	(212,80,'_fake_repeater_2_0_fake_relationship','field_580a760ddd71d'),
	(213,80,'fake_repeater_2_1_fake_user','1'),
	(214,80,'_fake_repeater_2_1_fake_user','field_580a75d7dd71b'),
	(215,80,'fake_repeater_2_1_fake_file','26'),
	(216,80,'_fake_repeater_2_1_fake_file','field_580a75fddd71c'),
	(217,80,'fake_repeater_2_1_fake_relationship','a:1:{i:0;s:1:\"2\";}'),
	(218,80,'_fake_repeater_2_1_fake_relationship','field_580a760ddd71d'),
	(219,80,'fake_repeater_2','2'),
	(220,80,'_fake_repeater_2','field_580a75c3dd71a'),
	(221,73,'fake_repeater_2_0_fake_user','1'),
	(222,73,'_fake_repeater_2_0_fake_user','field_580a75d7dd71b'),
	(223,73,'fake_repeater_2_0_fake_file','29'),
	(224,73,'_fake_repeater_2_0_fake_file','field_580a75fddd71c'),
	(225,73,'fake_repeater_2_0_fake_relationship','a:2:{i:0;s:2:\"73\";i:1;s:2:\"21\";}'),
	(226,73,'_fake_repeater_2_0_fake_relationship','field_580a760ddd71d'),
	(227,73,'fake_repeater_2_1_fake_user','1'),
	(228,73,'_fake_repeater_2_1_fake_user','field_580a75d7dd71b'),
	(229,73,'fake_repeater_2_1_fake_file','26'),
	(230,73,'_fake_repeater_2_1_fake_file','field_580a75fddd71c'),
	(231,73,'fake_repeater_2_1_fake_relationship','a:1:{i:0;s:1:\"2\";}'),
	(232,73,'_fake_repeater_2_1_fake_relationship','field_580a760ddd71d'),
	(233,73,'fake_repeater_2','2'),
	(234,73,'_fake_repeater_2','field_580a75c3dd71a'),
	(235,1,'_edit_lock','1486624636:1'),
	(236,82,'_edit_last','1'),
	(237,82,'_edit_lock','1486626619:1'),
	(238,86,'_edit_last','1'),
	(239,86,'_edit_lock','1486626457:1'),
	(240,86,'fake_flexible_content_0_text','Lorem ipsum'),
	(241,86,'_fake_flexible_content_0_text','field_589c18d0c9b27'),
	(242,86,'fake_flexible_content_1_post','1'),
	(243,86,'_fake_flexible_content_1_post','field_589c18eac9b29'),
	(244,86,'fake_flexible_content','a:3:{i:0;s:11:\"normal_text\";i:1;s:12:\"related_post\";i:2;s:14:\"multiple_posts\";}'),
	(245,86,'_fake_flexible_content','field_589c18adc9b26'),
	(246,88,'fake_flexible_content_0_text','Lorem ipsum'),
	(247,88,'_fake_flexible_content_0_text','field_589c18d0c9b27'),
	(248,88,'fake_flexible_content_1_post','1'),
	(249,88,'_fake_flexible_content_1_post','field_589c18eac9b29'),
	(250,88,'fake_flexible_content','a:2:{i:0;s:11:\"normal_text\";i:1;s:12:\"related_post\";}'),
	(251,88,'_fake_flexible_content','field_589c18adc9b26'),
	(252,86,'fake_flexible_content_2_post','a:2:{i:0;s:2:\"44\";i:1;s:2:\"65\";}'),
	(253,86,'_fake_flexible_content_2_post','field_589c1ee35ec28'),
	(254,90,'fake_flexible_content_0_text','Lorem ipsum'),
	(255,90,'_fake_flexible_content_0_text','field_589c18d0c9b27'),
	(256,90,'fake_flexible_content_1_post','1'),
	(257,90,'_fake_flexible_content_1_post','field_589c18eac9b29'),
	(258,90,'fake_flexible_content','a:3:{i:0;s:11:\"normal_text\";i:1;s:12:\"related_post\";i:2;s:14:\"multiple_posts\";}'),
	(259,90,'_fake_flexible_content','field_589c18adc9b26'),
	(260,90,'fake_flexible_content_2_post','a:2:{i:0;s:2:\"44\";i:1;s:2:\"65\";}'),
	(261,90,'_fake_flexible_content_2_post','field_589c1ee35ec28'),
	(262,91,'_edit_last','1'),
	(263,91,'_edit_lock','1486707478:1'),
	(264,91,'fake_text',''),
	(265,91,'_fake_text','field_57f42174b81b8'),
	(266,91,'fake_textarea',''),
	(267,91,'_fake_textarea','field_57f4217cb81b9'),
	(268,91,'fake_number',''),
	(269,91,'_fake_number','field_57f42187b81ba'),
	(270,91,'fake_email',''),
	(271,91,'_fake_email','field_57f42194b81bb'),
	(272,91,'fake_url',''),
	(273,91,'_fake_url','field_57f4219bb81bc'),
	(274,91,'fake_password',''),
	(275,91,'_fake_password','field_57f421a2b81bd'),
	(276,92,'fake_text',''),
	(277,92,'_fake_text','field_57f42174b81b8'),
	(278,92,'fake_textarea',''),
	(279,92,'_fake_textarea','field_57f4217cb81b9'),
	(280,92,'fake_number',''),
	(281,92,'_fake_number','field_57f42187b81ba'),
	(282,92,'fake_email',''),
	(283,92,'_fake_email','field_57f42194b81bb'),
	(284,92,'fake_url',''),
	(285,92,'_fake_url','field_57f4219bb81bc'),
	(286,92,'fake_password',''),
	(287,92,'_fake_password','field_57f421a2b81bd');

/*!40000 ALTER TABLE `wp_postmeta` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wp_posts
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_posts`;

CREATE TABLE `wp_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT '0',
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_title` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_excerpt` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `post_password` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `post_name` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `to_ping` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `pinged` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `guid` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT '0',
  `post_type` varchar(20) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`(191)),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

LOCK TABLES `wp_posts` WRITE;
/*!40000 ALTER TABLE `wp_posts` DISABLE KEYS */;

INSERT INTO `wp_posts` (`ID`, `post_author`, `post_date`, `post_date_gmt`, `post_content`, `post_title`, `post_excerpt`, `post_status`, `comment_status`, `ping_status`, `post_password`, `post_name`, `to_ping`, `pinged`, `post_modified`, `post_modified_gmt`, `post_content_filtered`, `post_parent`, `guid`, `menu_order`, `post_type`, `post_mime_type`, `comment_count`)
VALUES
	(1,1,'2016-10-04 21:37:39','2016-10-04 21:37:39','Welcome to WordPress. This is your first post. Edit or delete it, then start writing!','Hello world!','','publish','open','open','','hello-world','','','2016-10-04 21:37:39','2016-10-04 21:37:39','',0,'http://wordpress.corcel.dev/?p=1',0,'post','',1),
	(2,1,'2016-10-04 21:37:39','2016-10-04 21:37:39','This is an example page. It\'s different from a blog post because it will stay in one place and will show up in your site navigation (in most themes). Most people start with an About page that introduces them to potential site visitors. It might say something like this:\n\n<blockquote>Hi there! I\'m a bike messenger by day, aspiring actor by night, and this is my website. I live in Los Angeles, have a great dog named Jack, and I like pi&#241;a coladas. (And gettin\' caught in the rain.)</blockquote>\n\n...or something like this:\n\n<blockquote>The XYZ Doohickey Company was founded in 1971, and has been providing quality doohickeys to the public ever since. Located in Gotham City, XYZ employs over 2,000 people and does all kinds of awesome things for the Gotham community.</blockquote>\n\nAs a new WordPress user, you should go to <a href=\"http://wordpress.corcel.dev/wp-admin/\">your dashboard</a> to delete this page and create new pages for your content. Have fun!','Sample Page','','publish','closed','open','','sample-page','','','2016-10-04 21:37:39','2016-10-04 21:37:39','',0,'http://wordpress.corcel.dev/?page_id=2',0,'page','',0),
	(4,1,'2016-10-04 21:39:54','2016-10-04 21:39:54','a:7:{s:8:\"location\";a:2:{i:0;a:1:{i:0;a:3:{s:5:\"param\";s:4:\"page\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:2:\"11\";}}i:1;a:1:{i:0;a:3:{s:5:\"param\";s:4:\"page\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:2:\"91\";}}}s:8:\"position\";s:6:\"normal\";s:5:\"style\";s:7:\"default\";s:15:\"label_placement\";s:3:\"top\";s:21:\"instruction_placement\";s:5:\"label\";s:14:\"hide_on_screen\";s:0:\"\";s:11:\"description\";s:0:\"\";}','ACF Basic Fields','acf-basic-fields','publish','closed','closed','','group_57f4216833e7d','','','2017-02-10 06:09:40','2017-02-10 06:09:40','',0,'http://wordpress.corcel.dev/?post_type=acf-field-group&#038;p=4',0,'acf-field-group','',0),
	(5,1,'2016-10-04 21:39:54','2016-10-04 21:39:54','a:12:{s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:8:\"readonly\";i:0;s:8:\"disabled\";i:0;}','Fake Text','fake_text','publish','closed','closed','','field_57f42174b81b8','','','2016-10-04 21:39:54','2016-10-04 21:39:54','',4,'http://wordpress.corcel.dev/?post_type=acf-field&p=5',0,'acf-field','',0),
	(6,1,'2016-10-04 21:39:54','2016-10-04 21:39:54','a:12:{s:4:\"type\";s:8:\"textarea\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:4:\"rows\";s:0:\"\";s:9:\"new_lines\";s:7:\"wpautop\";s:8:\"readonly\";i:0;s:8:\"disabled\";i:0;}','Fake Textarea','fake_textarea','publish','closed','closed','','field_57f4217cb81b9','','','2016-10-04 21:39:54','2016-10-04 21:39:54','',4,'http://wordpress.corcel.dev/?post_type=acf-field&p=6',1,'acf-field','',0),
	(7,1,'2016-10-04 21:39:54','2016-10-04 21:39:54','a:14:{s:4:\"type\";s:6:\"number\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:4:\"step\";s:0:\"\";s:8:\"readonly\";i:0;s:8:\"disabled\";i:0;}','Fake Number','fake_number','publish','closed','closed','','field_57f42187b81ba','','','2016-10-04 21:39:54','2016-10-04 21:39:54','',4,'http://wordpress.corcel.dev/?post_type=acf-field&p=7',2,'acf-field','',0),
	(8,1,'2016-10-04 21:39:54','2016-10-04 21:39:54','a:9:{s:4:\"type\";s:5:\"email\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";}','Fake Email','fake_email','publish','closed','closed','','field_57f42194b81bb','','','2016-10-04 21:39:54','2016-10-04 21:39:54','',4,'http://wordpress.corcel.dev/?post_type=acf-field&p=8',3,'acf-field','',0),
	(9,1,'2016-10-04 21:39:54','2016-10-04 21:39:54','a:7:{s:4:\"type\";s:3:\"url\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";}','Fake URL','fake_url','publish','closed','closed','','field_57f4219bb81bc','','','2016-10-04 21:39:54','2016-10-04 21:39:54','',4,'http://wordpress.corcel.dev/?post_type=acf-field&p=9',4,'acf-field','',0),
	(10,1,'2016-10-04 21:39:54','2016-10-04 21:39:54','a:12:{s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:8:\"readonly\";i:0;s:8:\"disabled\";i:0;}','Fake Password','fake_password','publish','closed','closed','','field_57f421a2b81bd','','','2016-10-04 21:39:54','2016-10-04 21:39:54','',4,'http://wordpress.corcel.dev/?post_type=acf-field&p=10',5,'acf-field','',0),
	(11,1,'2016-10-04 21:40:17','2016-10-04 21:40:17','','ACF Basic Fields','','publish','closed','closed','','acf-basic-fields','','','2016-10-04 22:02:15','2016-10-04 22:02:15','',0,'http://wordpress.corcel.dev/?page_id=11',0,'page','',0),
	(12,1,'2016-10-04 21:40:17','2016-10-04 21:40:17','','ACF Basic Fields','','inherit','closed','closed','','11-revision-v1','','','2016-10-04 21:40:17','2016-10-04 21:40:17','',11,'http://wordpress.corcel.dev/2016/10/04/11-revision-v1/',0,'revision','',0),
	(13,1,'2016-10-04 21:41:11','2016-10-04 21:41:11','','ACF Basic Fields','','inherit','closed','closed','','11-revision-v1','','','2016-10-04 21:41:11','2016-10-04 21:41:11','',11,'http://wordpress.corcel.dev/2016/10/04/11-revision-v1/',0,'revision','',0),
	(14,1,'2016-10-04 22:02:15','2016-10-04 22:02:15','','ACF Basic Fields','','inherit','closed','closed','','11-revision-v1','','','2016-10-04 22:02:15','2016-10-04 22:02:15','',11,'http://wordpress.corcel.dev/2016/10/04/11-revision-v1/',0,'revision','',0),
	(15,1,'2016-10-05 00:30:05','2016-10-05 00:30:05','a:7:{s:8:\"location\";a:1:{i:0;a:1:{i:0;a:3:{s:5:\"param\";s:4:\"page\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:2:\"21\";}}}s:8:\"position\";s:6:\"normal\";s:5:\"style\";s:7:\"default\";s:15:\"label_placement\";s:3:\"top\";s:21:\"instruction_placement\";s:5:\"label\";s:14:\"hide_on_screen\";s:0:\"\";s:11:\"description\";s:0:\"\";}','ACF Content Fields','acf-content-fields','publish','closed','closed','','group_57f4492227988','','','2016-10-05 00:49:19','2016-10-05 00:49:19','',0,'http://wordpress.corcel.dev/?post_type=acf-field-group&#038;p=15',0,'acf-field-group','',0),
	(16,1,'2016-10-05 00:30:05','2016-10-05 00:30:05','a:9:{s:4:\"type\";s:7:\"wysiwyg\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:4:\"tabs\";s:3:\"all\";s:7:\"toolbar\";s:4:\"full\";s:12:\"media_upload\";i:1;}','Fake Editor','fake_editor','publish','closed','closed','','field_57f4492a59836','','','2016-10-05 00:30:05','2016-10-05 00:30:05','',15,'http://wordpress.corcel.dev/?post_type=acf-field&p=16',0,'acf-field','',0),
	(17,1,'2016-10-05 00:30:05','2016-10-05 00:30:05','a:7:{s:4:\"type\";s:6:\"oembed\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:5:\"width\";i:640;s:6:\"height\";i:390;}','Fake oEmbed','fake_oembed','publish','closed','closed','','field_57f4493b59837','','','2016-10-05 00:49:19','2016-10-05 00:49:19','',15,'http://wordpress.corcel.dev/?post_type=acf-field&#038;p=17',1,'acf-field','',0),
	(18,1,'2016-10-05 00:30:05','2016-10-05 00:30:05','a:15:{s:4:\"type\";s:5:\"image\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"return_format\";s:5:\"array\";s:12:\"preview_size\";s:9:\"thumbnail\";s:7:\"library\";s:3:\"all\";s:9:\"min_width\";s:0:\"\";s:10:\"min_height\";s:0:\"\";s:8:\"min_size\";s:0:\"\";s:9:\"max_width\";s:0:\"\";s:10:\"max_height\";s:0:\"\";s:8:\"max_size\";s:0:\"\";s:10:\"mime_types\";s:0:\"\";}','Fake Image','fake_image','publish','closed','closed','','field_57f4495c59838','','','2016-10-05 00:30:05','2016-10-05 00:30:05','',15,'http://wordpress.corcel.dev/?post_type=acf-field&p=18',2,'acf-field','',0),
	(19,1,'2016-10-05 00:30:05','2016-10-05 00:30:05','a:10:{s:4:\"type\";s:4:\"file\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"return_format\";s:5:\"array\";s:7:\"library\";s:3:\"all\";s:8:\"min_size\";s:0:\"\";s:8:\"max_size\";s:0:\"\";s:10:\"mime_types\";s:0:\"\";}','Fake File','fake_file','publish','closed','closed','','field_57f4496c59839','','','2016-10-05 00:30:05','2016-10-05 00:30:05','',15,'http://wordpress.corcel.dev/?post_type=acf-field&p=19',3,'acf-field','',0),
	(20,1,'2016-10-05 00:30:05','2016-10-05 00:30:05','a:17:{s:4:\"type\";s:7:\"gallery\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:12:\"preview_size\";s:9:\"thumbnail\";s:6:\"insert\";s:6:\"append\";s:7:\"library\";s:3:\"all\";s:9:\"min_width\";s:0:\"\";s:10:\"min_height\";s:0:\"\";s:8:\"min_size\";s:0:\"\";s:9:\"max_width\";s:0:\"\";s:10:\"max_height\";s:0:\"\";s:8:\"max_size\";s:0:\"\";s:10:\"mime_types\";s:0:\"\";}','Fake Gallery','fake_gallery','publish','closed','closed','','field_57f449785983a','','','2016-10-05 00:49:19','2016-10-05 00:49:19','',15,'http://wordpress.corcel.dev/?post_type=acf-field&#038;p=20',4,'acf-field','',0),
	(21,1,'2016-10-05 00:30:13','2016-10-05 00:30:13','','ACF Content Fields','','publish','closed','closed','','acf-content-fields','','','2016-10-05 00:38:18','2016-10-05 00:38:18','',0,'http://wordpress.corcel.dev/?page_id=21',0,'page','',0),
	(22,1,'2016-10-05 00:30:13','2016-10-05 00:30:13','','ACF Content Fields','','inherit','closed','closed','','21-revision-v1','','','2016-10-05 00:30:13','2016-10-05 00:30:13','',21,'http://wordpress.corcel.dev/2016/10/05/21-revision-v1/',0,'revision','',0),
	(23,1,'2016-10-05 00:34:53','2016-10-05 00:34:53','','beautiful-places-free-images-gallery','','inherit','open','closed','','beautiful-places-free-images-gallery','','','2016-10-05 00:36:11','2016-10-05 00:36:11','',21,'http://wordpress.corcel.dev/wp-content/uploads/2016/10/beautiful-places-free-images-gallery.jpg',0,'attachment','image/jpeg',0),
	(24,1,'2016-10-05 00:34:54','2016-10-05 00:34:54','','d1sgof0','','inherit','open','closed','','d1sgof0','','','2016-10-05 00:34:54','2016-10-05 00:34:54','',21,'http://wordpress.corcel.dev/wp-content/uploads/2016/10/d1sgOF0.jpg',0,'attachment','image/jpeg',0),
	(25,1,'2016-10-05 00:34:56','2016-10-05 00:34:56','','free-beautiful-place-155','','inherit','open','closed','','free-beautiful-place-155','','','2016-10-05 00:34:56','2016-10-05 00:34:56','',21,'http://wordpress.corcel.dev/wp-content/uploads/2016/10/free-beautiful-place-155.jpg',0,'attachment','image/jpeg',0),
	(26,1,'2016-10-05 00:34:57','2016-10-05 00:34:57','','f53bad65f21de95e4765011732e922e7_large','','inherit','open','closed','','f53bad65f21de95e4765011732e922e7_large','','','2016-10-05 00:34:57','2016-10-05 00:34:57','',21,'http://wordpress.corcel.dev/wp-content/uploads/2016/10/f53bad65f21de95e4765011732e922e7_large.jpeg',0,'attachment','image/jpeg',0),
	(27,1,'2016-10-05 00:34:58','2016-10-05 00:34:58','','maxresdefault','','inherit','open','closed','','maxresdefault','','','2016-10-05 00:34:58','2016-10-05 00:34:58','',21,'http://wordpress.corcel.dev/wp-content/uploads/2016/10/maxresdefault.jpg',0,'attachment','image/jpeg',0),
	(28,1,'2016-10-05 00:34:59','2016-10-05 00:34:59','','beautiful-place-132960-high-definition','','inherit','open','closed','','beautiful-place-132960-high-definition','','','2016-10-05 00:34:59','2016-10-05 00:34:59','',21,'http://wordpress.corcel.dev/wp-content/uploads/2016/10/beautiful-place-132960-high-definition.jpg',0,'attachment','image/jpeg',0),
	(29,1,'2016-10-05 00:35:00','2016-10-05 00:35:00','','maxresdefault-1','This is a caption','inherit','open','closed','','maxresdefault-1','','','2016-10-05 02:01:35','2016-10-05 02:01:35','',21,'http://wordpress.corcel.dev/wp-content/uploads/2016/10/maxresdefault-1.jpg',0,'attachment','image/jpeg',0),
	(30,1,'2016-10-05 00:35:57','2016-10-05 00:35:57','','porplano-multi-instituido-demonstracaodasprovisoestecnicasdoplanodebeneficios','','inherit','open','closed','','porplano-multi-instituido-demonstracaodasprovisoestecnicasdoplanodebeneficios','','','2016-10-05 00:35:57','2016-10-05 00:35:57','',21,'http://wordpress.corcel.dev/wp-content/uploads/2016/10/PorPlano-MULTI-INSTITUIDO-DemonstracaodasProvisoesTecnicasdoPlanodeBeneficios.pdf',0,'attachment','application/pdf',0),
	(31,1,'2016-10-05 00:35:58','2016-10-05 00:35:58','','por-plano-multi-instituido-demonstrac%cc%a7a%cc%83o-da-mutac%cc%a7a%cc%83o-do-ativo-liquido','','inherit','open','closed','','por-plano-multi-instituido-demonstrac%cc%a7a%cc%83o-da-mutac%cc%a7a%cc%83o-do-ativo-liquido','','','2016-10-05 00:35:58','2016-10-05 00:35:58','',21,'http://wordpress.corcel.dev/wp-content/uploads/2016/10/Por-Plano-MULTI-INSTITUÍDO-Demonstração-da-Mutação-do-Ativo-Líquido.pdf',0,'attachment','application/pdf',0),
	(32,1,'2016-10-05 00:35:58','2016-10-05 00:35:58','','por-plano-multi-instituido-demonstrac%cc%a7a%cc%83o-do-ativo-liquido','','inherit','open','closed','','por-plano-multi-instituido-demonstrac%cc%a7a%cc%83o-do-ativo-liquido','','','2016-10-05 00:35:58','2016-10-05 00:35:58','',21,'http://wordpress.corcel.dev/wp-content/uploads/2016/10/Por-Plano-MULTI-INSTITUÍDO-Demonstração-do-Ativo-Líquido.pdf',0,'attachment','application/pdf',0),
	(33,1,'2016-10-05 00:35:59','2016-10-05 00:35:59','','porplano-multi-patrocinado-demonstracaodoplanodegestaoadministrativaporplano-mp','','inherit','open','closed','','porplano-multi-patrocinado-demonstracaodoplanodegestaoadministrativaporplano-mp','','','2016-10-05 00:35:59','2016-10-05 00:35:59','',21,'http://wordpress.corcel.dev/wp-content/uploads/2016/10/PorPlano-MULTI-PATROCINADO-DemonstracaodoPlanodeGestaoAdministrativaporplano-MP.pdf',0,'attachment','application/pdf',0),
	(34,1,'2016-10-05 00:35:59','2016-10-05 00:35:59','','por-plano-multipatrocinado-demonstracaodasprovisoestecnicasdoplanodebeneficios','','inherit','open','closed','','por-plano-multipatrocinado-demonstracaodasprovisoestecnicasdoplanodebeneficios','','','2016-10-05 00:35:59','2016-10-05 00:35:59','',21,'http://wordpress.corcel.dev/wp-content/uploads/2016/10/Por-Plano-MULTIPATROCINADO-DemonstracaodasProvisoesTecnicasdoPlanodeBeneficios.pdf',0,'attachment','application/pdf',0),
	(35,1,'2016-10-05 00:35:59','2016-10-05 00:35:59','','por-plano-multi-patrocinado-demonstrac%cc%a7a%cc%83o-da-mutac%cc%a7a%cc%83o-do-ativo-liquido','','inherit','open','closed','','por-plano-multi-patrocinado-demonstrac%cc%a7a%cc%83o-da-mutac%cc%a7a%cc%83o-do-ativo-liquido','','','2016-10-05 00:35:59','2016-10-05 00:35:59','',21,'http://wordpress.corcel.dev/wp-content/uploads/2016/10/Por-Plano-MULTI-PATROCINADO-Demonstração-da-Mutação-do-Ativo-Líquido.pdf',0,'attachment','application/pdf',0),
	(36,1,'2016-10-05 00:36:00','2016-10-05 00:36:00','','por-plano-multi-patrocinado-demonstrac%cc%a7a%cc%83o-do-ativo-liquido','','inherit','open','closed','','por-plano-multi-patrocinado-demonstrac%cc%a7a%cc%83o-do-ativo-liquido','','','2016-10-05 00:36:00','2016-10-05 00:36:00','',21,'http://wordpress.corcel.dev/wp-content/uploads/2016/10/Por-Plano-MULTI-PATROCINADO-Demonstração-do-Ativo-Líquido.pdf',0,'attachment','application/pdf',0),
	(37,1,'2016-10-05 00:36:00','2016-10-05 00:36:00','Description here','Title here','Caption here','inherit','open','closed','','consolidado-manifestac%cc%a7a%cc%83o-do-conselho-deliberativo','','','2016-10-05 12:41:50','2016-10-05 12:41:50','',21,'http://wordpress.corcel.dev/wp-content/uploads/2016/10/Consolidado-Manifestacao-do-Conselho-Deliberativo.pdf',0,'attachment','application/pdf',0),
	(38,1,'2016-10-05 00:38:18','2016-10-05 00:38:18','','ACF Content Fields','','inherit','closed','closed','','21-revision-v1','','','2016-10-05 00:38:18','2016-10-05 00:38:18','',21,'http://wordpress.corcel.dev/2016/10/05/21-revision-v1/',0,'revision','',0),
	(39,1,'2016-10-05 21:07:32','2016-10-05 21:07:32','a:7:{s:8:\"location\";a:1:{i:0;a:1:{i:0;a:3:{s:5:\"param\";s:4:\"page\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:2:\"44\";}}}s:8:\"position\";s:6:\"normal\";s:5:\"style\";s:7:\"default\";s:15:\"label_placement\";s:3:\"top\";s:21:\"instruction_placement\";s:5:\"label\";s:14:\"hide_on_screen\";s:0:\"\";s:11:\"description\";s:0:\"\";}','ACF Choice Fields','acf-choice-fields','publish','closed','closed','','group_57f56b0fa185f','','','2016-10-05 21:12:03','2016-10-05 21:12:03','',0,'http://wordpress.corcel.dev/?post_type=acf-field-group&#038;p=39',0,'acf-field-group','',0),
	(40,1,'2016-10-05 21:07:32','2016-10-05 21:07:32','a:14:{s:4:\"type\";s:6:\"select\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:7:\"choices\";a:4:{s:3:\"red\";s:3:\"Red\";s:4:\"blue\";s:4:\"Blue\";s:6:\"yellow\";s:6:\"Yellow\";s:5:\"green\";s:5:\"Green\";}s:13:\"default_value\";a:0:{}s:10:\"allow_null\";i:0;s:8:\"multiple\";i:0;s:2:\"ui\";i:0;s:4:\"ajax\";i:0;s:11:\"placeholder\";s:0:\"\";s:8:\"disabled\";i:0;s:8:\"readonly\";i:0;}','Fake Select','fake_select','publish','closed','closed','','field_57f56b166ce5f','','','2016-10-05 21:12:03','2016-10-05 21:12:03','',39,'http://wordpress.corcel.dev/?post_type=acf-field&#038;p=40',0,'acf-field','',0),
	(41,1,'2016-10-05 21:07:32','2016-10-05 21:07:32','a:9:{s:4:\"type\";s:8:\"checkbox\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:1;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:7:\"choices\";a:4:{s:3:\"red\";s:3:\"Red\";s:4:\"blue\";s:4:\"Blue\";s:6:\"yellow\";s:6:\"Yellow\";s:5:\"green\";s:5:\"Green\";}s:13:\"default_value\";a:0:{}s:6:\"layout\";s:8:\"vertical\";s:6:\"toggle\";i:0;}','Fake Checkbox','fake_checkbox','publish','closed','closed','','field_57f56b556ce60','','','2016-10-05 21:11:34','2016-10-05 21:11:34','',39,'http://wordpress.corcel.dev/?post_type=acf-field&#038;p=41',2,'acf-field','',0),
	(42,1,'2016-10-05 21:07:32','2016-10-05 21:07:32','a:11:{s:4:\"type\";s:5:\"radio\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:1;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:7:\"choices\";a:4:{s:3:\"red\";s:3:\"Red\";s:4:\"blue\";s:4:\"Blue\";s:6:\"yellow\";s:6:\"Yellow\";s:5:\"green\";s:5:\"Green\";}s:10:\"allow_null\";i:0;s:12:\"other_choice\";i:0;s:17:\"save_other_choice\";i:0;s:13:\"default_value\";s:0:\"\";s:6:\"layout\";s:8:\"vertical\";}','Fake Radio Button','fake_radio_button','publish','closed','closed','','field_57f56b656ce61','','','2016-10-05 21:11:34','2016-10-05 21:11:34','',39,'http://wordpress.corcel.dev/?post_type=acf-field&#038;p=42',3,'acf-field','',0),
	(43,1,'2016-10-05 21:07:32','2016-10-05 21:07:32','a:7:{s:4:\"type\";s:10:\"true_false\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";s:0:\"\";s:17:\"conditional_logic\";s:0:\"\";s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:7:\"message\";s:0:\"\";s:13:\"default_value\";i:0;}','Fake True False','fake_true_false','publish','closed','closed','','field_57f56b786ce62','','','2016-10-05 21:11:34','2016-10-05 21:11:34','',39,'http://wordpress.corcel.dev/?post_type=acf-field&#038;p=43',4,'acf-field','',0),
	(44,1,'2016-10-05 21:07:44','2016-10-05 21:07:44','','ACF Choices Field','','publish','closed','closed','','acf-choices-field','','','2016-10-05 21:12:14','2016-10-05 21:12:14','',0,'http://wordpress.corcel.dev/?page_id=44',0,'page','',0),
	(45,1,'2016-10-05 21:07:44','2016-10-05 21:07:44','','ACF Choices Field','','inherit','closed','closed','','44-revision-v1','','','2016-10-05 21:07:44','2016-10-05 21:07:44','',44,'http://wordpress.corcel.dev/2016/10/05/44-revision-v1/',0,'revision','',0),
	(46,1,'2016-10-05 21:10:52','2016-10-05 21:10:52','','ACF Choices Field','','inherit','closed','closed','','44-revision-v1','','','2016-10-05 21:10:52','2016-10-05 21:10:52','',44,'http://wordpress.corcel.dev/2016/10/05/44-revision-v1/',0,'revision','',0),
	(47,1,'2016-10-05 21:11:34','2016-10-05 21:11:34','a:14:{s:4:\"type\";s:6:\"select\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:7:\"choices\";a:4:{s:3:\"red\";s:3:\"Red\";s:4:\"blue\";s:4:\"Blue\";s:6:\"yellow\";s:6:\"Yellow\";s:5:\"green\";s:5:\"Green\";}s:13:\"default_value\";a:0:{}s:10:\"allow_null\";i:0;s:8:\"multiple\";i:1;s:2:\"ui\";i:0;s:4:\"ajax\";i:0;s:11:\"placeholder\";s:0:\"\";s:8:\"disabled\";i:0;s:8:\"readonly\";i:0;}','Fake Select Multiple','fake_select_multiple','publish','closed','closed','','field_57f56c73f440a','','','2016-10-05 21:12:03','2016-10-05 21:12:03','',39,'http://wordpress.corcel.dev/?post_type=acf-field&#038;p=47',1,'acf-field','',0),
	(48,1,'2016-10-05 21:12:14','2016-10-05 21:12:14','','ACF Choices Field','','inherit','closed','closed','','44-revision-v1','','','2016-10-05 21:12:14','2016-10-05 21:12:14','',44,'http://wordpress.corcel.dev/2016/10/05/44-revision-v1/',0,'revision','',0),
	(49,1,'2016-10-07 02:43:04','2016-10-07 02:43:04','a:7:{s:8:\"location\";a:1:{i:0;a:1:{i:0;a:3:{s:5:\"param\";s:4:\"page\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:2:\"56\";}}}s:8:\"position\";s:6:\"normal\";s:5:\"style\";s:7:\"default\";s:15:\"label_placement\";s:3:\"top\";s:21:\"instruction_placement\";s:5:\"label\";s:14:\"hide_on_screen\";s:0:\"\";s:11:\"description\";s:0:\"\";}','ACF Relational Fields','acf-relational-fields','publish','closed','closed','','group_57f70afa096c3','','','2016-10-07 02:43:33','2016-10-07 02:43:33','',0,'http://wordpress.corcel.dev/?post_type=acf-field-group&#038;p=49',0,'acf-field-group','',0),
	(50,1,'2016-10-07 02:43:04','2016-10-07 02:43:04','a:11:{s:4:\"type\";s:11:\"post_object\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:9:\"post_type\";a:0:{}s:8:\"taxonomy\";a:0:{}s:10:\"allow_null\";i:0;s:8:\"multiple\";i:0;s:13:\"return_format\";s:6:\"object\";s:2:\"ui\";i:1;}','Fake Post Object','fake_post_object','publish','closed','closed','','field_57f70b063a715','','','2016-10-07 02:43:04','2016-10-07 02:43:04','',49,'http://wordpress.corcel.dev/?post_type=acf-field&p=50',0,'acf-field','',0),
	(51,1,'2016-10-07 02:43:04','2016-10-07 02:43:04','a:9:{s:4:\"type\";s:9:\"page_link\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:9:\"post_type\";a:1:{i:0;s:4:\"page\";}s:8:\"taxonomy\";a:0:{}s:10:\"allow_null\";i:0;s:8:\"multiple\";i:0;}','Fake Page Link','fake_page_link','publish','closed','closed','','field_57f70b1d3a716','','','2016-10-07 02:43:04','2016-10-07 02:43:04','',49,'http://wordpress.corcel.dev/?post_type=acf-field&p=51',1,'acf-field','',0),
	(52,1,'2016-10-07 02:43:04','2016-10-07 02:43:04','a:12:{s:4:\"type\";s:12:\"relationship\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:9:\"post_type\";a:1:{i:0;s:4:\"page\";}s:8:\"taxonomy\";a:0:{}s:7:\"filters\";a:3:{i:0;s:6:\"search\";i:1;s:9:\"post_type\";i:2;s:8:\"taxonomy\";}s:8:\"elements\";s:0:\"\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:13:\"return_format\";s:6:\"object\";}','Fake Relationship','fake_relationship','publish','closed','closed','','field_57f70b3f3a717','','','2016-10-07 02:43:04','2016-10-07 02:43:04','',49,'http://wordpress.corcel.dev/?post_type=acf-field&p=52',2,'acf-field','',0),
	(53,1,'2016-10-07 02:43:04','2016-10-07 02:43:04','a:13:{s:4:\"type\";s:8:\"taxonomy\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:8:\"taxonomy\";s:8:\"category\";s:10:\"field_type\";s:8:\"checkbox\";s:10:\"allow_null\";i:0;s:8:\"add_term\";i:1;s:10:\"save_terms\";i:0;s:10:\"load_terms\";i:0;s:13:\"return_format\";s:2:\"id\";s:8:\"multiple\";i:0;}','Fake Taxonomy','fake_taxonomy','publish','closed','closed','','field_57f70b593a718','','','2016-10-07 02:43:04','2016-10-07 02:43:04','',49,'http://wordpress.corcel.dev/?post_type=acf-field&p=53',3,'acf-field','',0),
	(54,1,'2016-10-07 02:43:04','2016-10-07 02:43:04','a:13:{s:4:\"type\";s:8:\"taxonomy\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:8:\"taxonomy\";s:8:\"category\";s:10:\"field_type\";s:5:\"radio\";s:10:\"allow_null\";i:0;s:8:\"add_term\";i:1;s:10:\"save_terms\";i:0;s:10:\"load_terms\";i:0;s:13:\"return_format\";s:6:\"object\";s:8:\"multiple\";i:0;}','Fake Taxonomy Single','fake_taxonomy_single','publish','closed','closed','','field_57f70b7e3a719','','','2016-10-07 02:43:04','2016-10-07 02:43:04','',49,'http://wordpress.corcel.dev/?post_type=acf-field&p=54',4,'acf-field','',0),
	(55,1,'2016-10-07 02:43:04','2016-10-07 02:43:04','a:8:{s:4:\"type\";s:4:\"user\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:4:\"role\";s:0:\"\";s:10:\"allow_null\";i:0;s:8:\"multiple\";i:0;}','Fake User','fake_user','publish','closed','closed','','field_57f70ba23a71a','','','2016-10-07 02:43:04','2016-10-07 02:43:04','',49,'http://wordpress.corcel.dev/?post_type=acf-field&p=55',5,'acf-field','',0),
	(56,1,'2016-10-07 02:43:18','2016-10-07 02:43:18','','ACF Relational Fields','','publish','closed','closed','','acf-relational-fields','','','2016-10-07 02:44:27','2016-10-07 02:44:27','',0,'http://wordpress.corcel.dev/?page_id=56',0,'page','',0),
	(57,1,'2016-10-07 02:43:18','2016-10-07 02:43:18','','ACF Relational Fields','','inherit','closed','closed','','56-revision-v1','','','2016-10-07 02:43:18','2016-10-07 02:43:18','',56,'http://wordpress.corcel.dev/2016/10/07/56-revision-v1/',0,'revision','',0),
	(58,1,'2016-10-07 02:44:27','2016-10-07 02:44:27','','ACF Relational Fields','','inherit','closed','closed','','56-revision-v1','','','2016-10-07 02:44:27','2016-10-07 02:44:27','',56,'http://wordpress.corcel.dev/2016/10/07/56-revision-v1/',0,'revision','',0),
	(59,1,'2016-10-08 01:26:27','2016-10-08 01:26:27','a:7:{s:8:\"location\";a:1:{i:0;a:1:{i:0;a:3:{s:5:\"param\";s:4:\"page\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:2:\"65\";}}}s:8:\"position\";s:6:\"normal\";s:5:\"style\";s:7:\"default\";s:15:\"label_placement\";s:3:\"top\";s:21:\"instruction_placement\";s:5:\"label\";s:14:\"hide_on_screen\";s:0:\"\";s:11:\"description\";s:0:\"\";}','ACF jQuery Fields','acf-jquery-fields','publish','closed','closed','','group_57f84aad732a9','','','2016-10-08 01:27:00','2016-10-08 01:27:00','',0,'http://wordpress.corcel.dev/?post_type=acf-field-group&#038;p=59',0,'acf-field-group','',0),
	(60,1,'2016-10-08 01:26:27','2016-10-08 01:26:27','a:9:{s:4:\"type\";s:10:\"google_map\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:10:\"center_lat\";s:8:\"-37.8172\";s:10:\"center_lng\";s:8:\"144.9652\";s:4:\"zoom\";i:14;s:6:\"height\";i:400;}','Fake Google Map','fake_google_map','publish','closed','closed','','field_57f84ab1ae3b0','','','2016-10-08 01:26:27','2016-10-08 01:26:27','',59,'http://wordpress.corcel.dev/?post_type=acf-field&p=60',0,'acf-field','',0),
	(61,1,'2016-10-08 01:26:27','2016-10-08 01:26:27','a:8:{s:4:\"type\";s:11:\"date_picker\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:14:\"display_format\";s:5:\"d/m/Y\";s:13:\"return_format\";s:5:\"d/m/Y\";s:9:\"first_day\";i:1;}','Fake Date Picker','fake_date_picker','publish','closed','closed','','field_57f84aedae3b1','','','2016-10-08 01:26:27','2016-10-08 01:26:27','',59,'http://wordpress.corcel.dev/?post_type=acf-field&p=61',1,'acf-field','',0),
	(62,1,'2016-10-08 01:26:27','2016-10-08 01:26:27','a:8:{s:4:\"type\";s:16:\"date_time_picker\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:14:\"display_format\";s:11:\"d/m/Y g:i a\";s:13:\"return_format\";s:11:\"d/m/Y g:i a\";s:9:\"first_day\";i:1;}','Fake Date Time Picker','fake_date_time_picker','publish','closed','closed','','field_57f84b02ae3b2','','','2016-10-08 01:26:27','2016-10-08 01:26:27','',59,'http://wordpress.corcel.dev/?post_type=acf-field&p=62',2,'acf-field','',0),
	(63,1,'2016-10-08 01:26:27','2016-10-08 01:26:27','a:7:{s:4:\"type\";s:11:\"time_picker\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:14:\"display_format\";s:5:\"g:i a\";s:13:\"return_format\";s:5:\"g:i a\";}','Fake Time Picker','fake_time_picker','publish','closed','closed','','field_57f84b19ae3b3','','','2016-10-08 01:26:27','2016-10-08 01:26:27','',59,'http://wordpress.corcel.dev/?post_type=acf-field&p=63',3,'acf-field','',0),
	(64,1,'2016-10-08 01:26:27','2016-10-08 01:26:27','a:6:{s:4:\"type\";s:12:\"color_picker\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:7:\"#ffcc99\";}','Fake Color Picker','fake_color_picker','publish','closed','closed','','field_57f84b29ae3b4','','','2016-10-08 01:26:27','2016-10-08 01:26:27','',59,'http://wordpress.corcel.dev/?post_type=acf-field&p=64',4,'acf-field','',0),
	(65,1,'2016-10-08 01:26:48','2016-10-08 01:26:48','','ACF jQuery Fields','','publish','closed','closed','','acf-jquery-fields','','','2016-10-08 01:36:15','2016-10-08 01:36:15','',0,'http://wordpress.corcel.dev/?page_id=65',0,'page','',0),
	(66,1,'2016-10-08 01:26:48','2016-10-08 01:26:48','','ACF jQuery Fields','','inherit','closed','closed','','65-revision-v1','','','2016-10-08 01:26:48','2016-10-08 01:26:48','',65,'http://wordpress.corcel.dev/2016/10/08/65-revision-v1/',0,'revision','',0),
	(67,1,'2016-10-08 01:36:15','2016-10-08 01:36:15','','ACF jQuery Fields','','inherit','closed','closed','','65-revision-v1','','','2016-10-08 01:36:15','2016-10-08 01:36:15','',65,'http://wordpress.corcel.dev/2016/10/08/65-revision-v1/',0,'revision','',0),
	(68,1,'2016-10-16 03:13:29','2016-10-16 03:13:29','a:7:{s:8:\"location\";a:1:{i:0;a:1:{i:0;a:3:{s:5:\"param\";s:4:\"page\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:2:\"73\";}}}s:8:\"position\";s:6:\"normal\";s:5:\"style\";s:7:\"default\";s:15:\"label_placement\";s:3:\"top\";s:21:\"instruction_placement\";s:5:\"label\";s:14:\"hide_on_screen\";s:0:\"\";s:11:\"description\";s:0:\"\";}','ACF Layout Fields','acf-layout-fields','publish','closed','closed','','group_5802efee5ab76','','','2016-10-21 20:10:17','2016-10-21 20:10:17','',0,'http://wordpress.corcel.dev/?post_type=acf-field-group&#038;p=68',0,'acf-field-group','',0),
	(69,1,'2016-10-16 03:13:29','2016-10-16 03:13:29','a:8:{s:4:\"type\";s:7:\"message\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:7:\"message\";s:23:\"This is a test message!\";s:9:\"new_lines\";s:7:\"wpautop\";s:8:\"esc_html\";i:0;}','Fake Message','','publish','closed','closed','','field_5802eff73a7f9','','','2016-10-16 03:14:48','2016-10-16 03:14:48','',68,'http://wordpress.corcel.dev/?post_type=acf-field&#038;p=69',0,'acf-field','',0),
	(70,1,'2016-10-16 03:13:29','2016-10-16 03:13:29','a:10:{s:4:\"type\";s:8:\"repeater\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:9:\"collapsed\";s:0:\"\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"layout\";s:5:\"table\";s:12:\"button_label\";s:7:\"Add Row\";}','Fake Repeater','fake_repeater','publish','closed','closed','','field_5802f0133a7fa','','','2016-10-16 03:20:09','2016-10-16 03:20:09','',68,'http://wordpress.corcel.dev/?post_type=acf-field&#038;p=70',1,'acf-field','',0),
	(71,1,'2016-10-16 03:13:29','2016-10-16 03:13:29','a:12:{s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";s:8:\"readonly\";i:0;s:8:\"disabled\";i:0;}','Repeater Text','repeater_text','publish','closed','closed','','field_5802f02b3a7fb','','','2016-10-16 03:13:29','2016-10-16 03:13:29','',70,'http://wordpress.corcel.dev/?post_type=acf-field&p=71',0,'acf-field','',0),
	(72,1,'2016-10-16 03:13:29','2016-10-16 03:13:29','a:11:{s:4:\"type\";s:5:\"radio\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:7:\"choices\";a:2:{s:3:\"red\";s:3:\"red\";s:4:\"blue\";s:4:\"blue\";}s:10:\"allow_null\";i:0;s:12:\"other_choice\";i:0;s:17:\"save_other_choice\";i:0;s:13:\"default_value\";s:0:\"\";s:6:\"layout\";s:8:\"vertical\";}','Repeater Radio','repeater_radio','publish','closed','closed','','field_5802f0363a7fc','','','2016-10-16 03:20:10','2016-10-16 03:20:10','',70,'http://wordpress.corcel.dev/?post_type=acf-field&#038;p=72',1,'acf-field','',0),
	(73,1,'2016-10-16 03:14:00','2016-10-16 03:14:00','','ACF Layout Fields','','publish','closed','closed','','acf-layout-fields','','','2016-10-21 20:40:42','2016-10-21 20:40:42','',0,'http://wordpress.corcel.dev/?page_id=73',0,'page','',0),
	(74,1,'2016-10-16 03:14:00','2016-10-16 03:14:00','','ACF Layout Fields','','inherit','closed','closed','','73-revision-v1','','','2016-10-16 03:14:00','2016-10-16 03:14:00','',73,'http://wordpress.corcel.dev/2016/10/16/73-revision-v1/',0,'revision','',0),
	(75,1,'2016-10-16 03:20:43','2016-10-16 03:20:43','','ACF Layout Fields','','inherit','closed','closed','','73-revision-v1','','','2016-10-16 03:20:43','2016-10-16 03:20:43','',73,'http://wordpress.corcel.dev/2016/10/16/73-revision-v1/',0,'revision','',0),
	(76,1,'2016-10-21 20:10:17','2016-10-21 20:10:17','a:10:{s:4:\"type\";s:8:\"repeater\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:9:\"collapsed\";s:0:\"\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:6:\"layout\";s:5:\"table\";s:12:\"button_label\";s:7:\"Add Row\";}','Fake Repeater 2','fake_repeater_2','publish','closed','closed','','field_580a75c3dd71a','','','2016-10-21 20:10:17','2016-10-21 20:10:17','',68,'http://wordpress.corcel.dev/?post_type=acf-field&p=76',2,'acf-field','',0),
	(77,1,'2016-10-21 20:10:17','2016-10-21 20:10:17','a:8:{s:4:\"type\";s:4:\"user\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:4:\"role\";s:0:\"\";s:10:\"allow_null\";i:0;s:8:\"multiple\";i:0;}','Fake User','fake_user','publish','closed','closed','','field_580a75d7dd71b','','','2016-10-21 20:10:17','2016-10-21 20:10:17','',76,'http://wordpress.corcel.dev/?post_type=acf-field&p=77',0,'acf-field','',0),
	(78,1,'2016-10-21 20:10:17','2016-10-21 20:10:17','a:10:{s:4:\"type\";s:4:\"file\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"return_format\";s:5:\"array\";s:7:\"library\";s:3:\"all\";s:8:\"min_size\";s:0:\"\";s:8:\"max_size\";s:0:\"\";s:10:\"mime_types\";s:0:\"\";}','Fake FIle','fake_file','publish','closed','closed','','field_580a75fddd71c','','','2016-10-21 20:10:17','2016-10-21 20:10:17','',76,'http://wordpress.corcel.dev/?post_type=acf-field&p=78',1,'acf-field','',0),
	(79,1,'2016-10-21 20:10:17','2016-10-21 20:10:17','a:12:{s:4:\"type\";s:12:\"relationship\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:9:\"post_type\";a:0:{}s:8:\"taxonomy\";a:0:{}s:7:\"filters\";a:3:{i:0;s:6:\"search\";i:1;s:9:\"post_type\";i:2;s:8:\"taxonomy\";}s:8:\"elements\";s:0:\"\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:13:\"return_format\";s:6:\"object\";}','Fake Relationship','fake_relationship','publish','closed','closed','','field_580a760ddd71d','','','2016-10-21 20:10:17','2016-10-21 20:10:17','',76,'http://wordpress.corcel.dev/?post_type=acf-field&p=79',2,'acf-field','',0),
	(80,1,'2016-10-21 20:12:09','2016-10-21 20:12:09','','ACF Layout Fields','','inherit','closed','closed','','73-revision-v1','','','2016-10-21 20:12:09','2016-10-21 20:12:09','',73,'http://wordpress.corcel.dev/2016/10/21/73-revision-v1/',0,'revision','',0),
	(81,1,'2017-02-09 07:19:30','0000-00-00 00:00:00','','Auto Draft','','auto-draft','open','open','','','','','2017-02-09 07:19:30','0000-00-00 00:00:00','',0,'http://wdka.lcl/?p=81',0,'post','',0),
	(82,1,'2017-02-09 07:21:44','2017-02-09 07:21:44','a:7:{s:8:\"location\";a:1:{i:0;a:1:{i:0;a:3:{s:5:\"param\";s:4:\"page\";s:8:\"operator\";s:2:\"==\";s:5:\"value\";s:2:\"86\";}}}s:8:\"position\";s:6:\"normal\";s:5:\"style\";s:7:\"default\";s:15:\"label_placement\";s:3:\"top\";s:21:\"instruction_placement\";s:5:\"label\";s:14:\"hide_on_screen\";s:0:\"\";s:11:\"description\";s:0:\"\";}','ACF Flexible content','acf-flexible-content','publish','closed','closed','','group_589c18653a943','','','2017-02-09 07:50:19','2017-02-09 07:50:19','',0,'http://wdka.lcl/?post_type=acf-field-group&#038;p=82',0,'acf-field-group','',0),
	(83,1,'2017-02-09 07:23:44','2017-02-09 07:23:44','a:9:{s:4:\"type\";s:16:\"flexible_content\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:12:\"button_label\";s:7:\"Add Row\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";s:7:\"layouts\";a:3:{i:0;a:6:{s:3:\"key\";s:13:\"589c18bcf10da\";s:5:\"label\";s:11:\"Normal text\";s:4:\"name\";s:11:\"normal_text\";s:7:\"display\";s:5:\"block\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";}i:1;a:6:{s:3:\"key\";s:13:\"589c18dfc9b28\";s:5:\"label\";s:12:\"Related post\";s:4:\"name\";s:12:\"related_post\";s:7:\"display\";s:5:\"block\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";}i:2;a:6:{s:3:\"key\";s:13:\"589c1ee35ec27\";s:5:\"label\";s:14:\"Multiple posts\";s:4:\"name\";s:14:\"multiple_posts\";s:7:\"display\";s:5:\"block\";s:3:\"min\";s:0:\"\";s:3:\"max\";s:0:\"\";}}}','Fake Flexible Content','fake_flexible_content','publish','closed','closed','','field_589c18adc9b26','','','2017-02-09 07:50:19','2017-02-09 07:50:19','',82,'http://wdka.lcl/?post_type=acf-field&#038;p=83',0,'acf-field','',0),
	(84,1,'2017-02-09 07:23:44','2017-02-09 07:23:44','a:11:{s:4:\"type\";s:4:\"text\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"parent_layout\";s:13:\"589c18bcf10da\";s:13:\"default_value\";s:0:\"\";s:11:\"placeholder\";s:0:\"\";s:7:\"prepend\";s:0:\"\";s:6:\"append\";s:0:\"\";s:9:\"maxlength\";s:0:\"\";}','text','text','publish','closed','closed','','field_589c18d0c9b27','','','2017-02-09 07:23:44','2017-02-09 07:23:44','',83,'http://wdka.lcl/?post_type=acf-field&p=84',0,'acf-field','',0),
	(85,1,'2017-02-09 07:23:44','2017-02-09 07:23:44','a:12:{s:4:\"type\";s:11:\"post_object\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"parent_layout\";s:13:\"589c18dfc9b28\";s:9:\"post_type\";a:0:{}s:8:\"taxonomy\";a:0:{}s:10:\"allow_null\";i:0;s:8:\"multiple\";i:0;s:13:\"return_format\";s:6:\"object\";s:2:\"ui\";i:1;}','post','post','publish','closed','closed','','field_589c18eac9b29','','','2017-02-09 07:23:44','2017-02-09 07:23:44','',83,'http://wdka.lcl/?post_type=acf-field&p=85',0,'acf-field','',0),
	(86,1,'2017-02-09 07:24:04','2017-02-09 07:24:04','','ACF Flexible Content Fields','','publish','closed','closed','','acf-flexible-content','','','2017-02-09 07:49:59','2017-02-09 07:49:59','',0,'http://wdka.lcl/?page_id=86',0,'page','',0),
	(88,1,'2017-02-09 07:25:15','2017-02-09 07:25:15','','ACF Flexible Content','','inherit','closed','closed','','86-revision-v1','','','2017-02-09 07:25:15','2017-02-09 07:25:15','',86,'http://wdka.lcl/2017/02/09/86-revision-v1/',0,'revision','',0),
	(89,1,'2017-02-09 07:49:22','2017-02-09 07:49:22','a:12:{s:4:\"type\";s:11:\"post_object\";s:12:\"instructions\";s:0:\"\";s:8:\"required\";i:0;s:17:\"conditional_logic\";i:0;s:7:\"wrapper\";a:3:{s:5:\"width\";s:0:\"\";s:5:\"class\";s:0:\"\";s:2:\"id\";s:0:\"\";}s:13:\"parent_layout\";s:13:\"589c1ee35ec27\";s:9:\"post_type\";a:0:{}s:8:\"taxonomy\";a:0:{}s:10:\"allow_null\";i:0;s:8:\"multiple\";i:1;s:13:\"return_format\";s:6:\"object\";s:2:\"ui\";i:1;}','post','post','publish','closed','closed','','field_589c1ee35ec28','','','2017-02-09 07:49:22','2017-02-09 07:49:22','',83,'http://wdka.lcl/?post_type=acf-field&p=89',0,'acf-field','',0),
	(90,1,'2017-02-09 07:49:59','2017-02-09 07:49:59','','ACF Flexible Content Fields','','inherit','closed','closed','','86-revision-v1','','','2017-02-09 07:49:59','2017-02-09 07:49:59','',86,'http://wdka.lcl/2017/02/09/86-revision-v1/',0,'revision','',0),
	(91,1,'2017-02-10 06:07:14','2017-02-10 06:07:14','','ACF Basic Fields - Empty','','publish','closed','closed','','acf-basic-fields-empty','','','2017-02-10 06:17:57','2017-02-10 06:17:57','',0,'http://wordpress.corcel.dev/?page_id=91',0,'page','',0),
	(92,1,'2017-02-10 06:07:14','2017-02-10 06:07:14','','ACF Basic Fields - Empty','','inherit','closed','closed','','91-revision-v1','','','2017-02-10 06:07:14','2017-02-10 06:07:14','',91,'http://wordpress.corcel.dev/2017/02/10/91-revision-v1/',0,'revision','',0);

/*!40000 ALTER TABLE `wp_posts` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wp_term_relationships
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_term_relationships`;

CREATE TABLE `wp_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `term_order` int(11) NOT NULL DEFAULT '0',
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

LOCK TABLES `wp_term_relationships` WRITE;
/*!40000 ALTER TABLE `wp_term_relationships` DISABLE KEYS */;

INSERT INTO `wp_term_relationships` (`object_id`, `term_taxonomy_id`, `term_order`)
VALUES
	(1,1,0);

/*!40000 ALTER TABLE `wp_term_relationships` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wp_term_taxonomy
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_term_taxonomy`;

CREATE TABLE `wp_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `taxonomy` varchar(32) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `description` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT '0',
  `count` bigint(20) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

LOCK TABLES `wp_term_taxonomy` WRITE;
/*!40000 ALTER TABLE `wp_term_taxonomy` DISABLE KEYS */;

INSERT INTO `wp_term_taxonomy` (`term_taxonomy_id`, `term_id`, `taxonomy`, `description`, `parent`, `count`)
VALUES
	(1,1,'category','',0,1);

/*!40000 ALTER TABLE `wp_term_taxonomy` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wp_termmeta
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_termmeta`;

CREATE TABLE `wp_termmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`meta_id`),
  KEY `term_id` (`term_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;



# Dump of table wp_terms
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_terms`;

CREATE TABLE `wp_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `slug` varchar(200) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT '0',
  PRIMARY KEY (`term_id`),
  KEY `slug` (`slug`(191)),
  KEY `name` (`name`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

LOCK TABLES `wp_terms` WRITE;
/*!40000 ALTER TABLE `wp_terms` DISABLE KEYS */;

INSERT INTO `wp_terms` (`term_id`, `name`, `slug`, `term_group`)
VALUES
	(1,'Uncategorized','uncategorized',0);

/*!40000 ALTER TABLE `wp_terms` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wp_usermeta
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_usermeta`;

CREATE TABLE `wp_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT '0',
  `meta_key` varchar(255) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `meta_value` longtext COLLATE utf8mb4_unicode_ci,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

LOCK TABLES `wp_usermeta` WRITE;
/*!40000 ALTER TABLE `wp_usermeta` DISABLE KEYS */;

INSERT INTO `wp_usermeta` (`umeta_id`, `user_id`, `meta_key`, `meta_value`)
VALUES
	(1,1,'nickname','admin'),
	(2,1,'first_name',''),
	(3,1,'last_name',''),
	(4,1,'description',''),
	(5,1,'rich_editing','true'),
	(6,1,'comment_shortcuts','false'),
	(7,1,'admin_color','fresh'),
	(8,1,'use_ssl','0'),
	(9,1,'show_admin_bar_front','true'),
	(10,1,'wp_capabilities','a:1:{s:13:\"administrator\";b:1;}'),
	(11,1,'wp_user_level','10'),
	(12,1,'dismissed_wp_pointers',''),
	(13,1,'show_welcome_panel','1'),
	(14,1,'session_tokens','a:2:{s:64:\"a5c283600980fbc0d1784460d810557f2fabf9f208feee0cd3dcf1c4b067b147\";a:4:{s:10:\"expiration\";i:1486797569;s:2:\"ip\";s:3:\"::1\";s:2:\"ua\";s:120:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_2) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/55.0.2883.95 Safari/537.36\";s:5:\"login\";i:1486624769;}s:64:\"d566ac4a3e1b23f149afa6eda67a1ed0bd5a5d853c9765a810ddde2b17f961f3\";a:4:{s:10:\"expiration\";i:1486879412;s:2:\"ip\";s:12:\"192.168.33.1\";s:2:\"ua\";s:120:\"Mozilla/5.0 (Macintosh; Intel Mac OS X 10_12_3) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/56.0.2924.87 Safari/537.36\";s:5:\"login\";i:1486706612;}}'),
	(15,1,'wp_dashboard_quick_press_last_post_id','81'),
	(16,1,'wp_user-settings','editor=tinymce&libraryContent=browse'),
	(17,1,'wp_user-settings-time','1486624765'),
	(18,1,'acf_user_settings','a:0:{}');

/*!40000 ALTER TABLE `wp_usermeta` ENABLE KEYS */;
UNLOCK TABLES;


# Dump of table wp_users
# ------------------------------------------------------------

DROP TABLE IF EXISTS `wp_users`;

CREATE TABLE `wp_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_pass` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_nicename` varchar(50) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_email` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_url` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(255) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT '0',
  `display_name` varchar(250) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`),
  KEY `user_email` (`user_email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;

LOCK TABLES `wp_users` WRITE;
/*!40000 ALTER TABLE `wp_users` DISABLE KEYS */;

INSERT INTO `wp_users` (`ID`, `user_login`, `user_pass`, `user_nicename`, `user_email`, `user_url`, `user_registered`, `user_activation_key`, `user_status`, `display_name`)
VALUES
	(1,'admin','$P$BZ05iH.zRtLuGO5Px.Kc0IKWo.QrJv1','admin','juniorgro@gmail.com','','2016-10-04 21:37:39','',0,'admin');

/*!40000 ALTER TABLE `wp_users` ENABLE KEYS */;
UNLOCK TABLES;



/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;
/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
